<!-- a stylesheet to display changelogs ala netbeans -->
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

  <xsl:param name="title"/>
  <xsl:param name="module"/>
  <xsl:param name="cvsweb"/>

	<xsl:output method="xml"/>

  <!-- Copy standard document elements.  Elements that
       should be ignored must be filtered by apply-templates
       tags. -->
  <xsl:template match="*">
    <xsl:copy>
      <xsl:copy-of select="attribute::*[. != '']"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="tagdiff">
	<project name="upgrade" default="copy" basedir=".">

	<target name="copy">
		<xsl:text disable-output-escaping="yes">
		</xsl:text>
		<xsl:apply-templates select="entry"/>
	</target>
	</project>
  </xsl:template>

	<xsl:template match="entry">
		<xsl:apply-templates select="file"/>
	</xsl:template>

	<xsl:template match="file">
		<xsl:if test="string-length(prevrevision) > 0 or string-length(revision) > 0">
		    <xsl:if test="contains(name, '.cvsignore') = false" >
			<xsl:text disable-output-escaping="yes">&lt;copy file="${dist}/nd/</xsl:text>
			<xsl:value-of select="name"/>
			<xsl:text>" tofile="${master.files}/builds/${build.number}/dist/nd/</xsl:text>
			<xsl:value-of select="name"/>
			<xsl:text disable-output-escaping="yes">"/&gt;
			</xsl:text>
		    </xsl:if>
		</xsl:if>
	</xsl:template>

  
</xsl:stylesheet>
