-- ---------------------------------
-- Do not edit this file manually --
-- ---------------------------------


SELECT 1 FROM DUAL
/

DELETE FROM DATABASECHANGELOG WHERE FILENAME = 'nschema/audit-table-enable.xml' OR FILENAME = 'nschema/audit-table-custom-migrate.xml'
/

INSERT INTO ekp_audit_version (dblevel) VALUES (2307)
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('audit2307-install', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 984, '8:7c2908c25665d5e8b01855ce47c40e0f', 'insert tableName=ekp_audit_version', '', 'EXECUTED', '(audit and 93)', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::audit_id_seq::dennis.cheung
CREATE SEQUENCE audit_id_seq START WITH 1 INCREMENT BY 1
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('audit_id_seq', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 985, '8:70ae4bf17e2adb209306369021687831', 'createSequence sequenceName=audit_id_seq', '', 'EXECUTED', '(audit and 93)', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-learningObject::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LEARNINGOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LEARNINGOBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LEARNINGOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LEARNINGOBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LEARNINGOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LEARNINGOBJECT';
			END IF;
		END;
/

CREATE TABLE learningObject_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), LEARNINGTYPE CHAR(1 BYTE), MEDIAID NUMBER(*, 0), SUBJECT NUMBER(*, 0), TITLE VARCHAR2(255 BYTE), DESCRIPTION1 CLOB, HYPERLINK VARCHAR2(500 BYTE), ASSIGNEDCHATROOM VARCHAR2(30 BYTE), ASSIGNEDFORUM NUMBER(16, 0), EDITCONTROL NUMBER(*, 0), SHOWINCATALOG CHAR(1 BYTE), ALLOWPEERREVIEW CHAR(1 BYTE), DATECREATED date, AUTODELETE CHAR(1 BYTE), DELETEDATE date, PICTURE VARCHAR2(500 BYTE), EVALUATION VARCHAR2(85 BYTE), EVALREQUIRED CHAR(1 BYTE), DURATION VARCHAR2(100 BYTE), POLICYID VARCHAR2(15 BYTE), ORG_POLICY_OVERRIDE CHAR(1 BYTE), PREREQCONTROL NUMBER(*, 0), TESTREQUIRED CHAR(1 BYTE), STARTAVAILABILITYDATE date, ENDAVAILABILITYDATE date, VENDORNAME VARCHAR2(100 BYTE), ALLOWREOPEN CHAR(1 BYTE), TESTENABLESCOMPLETION CHAR(1 BYTE), ENFORCEPREPOSTTESTORDER CHAR(1 BYTE), COMPLETIONTIMELIMIT NUMBER(*, 0), ALLOWREENROLL CHAR(1 BYTE), HISTORYEXPIREWINDOW NUMBER(*, 0), DISPLAY_COURSE_INTEREST CHAR(1 BYTE), WIKIURL VARCHAR2(255 BYTE), SUPERVISORASSESSMENT VARCHAR2(85 BYTE), ALLOWDAPPRAISERASSESS CHAR(1 BYTE), STICKY CHAR(1 BYTE), CREATOR_UID VARCHAR2(85 BYTE), MEKP_TARGET CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), WIKI_KEY VARCHAR2(255 BYTE), WIKI_DISPLAY CHAR(1 BYTE), ARCHIVED CHAR(1 BYTE), AUTO_ARCHIVE_DATE date, SHOW_EXPIRATION_DATE date, SHOW_BEGIN_DATE date, SUBJECT_CATEGORY_ID VARCHAR2(15 BYTE), REQUIRE_ESIGNATURE CHAR(1 BYTE), SUPPORT_CONTACT VARCHAR2(4000 BYTE), DOMAIN_ID VARCHAR2(15 BYTE), ALLOW_AUTO_RECOMMEND CHAR(1 BYTE), ALLOWSUPERVISORASSESS CHAR(1 BYTE), ESIG_COURSE_WITHDRAW CHAR(1 BYTE), ESIG_COURSE_MODIFY CHAR(1 BYTE), ESIG_COURSE_LAUNCH CHAR(1 BYTE), ESIG_COURSE_IMPORT CHAR(1 BYTE), ESIG_COURSE_FINISH CHAR(1 BYTE), ESIG_EXAM_LAUNCH CHAR(1 BYTE), ESIG_WIZARD_MODIFY_TRANS CHAR(1 BYTE), ESIG_REVIEWER_MODIFY_TRANS CHAR(1 BYTE), ESIG_EDITOR_MODIFY_TRANS CHAR(1 BYTE), ESIG_MODIFY_ATTENDANCE CHAR(1 BYTE), ESIG_COURSE_WITHDRAW_MEANING CLOB, ESIG_COURSE_MODIFY_MEANING CLOB, ESIG_COURSE_LAUNCH_MEANING CLOB, ESIG_COURSE_IMPORT_MEANING CLOB, ESIG_COURSE_FINISH_MEANING CLOB, ESIG_EXAM_LAUNCH_MEANING CLOB, ESIG_WZRD_MODIFY_TRANS_MEANING CLOB, ESIG_RVWR_MODIFY_TRANS_MEANING CLOB, ESIG_EDTR_MODIFY_TRANS_MEANING CLOB, ESIG_MODIFY_ATTENDANCE_MEANING CLOB, ESIG_EQUI_RULE CHAR(1 BYTE), ESIG_EQUI_RULE_MEANING CLOB, TITLE_KEY VARCHAR2(85 BYTE), DESCRIPTION_KEY VARCHAR2(85 BYTE), SUPPORT_CONTACT_KEY VARCHAR2(85 BYTE), DISPLAY_LEARNING_ID VARCHAR2(85 BYTE), EVALUATION_LANG_OPTION VARCHAR2(85 BYTE), SUPERVISORASSESSMENT_LANG_OPT VARCHAR2(85 BYTE), USE_POLICY_TO_SELECT_SESSION CHAR(1 BYTE), CUSTOM_COURSEPOLICY_TYPE NVARCHAR2(5), DISABLE_SELFENROLL_MAXLIMIT CHAR(1 BYTE), LEARNING_VALIDITY NUMBER(*, 0), ASSIGNED_FORUM_TYPE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LEARNINGOBJECT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_learningObject_aud
 before insert on learningObject_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into learningObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,MEDIAID
 ,SUBJECT
 ,TITLE
 ,DESCRIPTION1
 ,HYPERLINK
 ,ASSIGNEDCHATROOM
 ,ASSIGNEDFORUM
 ,EDITCONTROL
 ,SHOWINCATALOG
 ,ALLOWPEERREVIEW
 ,DATECREATED
 ,AUTODELETE
 ,DELETEDATE
 ,PICTURE
 ,EVALUATION
 ,EVALREQUIRED
 ,DURATION
 ,POLICYID
 ,ORG_POLICY_OVERRIDE
 ,PREREQCONTROL
 ,TESTREQUIRED
 ,STARTAVAILABILITYDATE
 ,ENDAVAILABILITYDATE
 ,VENDORNAME
 ,ALLOWREOPEN
 ,TESTENABLESCOMPLETION
 ,ENFORCEPREPOSTTESTORDER
 ,COMPLETIONTIMELIMIT
 ,ALLOWREENROLL
 ,HISTORYEXPIREWINDOW
 ,DISPLAY_COURSE_INTEREST
 ,WIKIURL
 ,SUPERVISORASSESSMENT
 ,ALLOWDAPPRAISERASSESS
 ,STICKY
 ,CREATOR_UID
 ,MEKP_TARGET
 ,UPDATE_MEANING
 ,WIKI_KEY
 ,WIKI_DISPLAY
 ,ARCHIVED
 ,AUTO_ARCHIVE_DATE
 ,SHOW_EXPIRATION_DATE
 ,SHOW_BEGIN_DATE
 ,SUBJECT_CATEGORY_ID
 ,REQUIRE_ESIGNATURE
 ,SUPPORT_CONTACT
 ,DOMAIN_ID
 ,ALLOW_AUTO_RECOMMEND
 ,ALLOWSUPERVISORASSESS
 ,ESIG_COURSE_WITHDRAW
 ,ESIG_COURSE_MODIFY
 ,ESIG_COURSE_LAUNCH
 ,ESIG_COURSE_IMPORT
 ,ESIG_COURSE_FINISH
 ,ESIG_EXAM_LAUNCH
 ,ESIG_WIZARD_MODIFY_TRANS
 ,ESIG_REVIEWER_MODIFY_TRANS
 ,ESIG_EDITOR_MODIFY_TRANS
 ,ESIG_MODIFY_ATTENDANCE
 ,ESIG_COURSE_WITHDRAW_MEANING
 ,ESIG_COURSE_MODIFY_MEANING
 ,ESIG_COURSE_LAUNCH_MEANING
 ,ESIG_COURSE_IMPORT_MEANING
 ,ESIG_COURSE_FINISH_MEANING
 ,ESIG_EXAM_LAUNCH_MEANING
 ,ESIG_WZRD_MODIFY_TRANS_MEANING
 ,ESIG_RVWR_MODIFY_TRANS_MEANING
 ,ESIG_EDTR_MODIFY_TRANS_MEANING
 ,ESIG_MODIFY_ATTENDANCE_MEANING
 ,ESIG_EQUI_RULE
 ,ESIG_EQUI_RULE_MEANING
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,SUPPORT_CONTACT_KEY
 ,DISPLAY_LEARNING_ID
 ,EVALUATION_LANG_OPTION
 ,SUPERVISORASSESSMENT_LANG_OPT
 ,USE_POLICY_TO_SELECT_SESSION
 ,CUSTOM_COURSEPOLICY_TYPE
 ,DISABLE_SELFENROLL_MAXLIMIT
 ,LEARNING_VALIDITY
 ,ASSIGNED_FORUM_TYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,LEARNINGTYPE
 ,MEDIAID
 ,SUBJECT
 ,TITLE
 ,DESCRIPTION1
 ,HYPERLINK
 ,ASSIGNEDCHATROOM
 ,ASSIGNEDFORUM
 ,EDITCONTROL
 ,SHOWINCATALOG
 ,ALLOWPEERREVIEW
 ,DATECREATED
 ,AUTODELETE
 ,DELETEDATE
 ,PICTURE
 ,EVALUATION
 ,EVALREQUIRED
 ,DURATION
 ,POLICYID
 ,ORG_POLICY_OVERRIDE
 ,PREREQCONTROL
 ,TESTREQUIRED
 ,STARTAVAILABILITYDATE
 ,ENDAVAILABILITYDATE
 ,VENDORNAME
 ,ALLOWREOPEN
 ,TESTENABLESCOMPLETION
 ,ENFORCEPREPOSTTESTORDER
 ,COMPLETIONTIMELIMIT
 ,ALLOWREENROLL
 ,HISTORYEXPIREWINDOW
 ,DISPLAY_COURSE_INTEREST
 ,WIKIURL
 ,SUPERVISORASSESSMENT
 ,ALLOWDAPPRAISERASSESS
 ,STICKY
 ,CREATOR_UID
 ,MEKP_TARGET
 ,UPDATE_MEANING
 ,WIKI_KEY
 ,WIKI_DISPLAY
 ,ARCHIVED
 ,AUTO_ARCHIVE_DATE
 ,SHOW_EXPIRATION_DATE
 ,SHOW_BEGIN_DATE
 ,SUBJECT_CATEGORY_ID
 ,REQUIRE_ESIGNATURE
 ,SUPPORT_CONTACT
 ,DOMAIN_ID
 ,ALLOW_AUTO_RECOMMEND
 ,ALLOWSUPERVISORASSESS
 ,ESIG_COURSE_WITHDRAW
 ,ESIG_COURSE_MODIFY
 ,ESIG_COURSE_LAUNCH
 ,ESIG_COURSE_IMPORT
 ,ESIG_COURSE_FINISH
 ,ESIG_EXAM_LAUNCH
 ,ESIG_WIZARD_MODIFY_TRANS
 ,ESIG_REVIEWER_MODIFY_TRANS
 ,ESIG_EDITOR_MODIFY_TRANS
 ,ESIG_MODIFY_ATTENDANCE
 ,ESIG_COURSE_WITHDRAW_MEANING
 ,ESIG_COURSE_MODIFY_MEANING
 ,ESIG_COURSE_LAUNCH_MEANING
 ,ESIG_COURSE_IMPORT_MEANING
 ,ESIG_COURSE_FINISH_MEANING
 ,ESIG_EXAM_LAUNCH_MEANING
 ,ESIG_WZRD_MODIFY_TRANS_MEANING
 ,ESIG_RVWR_MODIFY_TRANS_MEANING
 ,ESIG_EDTR_MODIFY_TRANS_MEANING
 ,ESIG_MODIFY_ATTENDANCE_MEANING
 ,ESIG_EQUI_RULE
 ,ESIG_EQUI_RULE_MEANING
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,SUPPORT_CONTACT_KEY
 ,DISPLAY_LEARNING_ID
 ,EVALUATION_LANG_OPTION
 ,SUPERVISORASSESSMENT_LANG_OPT
 ,USE_POLICY_TO_SELECT_SESSION
 ,CUSTOM_COURSEPOLICY_TYPE
 ,DISABLE_SELFENROLL_MAXLIMIT
 ,LEARNING_VALIDITY
 ,ASSIGNED_FORUM_TYPE
  from learningObject
/

CREATE INDEX nuk_learningObject_aud_1 ON learningObject_aud(aud_userid)
/

CREATE INDEX nuk_learningObject_aud_2 ON learningObject_aud(aud_datetime)
/

create or replace trigger i_learningObject
after insert on learningObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into learningObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,MEDIAID
 ,SUBJECT
 ,TITLE
 ,DESCRIPTION1
 ,HYPERLINK
 ,ASSIGNEDCHATROOM
 ,ASSIGNEDFORUM
 ,EDITCONTROL
 ,SHOWINCATALOG
 ,ALLOWPEERREVIEW
 ,DATECREATED
 ,AUTODELETE
 ,DELETEDATE
 ,PICTURE
 ,EVALUATION
 ,EVALREQUIRED
 ,DURATION
 ,POLICYID
 ,ORG_POLICY_OVERRIDE
 ,PREREQCONTROL
 ,TESTREQUIRED
 ,STARTAVAILABILITYDATE
 ,ENDAVAILABILITYDATE
 ,VENDORNAME
 ,ALLOWREOPEN
 ,TESTENABLESCOMPLETION
 ,ENFORCEPREPOSTTESTORDER
 ,COMPLETIONTIMELIMIT
 ,ALLOWREENROLL
 ,HISTORYEXPIREWINDOW
 ,DISPLAY_COURSE_INTEREST
 ,WIKIURL
 ,SUPERVISORASSESSMENT
 ,ALLOWDAPPRAISERASSESS
 ,STICKY
 ,CREATOR_UID
 ,MEKP_TARGET
 ,UPDATE_MEANING
 ,WIKI_KEY
 ,WIKI_DISPLAY
 ,ARCHIVED
 ,AUTO_ARCHIVE_DATE
 ,SHOW_EXPIRATION_DATE
 ,SHOW_BEGIN_DATE
 ,SUBJECT_CATEGORY_ID
 ,REQUIRE_ESIGNATURE
 ,SUPPORT_CONTACT
 ,DOMAIN_ID
 ,ALLOW_AUTO_RECOMMEND
 ,ALLOWSUPERVISORASSESS
 ,ESIG_COURSE_WITHDRAW
 ,ESIG_COURSE_MODIFY
 ,ESIG_COURSE_LAUNCH
 ,ESIG_COURSE_IMPORT
 ,ESIG_COURSE_FINISH
 ,ESIG_EXAM_LAUNCH
 ,ESIG_WIZARD_MODIFY_TRANS
 ,ESIG_REVIEWER_MODIFY_TRANS
 ,ESIG_EDITOR_MODIFY_TRANS
 ,ESIG_MODIFY_ATTENDANCE
 ,ESIG_COURSE_WITHDRAW_MEANING
 ,ESIG_COURSE_MODIFY_MEANING
 ,ESIG_COURSE_LAUNCH_MEANING
 ,ESIG_COURSE_IMPORT_MEANING
 ,ESIG_COURSE_FINISH_MEANING
 ,ESIG_EXAM_LAUNCH_MEANING
 ,ESIG_WZRD_MODIFY_TRANS_MEANING
 ,ESIG_RVWR_MODIFY_TRANS_MEANING
 ,ESIG_EDTR_MODIFY_TRANS_MEANING
 ,ESIG_MODIFY_ATTENDANCE_MEANING
 ,ESIG_EQUI_RULE
 ,ESIG_EQUI_RULE_MEANING
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,SUPPORT_CONTACT_KEY
 ,DISPLAY_LEARNING_ID
 ,EVALUATION_LANG_OPTION
 ,SUPERVISORASSESSMENT_LANG_OPT
 ,USE_POLICY_TO_SELECT_SESSION
 ,CUSTOM_COURSEPOLICY_TYPE
 ,DISABLE_SELFENROLL_MAXLIMIT
 ,LEARNING_VALIDITY
 ,ASSIGNED_FORUM_TYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.MEDIAID
 ,:new.SUBJECT
 ,:new.TITLE
 ,:new.DESCRIPTION1
 ,:new.HYPERLINK
 ,:new.ASSIGNEDCHATROOM
 ,:new.ASSIGNEDFORUM
 ,:new.EDITCONTROL
 ,:new.SHOWINCATALOG
 ,:new.ALLOWPEERREVIEW
 ,:new.DATECREATED
 ,:new.AUTODELETE
 ,:new.DELETEDATE
 ,:new.PICTURE
 ,:new.EVALUATION
 ,:new.EVALREQUIRED
 ,:new.DURATION
 ,:new.POLICYID
 ,:new.ORG_POLICY_OVERRIDE
 ,:new.PREREQCONTROL
 ,:new.TESTREQUIRED
 ,:new.STARTAVAILABILITYDATE
 ,:new.ENDAVAILABILITYDATE
 ,:new.VENDORNAME
 ,:new.ALLOWREOPEN
 ,:new.TESTENABLESCOMPLETION
 ,:new.ENFORCEPREPOSTTESTORDER
 ,:new.COMPLETIONTIMELIMIT
 ,:new.ALLOWREENROLL
 ,:new.HISTORYEXPIREWINDOW
 ,:new.DISPLAY_COURSE_INTEREST
 ,:new.WIKIURL
 ,:new.SUPERVISORASSESSMENT
 ,:new.ALLOWDAPPRAISERASSESS
 ,:new.STICKY
 ,:new.CREATOR_UID
 ,:new.MEKP_TARGET
 ,:new.UPDATE_MEANING
 ,:new.WIKI_KEY
 ,:new.WIKI_DISPLAY
 ,:new.ARCHIVED
 ,:new.AUTO_ARCHIVE_DATE
 ,:new.SHOW_EXPIRATION_DATE
 ,:new.SHOW_BEGIN_DATE
 ,:new.SUBJECT_CATEGORY_ID
 ,:new.REQUIRE_ESIGNATURE
 ,:new.SUPPORT_CONTACT
 ,:new.DOMAIN_ID
 ,:new.ALLOW_AUTO_RECOMMEND
 ,:new.ALLOWSUPERVISORASSESS
 ,:new.ESIG_COURSE_WITHDRAW
 ,:new.ESIG_COURSE_MODIFY
 ,:new.ESIG_COURSE_LAUNCH
 ,:new.ESIG_COURSE_IMPORT
 ,:new.ESIG_COURSE_FINISH
 ,:new.ESIG_EXAM_LAUNCH
 ,:new.ESIG_WIZARD_MODIFY_TRANS
 ,:new.ESIG_REVIEWER_MODIFY_TRANS
 ,:new.ESIG_EDITOR_MODIFY_TRANS
 ,:new.ESIG_MODIFY_ATTENDANCE
 ,:new.ESIG_COURSE_WITHDRAW_MEANING
 ,:new.ESIG_COURSE_MODIFY_MEANING
 ,:new.ESIG_COURSE_LAUNCH_MEANING
 ,:new.ESIG_COURSE_IMPORT_MEANING
 ,:new.ESIG_COURSE_FINISH_MEANING
 ,:new.ESIG_EXAM_LAUNCH_MEANING
 ,:new.ESIG_WZRD_MODIFY_TRANS_MEANING
 ,:new.ESIG_RVWR_MODIFY_TRANS_MEANING
 ,:new.ESIG_EDTR_MODIFY_TRANS_MEANING
 ,:new.ESIG_MODIFY_ATTENDANCE_MEANING
 ,:new.ESIG_EQUI_RULE
 ,:new.ESIG_EQUI_RULE_MEANING
 ,:new.TITLE_KEY
 ,:new.DESCRIPTION_KEY
 ,:new.SUPPORT_CONTACT_KEY
 ,:new.DISPLAY_LEARNING_ID
 ,:new.EVALUATION_LANG_OPTION
 ,:new.SUPERVISORASSESSMENT_LANG_OPT
 ,:new.USE_POLICY_TO_SELECT_SESSION
 ,:new.CUSTOM_COURSEPOLICY_TYPE
 ,:new.DISABLE_SELFENROLL_MAXLIMIT
 ,:new.LEARNING_VALIDITY
 ,:new.ASSIGNED_FORUM_TYPE
);
end;
/

create or replace trigger u_learningObject
after update on learningObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into learningObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,MEDIAID
 ,SUBJECT
 ,TITLE
 ,DESCRIPTION1
 ,HYPERLINK
 ,ASSIGNEDCHATROOM
 ,ASSIGNEDFORUM
 ,EDITCONTROL
 ,SHOWINCATALOG
 ,ALLOWPEERREVIEW
 ,DATECREATED
 ,AUTODELETE
 ,DELETEDATE
 ,PICTURE
 ,EVALUATION
 ,EVALREQUIRED
 ,DURATION
 ,POLICYID
 ,ORG_POLICY_OVERRIDE
 ,PREREQCONTROL
 ,TESTREQUIRED
 ,STARTAVAILABILITYDATE
 ,ENDAVAILABILITYDATE
 ,VENDORNAME
 ,ALLOWREOPEN
 ,TESTENABLESCOMPLETION
 ,ENFORCEPREPOSTTESTORDER
 ,COMPLETIONTIMELIMIT
 ,ALLOWREENROLL
 ,HISTORYEXPIREWINDOW
 ,DISPLAY_COURSE_INTEREST
 ,WIKIURL
 ,SUPERVISORASSESSMENT
 ,ALLOWDAPPRAISERASSESS
 ,STICKY
 ,CREATOR_UID
 ,MEKP_TARGET
 ,UPDATE_MEANING
 ,WIKI_KEY
 ,WIKI_DISPLAY
 ,ARCHIVED
 ,AUTO_ARCHIVE_DATE
 ,SHOW_EXPIRATION_DATE
 ,SHOW_BEGIN_DATE
 ,SUBJECT_CATEGORY_ID
 ,REQUIRE_ESIGNATURE
 ,SUPPORT_CONTACT
 ,DOMAIN_ID
 ,ALLOW_AUTO_RECOMMEND
 ,ALLOWSUPERVISORASSESS
 ,ESIG_COURSE_WITHDRAW
 ,ESIG_COURSE_MODIFY
 ,ESIG_COURSE_LAUNCH
 ,ESIG_COURSE_IMPORT
 ,ESIG_COURSE_FINISH
 ,ESIG_EXAM_LAUNCH
 ,ESIG_WIZARD_MODIFY_TRANS
 ,ESIG_REVIEWER_MODIFY_TRANS
 ,ESIG_EDITOR_MODIFY_TRANS
 ,ESIG_MODIFY_ATTENDANCE
 ,ESIG_COURSE_WITHDRAW_MEANING
 ,ESIG_COURSE_MODIFY_MEANING
 ,ESIG_COURSE_LAUNCH_MEANING
 ,ESIG_COURSE_IMPORT_MEANING
 ,ESIG_COURSE_FINISH_MEANING
 ,ESIG_EXAM_LAUNCH_MEANING
 ,ESIG_WZRD_MODIFY_TRANS_MEANING
 ,ESIG_RVWR_MODIFY_TRANS_MEANING
 ,ESIG_EDTR_MODIFY_TRANS_MEANING
 ,ESIG_MODIFY_ATTENDANCE_MEANING
 ,ESIG_EQUI_RULE
 ,ESIG_EQUI_RULE_MEANING
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,SUPPORT_CONTACT_KEY
 ,DISPLAY_LEARNING_ID
 ,EVALUATION_LANG_OPTION
 ,SUPERVISORASSESSMENT_LANG_OPT
 ,USE_POLICY_TO_SELECT_SESSION
 ,CUSTOM_COURSEPOLICY_TYPE
 ,DISABLE_SELFENROLL_MAXLIMIT
 ,LEARNING_VALIDITY
 ,ASSIGNED_FORUM_TYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.MEDIAID
 ,:new.SUBJECT
 ,:new.TITLE
 ,:new.DESCRIPTION1
 ,:new.HYPERLINK
 ,:new.ASSIGNEDCHATROOM
 ,:new.ASSIGNEDFORUM
 ,:new.EDITCONTROL
 ,:new.SHOWINCATALOG
 ,:new.ALLOWPEERREVIEW
 ,:new.DATECREATED
 ,:new.AUTODELETE
 ,:new.DELETEDATE
 ,:new.PICTURE
 ,:new.EVALUATION
 ,:new.EVALREQUIRED
 ,:new.DURATION
 ,:new.POLICYID
 ,:new.ORG_POLICY_OVERRIDE
 ,:new.PREREQCONTROL
 ,:new.TESTREQUIRED
 ,:new.STARTAVAILABILITYDATE
 ,:new.ENDAVAILABILITYDATE
 ,:new.VENDORNAME
 ,:new.ALLOWREOPEN
 ,:new.TESTENABLESCOMPLETION
 ,:new.ENFORCEPREPOSTTESTORDER
 ,:new.COMPLETIONTIMELIMIT
 ,:new.ALLOWREENROLL
 ,:new.HISTORYEXPIREWINDOW
 ,:new.DISPLAY_COURSE_INTEREST
 ,:new.WIKIURL
 ,:new.SUPERVISORASSESSMENT
 ,:new.ALLOWDAPPRAISERASSESS
 ,:new.STICKY
 ,:new.CREATOR_UID
 ,:new.MEKP_TARGET
 ,:new.UPDATE_MEANING
 ,:new.WIKI_KEY
 ,:new.WIKI_DISPLAY
 ,:new.ARCHIVED
 ,:new.AUTO_ARCHIVE_DATE
 ,:new.SHOW_EXPIRATION_DATE
 ,:new.SHOW_BEGIN_DATE
 ,:new.SUBJECT_CATEGORY_ID
 ,:new.REQUIRE_ESIGNATURE
 ,:new.SUPPORT_CONTACT
 ,:new.DOMAIN_ID
 ,:new.ALLOW_AUTO_RECOMMEND
 ,:new.ALLOWSUPERVISORASSESS
 ,:new.ESIG_COURSE_WITHDRAW
 ,:new.ESIG_COURSE_MODIFY
 ,:new.ESIG_COURSE_LAUNCH
 ,:new.ESIG_COURSE_IMPORT
 ,:new.ESIG_COURSE_FINISH
 ,:new.ESIG_EXAM_LAUNCH
 ,:new.ESIG_WIZARD_MODIFY_TRANS
 ,:new.ESIG_REVIEWER_MODIFY_TRANS
 ,:new.ESIG_EDITOR_MODIFY_TRANS
 ,:new.ESIG_MODIFY_ATTENDANCE
 ,:new.ESIG_COURSE_WITHDRAW_MEANING
 ,:new.ESIG_COURSE_MODIFY_MEANING
 ,:new.ESIG_COURSE_LAUNCH_MEANING
 ,:new.ESIG_COURSE_IMPORT_MEANING
 ,:new.ESIG_COURSE_FINISH_MEANING
 ,:new.ESIG_EXAM_LAUNCH_MEANING
 ,:new.ESIG_WZRD_MODIFY_TRANS_MEANING
 ,:new.ESIG_RVWR_MODIFY_TRANS_MEANING
 ,:new.ESIG_EDTR_MODIFY_TRANS_MEANING
 ,:new.ESIG_MODIFY_ATTENDANCE_MEANING
 ,:new.ESIG_EQUI_RULE
 ,:new.ESIG_EQUI_RULE_MEANING
 ,:new.TITLE_KEY
 ,:new.DESCRIPTION_KEY
 ,:new.SUPPORT_CONTACT_KEY
 ,:new.DISPLAY_LEARNING_ID
 ,:new.EVALUATION_LANG_OPTION
 ,:new.SUPERVISORASSESSMENT_LANG_OPT
 ,:new.USE_POLICY_TO_SELECT_SESSION
 ,:new.CUSTOM_COURSEPOLICY_TYPE
 ,:new.DISABLE_SELFENROLL_MAXLIMIT
 ,:new.LEARNING_VALIDITY
 ,:new.ASSIGNED_FORUM_TYPE
);
end;
/

create or replace trigger d_learningObject
after delete on learningObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into learningObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,MEDIAID
 ,SUBJECT
 ,TITLE
 ,DESCRIPTION1
 ,HYPERLINK
 ,ASSIGNEDCHATROOM
 ,ASSIGNEDFORUM
 ,EDITCONTROL
 ,SHOWINCATALOG
 ,ALLOWPEERREVIEW
 ,DATECREATED
 ,AUTODELETE
 ,DELETEDATE
 ,PICTURE
 ,EVALUATION
 ,EVALREQUIRED
 ,DURATION
 ,POLICYID
 ,ORG_POLICY_OVERRIDE
 ,PREREQCONTROL
 ,TESTREQUIRED
 ,STARTAVAILABILITYDATE
 ,ENDAVAILABILITYDATE
 ,VENDORNAME
 ,ALLOWREOPEN
 ,TESTENABLESCOMPLETION
 ,ENFORCEPREPOSTTESTORDER
 ,COMPLETIONTIMELIMIT
 ,ALLOWREENROLL
 ,HISTORYEXPIREWINDOW
 ,DISPLAY_COURSE_INTEREST
 ,WIKIURL
 ,SUPERVISORASSESSMENT
 ,ALLOWDAPPRAISERASSESS
 ,STICKY
 ,CREATOR_UID
 ,MEKP_TARGET
 ,UPDATE_MEANING
 ,WIKI_KEY
 ,WIKI_DISPLAY
 ,ARCHIVED
 ,AUTO_ARCHIVE_DATE
 ,SHOW_EXPIRATION_DATE
 ,SHOW_BEGIN_DATE
 ,SUBJECT_CATEGORY_ID
 ,REQUIRE_ESIGNATURE
 ,SUPPORT_CONTACT
 ,DOMAIN_ID
 ,ALLOW_AUTO_RECOMMEND
 ,ALLOWSUPERVISORASSESS
 ,ESIG_COURSE_WITHDRAW
 ,ESIG_COURSE_MODIFY
 ,ESIG_COURSE_LAUNCH
 ,ESIG_COURSE_IMPORT
 ,ESIG_COURSE_FINISH
 ,ESIG_EXAM_LAUNCH
 ,ESIG_WIZARD_MODIFY_TRANS
 ,ESIG_REVIEWER_MODIFY_TRANS
 ,ESIG_EDITOR_MODIFY_TRANS
 ,ESIG_MODIFY_ATTENDANCE
 ,ESIG_COURSE_WITHDRAW_MEANING
 ,ESIG_COURSE_MODIFY_MEANING
 ,ESIG_COURSE_LAUNCH_MEANING
 ,ESIG_COURSE_IMPORT_MEANING
 ,ESIG_COURSE_FINISH_MEANING
 ,ESIG_EXAM_LAUNCH_MEANING
 ,ESIG_WZRD_MODIFY_TRANS_MEANING
 ,ESIG_RVWR_MODIFY_TRANS_MEANING
 ,ESIG_EDTR_MODIFY_TRANS_MEANING
 ,ESIG_MODIFY_ATTENDANCE_MEANING
 ,ESIG_EQUI_RULE
 ,ESIG_EQUI_RULE_MEANING
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,SUPPORT_CONTACT_KEY
 ,DISPLAY_LEARNING_ID
 ,EVALUATION_LANG_OPTION
 ,SUPERVISORASSESSMENT_LANG_OPT
 ,USE_POLICY_TO_SELECT_SESSION
 ,CUSTOM_COURSEPOLICY_TYPE
 ,DISABLE_SELFENROLL_MAXLIMIT
 ,LEARNING_VALIDITY
 ,ASSIGNED_FORUM_TYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.LEARNINGTYPE
 ,:old.MEDIAID
 ,:old.SUBJECT
 ,:old.TITLE
 ,:old.DESCRIPTION1
 ,:old.HYPERLINK
 ,:old.ASSIGNEDCHATROOM
 ,:old.ASSIGNEDFORUM
 ,:old.EDITCONTROL
 ,:old.SHOWINCATALOG
 ,:old.ALLOWPEERREVIEW
 ,:old.DATECREATED
 ,:old.AUTODELETE
 ,:old.DELETEDATE
 ,:old.PICTURE
 ,:old.EVALUATION
 ,:old.EVALREQUIRED
 ,:old.DURATION
 ,:old.POLICYID
 ,:old.ORG_POLICY_OVERRIDE
 ,:old.PREREQCONTROL
 ,:old.TESTREQUIRED
 ,:old.STARTAVAILABILITYDATE
 ,:old.ENDAVAILABILITYDATE
 ,:old.VENDORNAME
 ,:old.ALLOWREOPEN
 ,:old.TESTENABLESCOMPLETION
 ,:old.ENFORCEPREPOSTTESTORDER
 ,:old.COMPLETIONTIMELIMIT
 ,:old.ALLOWREENROLL
 ,:old.HISTORYEXPIREWINDOW
 ,:old.DISPLAY_COURSE_INTEREST
 ,:old.WIKIURL
 ,:old.SUPERVISORASSESSMENT
 ,:old.ALLOWDAPPRAISERASSESS
 ,:old.STICKY
 ,:old.CREATOR_UID
 ,:old.MEKP_TARGET
 ,:old.UPDATE_MEANING
 ,:old.WIKI_KEY
 ,:old.WIKI_DISPLAY
 ,:old.ARCHIVED
 ,:old.AUTO_ARCHIVE_DATE
 ,:old.SHOW_EXPIRATION_DATE
 ,:old.SHOW_BEGIN_DATE
 ,:old.SUBJECT_CATEGORY_ID
 ,:old.REQUIRE_ESIGNATURE
 ,:old.SUPPORT_CONTACT
 ,:old.DOMAIN_ID
 ,:old.ALLOW_AUTO_RECOMMEND
 ,:old.ALLOWSUPERVISORASSESS
 ,:old.ESIG_COURSE_WITHDRAW
 ,:old.ESIG_COURSE_MODIFY
 ,:old.ESIG_COURSE_LAUNCH
 ,:old.ESIG_COURSE_IMPORT
 ,:old.ESIG_COURSE_FINISH
 ,:old.ESIG_EXAM_LAUNCH
 ,:old.ESIG_WIZARD_MODIFY_TRANS
 ,:old.ESIG_REVIEWER_MODIFY_TRANS
 ,:old.ESIG_EDITOR_MODIFY_TRANS
 ,:old.ESIG_MODIFY_ATTENDANCE
 ,:old.ESIG_COURSE_WITHDRAW_MEANING
 ,:old.ESIG_COURSE_MODIFY_MEANING
 ,:old.ESIG_COURSE_LAUNCH_MEANING
 ,:old.ESIG_COURSE_IMPORT_MEANING
 ,:old.ESIG_COURSE_FINISH_MEANING
 ,:old.ESIG_EXAM_LAUNCH_MEANING
 ,:old.ESIG_WZRD_MODIFY_TRANS_MEANING
 ,:old.ESIG_RVWR_MODIFY_TRANS_MEANING
 ,:old.ESIG_EDTR_MODIFY_TRANS_MEANING
 ,:old.ESIG_MODIFY_ATTENDANCE_MEANING
 ,:old.ESIG_EQUI_RULE
 ,:old.ESIG_EQUI_RULE_MEANING
 ,:old.TITLE_KEY
 ,:old.DESCRIPTION_KEY
 ,:old.SUPPORT_CONTACT_KEY
 ,:old.DISPLAY_LEARNING_ID
 ,:old.EVALUATION_LANG_OPTION
 ,:old.SUPERVISORASSESSMENT_LANG_OPT
 ,:old.USE_POLICY_TO_SELECT_SESSION
 ,:old.CUSTOM_COURSEPOLICY_TYPE
 ,:old.DISABLE_SELFENROLL_MAXLIMIT
 ,:old.LEARNING_VALIDITY
 ,:old.ASSIGNED_FORUM_TYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-learningObject', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 986, '8:fac00443d4bf6af39b06aabe18e2daa7', 'enableAuditTable auditTableName=learningObject_aud, tableName=learningObject', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-transcript::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TRANSCRIPT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TRANSCRIPT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TRANSCRIPT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TRANSCRIPT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TRANSCRIPT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TRANSCRIPT';
			END IF;
		END;
/

CREATE TABLE transcript_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), LEARNINGID VARCHAR2(85 BYTE), CURRID VARCHAR2(85 BYTE), LEARNINGTYPE CHAR(1 BYTE), EVENTID VARCHAR2(15 BYTE), STARTDATE date, FINISHDATE date, FINALGRADE FLOAT(22), STUDENTSTATUS NUMBER(*, 0), PROGRESS VARCHAR2(10 BYTE), ASSESSDATE date, ATTENDANCE CHAR(1 BYTE), PERFGRADEID NUMBER(*, 0), SESSIONID VARCHAR2(15 BYTE), CREDITTRANSCRIPTLINK VARCHAR2(15 BYTE), CURRICULUMTRANSCRIPTLINK VARCHAR2(15 BYTE), ASSESSMENTSCORE VARCHAR2(20 BYTE), REQUESTSOURCE NUMBER(*, 0), CONTENTSESSIONID VARCHAR2(15 BYTE), CERTSESSIONID VARCHAR2(15 BYTE), ENROLLMENTDATE date, REMINDERCOUNT NUMBER(*, 0), COSTCENTER VARCHAR2(45 BYTE), CONFIRMATION_STATUS NUMBER(*, 0), REOPEN CHAR(1 BYTE), ISOPEN CHAR(1 BYTE), PRE_ASSESS_SCORE FLOAT(22), POST_ASSESS_SCORE FLOAT(22), SETTINGS_AS_OF_DATE date, QUICK_EVAL NUMBER(*, 0), NOTIFYEMAIL CHAR(85 BYTE), COMPLETION_DEADLINE date, DEADLINE_EXPIRED VARCHAR2(1 BYTE), REVISION_NUMBER NUMBER(*, 0), NTRAININGHOURS FLOAT(22), ALLOWDAPPRAISERASSESS CHAR(1 BYTE), OFFLINE_KEY VARCHAR2(32 BYTE), MEKP_SYNC date, SEND_NOTIF_EW CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, CURR_TOTAL_TIME VARCHAR2(25 BYTE), ATTEMPTS_ALLOWED NUMBER(*, 0), GRADING_METHOD CHAR(1 BYTE), ATTEMPTS_COUNT NUMBER(*, 0), COMPLETION_METHOD CHAR(1 BYTE), FINAL_SCORE VARCHAR2(20 BYTE), ALLOWSUPERVISORASSESS CHAR(1 BYTE), WEIGHTEDSCORE FLOAT(22), WEIGHTING FLOAT(22), SUB_LEARNING CHAR(1 BYTE), ACTUAL_TRAINING_TIME_SEC NUMBER(*, 0), STUDENT_SUBSTATUS VARCHAR2(85 BYTE), IS_REQD_CUSTOM_ATTR_COMPLETE CHAR(1 BYTE), BUNDLE_ID VARCHAR2(85 BYTE), ALLOWBUNDLESWITCH CHAR(1 BYTE), RESTRICTED_START_DATE date, ROOT_TRANSCRIPTID VARCHAR2(15 BYTE), REGISTRATION CHAR(36 BYTE), RESERVE_SEAT VARCHAR2(1 BYTE), PERCENT_COMPLETION NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TRANSCRIPT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_transcript_aud
 before insert on transcript_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

CREATE INDEX nuk_transcript_aud_1 ON transcript_aud(aud_userid)
/

CREATE INDEX nuk_transcript_aud_2 ON transcript_aud(aud_datetime)
/

create or replace trigger i_transcript
after insert on transcript for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,USERID
 ,LEARNINGID
 ,CURRID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,FINISHDATE
 ,FINALGRADE
 ,STUDENTSTATUS
 ,PROGRESS
 ,ASSESSDATE
 ,ATTENDANCE
 ,PERFGRADEID
 ,SESSIONID
 ,CREDITTRANSCRIPTLINK
 ,CURRICULUMTRANSCRIPTLINK
 ,ASSESSMENTSCORE
 ,REQUESTSOURCE
 ,CONTENTSESSIONID
 ,CERTSESSIONID
 ,ENROLLMENTDATE
 ,REMINDERCOUNT
 ,COSTCENTER
 ,CONFIRMATION_STATUS
 ,REOPEN
 ,ISOPEN
 ,PRE_ASSESS_SCORE
 ,POST_ASSESS_SCORE
 ,SETTINGS_AS_OF_DATE
 ,QUICK_EVAL
 ,NOTIFYEMAIL
 ,COMPLETION_DEADLINE
 ,DEADLINE_EXPIRED
 ,REVISION_NUMBER
 ,NTRAININGHOURS
 ,ALLOWDAPPRAISERASSESS
 ,OFFLINE_KEY
 ,MEKP_SYNC
 ,SEND_NOTIF_EW
 ,UPDATE_MEANING
 ,CREATOR_UID
 ,DATECREATED
 ,CURR_TOTAL_TIME
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,ATTEMPTS_COUNT
 ,COMPLETION_METHOD
 ,FINAL_SCORE
 ,ALLOWSUPERVISORASSESS
 ,WEIGHTEDSCORE
 ,WEIGHTING
 ,SUB_LEARNING
 ,ACTUAL_TRAINING_TIME_SEC
 ,STUDENT_SUBSTATUS
 ,IS_REQD_CUSTOM_ATTR_COMPLETE
 ,BUNDLE_ID
 ,ALLOWBUNDLESWITCH
 ,RESTRICTED_START_DATE
 ,ROOT_TRANSCRIPTID
 ,REGISTRATION
 ,RESERVE_SEAT
 ,PERCENT_COMPLETION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.USERID
 ,:new.LEARNINGID
 ,:new.CURRID
 ,:new.LEARNINGTYPE
 ,:new.EVENTID
 ,:new.STARTDATE
 ,:new.FINISHDATE
 ,:new.FINALGRADE
 ,:new.STUDENTSTATUS
 ,:new.PROGRESS
 ,:new.ASSESSDATE
 ,:new.ATTENDANCE
 ,:new.PERFGRADEID
 ,:new.SESSIONID
 ,:new.CREDITTRANSCRIPTLINK
 ,:new.CURRICULUMTRANSCRIPTLINK
 ,:new.ASSESSMENTSCORE
 ,:new.REQUESTSOURCE
 ,:new.CONTENTSESSIONID
 ,:new.CERTSESSIONID
 ,:new.ENROLLMENTDATE
 ,:new.REMINDERCOUNT
 ,:new.COSTCENTER
 ,:new.CONFIRMATION_STATUS
 ,:new.REOPEN
 ,:new.ISOPEN
 ,:new.PRE_ASSESS_SCORE
 ,:new.POST_ASSESS_SCORE
 ,:new.SETTINGS_AS_OF_DATE
 ,:new.QUICK_EVAL
 ,:new.NOTIFYEMAIL
 ,:new.COMPLETION_DEADLINE
 ,:new.DEADLINE_EXPIRED
 ,:new.REVISION_NUMBER
 ,:new.NTRAININGHOURS
 ,:new.ALLOWDAPPRAISERASSESS
 ,:new.OFFLINE_KEY
 ,:new.MEKP_SYNC
 ,:new.SEND_NOTIF_EW
 ,:new.UPDATE_MEANING
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.CURR_TOTAL_TIME
 ,:new.ATTEMPTS_ALLOWED
 ,:new.GRADING_METHOD
 ,:new.ATTEMPTS_COUNT
 ,:new.COMPLETION_METHOD
 ,:new.FINAL_SCORE
 ,:new.ALLOWSUPERVISORASSESS
 ,:new.WEIGHTEDSCORE
 ,:new.WEIGHTING
 ,:new.SUB_LEARNING
 ,:new.ACTUAL_TRAINING_TIME_SEC
 ,:new.STUDENT_SUBSTATUS
 ,:new.IS_REQD_CUSTOM_ATTR_COMPLETE
 ,:new.BUNDLE_ID
 ,:new.ALLOWBUNDLESWITCH
 ,:new.RESTRICTED_START_DATE
 ,:new.ROOT_TRANSCRIPTID
 ,:new.REGISTRATION
 ,:new.RESERVE_SEAT
 ,:new.PERCENT_COMPLETION
);
end;
/

create or replace trigger u_transcript
after update on transcript for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,USERID
 ,LEARNINGID
 ,CURRID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,FINISHDATE
 ,FINALGRADE
 ,STUDENTSTATUS
 ,PROGRESS
 ,ASSESSDATE
 ,ATTENDANCE
 ,PERFGRADEID
 ,SESSIONID
 ,CREDITTRANSCRIPTLINK
 ,CURRICULUMTRANSCRIPTLINK
 ,ASSESSMENTSCORE
 ,REQUESTSOURCE
 ,CONTENTSESSIONID
 ,CERTSESSIONID
 ,ENROLLMENTDATE
 ,REMINDERCOUNT
 ,COSTCENTER
 ,CONFIRMATION_STATUS
 ,REOPEN
 ,ISOPEN
 ,PRE_ASSESS_SCORE
 ,POST_ASSESS_SCORE
 ,SETTINGS_AS_OF_DATE
 ,QUICK_EVAL
 ,NOTIFYEMAIL
 ,COMPLETION_DEADLINE
 ,DEADLINE_EXPIRED
 ,REVISION_NUMBER
 ,NTRAININGHOURS
 ,ALLOWDAPPRAISERASSESS
 ,OFFLINE_KEY
 ,MEKP_SYNC
 ,SEND_NOTIF_EW
 ,UPDATE_MEANING
 ,CREATOR_UID
 ,DATECREATED
 ,CURR_TOTAL_TIME
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,ATTEMPTS_COUNT
 ,COMPLETION_METHOD
 ,FINAL_SCORE
 ,ALLOWSUPERVISORASSESS
 ,WEIGHTEDSCORE
 ,WEIGHTING
 ,SUB_LEARNING
 ,ACTUAL_TRAINING_TIME_SEC
 ,STUDENT_SUBSTATUS
 ,IS_REQD_CUSTOM_ATTR_COMPLETE
 ,BUNDLE_ID
 ,ALLOWBUNDLESWITCH
 ,RESTRICTED_START_DATE
 ,ROOT_TRANSCRIPTID
 ,REGISTRATION
 ,RESERVE_SEAT
 ,PERCENT_COMPLETION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.USERID
 ,:new.LEARNINGID
 ,:new.CURRID
 ,:new.LEARNINGTYPE
 ,:new.EVENTID
 ,:new.STARTDATE
 ,:new.FINISHDATE
 ,:new.FINALGRADE
 ,:new.STUDENTSTATUS
 ,:new.PROGRESS
 ,:new.ASSESSDATE
 ,:new.ATTENDANCE
 ,:new.PERFGRADEID
 ,:new.SESSIONID
 ,:new.CREDITTRANSCRIPTLINK
 ,:new.CURRICULUMTRANSCRIPTLINK
 ,:new.ASSESSMENTSCORE
 ,:new.REQUESTSOURCE
 ,:new.CONTENTSESSIONID
 ,:new.CERTSESSIONID
 ,:new.ENROLLMENTDATE
 ,:new.REMINDERCOUNT
 ,:new.COSTCENTER
 ,:new.CONFIRMATION_STATUS
 ,:new.REOPEN
 ,:new.ISOPEN
 ,:new.PRE_ASSESS_SCORE
 ,:new.POST_ASSESS_SCORE
 ,:new.SETTINGS_AS_OF_DATE
 ,:new.QUICK_EVAL
 ,:new.NOTIFYEMAIL
 ,:new.COMPLETION_DEADLINE
 ,:new.DEADLINE_EXPIRED
 ,:new.REVISION_NUMBER
 ,:new.NTRAININGHOURS
 ,:new.ALLOWDAPPRAISERASSESS
 ,:new.OFFLINE_KEY
 ,:new.MEKP_SYNC
 ,:new.SEND_NOTIF_EW
 ,:new.UPDATE_MEANING
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.CURR_TOTAL_TIME
 ,:new.ATTEMPTS_ALLOWED
 ,:new.GRADING_METHOD
 ,:new.ATTEMPTS_COUNT
 ,:new.COMPLETION_METHOD
 ,:new.FINAL_SCORE
 ,:new.ALLOWSUPERVISORASSESS
 ,:new.WEIGHTEDSCORE
 ,:new.WEIGHTING
 ,:new.SUB_LEARNING
 ,:new.ACTUAL_TRAINING_TIME_SEC
 ,:new.STUDENT_SUBSTATUS
 ,:new.IS_REQD_CUSTOM_ATTR_COMPLETE
 ,:new.BUNDLE_ID
 ,:new.ALLOWBUNDLESWITCH
 ,:new.RESTRICTED_START_DATE
 ,:new.ROOT_TRANSCRIPTID
 ,:new.REGISTRATION
 ,:new.RESERVE_SEAT
 ,:new.PERCENT_COMPLETION
);
end;
/

create or replace trigger d_transcript
after delete on transcript for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,USERID
 ,LEARNINGID
 ,CURRID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,FINISHDATE
 ,FINALGRADE
 ,STUDENTSTATUS
 ,PROGRESS
 ,ASSESSDATE
 ,ATTENDANCE
 ,PERFGRADEID
 ,SESSIONID
 ,CREDITTRANSCRIPTLINK
 ,CURRICULUMTRANSCRIPTLINK
 ,ASSESSMENTSCORE
 ,REQUESTSOURCE
 ,CONTENTSESSIONID
 ,CERTSESSIONID
 ,ENROLLMENTDATE
 ,REMINDERCOUNT
 ,COSTCENTER
 ,CONFIRMATION_STATUS
 ,REOPEN
 ,ISOPEN
 ,PRE_ASSESS_SCORE
 ,POST_ASSESS_SCORE
 ,SETTINGS_AS_OF_DATE
 ,QUICK_EVAL
 ,NOTIFYEMAIL
 ,COMPLETION_DEADLINE
 ,DEADLINE_EXPIRED
 ,REVISION_NUMBER
 ,NTRAININGHOURS
 ,ALLOWDAPPRAISERASSESS
 ,OFFLINE_KEY
 ,MEKP_SYNC
 ,SEND_NOTIF_EW
 ,UPDATE_MEANING
 ,CREATOR_UID
 ,DATECREATED
 ,CURR_TOTAL_TIME
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,ATTEMPTS_COUNT
 ,COMPLETION_METHOD
 ,FINAL_SCORE
 ,ALLOWSUPERVISORASSESS
 ,WEIGHTEDSCORE
 ,WEIGHTING
 ,SUB_LEARNING
 ,ACTUAL_TRAINING_TIME_SEC
 ,STUDENT_SUBSTATUS
 ,IS_REQD_CUSTOM_ATTR_COMPLETE
 ,BUNDLE_ID
 ,ALLOWBUNDLESWITCH
 ,RESTRICTED_START_DATE
 ,ROOT_TRANSCRIPTID
 ,REGISTRATION
 ,RESERVE_SEAT
 ,PERCENT_COMPLETION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.USERID
 ,:old.LEARNINGID
 ,:old.CURRID
 ,:old.LEARNINGTYPE
 ,:old.EVENTID
 ,:old.STARTDATE
 ,:old.FINISHDATE
 ,:old.FINALGRADE
 ,:old.STUDENTSTATUS
 ,:old.PROGRESS
 ,:old.ASSESSDATE
 ,:old.ATTENDANCE
 ,:old.PERFGRADEID
 ,:old.SESSIONID
 ,:old.CREDITTRANSCRIPTLINK
 ,:old.CURRICULUMTRANSCRIPTLINK
 ,:old.ASSESSMENTSCORE
 ,:old.REQUESTSOURCE
 ,:old.CONTENTSESSIONID
 ,:old.CERTSESSIONID
 ,:old.ENROLLMENTDATE
 ,:old.REMINDERCOUNT
 ,:old.COSTCENTER
 ,:old.CONFIRMATION_STATUS
 ,:old.REOPEN
 ,:old.ISOPEN
 ,:old.PRE_ASSESS_SCORE
 ,:old.POST_ASSESS_SCORE
 ,:old.SETTINGS_AS_OF_DATE
 ,:old.QUICK_EVAL
 ,:old.NOTIFYEMAIL
 ,:old.COMPLETION_DEADLINE
 ,:old.DEADLINE_EXPIRED
 ,:old.REVISION_NUMBER
 ,:old.NTRAININGHOURS
 ,:old.ALLOWDAPPRAISERASSESS
 ,:old.OFFLINE_KEY
 ,:old.MEKP_SYNC
 ,:old.SEND_NOTIF_EW
 ,:old.UPDATE_MEANING
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.CURR_TOTAL_TIME
 ,:old.ATTEMPTS_ALLOWED
 ,:old.GRADING_METHOD
 ,:old.ATTEMPTS_COUNT
 ,:old.COMPLETION_METHOD
 ,:old.FINAL_SCORE
 ,:old.ALLOWSUPERVISORASSESS
 ,:old.WEIGHTEDSCORE
 ,:old.WEIGHTING
 ,:old.SUB_LEARNING
 ,:old.ACTUAL_TRAINING_TIME_SEC
 ,:old.STUDENT_SUBSTATUS
 ,:old.IS_REQD_CUSTOM_ATTR_COMPLETE
 ,:old.BUNDLE_ID
 ,:old.ALLOWBUNDLESWITCH
 ,:old.RESTRICTED_START_DATE
 ,:old.ROOT_TRANSCRIPTID
 ,:old.REGISTRATION
 ,:old.RESERVE_SEAT
 ,:old.PERCENT_COMPLETION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-transcript', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 987, '8:f5818ed236a8678cf37fe54a3698f19e', 'enableAuditTable auditTableName=transcript_aud, tableName=transcript', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-AICC_Core_Vendor::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AICC_CORE_VENDOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AICC_CORE_VENDOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AICC_CORE_VENDOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AICC_CORE_VENDOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AICC_CORE_VENDOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AICC_CORE_VENDOR';
			END IF;
		END;
/

CREATE TABLE AICC_Core_Vendor_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), CORE_VENDOR CLOB, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AICC_CORE_VENDOR_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_AICC_Core_Vendor_aud
 before insert on AICC_Core_Vendor_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into AICC_Core_Vendor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,CORE_VENDOR
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,CORE_VENDOR
 ,UPDATE_MEANING
  from AICC_Core_Vendor
/

CREATE INDEX nuk_AICC_Core_Vendor_aud_1 ON AICC_Core_Vendor_aud(aud_userid)
/

CREATE INDEX nuk_AICC_Core_Vendor_aud_2 ON AICC_Core_Vendor_aud(aud_datetime)
/

create or replace trigger i_AICC_Core_Vendor
after insert on AICC_Core_Vendor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_Core_Vendor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,CORE_VENDOR
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.CORE_VENDOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_AICC_Core_Vendor
after update on AICC_Core_Vendor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_Core_Vendor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,CORE_VENDOR
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.CORE_VENDOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_AICC_Core_Vendor
after delete on AICC_Core_Vendor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_Core_Vendor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,CORE_VENDOR
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.CORE_VENDOR
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-AICC_Core_Vendor', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 988, '8:1a88ca7362af93ae045ad8de2c6b9232', 'enableAuditTable auditTableName=AICC_Core_Vendor_aud, tableName=AICC_Core_Vendor', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-AICC_au::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AICC_AU';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AICC_AU';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AICC_AU';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AICC_AU';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AICC_AU';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AICC_AU';
			END IF;
		END;
/

CREATE TABLE AICC_au_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), SYSTEMID VARCHAR2(40 BYTE), ITEMTYPE VARCHAR2(40 BYTE), COMMANDLINE VARCHAR2(255 BYTE), FILENAME VARCHAR2(255 BYTE), MAXSCORE FLOAT(22), MASTERYSCORE NUMBER(*, 0), MAXTIMEALLOWED VARCHAR2(8 BYTE), TIMELIMITACTION CHAR(20 BYTE), SYSTEMVENDOR VARCHAR2(255 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AICC_AU_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_AICC_au_aud
 before insert on AICC_au_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into AICC_au_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SYSTEMID
 ,ITEMTYPE
 ,COMMANDLINE
 ,FILENAME
 ,MAXSCORE
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,TIMELIMITACTION
 ,SYSTEMVENDOR
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,SYSTEMID
 ,ITEMTYPE
 ,COMMANDLINE
 ,FILENAME
 ,MAXSCORE
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,TIMELIMITACTION
 ,SYSTEMVENDOR
 ,UPDATE_MEANING
  from AICC_au
/

CREATE INDEX nuk_AICC_au_aud_1 ON AICC_au_aud(aud_userid)
/

CREATE INDEX nuk_AICC_au_aud_2 ON AICC_au_aud(aud_datetime)
/

create or replace trigger i_AICC_au
after insert on AICC_au for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_au_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SYSTEMID
 ,ITEMTYPE
 ,COMMANDLINE
 ,FILENAME
 ,MAXSCORE
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,TIMELIMITACTION
 ,SYSTEMVENDOR
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.SYSTEMID
 ,:new.ITEMTYPE
 ,:new.COMMANDLINE
 ,:new.FILENAME
 ,:new.MAXSCORE
 ,:new.MASTERYSCORE
 ,:new.MAXTIMEALLOWED
 ,:new.TIMELIMITACTION
 ,:new.SYSTEMVENDOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_AICC_au
after update on AICC_au for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_au_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SYSTEMID
 ,ITEMTYPE
 ,COMMANDLINE
 ,FILENAME
 ,MAXSCORE
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,TIMELIMITACTION
 ,SYSTEMVENDOR
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.SYSTEMID
 ,:new.ITEMTYPE
 ,:new.COMMANDLINE
 ,:new.FILENAME
 ,:new.MAXSCORE
 ,:new.MASTERYSCORE
 ,:new.MAXTIMEALLOWED
 ,:new.TIMELIMITACTION
 ,:new.SYSTEMVENDOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_AICC_au
after delete on AICC_au for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_au_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SYSTEMID
 ,ITEMTYPE
 ,COMMANDLINE
 ,FILENAME
 ,MAXSCORE
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,TIMELIMITACTION
 ,SYSTEMVENDOR
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.SYSTEMID
 ,:old.ITEMTYPE
 ,:old.COMMANDLINE
 ,:old.FILENAME
 ,:old.MAXSCORE
 ,:old.MASTERYSCORE
 ,:old.MAXTIMEALLOWED
 ,:old.TIMELIMITACTION
 ,:old.SYSTEMVENDOR
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-AICC_au', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 989, '8:e42ebe31d2e226c20af3d94307976ad0', 'enableAuditTable auditTableName=AICC_au_aud, tableName=AICC_au', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-AICC_des::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AICC_DES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AICC_DES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AICC_DES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AICC_DES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AICC_DES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AICC_DES';
			END IF;
		END;
/

CREATE TABLE AICC_des_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), COURSEID VARCHAR2(85 BYTE), SYSTEMID VARCHAR2(40 BYTE), DEVELOPERID VARCHAR2(40 BYTE), TITLE VARCHAR2(1000 BYTE), DESCRIPTION VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AICC_DES_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_AICC_des_aud
 before insert on AICC_des_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into AICC_des_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,SYSTEMID
 ,DEVELOPERID
 ,TITLE
 ,DESCRIPTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,COURSEID
 ,SYSTEMID
 ,DEVELOPERID
 ,TITLE
 ,DESCRIPTION
 ,UPDATE_MEANING
  from AICC_des
/

CREATE INDEX nuk_AICC_des_aud_1 ON AICC_des_aud(aud_userid)
/

CREATE INDEX nuk_AICC_des_aud_2 ON AICC_des_aud(aud_datetime)
/

create or replace trigger i_AICC_des
after insert on AICC_des for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_des_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,SYSTEMID
 ,DEVELOPERID
 ,TITLE
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSEID
 ,:new.SYSTEMID
 ,:new.DEVELOPERID
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_AICC_des
after update on AICC_des for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_des_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,SYSTEMID
 ,DEVELOPERID
 ,TITLE
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSEID
 ,:new.SYSTEMID
 ,:new.DEVELOPERID
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_AICC_des
after delete on AICC_des for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_des_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,SYSTEMID
 ,DEVELOPERID
 ,TITLE
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.COURSEID
 ,:old.SYSTEMID
 ,:old.DEVELOPERID
 ,:old.TITLE
 ,:old.DESCRIPTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-AICC_des', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 990, '8:8f31b6d94a8f173bda6d526825e8bda4', 'enableAuditTable auditTableName=AICC_des_aud, tableName=AICC_des', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-AICC_launch_options::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AICC_LAUNCH_OPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AICC_LAUNCH_OPTIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AICC_LAUNCH_OPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AICC_LAUNCH_OPTIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AICC_LAUNCH_OPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AICC_LAUNCH_OPTIONS';
			END IF;
		END;
/

CREATE TABLE AICC_launch_options_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), COMMENTS CHAR(1 BYTE), EVALUATION CHAR(1 BYTE), OBJECTIVE_STATUS CHAR(1 BYTE), STUDENT_DATA CHAR(1 BYTE), STUDENT_DATA_FULL CHAR(1 BYTE), STUDENT_DEMOGRAPHICS CHAR(1 BYTE), STUDENT_PREFERENCES CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AICC_LAUNCH_OPTIONS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_AICC_launch_options_aud
 before insert on AICC_launch_options_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into AICC_launch_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,COMMENTS
 ,EVALUATION
 ,OBJECTIVE_STATUS
 ,STUDENT_DATA
 ,STUDENT_DATA_FULL
 ,STUDENT_DEMOGRAPHICS
 ,STUDENT_PREFERENCES
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,COMMENTS
 ,EVALUATION
 ,OBJECTIVE_STATUS
 ,STUDENT_DATA
 ,STUDENT_DATA_FULL
 ,STUDENT_DEMOGRAPHICS
 ,STUDENT_PREFERENCES
 ,UPDATE_MEANING
  from AICC_launch_options
/

CREATE INDEX nuk_AICC_launch_options_aud_1 ON AICC_launch_options_aud(aud_userid)
/

CREATE INDEX nuk_AICC_launch_options_aud_2 ON AICC_launch_options_aud(aud_datetime)
/

create or replace trigger i_AICC_launch_options
after insert on AICC_launch_options for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_launch_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,COMMENTS
 ,EVALUATION
 ,OBJECTIVE_STATUS
 ,STUDENT_DATA
 ,STUDENT_DATA_FULL
 ,STUDENT_DEMOGRAPHICS
 ,STUDENT_PREFERENCES
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.COMMENTS
 ,:new.EVALUATION
 ,:new.OBJECTIVE_STATUS
 ,:new.STUDENT_DATA
 ,:new.STUDENT_DATA_FULL
 ,:new.STUDENT_DEMOGRAPHICS
 ,:new.STUDENT_PREFERENCES
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_AICC_launch_options
after update on AICC_launch_options for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_launch_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,COMMENTS
 ,EVALUATION
 ,OBJECTIVE_STATUS
 ,STUDENT_DATA
 ,STUDENT_DATA_FULL
 ,STUDENT_DEMOGRAPHICS
 ,STUDENT_PREFERENCES
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.COMMENTS
 ,:new.EVALUATION
 ,:new.OBJECTIVE_STATUS
 ,:new.STUDENT_DATA
 ,:new.STUDENT_DATA_FULL
 ,:new.STUDENT_DEMOGRAPHICS
 ,:new.STUDENT_PREFERENCES
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_AICC_launch_options
after delete on AICC_launch_options for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into AICC_launch_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,COMMENTS
 ,EVALUATION
 ,OBJECTIVE_STATUS
 ,STUDENT_DATA
 ,STUDENT_DATA_FULL
 ,STUDENT_DEMOGRAPHICS
 ,STUDENT_PREFERENCES
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.COMMENTS
 ,:old.EVALUATION
 ,:old.OBJECTIVE_STATUS
 ,:old.STUDENT_DATA
 ,:old.STUDENT_DATA_FULL
 ,:old.STUDENT_DEMOGRAPHICS
 ,:old.STUDENT_PREFERENCES
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-AICC_launch_options', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 991, '8:cab7688d509c90418b3463a9097b8dca', 'enableAuditTable auditTableName=AICC_launch_options_aud, tableName=AICC_launch_options', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentObject::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTOBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTOBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTOBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTOBJECT';
			END IF;
		END;
/

CREATE TABLE ContentObject_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CONTENTID VARCHAR2(15 BYTE), HREF VARCHAR2(4000 BYTE), INSTALLDATE date, OWNERID VARCHAR2(85 BYTE), PACKAGEID VARCHAR2(85 BYTE), TESTID VARCHAR2(100 BYTE), TYPE CHAR(1 BYTE), IMS_TYPE VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), TINCAN_ACTIVITY_ID NVARCHAR2(2000), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTOBJECT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentObject_aud
 before insert on ContentObject_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,HREF
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,TESTID
 ,TYPE
 ,IMS_TYPE
 ,UPDATE_MEANING
 ,TINCAN_ACTIVITY_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CONTENTID
 ,HREF
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,TESTID
 ,TYPE
 ,IMS_TYPE
 ,UPDATE_MEANING
 ,TINCAN_ACTIVITY_ID
  from ContentObject
/

CREATE INDEX nuk_ContentObject_aud_1 ON ContentObject_aud(aud_userid)
/

CREATE INDEX nuk_ContentObject_aud_2 ON ContentObject_aud(aud_datetime)
/

create or replace trigger i_ContentObject
after insert on ContentObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,HREF
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,TESTID
 ,TYPE
 ,IMS_TYPE
 ,UPDATE_MEANING
 ,TINCAN_ACTIVITY_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CONTENTID
 ,:new.HREF
 ,:new.INSTALLDATE
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.TESTID
 ,:new.TYPE
 ,:new.IMS_TYPE
 ,:new.UPDATE_MEANING
 ,:new.TINCAN_ACTIVITY_ID
);
end;
/

create or replace trigger u_ContentObject
after update on ContentObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,HREF
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,TESTID
 ,TYPE
 ,IMS_TYPE
 ,UPDATE_MEANING
 ,TINCAN_ACTIVITY_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CONTENTID
 ,:new.HREF
 ,:new.INSTALLDATE
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.TESTID
 ,:new.TYPE
 ,:new.IMS_TYPE
 ,:new.UPDATE_MEANING
 ,:new.TINCAN_ACTIVITY_ID
);
end;
/

create or replace trigger d_ContentObject
after delete on ContentObject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentObject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,HREF
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,TESTID
 ,TYPE
 ,IMS_TYPE
 ,UPDATE_MEANING
 ,TINCAN_ACTIVITY_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CONTENTID
 ,:old.HREF
 ,:old.INSTALLDATE
 ,:old.OWNERID
 ,:old.PACKAGEID
 ,:old.TESTID
 ,:old.TYPE
 ,:old.IMS_TYPE
 ,:old.UPDATE_MEANING
 ,:old.TINCAN_ACTIVITY_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentObject', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 992, '8:16825a35d1f3af0dab1d2a58bda0df7b', 'enableAuditTable auditTableName=ContentObject_aud, tableName=ContentObject', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentItem::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTITEM';
			END IF;
		END;
/

CREATE TABLE ContentItem_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CONTENTID VARCHAR2(15 BYTE), ITEMID VARCHAR2(255 BYTE), LAUNCHDATA VARCHAR2(4000 BYTE), MASTERYSCORE VARCHAR2(255 BYTE), MAXTIMEALLOWED VARCHAR2(13 BYTE), PARAMETERS VARCHAR2(1000 BYTE), TIMELIMITACTION VARCHAR2(1 BYTE), REQUIRES_COST_CENTER_EMAIL CHAR(1 BYTE), COMPLETIONTHRESHOLD VARCHAR2(20 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTITEM_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentItem_aud
 before insert on ContentItem_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentItem_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,ITEMID
 ,LAUNCHDATA
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,PARAMETERS
 ,TIMELIMITACTION
 ,REQUIRES_COST_CENTER_EMAIL
 ,COMPLETIONTHRESHOLD
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CONTENTID
 ,ITEMID
 ,LAUNCHDATA
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,PARAMETERS
 ,TIMELIMITACTION
 ,REQUIRES_COST_CENTER_EMAIL
 ,COMPLETIONTHRESHOLD
 ,UPDATE_MEANING
  from ContentItem
/

CREATE INDEX nuk_ContentItem_aud_1 ON ContentItem_aud(aud_userid)
/

CREATE INDEX nuk_ContentItem_aud_2 ON ContentItem_aud(aud_datetime)
/

create or replace trigger i_ContentItem
after insert on ContentItem for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentItem_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,ITEMID
 ,LAUNCHDATA
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,PARAMETERS
 ,TIMELIMITACTION
 ,REQUIRES_COST_CENTER_EMAIL
 ,COMPLETIONTHRESHOLD
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CONTENTID
 ,:new.ITEMID
 ,:new.LAUNCHDATA
 ,:new.MASTERYSCORE
 ,:new.MAXTIMEALLOWED
 ,:new.PARAMETERS
 ,:new.TIMELIMITACTION
 ,:new.REQUIRES_COST_CENTER_EMAIL
 ,:new.COMPLETIONTHRESHOLD
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ContentItem
after update on ContentItem for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentItem_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,ITEMID
 ,LAUNCHDATA
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,PARAMETERS
 ,TIMELIMITACTION
 ,REQUIRES_COST_CENTER_EMAIL
 ,COMPLETIONTHRESHOLD
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CONTENTID
 ,:new.ITEMID
 ,:new.LAUNCHDATA
 ,:new.MASTERYSCORE
 ,:new.MAXTIMEALLOWED
 ,:new.PARAMETERS
 ,:new.TIMELIMITACTION
 ,:new.REQUIRES_COST_CENTER_EMAIL
 ,:new.COMPLETIONTHRESHOLD
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ContentItem
after delete on ContentItem for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentItem_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CONTENTID
 ,ITEMID
 ,LAUNCHDATA
 ,MASTERYSCORE
 ,MAXTIMEALLOWED
 ,PARAMETERS
 ,TIMELIMITACTION
 ,REQUIRES_COST_CENTER_EMAIL
 ,COMPLETIONTHRESHOLD
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CONTENTID
 ,:old.ITEMID
 ,:old.LAUNCHDATA
 ,:old.MASTERYSCORE
 ,:old.MAXTIMEALLOWED
 ,:old.PARAMETERS
 ,:old.TIMELIMITACTION
 ,:old.REQUIRES_COST_CENTER_EMAIL
 ,:old.COMPLETIONTHRESHOLD
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentItem', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 993, '8:1dccd8215cfa096f6e6dadc105c977c2', 'enableAuditTable auditTableName=ContentItem_aud, tableName=ContentItem', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-Sequencing::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SEQUENCING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SEQUENCING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SEQUENCING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SEQUENCING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SEQUENCING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SEQUENCING';
			END IF;
		END;
/

CREATE TABLE Sequencing_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), CHOICE CHAR(1 BYTE), FLOW CHAR(1 BYTE), FORWARDONLY CHAR(1 BYTE), CHOICEEXIT CHAR(1 BYTE), MAXATTEMPTS NUMBER(*, 0), MAXTIMEALLOWED VARCHAR2(30 BYTE), PREVENTCHOICE CHAR(1 BYTE), CONSTRAINCHOICE CHAR(1 BYTE), ROLLUPOBJECTIVESATISFIED CHAR(1 BYTE), ROLLUPPROGRESSCOMPLETION CHAR(1 BYTE), OBJECTIVEMEASUREWEIGHT VARCHAR2(20 BYTE), TRACKED CHAR(1 BYTE), COMPLETIONSETBYCONTENT CHAR(1 BYTE), OBJECTIVESETBYCONTENT CHAR(1 BYTE), ROLLUPSATISFIED CHAR(1 BYTE), ROLLUPNOTSATISFIED CHAR(1 BYTE), ROLLUPCOMPLETED CHAR(1 BYTE), ROLLUPINCOMPLETE CHAR(1 BYTE), ROLLUPMEASURESATISFIED CHAR(1 BYTE), RANDOMIZETIMING CHAR(1 BYTE), RANDOMIZECHILDREN CHAR(1 BYTE), USECURRENTATTEMPTOBJECTIVE CHAR(1 BYTE), USECURRENTATTEMPTPROGRESS CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SEQUENCING_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_Sequencing_aud
 before insert on Sequencing_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into Sequencing_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,CHOICE
 ,FLOW
 ,FORWARDONLY
 ,CHOICEEXIT
 ,MAXATTEMPTS
 ,MAXTIMEALLOWED
 ,PREVENTCHOICE
 ,CONSTRAINCHOICE
 ,ROLLUPOBJECTIVESATISFIED
 ,ROLLUPPROGRESSCOMPLETION
 ,OBJECTIVEMEASUREWEIGHT
 ,TRACKED
 ,COMPLETIONSETBYCONTENT
 ,OBJECTIVESETBYCONTENT
 ,ROLLUPSATISFIED
 ,ROLLUPNOTSATISFIED
 ,ROLLUPCOMPLETED
 ,ROLLUPINCOMPLETE
 ,ROLLUPMEASURESATISFIED
 ,RANDOMIZETIMING
 ,RANDOMIZECHILDREN
 ,USECURRENTATTEMPTOBJECTIVE
 ,USECURRENTATTEMPTPROGRESS
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,CHOICE
 ,FLOW
 ,FORWARDONLY
 ,CHOICEEXIT
 ,MAXATTEMPTS
 ,MAXTIMEALLOWED
 ,PREVENTCHOICE
 ,CONSTRAINCHOICE
 ,ROLLUPOBJECTIVESATISFIED
 ,ROLLUPPROGRESSCOMPLETION
 ,OBJECTIVEMEASUREWEIGHT
 ,TRACKED
 ,COMPLETIONSETBYCONTENT
 ,OBJECTIVESETBYCONTENT
 ,ROLLUPSATISFIED
 ,ROLLUPNOTSATISFIED
 ,ROLLUPCOMPLETED
 ,ROLLUPINCOMPLETE
 ,ROLLUPMEASURESATISFIED
 ,RANDOMIZETIMING
 ,RANDOMIZECHILDREN
 ,USECURRENTATTEMPTOBJECTIVE
 ,USECURRENTATTEMPTPROGRESS
 ,UPDATE_MEANING
  from Sequencing
/

CREATE INDEX nuk_Sequencing_aud_1 ON Sequencing_aud(aud_userid)
/

CREATE INDEX nuk_Sequencing_aud_2 ON Sequencing_aud(aud_datetime)
/

create or replace trigger i_Sequencing
after insert on Sequencing for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into Sequencing_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,CHOICE
 ,FLOW
 ,FORWARDONLY
 ,CHOICEEXIT
 ,MAXATTEMPTS
 ,MAXTIMEALLOWED
 ,PREVENTCHOICE
 ,CONSTRAINCHOICE
 ,ROLLUPOBJECTIVESATISFIED
 ,ROLLUPPROGRESSCOMPLETION
 ,OBJECTIVEMEASUREWEIGHT
 ,TRACKED
 ,COMPLETIONSETBYCONTENT
 ,OBJECTIVESETBYCONTENT
 ,ROLLUPSATISFIED
 ,ROLLUPNOTSATISFIED
 ,ROLLUPCOMPLETED
 ,ROLLUPINCOMPLETE
 ,ROLLUPMEASURESATISFIED
 ,RANDOMIZETIMING
 ,RANDOMIZECHILDREN
 ,USECURRENTATTEMPTOBJECTIVE
 ,USECURRENTATTEMPTPROGRESS
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.CHOICE
 ,:new.FLOW
 ,:new.FORWARDONLY
 ,:new.CHOICEEXIT
 ,:new.MAXATTEMPTS
 ,:new.MAXTIMEALLOWED
 ,:new.PREVENTCHOICE
 ,:new.CONSTRAINCHOICE
 ,:new.ROLLUPOBJECTIVESATISFIED
 ,:new.ROLLUPPROGRESSCOMPLETION
 ,:new.OBJECTIVEMEASUREWEIGHT
 ,:new.TRACKED
 ,:new.COMPLETIONSETBYCONTENT
 ,:new.OBJECTIVESETBYCONTENT
 ,:new.ROLLUPSATISFIED
 ,:new.ROLLUPNOTSATISFIED
 ,:new.ROLLUPCOMPLETED
 ,:new.ROLLUPINCOMPLETE
 ,:new.ROLLUPMEASURESATISFIED
 ,:new.RANDOMIZETIMING
 ,:new.RANDOMIZECHILDREN
 ,:new.USECURRENTATTEMPTOBJECTIVE
 ,:new.USECURRENTATTEMPTPROGRESS
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_Sequencing
after update on Sequencing for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into Sequencing_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,CHOICE
 ,FLOW
 ,FORWARDONLY
 ,CHOICEEXIT
 ,MAXATTEMPTS
 ,MAXTIMEALLOWED
 ,PREVENTCHOICE
 ,CONSTRAINCHOICE
 ,ROLLUPOBJECTIVESATISFIED
 ,ROLLUPPROGRESSCOMPLETION
 ,OBJECTIVEMEASUREWEIGHT
 ,TRACKED
 ,COMPLETIONSETBYCONTENT
 ,OBJECTIVESETBYCONTENT
 ,ROLLUPSATISFIED
 ,ROLLUPNOTSATISFIED
 ,ROLLUPCOMPLETED
 ,ROLLUPINCOMPLETE
 ,ROLLUPMEASURESATISFIED
 ,RANDOMIZETIMING
 ,RANDOMIZECHILDREN
 ,USECURRENTATTEMPTOBJECTIVE
 ,USECURRENTATTEMPTPROGRESS
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.CHOICE
 ,:new.FLOW
 ,:new.FORWARDONLY
 ,:new.CHOICEEXIT
 ,:new.MAXATTEMPTS
 ,:new.MAXTIMEALLOWED
 ,:new.PREVENTCHOICE
 ,:new.CONSTRAINCHOICE
 ,:new.ROLLUPOBJECTIVESATISFIED
 ,:new.ROLLUPPROGRESSCOMPLETION
 ,:new.OBJECTIVEMEASUREWEIGHT
 ,:new.TRACKED
 ,:new.COMPLETIONSETBYCONTENT
 ,:new.OBJECTIVESETBYCONTENT
 ,:new.ROLLUPSATISFIED
 ,:new.ROLLUPNOTSATISFIED
 ,:new.ROLLUPCOMPLETED
 ,:new.ROLLUPINCOMPLETE
 ,:new.ROLLUPMEASURESATISFIED
 ,:new.RANDOMIZETIMING
 ,:new.RANDOMIZECHILDREN
 ,:new.USECURRENTATTEMPTOBJECTIVE
 ,:new.USECURRENTATTEMPTPROGRESS
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_Sequencing
after delete on Sequencing for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into Sequencing_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,CHOICE
 ,FLOW
 ,FORWARDONLY
 ,CHOICEEXIT
 ,MAXATTEMPTS
 ,MAXTIMEALLOWED
 ,PREVENTCHOICE
 ,CONSTRAINCHOICE
 ,ROLLUPOBJECTIVESATISFIED
 ,ROLLUPPROGRESSCOMPLETION
 ,OBJECTIVEMEASUREWEIGHT
 ,TRACKED
 ,COMPLETIONSETBYCONTENT
 ,OBJECTIVESETBYCONTENT
 ,ROLLUPSATISFIED
 ,ROLLUPNOTSATISFIED
 ,ROLLUPCOMPLETED
 ,ROLLUPINCOMPLETE
 ,ROLLUPMEASURESATISFIED
 ,RANDOMIZETIMING
 ,RANDOMIZECHILDREN
 ,USECURRENTATTEMPTOBJECTIVE
 ,USECURRENTATTEMPTPROGRESS
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.CHOICE
 ,:old.FLOW
 ,:old.FORWARDONLY
 ,:old.CHOICEEXIT
 ,:old.MAXATTEMPTS
 ,:old.MAXTIMEALLOWED
 ,:old.PREVENTCHOICE
 ,:old.CONSTRAINCHOICE
 ,:old.ROLLUPOBJECTIVESATISFIED
 ,:old.ROLLUPPROGRESSCOMPLETION
 ,:old.OBJECTIVEMEASUREWEIGHT
 ,:old.TRACKED
 ,:old.COMPLETIONSETBYCONTENT
 ,:old.OBJECTIVESETBYCONTENT
 ,:old.ROLLUPSATISFIED
 ,:old.ROLLUPNOTSATISFIED
 ,:old.ROLLUPCOMPLETED
 ,:old.ROLLUPINCOMPLETE
 ,:old.ROLLUPMEASURESATISFIED
 ,:old.RANDOMIZETIMING
 ,:old.RANDOMIZECHILDREN
 ,:old.USECURRENTATTEMPTOBJECTIVE
 ,:old.USECURRENTATTEMPTPROGRESS
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-Sequencing', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 994, '8:fd8f42fdd0cdbe355c73266b86bdc4c4', 'enableAuditTable auditTableName=Sequencing_aud, tableName=Sequencing', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-SequenceRule::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SEQUENCERULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SEQUENCERULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SEQUENCERULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SEQUENCERULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SEQUENCERULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SEQUENCERULE';
			END IF;
		END;
/

CREATE TABLE SequenceRule_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), RULEINDEX NUMBER(*, 0), TYPE CHAR(1 BYTE), COMBINATION CHAR(1 BYTE), ACTION CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SEQUENCERULE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_SequenceRule_aud
 before insert on SequenceRule_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into SequenceRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,TYPE
 ,COMBINATION
 ,ACTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,RULEINDEX
 ,TYPE
 ,COMBINATION
 ,ACTION
 ,UPDATE_MEANING
  from SequenceRule
/

CREATE INDEX nuk_SequenceRule_aud_1 ON SequenceRule_aud(aud_userid)
/

CREATE INDEX nuk_SequenceRule_aud_2 ON SequenceRule_aud(aud_datetime)
/

create or replace trigger i_SequenceRule
after insert on SequenceRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,TYPE
 ,COMBINATION
 ,ACTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.TYPE
 ,:new.COMBINATION
 ,:new.ACTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_SequenceRule
after update on SequenceRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,TYPE
 ,COMBINATION
 ,ACTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.TYPE
 ,:new.COMBINATION
 ,:new.ACTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_SequenceRule
after delete on SequenceRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,TYPE
 ,COMBINATION
 ,ACTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.RULEINDEX
 ,:old.TYPE
 ,:old.COMBINATION
 ,:old.ACTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-SequenceRule', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 995, '8:21585b51e0f7c332b37adce831f02c1b', 'enableAuditTable auditTableName=SequenceRule_aud, tableName=SequenceRule', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-SeqRuleCondition::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SEQRULECONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SEQRULECONDITION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SEQRULECONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SEQRULECONDITION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SEQRULECONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SEQRULECONDITION';
			END IF;
		END;
/

CREATE TABLE SeqRuleCondition_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), RULEINDEX NUMBER(*, 0), CONDITIONINDEX NUMBER(*, 0), RULECONDITION CHAR(1 BYTE), REFERENCEDOBJECTIVE VARCHAR2(2000 BYTE), MEASURETHRESHOLD VARCHAR2(20 BYTE), OPERATOR CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SEQRULECONDITION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_SeqRuleCondition_aud
 before insert on SeqRuleCondition_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into SeqRuleCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,RULECONDITION
 ,REFERENCEDOBJECTIVE
 ,MEASURETHRESHOLD
 ,OPERATOR
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,RULECONDITION
 ,REFERENCEDOBJECTIVE
 ,MEASURETHRESHOLD
 ,OPERATOR
 ,UPDATE_MEANING
  from SeqRuleCondition
/

CREATE INDEX nuk_SeqRuleCondition_aud_1 ON SeqRuleCondition_aud(aud_userid)
/

CREATE INDEX nuk_SeqRuleCondition_aud_2 ON SeqRuleCondition_aud(aud_datetime)
/

create or replace trigger i_SeqRuleCondition
after insert on SeqRuleCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqRuleCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,RULECONDITION
 ,REFERENCEDOBJECTIVE
 ,MEASURETHRESHOLD
 ,OPERATOR
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CONDITIONINDEX
 ,:new.RULECONDITION
 ,:new.REFERENCEDOBJECTIVE
 ,:new.MEASURETHRESHOLD
 ,:new.OPERATOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_SeqRuleCondition
after update on SeqRuleCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqRuleCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,RULECONDITION
 ,REFERENCEDOBJECTIVE
 ,MEASURETHRESHOLD
 ,OPERATOR
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CONDITIONINDEX
 ,:new.RULECONDITION
 ,:new.REFERENCEDOBJECTIVE
 ,:new.MEASURETHRESHOLD
 ,:new.OPERATOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_SeqRuleCondition
after delete on SeqRuleCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqRuleCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,RULECONDITION
 ,REFERENCEDOBJECTIVE
 ,MEASURETHRESHOLD
 ,OPERATOR
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.RULEINDEX
 ,:old.CONDITIONINDEX
 ,:old.RULECONDITION
 ,:old.REFERENCEDOBJECTIVE
 ,:old.MEASURETHRESHOLD
 ,:old.OPERATOR
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-SeqRuleCondition', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 996, '8:33676e5f164464bff0d393364ff66171', 'enableAuditTable auditTableName=SeqRuleCondition_aud, tableName=SeqRuleCondition', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-SequenceObjective::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SEQUENCEOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SEQUENCEOBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SEQUENCEOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SEQUENCEOBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SEQUENCEOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SEQUENCEOBJECTIVE';
			END IF;
		END;
/

CREATE TABLE SequenceObjective_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), OBJECTIVEINDEX NUMBER(*, 0), OBJECTIVEID VARCHAR2(2000 BYTE), SATISFIEDBYMEASURE CHAR(1 BYTE), MINNORMALIZEDMEASURE VARCHAR2(20 BYTE), ISPRIMARY CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SEQUENCEOBJECTIVE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_SequenceObjective_aud
 before insert on SequenceObjective_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into SequenceObjective_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,OBJECTIVEID
 ,SATISFIEDBYMEASURE
 ,MINNORMALIZEDMEASURE
 ,ISPRIMARY
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,OBJECTIVEID
 ,SATISFIEDBYMEASURE
 ,MINNORMALIZEDMEASURE
 ,ISPRIMARY
 ,UPDATE_MEANING
  from SequenceObjective
/

CREATE INDEX nuk_SequenceObjective_aud_1 ON SequenceObjective_aud(aud_userid)
/

CREATE INDEX nuk_SequenceObjective_aud_2 ON SequenceObjective_aud(aud_datetime)
/

create or replace trigger i_SequenceObjective
after insert on SequenceObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceObjective_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,OBJECTIVEID
 ,SATISFIEDBYMEASURE
 ,MINNORMALIZEDMEASURE
 ,ISPRIMARY
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVEINDEX
 ,:new.OBJECTIVEID
 ,:new.SATISFIEDBYMEASURE
 ,:new.MINNORMALIZEDMEASURE
 ,:new.ISPRIMARY
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_SequenceObjective
after update on SequenceObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceObjective_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,OBJECTIVEID
 ,SATISFIEDBYMEASURE
 ,MINNORMALIZEDMEASURE
 ,ISPRIMARY
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVEINDEX
 ,:new.OBJECTIVEID
 ,:new.SATISFIEDBYMEASURE
 ,:new.MINNORMALIZEDMEASURE
 ,:new.ISPRIMARY
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_SequenceObjective
after delete on SequenceObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SequenceObjective_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,OBJECTIVEID
 ,SATISFIEDBYMEASURE
 ,MINNORMALIZEDMEASURE
 ,ISPRIMARY
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.OBJECTIVEINDEX
 ,:old.OBJECTIVEID
 ,:old.SATISFIEDBYMEASURE
 ,:old.MINNORMALIZEDMEASURE
 ,:old.ISPRIMARY
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-SequenceObjective', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 997, '8:9582988e01339bda021274c11924c3ec', 'enableAuditTable auditTableName=SequenceObjective_aud, tableName=SequenceObjective', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-SeqObjectiveMap::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SEQOBJECTIVEMAP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SEQOBJECTIVEMAP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SEQOBJECTIVEMAP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SEQOBJECTIVEMAP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SEQOBJECTIVEMAP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SEQOBJECTIVEMAP';
			END IF;
		END;
/

CREATE TABLE SeqObjectiveMap_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), OBJECTIVEINDEX NUMBER(*, 0), MAPINDEX NUMBER(*, 0), TARGETOBJECTIVEID VARCHAR2(2000 BYTE), READSATISFIEDSTATUS CHAR(1 BYTE), READNORMALIZEDMEASURE CHAR(1 BYTE), WRITESATISFIEDSTATUS CHAR(1 BYTE), WRITENORMALIZEDMEASURE CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SEQOBJECTIVEMAP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_SeqObjectiveMap_aud
 before insert on SeqObjectiveMap_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into SeqObjectiveMap_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,MAPINDEX
 ,TARGETOBJECTIVEID
 ,READSATISFIEDSTATUS
 ,READNORMALIZEDMEASURE
 ,WRITESATISFIEDSTATUS
 ,WRITENORMALIZEDMEASURE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,MAPINDEX
 ,TARGETOBJECTIVEID
 ,READSATISFIEDSTATUS
 ,READNORMALIZEDMEASURE
 ,WRITESATISFIEDSTATUS
 ,WRITENORMALIZEDMEASURE
 ,UPDATE_MEANING
  from SeqObjectiveMap
/

CREATE INDEX nuk_SeqObjectiveMap_aud_1 ON SeqObjectiveMap_aud(aud_userid)
/

CREATE INDEX nuk_SeqObjectiveMap_aud_2 ON SeqObjectiveMap_aud(aud_datetime)
/

create or replace trigger i_SeqObjectiveMap
after insert on SeqObjectiveMap for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqObjectiveMap_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,MAPINDEX
 ,TARGETOBJECTIVEID
 ,READSATISFIEDSTATUS
 ,READNORMALIZEDMEASURE
 ,WRITESATISFIEDSTATUS
 ,WRITENORMALIZEDMEASURE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVEINDEX
 ,:new.MAPINDEX
 ,:new.TARGETOBJECTIVEID
 ,:new.READSATISFIEDSTATUS
 ,:new.READNORMALIZEDMEASURE
 ,:new.WRITESATISFIEDSTATUS
 ,:new.WRITENORMALIZEDMEASURE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_SeqObjectiveMap
after update on SeqObjectiveMap for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqObjectiveMap_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,MAPINDEX
 ,TARGETOBJECTIVEID
 ,READSATISFIEDSTATUS
 ,READNORMALIZEDMEASURE
 ,WRITESATISFIEDSTATUS
 ,WRITENORMALIZEDMEASURE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVEINDEX
 ,:new.MAPINDEX
 ,:new.TARGETOBJECTIVEID
 ,:new.READSATISFIEDSTATUS
 ,:new.READNORMALIZEDMEASURE
 ,:new.WRITESATISFIEDSTATUS
 ,:new.WRITENORMALIZEDMEASURE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_SeqObjectiveMap
after delete on SeqObjectiveMap for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into SeqObjectiveMap_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,OBJECTIVEINDEX
 ,MAPINDEX
 ,TARGETOBJECTIVEID
 ,READSATISFIEDSTATUS
 ,READNORMALIZEDMEASURE
 ,WRITESATISFIEDSTATUS
 ,WRITENORMALIZEDMEASURE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.OBJECTIVEINDEX
 ,:old.MAPINDEX
 ,:old.TARGETOBJECTIVEID
 ,:old.READSATISFIEDSTATUS
 ,:old.READNORMALIZEDMEASURE
 ,:old.WRITESATISFIEDSTATUS
 ,:old.WRITENORMALIZEDMEASURE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-SeqObjectiveMap', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 998, '8:fab0b4eb273c0c1fc573f58c78d77982', 'enableAuditTable auditTableName=SeqObjectiveMap_aud, tableName=SeqObjectiveMap', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-RollupRule::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ROLLUPRULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ROLLUPRULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ROLLUPRULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ROLLUPRULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ROLLUPRULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ROLLUPRULE';
			END IF;
		END;
/

CREATE TABLE RollupRule_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), RULEINDEX NUMBER(*, 0), CHILDACTIVITYSET CHAR(1 BYTE), MINIMUMCOUNT NUMBER(*, 0), MINIMUMPERCENT VARCHAR2(20 BYTE), ACTION CHAR(1 BYTE), CONDITIONCOMBI CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ROLLUPRULE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_RollupRule_aud
 before insert on RollupRule_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into RollupRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CHILDACTIVITYSET
 ,MINIMUMCOUNT
 ,MINIMUMPERCENT
 ,ACTION
 ,CONDITIONCOMBI
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,RULEINDEX
 ,CHILDACTIVITYSET
 ,MINIMUMCOUNT
 ,MINIMUMPERCENT
 ,ACTION
 ,CONDITIONCOMBI
 ,UPDATE_MEANING
  from RollupRule
/

CREATE INDEX nuk_RollupRule_aud_1 ON RollupRule_aud(aud_userid)
/

CREATE INDEX nuk_RollupRule_aud_2 ON RollupRule_aud(aud_datetime)
/

create or replace trigger i_RollupRule
after insert on RollupRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CHILDACTIVITYSET
 ,MINIMUMCOUNT
 ,MINIMUMPERCENT
 ,ACTION
 ,CONDITIONCOMBI
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CHILDACTIVITYSET
 ,:new.MINIMUMCOUNT
 ,:new.MINIMUMPERCENT
 ,:new.ACTION
 ,:new.CONDITIONCOMBI
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_RollupRule
after update on RollupRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CHILDACTIVITYSET
 ,MINIMUMCOUNT
 ,MINIMUMPERCENT
 ,ACTION
 ,CONDITIONCOMBI
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CHILDACTIVITYSET
 ,:new.MINIMUMCOUNT
 ,:new.MINIMUMPERCENT
 ,:new.ACTION
 ,:new.CONDITIONCOMBI
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_RollupRule
after delete on RollupRule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupRule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CHILDACTIVITYSET
 ,MINIMUMCOUNT
 ,MINIMUMPERCENT
 ,ACTION
 ,CONDITIONCOMBI
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.RULEINDEX
 ,:old.CHILDACTIVITYSET
 ,:old.MINIMUMCOUNT
 ,:old.MINIMUMPERCENT
 ,:old.ACTION
 ,:old.CONDITIONCOMBI
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-RollupRule', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 999, '8:5ddeea0e2daf411284e1f9f0db210616', 'enableAuditTable auditTableName=RollupRule_aud, tableName=RollupRule', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-RollupCondition::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ROLLUPCONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ROLLUPCONDITION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ROLLUPCONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ROLLUPCONDITION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ROLLUPCONDITION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ROLLUPCONDITION';
			END IF;
		END;
/

CREATE TABLE RollupCondition_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SEQUENCINGID VARCHAR2(15 BYTE), RULEINDEX NUMBER(*, 0), CONDITIONINDEX NUMBER(*, 0), ROLLUPCONDITION CHAR(1 BYTE), OPERATOR CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ROLLUPCONDITION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_RollupCondition_aud
 before insert on RollupCondition_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into RollupCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,ROLLUPCONDITION
 ,OPERATOR
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,ROLLUPCONDITION
 ,OPERATOR
 ,UPDATE_MEANING
  from RollupCondition
/

CREATE INDEX nuk_RollupCondition_aud_1 ON RollupCondition_aud(aud_userid)
/

CREATE INDEX nuk_RollupCondition_aud_2 ON RollupCondition_aud(aud_datetime)
/

create or replace trigger i_RollupCondition
after insert on RollupCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,ROLLUPCONDITION
 ,OPERATOR
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CONDITIONINDEX
 ,:new.ROLLUPCONDITION
 ,:new.OPERATOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_RollupCondition
after update on RollupCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,ROLLUPCONDITION
 ,OPERATOR
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SEQUENCINGID
 ,:new.RULEINDEX
 ,:new.CONDITIONINDEX
 ,:new.ROLLUPCONDITION
 ,:new.OPERATOR
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_RollupCondition
after delete on RollupCondition for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into RollupCondition_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SEQUENCINGID
 ,RULEINDEX
 ,CONDITIONINDEX
 ,ROLLUPCONDITION
 ,OPERATOR
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SEQUENCINGID
 ,:old.RULEINDEX
 ,:old.CONDITIONINDEX
 ,:old.ROLLUPCONDITION
 ,:old.OPERATOR
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-RollupCondition', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1000, '8:19b2407d246c5f95c2b3536057b3ee34', 'enableAuditTable auditTableName=RollupCondition_aud, tableName=RollupCondition', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentOrganization::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTORGANIZATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTORGANIZATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTORGANIZATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTORGANIZATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTORGANIZATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTORGANIZATION';
			END IF;
		END;
/

CREATE TABLE ContentOrganization_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTALLDATE date, ORGANIZATIONID VARCHAR2(15 BYTE), OWNERID VARCHAR2(85 BYTE), PACKAGEID VARCHAR2(85 BYTE), TITLE VARCHAR2(200 BYTE), DESCRIPTION CLOB, DURATION VARCHAR2(100 BYTE), COURSE_ID VARCHAR2(85 BYTE), COURSE_TEMPLATE_ID VARCHAR2(15 BYTE), IS_MASTER CHAR(1 BYTE), COURSE_CREATOR VARCHAR2(100 BYTE), SEQUENCINGID VARCHAR2(15 BYTE), OBJECTIVESGLOBALTOSYSTEM CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTORGANIZATION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentOrganization_aud
 before insert on ContentOrganization_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentOrganization_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTALLDATE
 ,ORGANIZATIONID
 ,OWNERID
 ,PACKAGEID
 ,TITLE
 ,DESCRIPTION
 ,DURATION
 ,COURSE_ID
 ,COURSE_TEMPLATE_ID
 ,IS_MASTER
 ,COURSE_CREATOR
 ,SEQUENCINGID
 ,OBJECTIVESGLOBALTOSYSTEM
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTALLDATE
 ,ORGANIZATIONID
 ,OWNERID
 ,PACKAGEID
 ,TITLE
 ,DESCRIPTION
 ,DURATION
 ,COURSE_ID
 ,COURSE_TEMPLATE_ID
 ,IS_MASTER
 ,COURSE_CREATOR
 ,SEQUENCINGID
 ,OBJECTIVESGLOBALTOSYSTEM
 ,UPDATE_MEANING
  from ContentOrganization
/

CREATE INDEX nuk_ContentOrganization_aud_1 ON ContentOrganization_aud(aud_userid)
/

CREATE INDEX nuk_ContentOrganization_aud_2 ON ContentOrganization_aud(aud_datetime)
/

create or replace trigger i_ContentOrganization
after insert on ContentOrganization for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrganization_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTALLDATE
 ,ORGANIZATIONID
 ,OWNERID
 ,PACKAGEID
 ,TITLE
 ,DESCRIPTION
 ,DURATION
 ,COURSE_ID
 ,COURSE_TEMPLATE_ID
 ,IS_MASTER
 ,COURSE_CREATOR
 ,SEQUENCINGID
 ,OBJECTIVESGLOBALTOSYSTEM
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTALLDATE
 ,:new.ORGANIZATIONID
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.DURATION
 ,:new.COURSE_ID
 ,:new.COURSE_TEMPLATE_ID
 ,:new.IS_MASTER
 ,:new.COURSE_CREATOR
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVESGLOBALTOSYSTEM
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ContentOrganization
after update on ContentOrganization for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrganization_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTALLDATE
 ,ORGANIZATIONID
 ,OWNERID
 ,PACKAGEID
 ,TITLE
 ,DESCRIPTION
 ,DURATION
 ,COURSE_ID
 ,COURSE_TEMPLATE_ID
 ,IS_MASTER
 ,COURSE_CREATOR
 ,SEQUENCINGID
 ,OBJECTIVESGLOBALTOSYSTEM
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTALLDATE
 ,:new.ORGANIZATIONID
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.DURATION
 ,:new.COURSE_ID
 ,:new.COURSE_TEMPLATE_ID
 ,:new.IS_MASTER
 ,:new.COURSE_CREATOR
 ,:new.SEQUENCINGID
 ,:new.OBJECTIVESGLOBALTOSYSTEM
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ContentOrganization
after delete on ContentOrganization for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrganization_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTALLDATE
 ,ORGANIZATIONID
 ,OWNERID
 ,PACKAGEID
 ,TITLE
 ,DESCRIPTION
 ,DURATION
 ,COURSE_ID
 ,COURSE_TEMPLATE_ID
 ,IS_MASTER
 ,COURSE_CREATOR
 ,SEQUENCINGID
 ,OBJECTIVESGLOBALTOSYSTEM
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTALLDATE
 ,:old.ORGANIZATIONID
 ,:old.OWNERID
 ,:old.PACKAGEID
 ,:old.TITLE
 ,:old.DESCRIPTION
 ,:old.DURATION
 ,:old.COURSE_ID
 ,:old.COURSE_TEMPLATE_ID
 ,:old.IS_MASTER
 ,:old.COURSE_CREATOR
 ,:old.SEQUENCINGID
 ,:old.OBJECTIVESGLOBALTOSYSTEM
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentOrganization', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1001, '8:eb7b8bbfcc266aeb2a6a314f53feaa63', 'enableAuditTable auditTableName=ContentOrganization_aud, tableName=ContentOrganization', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentOrganizationNode::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTORGANIZATIONNODE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTORGANIZATIONNODE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTORGANIZATIONNODE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTORGANIZATIONNODE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTORGANIZATIONNODE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTORGANIZATIONNODE';
			END IF;
		END;
/

CREATE TABLE ContentOrgNode_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ISVISIBLE VARCHAR2(1 BYTE), ITEMID VARCHAR2(15 BYTE), NODEID VARCHAR2(2000 BYTE), NODEINDEX NUMBER(*, 0), ORGANIZATIONID VARCHAR2(15 BYTE), PARENTID VARCHAR2(85 BYTE), PREREQUISITES VARCHAR2(200 BYTE), TITLE VARCHAR2(200 BYTE), HIDENAVUI VARCHAR2(10 BYTE), SEQUENCINGID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTORGNODE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentOrgNode_aud
 before insert on ContentOrgNode_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentOrgNode_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ISVISIBLE
 ,ITEMID
 ,NODEID
 ,NODEINDEX
 ,ORGANIZATIONID
 ,PARENTID
 ,PREREQUISITES
 ,TITLE
 ,HIDENAVUI
 ,SEQUENCINGID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ISVISIBLE
 ,ITEMID
 ,NODEID
 ,NODEINDEX
 ,ORGANIZATIONID
 ,PARENTID
 ,PREREQUISITES
 ,TITLE
 ,HIDENAVUI
 ,SEQUENCINGID
 ,UPDATE_MEANING
  from ContentOrganizationNode
/

CREATE INDEX nuk_ContentOrgNode_aud_1 ON ContentOrgNode_aud(aud_userid)
/

CREATE INDEX nuk_ContentOrgNode_aud_2 ON ContentOrgNode_aud(aud_datetime)
/

create or replace trigger i_ContentOrganizationNode
after insert on ContentOrganizationNode for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgNode_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ISVISIBLE
 ,ITEMID
 ,NODEID
 ,NODEINDEX
 ,ORGANIZATIONID
 ,PARENTID
 ,PREREQUISITES
 ,TITLE
 ,HIDENAVUI
 ,SEQUENCINGID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ISVISIBLE
 ,:new.ITEMID
 ,:new.NODEID
 ,:new.NODEINDEX
 ,:new.ORGANIZATIONID
 ,:new.PARENTID
 ,:new.PREREQUISITES
 ,:new.TITLE
 ,:new.HIDENAVUI
 ,:new.SEQUENCINGID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ContentOrganizationNode
after update on ContentOrganizationNode for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgNode_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ISVISIBLE
 ,ITEMID
 ,NODEID
 ,NODEINDEX
 ,ORGANIZATIONID
 ,PARENTID
 ,PREREQUISITES
 ,TITLE
 ,HIDENAVUI
 ,SEQUENCINGID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ISVISIBLE
 ,:new.ITEMID
 ,:new.NODEID
 ,:new.NODEINDEX
 ,:new.ORGANIZATIONID
 ,:new.PARENTID
 ,:new.PREREQUISITES
 ,:new.TITLE
 ,:new.HIDENAVUI
 ,:new.SEQUENCINGID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ContentOrganizationNode
after delete on ContentOrganizationNode for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgNode_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ISVISIBLE
 ,ITEMID
 ,NODEID
 ,NODEINDEX
 ,ORGANIZATIONID
 ,PARENTID
 ,PREREQUISITES
 ,TITLE
 ,HIDENAVUI
 ,SEQUENCINGID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ISVISIBLE
 ,:old.ITEMID
 ,:old.NODEID
 ,:old.NODEINDEX
 ,:old.ORGANIZATIONID
 ,:old.PARENTID
 ,:old.PREREQUISITES
 ,:old.TITLE
 ,:old.HIDENAVUI
 ,:old.SEQUENCINGID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentOrganizationNode', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1002, '8:0572b4165e9ddbfd4f1bb894dc23be80', 'enableAuditTable auditTableName=ContentOrgNode_aud, tableName=ContentOrganizationNode', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentOrganizationObjective::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTORGANIZATIONOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTORGANIZATIONOBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTORGANIZATIONOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTORGANIZATIONOBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTORGANIZATIONOBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTORGANIZATIONOBJECTIVE';
			END IF;
		END;
/

CREATE TABLE ContentOrgObj_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ORGANIZATIONID VARCHAR2(15 BYTE), OBJECTIVEINDEX NUMBER(*, 0), DESCRIPTION CLOB, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTORGOBJ_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentOrgObj_aud
 before insert on ContentOrgObj_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentOrgObj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATIONID
 ,OBJECTIVEINDEX
 ,DESCRIPTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ORGANIZATIONID
 ,OBJECTIVEINDEX
 ,DESCRIPTION
 ,UPDATE_MEANING
  from ContentOrganizationObjective
/

CREATE INDEX nuk_ContentOrgObj_aud_1 ON ContentOrgObj_aud(aud_userid)
/

CREATE INDEX nuk_ContentOrgObj_aud_2 ON ContentOrgObj_aud(aud_datetime)
/

create or replace trigger i_ContentOrganizationObjective
after insert on ContentOrganizationObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgObj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATIONID
 ,OBJECTIVEINDEX
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ORGANIZATIONID
 ,:new.OBJECTIVEINDEX
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ContentOrganizationObjective
after update on ContentOrganizationObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgObj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATIONID
 ,OBJECTIVEINDEX
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ORGANIZATIONID
 ,:new.OBJECTIVEINDEX
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ContentOrganizationObjective
after delete on ContentOrganizationObjective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentOrgObj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATIONID
 ,OBJECTIVEINDEX
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ORGANIZATIONID
 ,:old.OBJECTIVEINDEX
 ,:old.DESCRIPTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentOrganizationObjective', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1003, '8:e2798eba182ed34d8a65c5da7f28da72', 'enableAuditTable auditTableName=ContentOrgObj_aud, tableName=ContentOrganizationObjective', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ContentPackage::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENTPACKAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENTPACKAGE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENTPACKAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENTPACKAGE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENTPACKAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENTPACKAGE';
			END IF;
		END;
/

CREATE TABLE ContentPackage_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, FILENAME VARCHAR2(100 BYTE), INSTALLDATE date, OWNERID VARCHAR2(85 BYTE), PACKAGEID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENTPACKAGE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ContentPackage_aud
 before insert on ContentPackage_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ContentPackage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,FILENAME
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,FILENAME
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,UPDATE_MEANING
  from ContentPackage
/

CREATE INDEX nuk_ContentPackage_aud_1 ON ContentPackage_aud(aud_userid)
/

CREATE INDEX nuk_ContentPackage_aud_2 ON ContentPackage_aud(aud_datetime)
/

create or replace trigger i_ContentPackage
after insert on ContentPackage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentPackage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,FILENAME
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.FILENAME
 ,:new.INSTALLDATE
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ContentPackage
after update on ContentPackage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentPackage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,FILENAME
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.FILENAME
 ,:new.INSTALLDATE
 ,:new.OWNERID
 ,:new.PACKAGEID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ContentPackage
after delete on ContentPackage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ContentPackage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,FILENAME
 ,INSTALLDATE
 ,OWNERID
 ,PACKAGEID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.FILENAME
 ,:old.INSTALLDATE
 ,:old.OWNERID
 ,:old.PACKAGEID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ContentPackage', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1004, '8:6be47b0d0762fca9c465bd288ac8e52d', 'enableAuditTable auditTableName=ContentPackage_aud, tableName=ContentPackage', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-approval_queue::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_APPROVAL_QUEUE';
			END IF;
		END;
/

CREATE TABLE approval_queue_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(15 BYTE), REQUEST_DATE date, USER_REMARKS VARCHAR2(4000 BYTE), POLICY_ID VARCHAR2(15 BYTE), LEARNER_ORGID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_APPROVAL_QUEUE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_approval_queue_aud
 before insert on approval_queue_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,REQUEST_DATE
 ,USER_REMARKS
 ,POLICY_ID
 ,LEARNER_ORGID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPTID
 ,REQUEST_DATE
 ,USER_REMARKS
 ,POLICY_ID
 ,LEARNER_ORGID
 ,UPDATE_MEANING
  from approval_queue
/

CREATE INDEX nuk_approval_queue_aud_1 ON approval_queue_aud(aud_userid)
/

CREATE INDEX nuk_approval_queue_aud_2 ON approval_queue_aud(aud_datetime)
/

create or replace trigger i_approval_queue
after insert on approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,REQUEST_DATE
 ,USER_REMARKS
 ,POLICY_ID
 ,LEARNER_ORGID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.REQUEST_DATE
 ,:new.USER_REMARKS
 ,:new.POLICY_ID
 ,:new.LEARNER_ORGID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_approval_queue
after update on approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,REQUEST_DATE
 ,USER_REMARKS
 ,POLICY_ID
 ,LEARNER_ORGID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.REQUEST_DATE
 ,:new.USER_REMARKS
 ,:new.POLICY_ID
 ,:new.LEARNER_ORGID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_approval_queue
after delete on approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,REQUEST_DATE
 ,USER_REMARKS
 ,POLICY_ID
 ,LEARNER_ORGID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.REQUEST_DATE
 ,:old.USER_REMARKS
 ,:old.POLICY_ID
 ,:old.LEARNER_ORGID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-approval_queue', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1005, '8:1548dbda58bab9a56a77f58b71b67968', 'enableAuditTable auditTableName=approval_queue_aud, tableName=approval_queue', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-approval_queue_step::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_APPROVAL_QUEUE_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_APPROVAL_QUEUE_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_APPROVAL_QUEUE_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_APPROVAL_QUEUE_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_APPROVAL_QUEUE_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_APPROVAL_QUEUE_STEP';
			END IF;
		END;
/

CREATE TABLE approval_queue_step_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, APPROVAL_STEP_ID VARCHAR2(15 BYTE), POLICY_ID VARCHAR2(15 BYTE), POLICY_STEP_ID VARCHAR2(15 BYTE), SEQUENCE_NO NUMBER(*, 0), STEP_STATUS CHAR(1 BYTE), TRANSCRIPTID VARCHAR2(15 BYTE), APPROVER_ID VARCHAR2(85 BYTE), EXTERNAL_APPROVER_EMAIL VARCHAR2(85 BYTE), APPROVER_REMARKS VARCHAR2(255 BYTE), APPROVAL_DATE date, REMIND_DATE date, EXPIRE_DATE date, REMIND_SENT_DATE date, EXPIRE_SENT_DATE date, CHARGED_COSTCENTER VARCHAR2(45 BYTE), CHARGED_EMAIL VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_APPROVAL_QUEUE_STEP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_approval_queue_step_aud
 before insert on approval_queue_step_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into approval_queue_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,APPROVAL_STEP_ID
 ,POLICY_ID
 ,POLICY_STEP_ID
 ,SEQUENCE_NO
 ,STEP_STATUS
 ,TRANSCRIPTID
 ,APPROVER_ID
 ,EXTERNAL_APPROVER_EMAIL
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
 ,REMIND_DATE
 ,EXPIRE_DATE
 ,REMIND_SENT_DATE
 ,EXPIRE_SENT_DATE
 ,CHARGED_COSTCENTER
 ,CHARGED_EMAIL
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,APPROVAL_STEP_ID
 ,POLICY_ID
 ,POLICY_STEP_ID
 ,SEQUENCE_NO
 ,STEP_STATUS
 ,TRANSCRIPTID
 ,APPROVER_ID
 ,EXTERNAL_APPROVER_EMAIL
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
 ,REMIND_DATE
 ,EXPIRE_DATE
 ,REMIND_SENT_DATE
 ,EXPIRE_SENT_DATE
 ,CHARGED_COSTCENTER
 ,CHARGED_EMAIL
 ,UPDATE_MEANING
  from approval_queue_step
/

CREATE INDEX nuk_approval_queue_step_aud_1 ON approval_queue_step_aud(aud_userid)
/

CREATE INDEX nuk_approval_queue_step_aud_2 ON approval_queue_step_aud(aud_datetime)
/

create or replace trigger i_approval_queue_step
after insert on approval_queue_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,APPROVAL_STEP_ID
 ,POLICY_ID
 ,POLICY_STEP_ID
 ,SEQUENCE_NO
 ,STEP_STATUS
 ,TRANSCRIPTID
 ,APPROVER_ID
 ,EXTERNAL_APPROVER_EMAIL
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
 ,REMIND_DATE
 ,EXPIRE_DATE
 ,REMIND_SENT_DATE
 ,EXPIRE_SENT_DATE
 ,CHARGED_COSTCENTER
 ,CHARGED_EMAIL
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.APPROVAL_STEP_ID
 ,:new.POLICY_ID
 ,:new.POLICY_STEP_ID
 ,:new.SEQUENCE_NO
 ,:new.STEP_STATUS
 ,:new.TRANSCRIPTID
 ,:new.APPROVER_ID
 ,:new.EXTERNAL_APPROVER_EMAIL
 ,:new.APPROVER_REMARKS
 ,:new.APPROVAL_DATE
 ,:new.REMIND_DATE
 ,:new.EXPIRE_DATE
 ,:new.REMIND_SENT_DATE
 ,:new.EXPIRE_SENT_DATE
 ,:new.CHARGED_COSTCENTER
 ,:new.CHARGED_EMAIL
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_approval_queue_step
after update on approval_queue_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,APPROVAL_STEP_ID
 ,POLICY_ID
 ,POLICY_STEP_ID
 ,SEQUENCE_NO
 ,STEP_STATUS
 ,TRANSCRIPTID
 ,APPROVER_ID
 ,EXTERNAL_APPROVER_EMAIL
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
 ,REMIND_DATE
 ,EXPIRE_DATE
 ,REMIND_SENT_DATE
 ,EXPIRE_SENT_DATE
 ,CHARGED_COSTCENTER
 ,CHARGED_EMAIL
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.APPROVAL_STEP_ID
 ,:new.POLICY_ID
 ,:new.POLICY_STEP_ID
 ,:new.SEQUENCE_NO
 ,:new.STEP_STATUS
 ,:new.TRANSCRIPTID
 ,:new.APPROVER_ID
 ,:new.EXTERNAL_APPROVER_EMAIL
 ,:new.APPROVER_REMARKS
 ,:new.APPROVAL_DATE
 ,:new.REMIND_DATE
 ,:new.EXPIRE_DATE
 ,:new.REMIND_SENT_DATE
 ,:new.EXPIRE_SENT_DATE
 ,:new.CHARGED_COSTCENTER
 ,:new.CHARGED_EMAIL
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_approval_queue_step
after delete on approval_queue_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into approval_queue_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,APPROVAL_STEP_ID
 ,POLICY_ID
 ,POLICY_STEP_ID
 ,SEQUENCE_NO
 ,STEP_STATUS
 ,TRANSCRIPTID
 ,APPROVER_ID
 ,EXTERNAL_APPROVER_EMAIL
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
 ,REMIND_DATE
 ,EXPIRE_DATE
 ,REMIND_SENT_DATE
 ,EXPIRE_SENT_DATE
 ,CHARGED_COSTCENTER
 ,CHARGED_EMAIL
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.APPROVAL_STEP_ID
 ,:old.POLICY_ID
 ,:old.POLICY_STEP_ID
 ,:old.SEQUENCE_NO
 ,:old.STEP_STATUS
 ,:old.TRANSCRIPTID
 ,:old.APPROVER_ID
 ,:old.EXTERNAL_APPROVER_EMAIL
 ,:old.APPROVER_REMARKS
 ,:old.APPROVAL_DATE
 ,:old.REMIND_DATE
 ,:old.EXPIRE_DATE
 ,:old.REMIND_SENT_DATE
 ,:old.EXPIRE_SENT_DATE
 ,:old.CHARGED_COSTCENTER
 ,:old.CHARGED_EMAIL
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-approval_queue_step', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1006, '8:e0e67837b92dbe676bfe8363cda12355', 'enableAuditTable auditTableName=approval_queue_step_aud, tableName=approval_queue_step', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-audience::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AUDIENCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AUDIENCE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AUDIENCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AUDIENCE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AUDIENCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AUDIENCE';
			END IF;
		END;
/

CREATE TABLE audience_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), DESCRIPTION VARCHAR2(1200 BYTE), LISTORDER NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), DESCRIPTION_KEY VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AUDIENCE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_audience_aud
 before insert on audience_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into audience_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,DESCRIPTION
 ,LISTORDER
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNINGID
 ,DESCRIPTION
 ,LISTORDER
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
  from audience
/

CREATE INDEX nuk_audience_aud_1 ON audience_aud(aud_userid)
/

CREATE INDEX nuk_audience_aud_2 ON audience_aud(aud_datetime)
/

create or replace trigger i_audience
after insert on audience for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into audience_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,DESCRIPTION
 ,LISTORDER
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.DESCRIPTION
 ,:new.LISTORDER
 ,:new.UPDATE_MEANING
 ,:new.DESCRIPTION_KEY
);
end;
/

create or replace trigger u_audience
after update on audience for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into audience_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,DESCRIPTION
 ,LISTORDER
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.DESCRIPTION
 ,:new.LISTORDER
 ,:new.UPDATE_MEANING
 ,:new.DESCRIPTION_KEY
);
end;
/

create or replace trigger d_audience
after delete on audience for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into audience_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,DESCRIPTION
 ,LISTORDER
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNINGID
 ,:old.DESCRIPTION
 ,:old.LISTORDER
 ,:old.UPDATE_MEANING
 ,:old.DESCRIPTION_KEY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-audience', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1007, '8:bcdee4f45918d990c7bb9afb58d47e9c', 'enableAuditTable auditTableName=audience_aud, tableName=audience', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-autoenroll::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AUTOENROLL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AUTOENROLL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AUTOENROLL';
			END IF;
		END;
/

CREATE TABLE autoenroll_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TARGETTYPE VARCHAR2(15 BYTE), TARGETVALUE VARCHAR2(85 BYTE), LEARNINGID VARCHAR2(85 BYTE), LEARNINGTYPE CHAR(1 BYTE), EVENTID VARCHAR2(15 BYTE), STARTDATE date, ENDDATE date, DURATIONENABLED CHAR(1 BYTE), DURATIONAMOUNT NUMBER(*, 0), DURATIONUNIT NUMBER(*, 0), EXCLUSION_FLAG CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), DURATIONTYPE VARCHAR2(10 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_AUTOENROLL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_autoenroll_aud
 before insert on autoenroll_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TARGETTYPE
 ,TARGETVALUE
 ,LEARNINGID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,EXCLUSION_FLAG
 ,UPDATE_MEANING
 ,DURATIONTYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TARGETTYPE
 ,TARGETVALUE
 ,LEARNINGID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,EXCLUSION_FLAG
 ,UPDATE_MEANING
 ,DURATIONTYPE
  from autoenroll
/

CREATE INDEX nuk_autoenroll_aud_1 ON autoenroll_aud(aud_userid)
/

CREATE INDEX nuk_autoenroll_aud_2 ON autoenroll_aud(aud_datetime)
/

create or replace trigger i_autoenroll
after insert on autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TARGETTYPE
 ,TARGETVALUE
 ,LEARNINGID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,EXCLUSION_FLAG
 ,UPDATE_MEANING
 ,DURATIONTYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TARGETTYPE
 ,:new.TARGETVALUE
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.EVENTID
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.DURATIONENABLED
 ,:new.DURATIONAMOUNT
 ,:new.DURATIONUNIT
 ,:new.EXCLUSION_FLAG
 ,:new.UPDATE_MEANING
 ,:new.DURATIONTYPE
);
end;
/

create or replace trigger u_autoenroll
after update on autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TARGETTYPE
 ,TARGETVALUE
 ,LEARNINGID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,EXCLUSION_FLAG
 ,UPDATE_MEANING
 ,DURATIONTYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TARGETTYPE
 ,:new.TARGETVALUE
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.EVENTID
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.DURATIONENABLED
 ,:new.DURATIONAMOUNT
 ,:new.DURATIONUNIT
 ,:new.EXCLUSION_FLAG
 ,:new.UPDATE_MEANING
 ,:new.DURATIONTYPE
);
end;
/

create or replace trigger d_autoenroll
after delete on autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TARGETTYPE
 ,TARGETVALUE
 ,LEARNINGID
 ,LEARNINGTYPE
 ,EVENTID
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,EXCLUSION_FLAG
 ,UPDATE_MEANING
 ,DURATIONTYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TARGETTYPE
 ,:old.TARGETVALUE
 ,:old.LEARNINGID
 ,:old.LEARNINGTYPE
 ,:old.EVENTID
 ,:old.STARTDATE
 ,:old.ENDDATE
 ,:old.DURATIONENABLED
 ,:old.DURATIONAMOUNT
 ,:old.DURATIONUNIT
 ,:old.EXCLUSION_FLAG
 ,:old.UPDATE_MEANING
 ,:old.DURATIONTYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-autoenroll', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1008, '8:b7c1465fd7ddaa466752555875b48b72', 'enableAuditTable auditTableName=autoenroll_aud, tableName=autoenroll', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-contactList::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTACTLIST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTACTLIST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTACTLIST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTACTLIST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTACTLIST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTACTLIST';
			END IF;
		END;
/

CREATE TABLE contactList_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), EVENT_SESSION VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTACTLIST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_contactList_aud
 before insert on contactList_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into contactList_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,EVENT_SESSION
 ,USERID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,EVENT_SESSION
 ,USERID
 ,UPDATE_MEANING
  from contactList
/

CREATE INDEX nuk_contactList_aud_1 ON contactList_aud(aud_userid)
/

CREATE INDEX nuk_contactList_aud_2 ON contactList_aud(aud_datetime)
/

create or replace trigger i_contactList
after insert on contactList for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into contactList_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,EVENT_SESSION
 ,USERID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.EVENT_SESSION
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_contactList
after update on contactList for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into contactList_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,EVENT_SESSION
 ,USERID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.EVENT_SESSION
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_contactList
after delete on contactList for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into contactList_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,EVENT_SESSION
 ,USERID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.EVENT_SESSION
 ,:old.USERID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-contactList', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1009, '8:37c48c4fb14e1b27cdfb83bd1a76626b', 'enableAuditTable auditTableName=contactList_aud, tableName=contactList', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE';
			END IF;
		END;
/

CREATE TABLE course_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), COURSEID VARCHAR2(85 BYTE), VENDORID VARCHAR2(15 BYTE), USAGETOTAL NUMBER(*, 0), LAUNCHPAGE VARCHAR2(4000 BYTE), LAUNCHINTERFACE NUMBER(*, 0), LAUNCHPARMS VARCHAR2(255 BYTE), USEDEFAULTVIEWER CHAR(1 BYTE), VIEWERPAGE VARCHAR2(100 BYTE), RESERVED1 VARCHAR2(15 BYTE), RESERVED2 CHAR(1 BYTE), CREDITS FLOAT(22), NATTACHMENTS NUMBER(*, 0), NTESTS NUMBER(*, 0), CVERSION date, ALLOWUSERSTATUSCHG CHAR(1 BYTE), PROMPT_FOR_WITHDRAW_REASON CHAR(1 BYTE), INSTANTACCESS CHAR(1 BYTE), DURATION VARCHAR2(100 BYTE), CONTENTSERVER VARCHAR2(20 BYTE), BOOKMARK CHAR(1 BYTE), NAVIGATIONTREEVISIBLE CHAR(1 BYTE), ORGANIZATIONID VARCHAR2(15 BYTE), PREVIOUSNEXTBUTTONSVISIBLE CHAR(1 BYTE), ITEMID VARCHAR2(15 BYTE), CERTID NUMBER(8, 0), ACCUMULATETIME CHAR(1 BYTE), SKILLSOFT_COURSE_TYPE NUMBER(*, 0), SHOW_TOOLBARS CHAR(1 BYTE), SHOW_ON_OTHER_RESOURCES_TAB CHAR(1 BYTE), MEKP_DOWNLOAD CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), LAUNCHED_WIN_WIDTH NUMBER(*, 0), LAUNCHED_WIN_HEIGHT NUMBER(*, 0), ATTEMPTS_ALLOWED NUMBER(*, 0), GRADING_METHOD CHAR(1 BYTE), COMPLETION_METHOD CHAR(1 BYTE), IECOMPATIBILITYMODE CHAR(1 BYTE), EFFECTIVE_REVISION NUMBER(*, 0), APPROVED_REVISION NUMBER(*, 0), ALLOW_SELF_ENROLL CHAR(1 BYTE), ALLOW_SESSION_TRANSFER VARCHAR2(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_aud
 before insert on course_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,VENDORID
 ,USAGETOTAL
 ,LAUNCHPAGE
 ,LAUNCHINTERFACE
 ,LAUNCHPARMS
 ,USEDEFAULTVIEWER
 ,VIEWERPAGE
 ,RESERVED1
 ,RESERVED2
 ,CREDITS
 ,NATTACHMENTS
 ,NTESTS
 ,CVERSION
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,INSTANTACCESS
 ,DURATION
 ,CONTENTSERVER
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,ORGANIZATIONID
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,ITEMID
 ,CERTID
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,SHOW_TOOLBARS
 ,SHOW_ON_OTHER_RESOURCES_TAB
 ,MEKP_DOWNLOAD
 ,UPDATE_MEANING
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,COMPLETION_METHOD
 ,IECOMPATIBILITYMODE
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,ALLOW_SELF_ENROLL
 ,ALLOW_SESSION_TRANSFER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,COURSEID
 ,VENDORID
 ,USAGETOTAL
 ,LAUNCHPAGE
 ,LAUNCHINTERFACE
 ,LAUNCHPARMS
 ,USEDEFAULTVIEWER
 ,VIEWERPAGE
 ,RESERVED1
 ,RESERVED2
 ,CREDITS
 ,NATTACHMENTS
 ,NTESTS
 ,CVERSION
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,INSTANTACCESS
 ,DURATION
 ,CONTENTSERVER
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,ORGANIZATIONID
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,ITEMID
 ,CERTID
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,SHOW_TOOLBARS
 ,SHOW_ON_OTHER_RESOURCES_TAB
 ,MEKP_DOWNLOAD
 ,UPDATE_MEANING
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,COMPLETION_METHOD
 ,IECOMPATIBILITYMODE
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,ALLOW_SELF_ENROLL
 ,ALLOW_SESSION_TRANSFER
  from course
/

CREATE INDEX nuk_course_aud_1 ON course_aud(aud_userid)
/

CREATE INDEX nuk_course_aud_2 ON course_aud(aud_datetime)
/

create or replace trigger i_course
after insert on course for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,VENDORID
 ,USAGETOTAL
 ,LAUNCHPAGE
 ,LAUNCHINTERFACE
 ,LAUNCHPARMS
 ,USEDEFAULTVIEWER
 ,VIEWERPAGE
 ,RESERVED1
 ,RESERVED2
 ,CREDITS
 ,NATTACHMENTS
 ,NTESTS
 ,CVERSION
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,INSTANTACCESS
 ,DURATION
 ,CONTENTSERVER
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,ORGANIZATIONID
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,ITEMID
 ,CERTID
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,SHOW_TOOLBARS
 ,SHOW_ON_OTHER_RESOURCES_TAB
 ,MEKP_DOWNLOAD
 ,UPDATE_MEANING
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,COMPLETION_METHOD
 ,IECOMPATIBILITYMODE
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,ALLOW_SELF_ENROLL
 ,ALLOW_SESSION_TRANSFER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSEID
 ,:new.VENDORID
 ,:new.USAGETOTAL
 ,:new.LAUNCHPAGE
 ,:new.LAUNCHINTERFACE
 ,:new.LAUNCHPARMS
 ,:new.USEDEFAULTVIEWER
 ,:new.VIEWERPAGE
 ,:new.RESERVED1
 ,:new.RESERVED2
 ,:new.CREDITS
 ,:new.NATTACHMENTS
 ,:new.NTESTS
 ,:new.CVERSION
 ,:new.ALLOWUSERSTATUSCHG
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.INSTANTACCESS
 ,:new.DURATION
 ,:new.CONTENTSERVER
 ,:new.BOOKMARK
 ,:new.NAVIGATIONTREEVISIBLE
 ,:new.ORGANIZATIONID
 ,:new.PREVIOUSNEXTBUTTONSVISIBLE
 ,:new.ITEMID
 ,:new.CERTID
 ,:new.ACCUMULATETIME
 ,:new.SKILLSOFT_COURSE_TYPE
 ,:new.SHOW_TOOLBARS
 ,:new.SHOW_ON_OTHER_RESOURCES_TAB
 ,:new.MEKP_DOWNLOAD
 ,:new.UPDATE_MEANING
 ,:new.LAUNCHED_WIN_WIDTH
 ,:new.LAUNCHED_WIN_HEIGHT
 ,:new.ATTEMPTS_ALLOWED
 ,:new.GRADING_METHOD
 ,:new.COMPLETION_METHOD
 ,:new.IECOMPATIBILITYMODE
 ,:new.EFFECTIVE_REVISION
 ,:new.APPROVED_REVISION
 ,:new.ALLOW_SELF_ENROLL
 ,:new.ALLOW_SESSION_TRANSFER
);
end;
/

create or replace trigger u_course
after update on course for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,VENDORID
 ,USAGETOTAL
 ,LAUNCHPAGE
 ,LAUNCHINTERFACE
 ,LAUNCHPARMS
 ,USEDEFAULTVIEWER
 ,VIEWERPAGE
 ,RESERVED1
 ,RESERVED2
 ,CREDITS
 ,NATTACHMENTS
 ,NTESTS
 ,CVERSION
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,INSTANTACCESS
 ,DURATION
 ,CONTENTSERVER
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,ORGANIZATIONID
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,ITEMID
 ,CERTID
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,SHOW_TOOLBARS
 ,SHOW_ON_OTHER_RESOURCES_TAB
 ,MEKP_DOWNLOAD
 ,UPDATE_MEANING
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,COMPLETION_METHOD
 ,IECOMPATIBILITYMODE
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,ALLOW_SELF_ENROLL
 ,ALLOW_SESSION_TRANSFER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSEID
 ,:new.VENDORID
 ,:new.USAGETOTAL
 ,:new.LAUNCHPAGE
 ,:new.LAUNCHINTERFACE
 ,:new.LAUNCHPARMS
 ,:new.USEDEFAULTVIEWER
 ,:new.VIEWERPAGE
 ,:new.RESERVED1
 ,:new.RESERVED2
 ,:new.CREDITS
 ,:new.NATTACHMENTS
 ,:new.NTESTS
 ,:new.CVERSION
 ,:new.ALLOWUSERSTATUSCHG
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.INSTANTACCESS
 ,:new.DURATION
 ,:new.CONTENTSERVER
 ,:new.BOOKMARK
 ,:new.NAVIGATIONTREEVISIBLE
 ,:new.ORGANIZATIONID
 ,:new.PREVIOUSNEXTBUTTONSVISIBLE
 ,:new.ITEMID
 ,:new.CERTID
 ,:new.ACCUMULATETIME
 ,:new.SKILLSOFT_COURSE_TYPE
 ,:new.SHOW_TOOLBARS
 ,:new.SHOW_ON_OTHER_RESOURCES_TAB
 ,:new.MEKP_DOWNLOAD
 ,:new.UPDATE_MEANING
 ,:new.LAUNCHED_WIN_WIDTH
 ,:new.LAUNCHED_WIN_HEIGHT
 ,:new.ATTEMPTS_ALLOWED
 ,:new.GRADING_METHOD
 ,:new.COMPLETION_METHOD
 ,:new.IECOMPATIBILITYMODE
 ,:new.EFFECTIVE_REVISION
 ,:new.APPROVED_REVISION
 ,:new.ALLOW_SELF_ENROLL
 ,:new.ALLOW_SESSION_TRANSFER
);
end;
/

create or replace trigger d_course
after delete on course for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSEID
 ,VENDORID
 ,USAGETOTAL
 ,LAUNCHPAGE
 ,LAUNCHINTERFACE
 ,LAUNCHPARMS
 ,USEDEFAULTVIEWER
 ,VIEWERPAGE
 ,RESERVED1
 ,RESERVED2
 ,CREDITS
 ,NATTACHMENTS
 ,NTESTS
 ,CVERSION
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,INSTANTACCESS
 ,DURATION
 ,CONTENTSERVER
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,ORGANIZATIONID
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,ITEMID
 ,CERTID
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,SHOW_TOOLBARS
 ,SHOW_ON_OTHER_RESOURCES_TAB
 ,MEKP_DOWNLOAD
 ,UPDATE_MEANING
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,ATTEMPTS_ALLOWED
 ,GRADING_METHOD
 ,COMPLETION_METHOD
 ,IECOMPATIBILITYMODE
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,ALLOW_SELF_ENROLL
 ,ALLOW_SESSION_TRANSFER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.COURSEID
 ,:old.VENDORID
 ,:old.USAGETOTAL
 ,:old.LAUNCHPAGE
 ,:old.LAUNCHINTERFACE
 ,:old.LAUNCHPARMS
 ,:old.USEDEFAULTVIEWER
 ,:old.VIEWERPAGE
 ,:old.RESERVED1
 ,:old.RESERVED2
 ,:old.CREDITS
 ,:old.NATTACHMENTS
 ,:old.NTESTS
 ,:old.CVERSION
 ,:old.ALLOWUSERSTATUSCHG
 ,:old.PROMPT_FOR_WITHDRAW_REASON
 ,:old.INSTANTACCESS
 ,:old.DURATION
 ,:old.CONTENTSERVER
 ,:old.BOOKMARK
 ,:old.NAVIGATIONTREEVISIBLE
 ,:old.ORGANIZATIONID
 ,:old.PREVIOUSNEXTBUTTONSVISIBLE
 ,:old.ITEMID
 ,:old.CERTID
 ,:old.ACCUMULATETIME
 ,:old.SKILLSOFT_COURSE_TYPE
 ,:old.SHOW_TOOLBARS
 ,:old.SHOW_ON_OTHER_RESOURCES_TAB
 ,:old.MEKP_DOWNLOAD
 ,:old.UPDATE_MEANING
 ,:old.LAUNCHED_WIN_WIDTH
 ,:old.LAUNCHED_WIN_HEIGHT
 ,:old.ATTEMPTS_ALLOWED
 ,:old.GRADING_METHOD
 ,:old.COMPLETION_METHOD
 ,:old.IECOMPATIBILITYMODE
 ,:old.EFFECTIVE_REVISION
 ,:old.APPROVED_REVISION
 ,:old.ALLOW_SELF_ENROLL
 ,:old.ALLOW_SESSION_TRANSFER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1010, '8:b7edf362cfbd454c3647a1623bd0b0c4', 'enableAuditTable auditTableName=course_aud, tableName=course', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-courseAccessLevel::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSEACCESSLEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSEACCESSLEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSEACCESSLEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSEACCESSLEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSEACCESSLEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSEACCESSLEVEL';
			END IF;
		END;
/

CREATE TABLE courseAccessLevel_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(85 BYTE), LEVELID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSEACCESSLEVEL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_courseAccessLevel_aud
 before insert on courseAccessLevel_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into courseAccessLevel_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,LEVELID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,SESSIONID
 ,LEVELID
 ,UPDATE_MEANING
  from courseAccessLevel
/

CREATE INDEX nuk_courseAccessLevel_aud_1 ON courseAccessLevel_aud(aud_userid)
/

CREATE INDEX nuk_courseAccessLevel_aud_2 ON courseAccessLevel_aud(aud_datetime)
/

create or replace trigger i_courseAccessLevel
after insert on courseAccessLevel for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessLevel_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,LEVELID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.LEVELID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_courseAccessLevel
after update on courseAccessLevel for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessLevel_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,LEVELID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.LEVELID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_courseAccessLevel
after delete on courseAccessLevel for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessLevel_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,LEVELID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.SESSIONID
 ,:old.LEVELID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-courseAccessLevel', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1011, '8:37ee45984bba1edf9b3e39b73af9f73f', 'enableAuditTable auditTableName=courseAccessLevel_aud, tableName=courseAccessLevel', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-courseAccessUser::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSEACCESSUSER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSEACCESSUSER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSEACCESSUSER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSEACCESSUSER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSEACCESSUSER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSEACCESSUSER';
			END IF;
		END;
/

CREATE TABLE courseAccessUser_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), USERID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSEACCESSUSER_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_courseAccessUser_aud
 before insert on courseAccessUser_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into courseAccessUser_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
  from courseAccessUser
/

CREATE INDEX nuk_courseAccessUser_aud_1 ON courseAccessUser_aud(aud_userid)
/

CREATE INDEX nuk_courseAccessUser_aud_2 ON courseAccessUser_aud(aud_datetime)
/

create or replace trigger i_courseAccessUser
after insert on courseAccessUser for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessUser_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_courseAccessUser
after update on courseAccessUser for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessUser_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_courseAccessUser
after delete on courseAccessUser for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseAccessUser_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.USERID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-courseAccessUser', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1012, '8:b07ef2310f84327973f8fb2b8e21da81', 'enableAuditTable auditTableName=courseAccessUser_aud, tableName=courseAccessUser', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-courseDownloads::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSEDOWNLOADS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSEDOWNLOADS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSEDOWNLOADS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSEDOWNLOADS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSEDOWNLOADS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSEDOWNLOADS';
			END IF;
		END;
/

CREATE TABLE courseDownloads_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, DOWNLOADID NUMBER(8, 0), COURSEID VARCHAR2(85 BYTE), FILEURL VARCHAR2(1000 BYTE), URLTYPE NUMBER(*, 0), DESCRIPTION VARCHAR2(255 BYTE), PREPOSTTYPE VARCHAR2(10 BYTE), ORDERING NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), EKPFILES_REVISION_ID VARCHAR2(85 BYTE), ALLOWREFACCESS CHAR(1 BYTE), SESSION_ID VARCHAR2(15 BYTE), BUNDLE_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSEDOWNLOADS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_courseDownloads_aud
 before insert on courseDownloads_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into courseDownloads_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOWNLOADID
 ,COURSEID
 ,FILEURL
 ,URLTYPE
 ,DESCRIPTION
 ,PREPOSTTYPE
 ,ORDERING
 ,UPDATE_MEANING
 ,EKPFILES_REVISION_ID
 ,ALLOWREFACCESS
 ,SESSION_ID
 ,BUNDLE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,DOWNLOADID
 ,COURSEID
 ,FILEURL
 ,URLTYPE
 ,DESCRIPTION
 ,PREPOSTTYPE
 ,ORDERING
 ,UPDATE_MEANING
 ,EKPFILES_REVISION_ID
 ,ALLOWREFACCESS
 ,SESSION_ID
 ,BUNDLE_ID
  from courseDownloads
/

CREATE INDEX nuk_courseDownloads_aud_1 ON courseDownloads_aud(aud_userid)
/

CREATE INDEX nuk_courseDownloads_aud_2 ON courseDownloads_aud(aud_datetime)
/

create or replace trigger i_courseDownloads
after insert on courseDownloads for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseDownloads_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOWNLOADID
 ,COURSEID
 ,FILEURL
 ,URLTYPE
 ,DESCRIPTION
 ,PREPOSTTYPE
 ,ORDERING
 ,UPDATE_MEANING
 ,EKPFILES_REVISION_ID
 ,ALLOWREFACCESS
 ,SESSION_ID
 ,BUNDLE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DOWNLOADID
 ,:new.COURSEID
 ,:new.FILEURL
 ,:new.URLTYPE
 ,:new.DESCRIPTION
 ,:new.PREPOSTTYPE
 ,:new.ORDERING
 ,:new.UPDATE_MEANING
 ,:new.EKPFILES_REVISION_ID
 ,:new.ALLOWREFACCESS
 ,:new.SESSION_ID
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger u_courseDownloads
after update on courseDownloads for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseDownloads_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOWNLOADID
 ,COURSEID
 ,FILEURL
 ,URLTYPE
 ,DESCRIPTION
 ,PREPOSTTYPE
 ,ORDERING
 ,UPDATE_MEANING
 ,EKPFILES_REVISION_ID
 ,ALLOWREFACCESS
 ,SESSION_ID
 ,BUNDLE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DOWNLOADID
 ,:new.COURSEID
 ,:new.FILEURL
 ,:new.URLTYPE
 ,:new.DESCRIPTION
 ,:new.PREPOSTTYPE
 ,:new.ORDERING
 ,:new.UPDATE_MEANING
 ,:new.EKPFILES_REVISION_ID
 ,:new.ALLOWREFACCESS
 ,:new.SESSION_ID
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger d_courseDownloads
after delete on courseDownloads for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into courseDownloads_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOWNLOADID
 ,COURSEID
 ,FILEURL
 ,URLTYPE
 ,DESCRIPTION
 ,PREPOSTTYPE
 ,ORDERING
 ,UPDATE_MEANING
 ,EKPFILES_REVISION_ID
 ,ALLOWREFACCESS
 ,SESSION_ID
 ,BUNDLE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.DOWNLOADID
 ,:old.COURSEID
 ,:old.FILEURL
 ,:old.URLTYPE
 ,:old.DESCRIPTION
 ,:old.PREPOSTTYPE
 ,:old.ORDERING
 ,:old.UPDATE_MEANING
 ,:old.EKPFILES_REVISION_ID
 ,:old.ALLOWREFACCESS
 ,:old.SESSION_ID
 ,:old.BUNDLE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-courseDownloads', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1013, '8:7323ede76fa31be6d68982581cba69d2', 'enableAuditTable auditTableName=courseDownloads_aud, tableName=courseDownloads', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_session_cost::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_SESSION_COST';
			END IF;
		END;
/

CREATE TABLE course_session_cost_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENTID VARCHAR2(15 BYTE), SESSION_COST_ID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSE_SESSION_COST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_session_cost_aud
 before insert on course_session_cost_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSION_COST_ID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENTID
 ,SESSION_COST_ID
 ,UPDATE_MEANING
  from course_session_cost
/

CREATE INDEX nuk_course_session_cost_aud_1 ON course_session_cost_aud(aud_userid)
/

CREATE INDEX nuk_course_session_cost_aud_2 ON course_session_cost_aud(aud_datetime)
/

create or replace trigger i_course_session_cost
after insert on course_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSION_COST_ID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.SESSION_COST_ID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_course_session_cost
after update on course_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSION_COST_ID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.SESSION_COST_ID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_course_session_cost
after delete on course_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSION_COST_ID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENTID
 ,:old.SESSION_COST_ID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_session_cost', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1014, '8:f369374704dc812dbd0b37c991980c23', 'enableAuditTable auditTableName=course_session_cost_aud, tableName=course_session_cost', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-coursetest::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSETEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSETEST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSETEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSETEST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSETEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSETEST';
			END IF;
		END;
/

CREATE TABLE coursetest_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), TESTID VARCHAR2(100 BYTE), EXAM_TYPE CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), LANG_OPTION VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSETEST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_coursetest_aud
 before insert on coursetest_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into coursetest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,TESTID
 ,EXAM_TYPE
 ,UPDATE_MEANING
 ,LANG_OPTION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,TESTID
 ,EXAM_TYPE
 ,UPDATE_MEANING
 ,LANG_OPTION
  from coursetest
/

CREATE INDEX nuk_coursetest_aud_1 ON coursetest_aud(aud_userid)
/

CREATE INDEX nuk_coursetest_aud_2 ON coursetest_aud(aud_datetime)
/

create or replace trigger i_coursetest
after insert on coursetest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into coursetest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,TESTID
 ,EXAM_TYPE
 ,UPDATE_MEANING
 ,LANG_OPTION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.TESTID
 ,:new.EXAM_TYPE
 ,:new.UPDATE_MEANING
 ,:new.LANG_OPTION
);
end;
/

create or replace trigger u_coursetest
after update on coursetest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into coursetest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,TESTID
 ,EXAM_TYPE
 ,UPDATE_MEANING
 ,LANG_OPTION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.TESTID
 ,:new.EXAM_TYPE
 ,:new.UPDATE_MEANING
 ,:new.LANG_OPTION
);
end;
/

create or replace trigger d_coursetest
after delete on coursetest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into coursetest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,TESTID
 ,EXAM_TYPE
 ,UPDATE_MEANING
 ,LANG_OPTION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.TESTID
 ,:old.EXAM_TYPE
 ,:old.UPDATE_MEANING
 ,:old.LANG_OPTION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-coursetest', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1015, '8:6cf4de4ad7802bb8f5dd619cda7cf1e2', 'enableAuditTable auditTableName=coursetest_aud, tableName=coursetest', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-cschedule::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CSCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CSCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CSCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CSCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CSCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CSCHEDULE';
			END IF;
		END;
/

CREATE TABLE cschedule_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENTID VARCHAR2(15 BYTE), COURSEID VARCHAR2(85 BYTE), EVENTSTATUS NUMBER(*, 0), AVAILABILITY CHAR(1 BYTE), STARTDATE date, ENDDATE date, TIMEZONE VARCHAR2(50 BYTE), VCCHANNEL VARCHAR2(85 BYTE), CONTACTINFO VARCHAR2(255 BYTE), COMMENTS VARCHAR2(255 BYTE), SEAT_LIMIT_RULE VARCHAR2(1 BYTE), SEATLIMIT NUMBER(*, 0), MIN_SIZE NUMBER(*, 0), FACILITYID VARCHAR2(15 BYTE), LOCATION VARCHAR2(255 BYTE), ENROLLDEADLINE date, INSTITUTION VARCHAR2(50 BYTE), APPROVERID1 VARCHAR2(85 BYTE), REGCONTROL1 NUMBER(*, 0), APPROVERID2 VARCHAR2(85 BYTE), REGCONTROL2 NUMBER(*, 0), CURRENCY VARCHAR2(15 BYTE), BILLED CHAR(1 BYTE), NTRAININGHOURS FLOAT(22), USAGE_EXPIRATION_DATE date, N_ALLOWED_USAGE_DAYS NUMBER(*, 0), ENROLLBEGINDATE date, WITHDRAWN_NDAY NUMBER(*, 0), COMPLETIONDATELIMIT date, SCHEDULECOMMENTS VARCHAR2(255 BYTE), USECUSTOMTEXT VARCHAR2(1 BYTE), GEOGRAPHIC_REGION VARCHAR2(255 BYTE), HW_DUEDATE date, USE_NDAY NUMBER(*, 0), CPD_CREDITS FLOAT(22), COMPLETE_BY_DATE date, COMPLETE_IN_DAYS NUMBER(*, 0), ENFORCE_DEADLINE CHAR(1 BYTE), SEQUENCE NUMBER(*, 0), DESCRIPTION CLOB, SESSION_TITLE VARCHAR2(255 BYTE), SESSION_CODE VARCHAR2(85 BYTE), EW_ID VARCHAR2(15 BYTE), IS_WF_ASSIGN_DISABLED CHAR(1 BYTE), TUTOR_SELECT_TYPE CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), ATTENDANCE_SHEET_URL VARCHAR2(255 BYTE), CREATE_DATE date, DEPT_ENROLL_LIMIT NUMBER(*, 0), BUNDLE_ID VARCHAR2(85 BYTE), SET_ENDEDSTATUS_ON_ENDDATE CHAR(1 BYTE), IS_ALLOW_UPDATE_TOTAL_TIME CHAR(1 BYTE), SESSION_SELECTOR VARCHAR2(2 BYTE), EXCHANGE_SERVER_ID VARCHAR2(15 BYTE), ENROLL_CNT_METHOD VARCHAR2(1 BYTE), ALLOW_SELF_ENROLL_TO_PROMPT VARCHAR2(1 BYTE), ASSIGNED_FORUM NUMBER(16, 0), ASSIGNED_FORUM_TYPE VARCHAR2(1 BYTE), SHOW_SESSION_SEL_RMDR VARCHAR2(1 BYTE), TRANSFER_DROPPED_TO_SESSION VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CSCHEDULE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_cschedule_aud
 before insert on cschedule_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into cschedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,COURSEID
 ,EVENTSTATUS
 ,AVAILABILITY
 ,STARTDATE
 ,ENDDATE
 ,TIMEZONE
 ,VCCHANNEL
 ,CONTACTINFO
 ,COMMENTS
 ,SEAT_LIMIT_RULE
 ,SEATLIMIT
 ,MIN_SIZE
 ,FACILITYID
 ,LOCATION
 ,ENROLLDEADLINE
 ,INSTITUTION
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CURRENCY
 ,BILLED
 ,NTRAININGHOURS
 ,USAGE_EXPIRATION_DATE
 ,N_ALLOWED_USAGE_DAYS
 ,ENROLLBEGINDATE
 ,WITHDRAWN_NDAY
 ,COMPLETIONDATELIMIT
 ,SCHEDULECOMMENTS
 ,USECUSTOMTEXT
 ,GEOGRAPHIC_REGION
 ,HW_DUEDATE
 ,USE_NDAY
 ,CPD_CREDITS
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,SEQUENCE
 ,DESCRIPTION
 ,SESSION_TITLE
 ,SESSION_CODE
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,ATTENDANCE_SHEET_URL
 ,CREATE_DATE
 ,DEPT_ENROLL_LIMIT
 ,BUNDLE_ID
 ,SET_ENDEDSTATUS_ON_ENDDATE
 ,IS_ALLOW_UPDATE_TOTAL_TIME
 ,SESSION_SELECTOR
 ,EXCHANGE_SERVER_ID
 ,ENROLL_CNT_METHOD
 ,ALLOW_SELF_ENROLL_TO_PROMPT
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
 ,SHOW_SESSION_SEL_RMDR
 ,TRANSFER_DROPPED_TO_SESSION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENTID
 ,COURSEID
 ,EVENTSTATUS
 ,AVAILABILITY
 ,STARTDATE
 ,ENDDATE
 ,TIMEZONE
 ,VCCHANNEL
 ,CONTACTINFO
 ,COMMENTS
 ,SEAT_LIMIT_RULE
 ,SEATLIMIT
 ,MIN_SIZE
 ,FACILITYID
 ,LOCATION
 ,ENROLLDEADLINE
 ,INSTITUTION
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CURRENCY
 ,BILLED
 ,NTRAININGHOURS
 ,USAGE_EXPIRATION_DATE
 ,N_ALLOWED_USAGE_DAYS
 ,ENROLLBEGINDATE
 ,WITHDRAWN_NDAY
 ,COMPLETIONDATELIMIT
 ,SCHEDULECOMMENTS
 ,USECUSTOMTEXT
 ,GEOGRAPHIC_REGION
 ,HW_DUEDATE
 ,USE_NDAY
 ,CPD_CREDITS
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,SEQUENCE
 ,DESCRIPTION
 ,SESSION_TITLE
 ,SESSION_CODE
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,ATTENDANCE_SHEET_URL
 ,CREATE_DATE
 ,DEPT_ENROLL_LIMIT
 ,BUNDLE_ID
 ,SET_ENDEDSTATUS_ON_ENDDATE
 ,IS_ALLOW_UPDATE_TOTAL_TIME
 ,SESSION_SELECTOR
 ,EXCHANGE_SERVER_ID
 ,ENROLL_CNT_METHOD
 ,ALLOW_SELF_ENROLL_TO_PROMPT
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
 ,SHOW_SESSION_SEL_RMDR
 ,TRANSFER_DROPPED_TO_SESSION
  from cschedule
/

CREATE INDEX nuk_cschedule_aud_1 ON cschedule_aud(aud_userid)
/

CREATE INDEX nuk_cschedule_aud_2 ON cschedule_aud(aud_datetime)
/

create or replace trigger i_cschedule
after insert on cschedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cschedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,COURSEID
 ,EVENTSTATUS
 ,AVAILABILITY
 ,STARTDATE
 ,ENDDATE
 ,TIMEZONE
 ,VCCHANNEL
 ,CONTACTINFO
 ,COMMENTS
 ,SEAT_LIMIT_RULE
 ,SEATLIMIT
 ,MIN_SIZE
 ,FACILITYID
 ,LOCATION
 ,ENROLLDEADLINE
 ,INSTITUTION
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CURRENCY
 ,BILLED
 ,NTRAININGHOURS
 ,USAGE_EXPIRATION_DATE
 ,N_ALLOWED_USAGE_DAYS
 ,ENROLLBEGINDATE
 ,WITHDRAWN_NDAY
 ,COMPLETIONDATELIMIT
 ,SCHEDULECOMMENTS
 ,USECUSTOMTEXT
 ,GEOGRAPHIC_REGION
 ,HW_DUEDATE
 ,USE_NDAY
 ,CPD_CREDITS
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,SEQUENCE
 ,DESCRIPTION
 ,SESSION_TITLE
 ,SESSION_CODE
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,ATTENDANCE_SHEET_URL
 ,CREATE_DATE
 ,DEPT_ENROLL_LIMIT
 ,BUNDLE_ID
 ,SET_ENDEDSTATUS_ON_ENDDATE
 ,IS_ALLOW_UPDATE_TOTAL_TIME
 ,SESSION_SELECTOR
 ,EXCHANGE_SERVER_ID
 ,ENROLL_CNT_METHOD
 ,ALLOW_SELF_ENROLL_TO_PROMPT
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
 ,SHOW_SESSION_SEL_RMDR
 ,TRANSFER_DROPPED_TO_SESSION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.COURSEID
 ,:new.EVENTSTATUS
 ,:new.AVAILABILITY
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.TIMEZONE
 ,:new.VCCHANNEL
 ,:new.CONTACTINFO
 ,:new.COMMENTS
 ,:new.SEAT_LIMIT_RULE
 ,:new.SEATLIMIT
 ,:new.MIN_SIZE
 ,:new.FACILITYID
 ,:new.LOCATION
 ,:new.ENROLLDEADLINE
 ,:new.INSTITUTION
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.CURRENCY
 ,:new.BILLED
 ,:new.NTRAININGHOURS
 ,:new.USAGE_EXPIRATION_DATE
 ,:new.N_ALLOWED_USAGE_DAYS
 ,:new.ENROLLBEGINDATE
 ,:new.WITHDRAWN_NDAY
 ,:new.COMPLETIONDATELIMIT
 ,:new.SCHEDULECOMMENTS
 ,:new.USECUSTOMTEXT
 ,:new.GEOGRAPHIC_REGION
 ,:new.HW_DUEDATE
 ,:new.USE_NDAY
 ,:new.CPD_CREDITS
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.ENFORCE_DEADLINE
 ,:new.SEQUENCE
 ,:new.DESCRIPTION
 ,:new.SESSION_TITLE
 ,:new.SESSION_CODE
 ,:new.EW_ID
 ,:new.IS_WF_ASSIGN_DISABLED
 ,:new.TUTOR_SELECT_TYPE
 ,:new.UPDATE_MEANING
 ,:new.ATTENDANCE_SHEET_URL
 ,:new.CREATE_DATE
 ,:new.DEPT_ENROLL_LIMIT
 ,:new.BUNDLE_ID
 ,:new.SET_ENDEDSTATUS_ON_ENDDATE
 ,:new.IS_ALLOW_UPDATE_TOTAL_TIME
 ,:new.SESSION_SELECTOR
 ,:new.EXCHANGE_SERVER_ID
 ,:new.ENROLL_CNT_METHOD
 ,:new.ALLOW_SELF_ENROLL_TO_PROMPT
 ,:new.ASSIGNED_FORUM
 ,:new.ASSIGNED_FORUM_TYPE
 ,:new.SHOW_SESSION_SEL_RMDR
 ,:new.TRANSFER_DROPPED_TO_SESSION
);
end;
/

create or replace trigger u_cschedule
after update on cschedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cschedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,COURSEID
 ,EVENTSTATUS
 ,AVAILABILITY
 ,STARTDATE
 ,ENDDATE
 ,TIMEZONE
 ,VCCHANNEL
 ,CONTACTINFO
 ,COMMENTS
 ,SEAT_LIMIT_RULE
 ,SEATLIMIT
 ,MIN_SIZE
 ,FACILITYID
 ,LOCATION
 ,ENROLLDEADLINE
 ,INSTITUTION
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CURRENCY
 ,BILLED
 ,NTRAININGHOURS
 ,USAGE_EXPIRATION_DATE
 ,N_ALLOWED_USAGE_DAYS
 ,ENROLLBEGINDATE
 ,WITHDRAWN_NDAY
 ,COMPLETIONDATELIMIT
 ,SCHEDULECOMMENTS
 ,USECUSTOMTEXT
 ,GEOGRAPHIC_REGION
 ,HW_DUEDATE
 ,USE_NDAY
 ,CPD_CREDITS
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,SEQUENCE
 ,DESCRIPTION
 ,SESSION_TITLE
 ,SESSION_CODE
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,ATTENDANCE_SHEET_URL
 ,CREATE_DATE
 ,DEPT_ENROLL_LIMIT
 ,BUNDLE_ID
 ,SET_ENDEDSTATUS_ON_ENDDATE
 ,IS_ALLOW_UPDATE_TOTAL_TIME
 ,SESSION_SELECTOR
 ,EXCHANGE_SERVER_ID
 ,ENROLL_CNT_METHOD
 ,ALLOW_SELF_ENROLL_TO_PROMPT
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
 ,SHOW_SESSION_SEL_RMDR
 ,TRANSFER_DROPPED_TO_SESSION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.COURSEID
 ,:new.EVENTSTATUS
 ,:new.AVAILABILITY
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.TIMEZONE
 ,:new.VCCHANNEL
 ,:new.CONTACTINFO
 ,:new.COMMENTS
 ,:new.SEAT_LIMIT_RULE
 ,:new.SEATLIMIT
 ,:new.MIN_SIZE
 ,:new.FACILITYID
 ,:new.LOCATION
 ,:new.ENROLLDEADLINE
 ,:new.INSTITUTION
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.CURRENCY
 ,:new.BILLED
 ,:new.NTRAININGHOURS
 ,:new.USAGE_EXPIRATION_DATE
 ,:new.N_ALLOWED_USAGE_DAYS
 ,:new.ENROLLBEGINDATE
 ,:new.WITHDRAWN_NDAY
 ,:new.COMPLETIONDATELIMIT
 ,:new.SCHEDULECOMMENTS
 ,:new.USECUSTOMTEXT
 ,:new.GEOGRAPHIC_REGION
 ,:new.HW_DUEDATE
 ,:new.USE_NDAY
 ,:new.CPD_CREDITS
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.ENFORCE_DEADLINE
 ,:new.SEQUENCE
 ,:new.DESCRIPTION
 ,:new.SESSION_TITLE
 ,:new.SESSION_CODE
 ,:new.EW_ID
 ,:new.IS_WF_ASSIGN_DISABLED
 ,:new.TUTOR_SELECT_TYPE
 ,:new.UPDATE_MEANING
 ,:new.ATTENDANCE_SHEET_URL
 ,:new.CREATE_DATE
 ,:new.DEPT_ENROLL_LIMIT
 ,:new.BUNDLE_ID
 ,:new.SET_ENDEDSTATUS_ON_ENDDATE
 ,:new.IS_ALLOW_UPDATE_TOTAL_TIME
 ,:new.SESSION_SELECTOR
 ,:new.EXCHANGE_SERVER_ID
 ,:new.ENROLL_CNT_METHOD
 ,:new.ALLOW_SELF_ENROLL_TO_PROMPT
 ,:new.ASSIGNED_FORUM
 ,:new.ASSIGNED_FORUM_TYPE
 ,:new.SHOW_SESSION_SEL_RMDR
 ,:new.TRANSFER_DROPPED_TO_SESSION
);
end;
/

create or replace trigger d_cschedule
after delete on cschedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cschedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,COURSEID
 ,EVENTSTATUS
 ,AVAILABILITY
 ,STARTDATE
 ,ENDDATE
 ,TIMEZONE
 ,VCCHANNEL
 ,CONTACTINFO
 ,COMMENTS
 ,SEAT_LIMIT_RULE
 ,SEATLIMIT
 ,MIN_SIZE
 ,FACILITYID
 ,LOCATION
 ,ENROLLDEADLINE
 ,INSTITUTION
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CURRENCY
 ,BILLED
 ,NTRAININGHOURS
 ,USAGE_EXPIRATION_DATE
 ,N_ALLOWED_USAGE_DAYS
 ,ENROLLBEGINDATE
 ,WITHDRAWN_NDAY
 ,COMPLETIONDATELIMIT
 ,SCHEDULECOMMENTS
 ,USECUSTOMTEXT
 ,GEOGRAPHIC_REGION
 ,HW_DUEDATE
 ,USE_NDAY
 ,CPD_CREDITS
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,SEQUENCE
 ,DESCRIPTION
 ,SESSION_TITLE
 ,SESSION_CODE
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,ATTENDANCE_SHEET_URL
 ,CREATE_DATE
 ,DEPT_ENROLL_LIMIT
 ,BUNDLE_ID
 ,SET_ENDEDSTATUS_ON_ENDDATE
 ,IS_ALLOW_UPDATE_TOTAL_TIME
 ,SESSION_SELECTOR
 ,EXCHANGE_SERVER_ID
 ,ENROLL_CNT_METHOD
 ,ALLOW_SELF_ENROLL_TO_PROMPT
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
 ,SHOW_SESSION_SEL_RMDR
 ,TRANSFER_DROPPED_TO_SESSION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENTID
 ,:old.COURSEID
 ,:old.EVENTSTATUS
 ,:old.AVAILABILITY
 ,:old.STARTDATE
 ,:old.ENDDATE
 ,:old.TIMEZONE
 ,:old.VCCHANNEL
 ,:old.CONTACTINFO
 ,:old.COMMENTS
 ,:old.SEAT_LIMIT_RULE
 ,:old.SEATLIMIT
 ,:old.MIN_SIZE
 ,:old.FACILITYID
 ,:old.LOCATION
 ,:old.ENROLLDEADLINE
 ,:old.INSTITUTION
 ,:old.APPROVERID1
 ,:old.REGCONTROL1
 ,:old.APPROVERID2
 ,:old.REGCONTROL2
 ,:old.CURRENCY
 ,:old.BILLED
 ,:old.NTRAININGHOURS
 ,:old.USAGE_EXPIRATION_DATE
 ,:old.N_ALLOWED_USAGE_DAYS
 ,:old.ENROLLBEGINDATE
 ,:old.WITHDRAWN_NDAY
 ,:old.COMPLETIONDATELIMIT
 ,:old.SCHEDULECOMMENTS
 ,:old.USECUSTOMTEXT
 ,:old.GEOGRAPHIC_REGION
 ,:old.HW_DUEDATE
 ,:old.USE_NDAY
 ,:old.CPD_CREDITS
 ,:old.COMPLETE_BY_DATE
 ,:old.COMPLETE_IN_DAYS
 ,:old.ENFORCE_DEADLINE
 ,:old.SEQUENCE
 ,:old.DESCRIPTION
 ,:old.SESSION_TITLE
 ,:old.SESSION_CODE
 ,:old.EW_ID
 ,:old.IS_WF_ASSIGN_DISABLED
 ,:old.TUTOR_SELECT_TYPE
 ,:old.UPDATE_MEANING
 ,:old.ATTENDANCE_SHEET_URL
 ,:old.CREATE_DATE
 ,:old.DEPT_ENROLL_LIMIT
 ,:old.BUNDLE_ID
 ,:old.SET_ENDEDSTATUS_ON_ENDDATE
 ,:old.IS_ALLOW_UPDATE_TOTAL_TIME
 ,:old.SESSION_SELECTOR
 ,:old.EXCHANGE_SERVER_ID
 ,:old.ENROLL_CNT_METHOD
 ,:old.ALLOW_SELF_ENROLL_TO_PROMPT
 ,:old.ASSIGNED_FORUM
 ,:old.ASSIGNED_FORUM_TYPE
 ,:old.SHOW_SESSION_SEL_RMDR
 ,:old.TRANSFER_DROPPED_TO_SESSION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-cschedule', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1016, '8:43be3fa4fc5cf514138aa1b50ef36194', 'enableAuditTable auditTableName=cschedule_aud, tableName=cschedule', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-module_session_schedule::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MODULE_SESSION_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MODULE_SESSION_SCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MODULE_SESSION_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MODULE_SESSION_SCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MODULE_SESSION_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MODULE_SESSION_SCHEDULE';
			END IF;
		END;
/

CREATE TABLE module_sess_schedule_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENTID VARCHAR2(15 BYTE), SESSIONID VARCHAR2(15 BYTE), STARTDATE date, ENDDATE date, UTC_START_DATE date, UTC_END_DATE date, FACILITYID VARCHAR2(15 BYTE), LOCATION VARCHAR2(255 BYTE), IGNORE_CONFLICT CHAR(1 BYTE), ROOM_NAME VARCHAR2(255 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), SEATING_ARRANGEMENT VARCHAR2(20 BYTE), EXCHANGE_ITEM_ID VARCHAR2(200 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MODULE_SESS_SCHEDULE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_module_sess_schedule_aud
 before insert on module_sess_schedule_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into module_sess_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSIONID
 ,STARTDATE
 ,ENDDATE
 ,UTC_START_DATE
 ,UTC_END_DATE
 ,FACILITYID
 ,LOCATION
 ,IGNORE_CONFLICT
 ,ROOM_NAME
 ,UPDATE_MEANING
 ,SEATING_ARRANGEMENT
 ,EXCHANGE_ITEM_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENTID
 ,SESSIONID
 ,STARTDATE
 ,ENDDATE
 ,UTC_START_DATE
 ,UTC_END_DATE
 ,FACILITYID
 ,LOCATION
 ,IGNORE_CONFLICT
 ,ROOM_NAME
 ,UPDATE_MEANING
 ,SEATING_ARRANGEMENT
 ,EXCHANGE_ITEM_ID
  from module_session_schedule
/

CREATE INDEX nuk_module_sess_schedule_aud_1 ON module_sess_schedule_aud(aud_userid)
/

CREATE INDEX nuk_module_sess_schedule_aud_2 ON module_sess_schedule_aud(aud_datetime)
/

create or replace trigger i_module_session_schedule
after insert on module_session_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into module_sess_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSIONID
 ,STARTDATE
 ,ENDDATE
 ,UTC_START_DATE
 ,UTC_END_DATE
 ,FACILITYID
 ,LOCATION
 ,IGNORE_CONFLICT
 ,ROOM_NAME
 ,UPDATE_MEANING
 ,SEATING_ARRANGEMENT
 ,EXCHANGE_ITEM_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.SESSIONID
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.UTC_START_DATE
 ,:new.UTC_END_DATE
 ,:new.FACILITYID
 ,:new.LOCATION
 ,:new.IGNORE_CONFLICT
 ,:new.ROOM_NAME
 ,:new.UPDATE_MEANING
 ,:new.SEATING_ARRANGEMENT
 ,:new.EXCHANGE_ITEM_ID
);
end;
/

create or replace trigger u_module_session_schedule
after update on module_session_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into module_sess_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSIONID
 ,STARTDATE
 ,ENDDATE
 ,UTC_START_DATE
 ,UTC_END_DATE
 ,FACILITYID
 ,LOCATION
 ,IGNORE_CONFLICT
 ,ROOM_NAME
 ,UPDATE_MEANING
 ,SEATING_ARRANGEMENT
 ,EXCHANGE_ITEM_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.SESSIONID
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.UTC_START_DATE
 ,:new.UTC_END_DATE
 ,:new.FACILITYID
 ,:new.LOCATION
 ,:new.IGNORE_CONFLICT
 ,:new.ROOM_NAME
 ,:new.UPDATE_MEANING
 ,:new.SEATING_ARRANGEMENT
 ,:new.EXCHANGE_ITEM_ID
);
end;
/

create or replace trigger d_module_session_schedule
after delete on module_session_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into module_sess_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,SESSIONID
 ,STARTDATE
 ,ENDDATE
 ,UTC_START_DATE
 ,UTC_END_DATE
 ,FACILITYID
 ,LOCATION
 ,IGNORE_CONFLICT
 ,ROOM_NAME
 ,UPDATE_MEANING
 ,SEATING_ARRANGEMENT
 ,EXCHANGE_ITEM_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENTID
 ,:old.SESSIONID
 ,:old.STARTDATE
 ,:old.ENDDATE
 ,:old.UTC_START_DATE
 ,:old.UTC_END_DATE
 ,:old.FACILITYID
 ,:old.LOCATION
 ,:old.IGNORE_CONFLICT
 ,:old.ROOM_NAME
 ,:old.UPDATE_MEANING
 ,:old.SEATING_ARRANGEMENT
 ,:old.EXCHANGE_ITEM_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-module_session_schedule', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1017, '8:9e74aa974ef3b9a7e45085438d695e38', 'enableAuditTable auditTableName=module_sess_schedule_aud, tableName=module_session_schedule', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-currcourses::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CURRCOURSES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CURRCOURSES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CURRCOURSES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CURRCOURSES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CURRCOURSES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CURRCOURSES';
			END IF;
		END;
/

CREATE TABLE currcourses_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CURRID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(15 BYTE), COURSEORDER NUMBER(*, 0), COURSEID VARCHAR2(85 BYTE), EVENTID VARCHAR2(15 BYTE), REQUIRED CHAR(1 BYTE), ENROLLBYDEFAULT CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), MODULECREDITS FLOAT(22), WEIGHTING FLOAT(22), COMPLETE_BY_DATE date, COMPLETE_IN_DAYS NUMBER(*, 0), COMPLETE_DAYS_FLAG CHAR(1 BYTE), ENROLLAVAILABLEDATE date, START_ON_DATE date, START_IN_DAYS NUMBER(*, 0), ENROLLDATEFLAG CHAR(1 BYTE), ENROLLNDAYS NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CURRCOURSES_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_currcourses_aud
 before insert on currcourses_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into currcourses_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,COURSEORDER
 ,COURSEID
 ,EVENTID
 ,REQUIRED
 ,ENROLLBYDEFAULT
 ,UPDATE_MEANING
 ,MODULECREDITS
 ,WEIGHTING
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,COMPLETE_DAYS_FLAG
 ,ENROLLAVAILABLEDATE
 ,START_ON_DATE
 ,START_IN_DAYS
 ,ENROLLDATEFLAG
 ,ENROLLNDAYS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CURRID
 ,SESSIONID
 ,COURSEORDER
 ,COURSEID
 ,EVENTID
 ,REQUIRED
 ,ENROLLBYDEFAULT
 ,UPDATE_MEANING
 ,MODULECREDITS
 ,WEIGHTING
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,COMPLETE_DAYS_FLAG
 ,ENROLLAVAILABLEDATE
 ,START_ON_DATE
 ,START_IN_DAYS
 ,ENROLLDATEFLAG
 ,ENROLLNDAYS
  from currcourses
/

CREATE INDEX nuk_currcourses_aud_1 ON currcourses_aud(aud_userid)
/

CREATE INDEX nuk_currcourses_aud_2 ON currcourses_aud(aud_datetime)
/

create or replace trigger i_currcourses
after insert on currcourses for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into currcourses_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,COURSEORDER
 ,COURSEID
 ,EVENTID
 ,REQUIRED
 ,ENROLLBYDEFAULT
 ,UPDATE_MEANING
 ,MODULECREDITS
 ,WEIGHTING
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,COMPLETE_DAYS_FLAG
 ,ENROLLAVAILABLEDATE
 ,START_ON_DATE
 ,START_IN_DAYS
 ,ENROLLDATEFLAG
 ,ENROLLNDAYS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.COURSEORDER
 ,:new.COURSEID
 ,:new.EVENTID
 ,:new.REQUIRED
 ,:new.ENROLLBYDEFAULT
 ,:new.UPDATE_MEANING
 ,:new.MODULECREDITS
 ,:new.WEIGHTING
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.COMPLETE_DAYS_FLAG
 ,:new.ENROLLAVAILABLEDATE
 ,:new.START_ON_DATE
 ,:new.START_IN_DAYS
 ,:new.ENROLLDATEFLAG
 ,:new.ENROLLNDAYS
);
end;
/

create or replace trigger u_currcourses
after update on currcourses for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into currcourses_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,COURSEORDER
 ,COURSEID
 ,EVENTID
 ,REQUIRED
 ,ENROLLBYDEFAULT
 ,UPDATE_MEANING
 ,MODULECREDITS
 ,WEIGHTING
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,COMPLETE_DAYS_FLAG
 ,ENROLLAVAILABLEDATE
 ,START_ON_DATE
 ,START_IN_DAYS
 ,ENROLLDATEFLAG
 ,ENROLLNDAYS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.COURSEORDER
 ,:new.COURSEID
 ,:new.EVENTID
 ,:new.REQUIRED
 ,:new.ENROLLBYDEFAULT
 ,:new.UPDATE_MEANING
 ,:new.MODULECREDITS
 ,:new.WEIGHTING
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.COMPLETE_DAYS_FLAG
 ,:new.ENROLLAVAILABLEDATE
 ,:new.START_ON_DATE
 ,:new.START_IN_DAYS
 ,:new.ENROLLDATEFLAG
 ,:new.ENROLLNDAYS
);
end;
/

create or replace trigger d_currcourses
after delete on currcourses for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into currcourses_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,COURSEORDER
 ,COURSEID
 ,EVENTID
 ,REQUIRED
 ,ENROLLBYDEFAULT
 ,UPDATE_MEANING
 ,MODULECREDITS
 ,WEIGHTING
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,COMPLETE_DAYS_FLAG
 ,ENROLLAVAILABLEDATE
 ,START_ON_DATE
 ,START_IN_DAYS
 ,ENROLLDATEFLAG
 ,ENROLLNDAYS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CURRID
 ,:old.SESSIONID
 ,:old.COURSEORDER
 ,:old.COURSEID
 ,:old.EVENTID
 ,:old.REQUIRED
 ,:old.ENROLLBYDEFAULT
 ,:old.UPDATE_MEANING
 ,:old.MODULECREDITS
 ,:old.WEIGHTING
 ,:old.COMPLETE_BY_DATE
 ,:old.COMPLETE_IN_DAYS
 ,:old.COMPLETE_DAYS_FLAG
 ,:old.ENROLLAVAILABLEDATE
 ,:old.START_ON_DATE
 ,:old.START_IN_DAYS
 ,:old.ENROLLDATEFLAG
 ,:old.ENROLLNDAYS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-currcourses', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1018, '8:9e369d3d5b31122297098189fba8c17d', 'enableAuditTable auditTableName=currcourses_aud, tableName=currcourses', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-curriculum::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CURRICULUM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CURRICULUM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CURRICULUM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CURRICULUM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CURRICULUM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CURRICULUM';
			END IF;
		END;
/

CREATE TABLE curriculum_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CURRID VARCHAR2(85 BYTE), CERTID NUMBER(8, 0), CERTTESTID VARCHAR2(100 BYTE), ALLOWSELFENROLLMENT CHAR(1 BYTE), ALLOWUSERSTATUSCHG CHAR(1 BYTE), PROMPT_FOR_WITHDRAW_REASON CHAR(1 BYTE), APPROVERID1 VARCHAR2(85 BYTE), REGCONTROL1 NUMBER(*, 0), APPROVERID2 VARCHAR2(85 BYTE), REGCONTROL2 NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), PROGRESS_TRACKER CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CURRICULUM_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_curriculum_aud
 before insert on curriculum_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into curriculum_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,CERTID
 ,CERTTESTID
 ,ALLOWSELFENROLLMENT
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,UPDATE_MEANING
 ,PROGRESS_TRACKER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CURRID
 ,CERTID
 ,CERTTESTID
 ,ALLOWSELFENROLLMENT
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,UPDATE_MEANING
 ,PROGRESS_TRACKER
  from curriculum
/

CREATE INDEX nuk_curriculum_aud_1 ON curriculum_aud(aud_userid)
/

CREATE INDEX nuk_curriculum_aud_2 ON curriculum_aud(aud_datetime)
/

create or replace trigger i_curriculum
after insert on curriculum for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into curriculum_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,CERTID
 ,CERTTESTID
 ,ALLOWSELFENROLLMENT
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,UPDATE_MEANING
 ,PROGRESS_TRACKER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.CERTID
 ,:new.CERTTESTID
 ,:new.ALLOWSELFENROLLMENT
 ,:new.ALLOWUSERSTATUSCHG
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.UPDATE_MEANING
 ,:new.PROGRESS_TRACKER
);
end;
/

create or replace trigger u_curriculum
after update on curriculum for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into curriculum_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,CERTID
 ,CERTTESTID
 ,ALLOWSELFENROLLMENT
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,UPDATE_MEANING
 ,PROGRESS_TRACKER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.CERTID
 ,:new.CERTTESTID
 ,:new.ALLOWSELFENROLLMENT
 ,:new.ALLOWUSERSTATUSCHG
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.UPDATE_MEANING
 ,:new.PROGRESS_TRACKER
);
end;
/

create or replace trigger d_curriculum
after delete on curriculum for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into curriculum_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,CERTID
 ,CERTTESTID
 ,ALLOWSELFENROLLMENT
 ,ALLOWUSERSTATUSCHG
 ,PROMPT_FOR_WITHDRAW_REASON
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,UPDATE_MEANING
 ,PROGRESS_TRACKER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CURRID
 ,:old.CERTID
 ,:old.CERTTESTID
 ,:old.ALLOWSELFENROLLMENT
 ,:old.ALLOWUSERSTATUSCHG
 ,:old.PROMPT_FOR_WITHDRAW_REASON
 ,:old.APPROVERID1
 ,:old.REGCONTROL1
 ,:old.APPROVERID2
 ,:old.REGCONTROL2
 ,:old.UPDATE_MEANING
 ,:old.PROGRESS_TRACKER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-curriculum', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1019, '8:cb4648dda96336923c01e8b3f090031c', 'enableAuditTable auditTableName=curriculum_aud, tableName=curriculum', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-enrollment_policy::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ENROLLMENT_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ENROLLMENT_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ENROLLMENT_POLICY';
			END IF;
		END;
/

CREATE TABLE enrollment_policy_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, POLICY_ID VARCHAR2(15 BYTE), POLICY_NAME VARCHAR2(50 BYTE), REMARKS VARCHAR2(255 BYTE), IS_ACTIVE CHAR(1 BYTE), WITHDRAW_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), APPROVED_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), SEND_GROUP_ENROLL CHAR(1 BYTE), SEND_AUTO_ENROLL CHAR(1 BYTE), SEND_SELF_ENROLL CHAR(1 BYTE), REJECT_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), ENROLL_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), ALLOW_APPROVAL_WITHDRAWAL CHAR(1 BYTE), PROMPT_FOR_WITHDRAW_REASON CHAR(1 BYTE), CONSIDER_PAY_PLAN CHAR(1 BYTE), ALL_PARALLEL_STEPS_MUST_APPROV CHAR(1 BYTE), POLICYDETAILS CLOB, WAITEDLISTED_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), ENROLL_PEND_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), SESSION_TRANS_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, UPDATE_MEANING VARCHAR2(8 BYTE), DOMAIN_ID VARCHAR2(15 BYTE), NEW_SES_AVAIL_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ENROLLMENT_POLICY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_enrollment_policy_aud
 before insert on enrollment_policy_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into enrollment_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,POLICY_NAME
 ,REMARKS
 ,IS_ACTIVE
 ,WITHDRAW_EMAIL_PROFILE_ID
 ,APPROVED_EMAIL_PROFILE_ID
 ,SEND_GROUP_ENROLL
 ,SEND_AUTO_ENROLL
 ,SEND_SELF_ENROLL
 ,REJECT_EMAIL_PROFILE_ID
 ,ENROLL_EMAIL_PROFILE_ID
 ,ALLOW_APPROVAL_WITHDRAWAL
 ,PROMPT_FOR_WITHDRAW_REASON
 ,CONSIDER_PAY_PLAN
 ,ALL_PARALLEL_STEPS_MUST_APPROV
 ,POLICYDETAILS
 ,WAITEDLISTED_EMAIL_PROFILE_ID
 ,ENROLL_PEND_EMAIL_PROFILE_ID
 ,SESSION_TRANS_EMAIL_PROFILE_ID
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,DOMAIN_ID
 ,NEW_SES_AVAIL_EMAIL_PROFILE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,POLICY_ID
 ,POLICY_NAME
 ,REMARKS
 ,IS_ACTIVE
 ,WITHDRAW_EMAIL_PROFILE_ID
 ,APPROVED_EMAIL_PROFILE_ID
 ,SEND_GROUP_ENROLL
 ,SEND_AUTO_ENROLL
 ,SEND_SELF_ENROLL
 ,REJECT_EMAIL_PROFILE_ID
 ,ENROLL_EMAIL_PROFILE_ID
 ,ALLOW_APPROVAL_WITHDRAWAL
 ,PROMPT_FOR_WITHDRAW_REASON
 ,CONSIDER_PAY_PLAN
 ,ALL_PARALLEL_STEPS_MUST_APPROV
 ,POLICYDETAILS
 ,WAITEDLISTED_EMAIL_PROFILE_ID
 ,ENROLL_PEND_EMAIL_PROFILE_ID
 ,SESSION_TRANS_EMAIL_PROFILE_ID
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,DOMAIN_ID
 ,NEW_SES_AVAIL_EMAIL_PROFILE_ID
  from enrollment_policy
/

CREATE INDEX nuk_enrollment_policy_aud_1 ON enrollment_policy_aud(aud_userid)
/

CREATE INDEX nuk_enrollment_policy_aud_2 ON enrollment_policy_aud(aud_datetime)
/

create or replace trigger i_enrollment_policy
after insert on enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enrollment_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,POLICY_NAME
 ,REMARKS
 ,IS_ACTIVE
 ,WITHDRAW_EMAIL_PROFILE_ID
 ,APPROVED_EMAIL_PROFILE_ID
 ,SEND_GROUP_ENROLL
 ,SEND_AUTO_ENROLL
 ,SEND_SELF_ENROLL
 ,REJECT_EMAIL_PROFILE_ID
 ,ENROLL_EMAIL_PROFILE_ID
 ,ALLOW_APPROVAL_WITHDRAWAL
 ,PROMPT_FOR_WITHDRAW_REASON
 ,CONSIDER_PAY_PLAN
 ,ALL_PARALLEL_STEPS_MUST_APPROV
 ,POLICYDETAILS
 ,WAITEDLISTED_EMAIL_PROFILE_ID
 ,ENROLL_PEND_EMAIL_PROFILE_ID
 ,SESSION_TRANS_EMAIL_PROFILE_ID
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,DOMAIN_ID
 ,NEW_SES_AVAIL_EMAIL_PROFILE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.POLICY_NAME
 ,:new.REMARKS
 ,:new.IS_ACTIVE
 ,:new.WITHDRAW_EMAIL_PROFILE_ID
 ,:new.APPROVED_EMAIL_PROFILE_ID
 ,:new.SEND_GROUP_ENROLL
 ,:new.SEND_AUTO_ENROLL
 ,:new.SEND_SELF_ENROLL
 ,:new.REJECT_EMAIL_PROFILE_ID
 ,:new.ENROLL_EMAIL_PROFILE_ID
 ,:new.ALLOW_APPROVAL_WITHDRAWAL
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.CONSIDER_PAY_PLAN
 ,:new.ALL_PARALLEL_STEPS_MUST_APPROV
 ,:new.POLICYDETAILS
 ,:new.WAITEDLISTED_EMAIL_PROFILE_ID
 ,:new.ENROLL_PEND_EMAIL_PROFILE_ID
 ,:new.SESSION_TRANS_EMAIL_PROFILE_ID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.UPDATE_MEANING
 ,:new.DOMAIN_ID
 ,:new.NEW_SES_AVAIL_EMAIL_PROFILE_ID
);
end;
/

create or replace trigger u_enrollment_policy
after update on enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enrollment_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,POLICY_NAME
 ,REMARKS
 ,IS_ACTIVE
 ,WITHDRAW_EMAIL_PROFILE_ID
 ,APPROVED_EMAIL_PROFILE_ID
 ,SEND_GROUP_ENROLL
 ,SEND_AUTO_ENROLL
 ,SEND_SELF_ENROLL
 ,REJECT_EMAIL_PROFILE_ID
 ,ENROLL_EMAIL_PROFILE_ID
 ,ALLOW_APPROVAL_WITHDRAWAL
 ,PROMPT_FOR_WITHDRAW_REASON
 ,CONSIDER_PAY_PLAN
 ,ALL_PARALLEL_STEPS_MUST_APPROV
 ,POLICYDETAILS
 ,WAITEDLISTED_EMAIL_PROFILE_ID
 ,ENROLL_PEND_EMAIL_PROFILE_ID
 ,SESSION_TRANS_EMAIL_PROFILE_ID
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,DOMAIN_ID
 ,NEW_SES_AVAIL_EMAIL_PROFILE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.POLICY_NAME
 ,:new.REMARKS
 ,:new.IS_ACTIVE
 ,:new.WITHDRAW_EMAIL_PROFILE_ID
 ,:new.APPROVED_EMAIL_PROFILE_ID
 ,:new.SEND_GROUP_ENROLL
 ,:new.SEND_AUTO_ENROLL
 ,:new.SEND_SELF_ENROLL
 ,:new.REJECT_EMAIL_PROFILE_ID
 ,:new.ENROLL_EMAIL_PROFILE_ID
 ,:new.ALLOW_APPROVAL_WITHDRAWAL
 ,:new.PROMPT_FOR_WITHDRAW_REASON
 ,:new.CONSIDER_PAY_PLAN
 ,:new.ALL_PARALLEL_STEPS_MUST_APPROV
 ,:new.POLICYDETAILS
 ,:new.WAITEDLISTED_EMAIL_PROFILE_ID
 ,:new.ENROLL_PEND_EMAIL_PROFILE_ID
 ,:new.SESSION_TRANS_EMAIL_PROFILE_ID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.UPDATE_MEANING
 ,:new.DOMAIN_ID
 ,:new.NEW_SES_AVAIL_EMAIL_PROFILE_ID
);
end;
/

create or replace trigger d_enrollment_policy
after delete on enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enrollment_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,POLICY_NAME
 ,REMARKS
 ,IS_ACTIVE
 ,WITHDRAW_EMAIL_PROFILE_ID
 ,APPROVED_EMAIL_PROFILE_ID
 ,SEND_GROUP_ENROLL
 ,SEND_AUTO_ENROLL
 ,SEND_SELF_ENROLL
 ,REJECT_EMAIL_PROFILE_ID
 ,ENROLL_EMAIL_PROFILE_ID
 ,ALLOW_APPROVAL_WITHDRAWAL
 ,PROMPT_FOR_WITHDRAW_REASON
 ,CONSIDER_PAY_PLAN
 ,ALL_PARALLEL_STEPS_MUST_APPROV
 ,POLICYDETAILS
 ,WAITEDLISTED_EMAIL_PROFILE_ID
 ,ENROLL_PEND_EMAIL_PROFILE_ID
 ,SESSION_TRANS_EMAIL_PROFILE_ID
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,DOMAIN_ID
 ,NEW_SES_AVAIL_EMAIL_PROFILE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.POLICY_ID
 ,:old.POLICY_NAME
 ,:old.REMARKS
 ,:old.IS_ACTIVE
 ,:old.WITHDRAW_EMAIL_PROFILE_ID
 ,:old.APPROVED_EMAIL_PROFILE_ID
 ,:old.SEND_GROUP_ENROLL
 ,:old.SEND_AUTO_ENROLL
 ,:old.SEND_SELF_ENROLL
 ,:old.REJECT_EMAIL_PROFILE_ID
 ,:old.ENROLL_EMAIL_PROFILE_ID
 ,:old.ALLOW_APPROVAL_WITHDRAWAL
 ,:old.PROMPT_FOR_WITHDRAW_REASON
 ,:old.CONSIDER_PAY_PLAN
 ,:old.ALL_PARALLEL_STEPS_MUST_APPROV
 ,:old.POLICYDETAILS
 ,:old.WAITEDLISTED_EMAIL_PROFILE_ID
 ,:old.ENROLL_PEND_EMAIL_PROFILE_ID
 ,:old.SESSION_TRANS_EMAIL_PROFILE_ID
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.UPDATE_MEANING
 ,:old.DOMAIN_ID
 ,:old.NEW_SES_AVAIL_EMAIL_PROFILE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-enrollment_policy', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1020, '8:55550cd2516996bfef7ce0e0fcddd534', 'enableAuditTable auditTableName=enrollment_policy_aud, tableName=enrollment_policy', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-enrollment_policy_step::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ENROLLMENT_POLICY_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ENROLLMENT_POLICY_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ENROLLMENT_POLICY_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ENROLLMENT_POLICY_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ENROLLMENT_POLICY_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ENROLLMENT_POLICY_STEP';
			END IF;
		END;
/

CREATE TABLE enroll_policy_step_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, STEP_ID VARCHAR2(15 BYTE), POLICY_ID VARCHAR2(15 BYTE), SEQUENCE_NO NUMBER(*, 0), STEP_NAME VARCHAR2(50 BYTE), REMARKS VARCHAR2(255 BYTE), REMIND_DAY NUMBER(*, 0), REMIND_EMAIL_ID VARCHAR2(15 BYTE), EXPIRE_DAY NUMBER(*, 0), EXPIRE_ACTION CHAR(1 BYTE), EMAIL_PROFILE_ID VARCHAR2(15 BYTE), EXPIRE_EMAIL_ID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), MANUAL CHAR(1 BYTE), APPROVERID1 VARCHAR2(85 BYTE), REGCONTROL1 NUMBER(*, 0), PARALLEL_STEP CHAR(1 BYTE), INCLUDE_COSTCENTER CHAR(1 BYTE), INCLUDE_EMAIL CHAR(1 BYTE), NOTIFY_EMAIL_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ENROLL_POLICY_STEP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_enroll_policy_step_aud
 before insert on enroll_policy_step_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into enroll_policy_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,STEP_ID
 ,POLICY_ID
 ,SEQUENCE_NO
 ,STEP_NAME
 ,REMARKS
 ,REMIND_DAY
 ,REMIND_EMAIL_ID
 ,EXPIRE_DAY
 ,EXPIRE_ACTION
 ,EMAIL_PROFILE_ID
 ,EXPIRE_EMAIL_ID
 ,UPDATE_MEANING
 ,MANUAL
 ,APPROVERID1
 ,REGCONTROL1
 ,PARALLEL_STEP
 ,INCLUDE_COSTCENTER
 ,INCLUDE_EMAIL
 ,NOTIFY_EMAIL_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,STEP_ID
 ,POLICY_ID
 ,SEQUENCE_NO
 ,STEP_NAME
 ,REMARKS
 ,REMIND_DAY
 ,REMIND_EMAIL_ID
 ,EXPIRE_DAY
 ,EXPIRE_ACTION
 ,EMAIL_PROFILE_ID
 ,EXPIRE_EMAIL_ID
 ,UPDATE_MEANING
 ,MANUAL
 ,APPROVERID1
 ,REGCONTROL1
 ,PARALLEL_STEP
 ,INCLUDE_COSTCENTER
 ,INCLUDE_EMAIL
 ,NOTIFY_EMAIL_ID
  from enrollment_policy_step
/

CREATE INDEX nuk_enroll_policy_step_aud_1 ON enroll_policy_step_aud(aud_userid)
/

CREATE INDEX nuk_enroll_policy_step_aud_2 ON enroll_policy_step_aud(aud_datetime)
/

create or replace trigger i_enrollment_policy_step
after insert on enrollment_policy_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enroll_policy_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,STEP_ID
 ,POLICY_ID
 ,SEQUENCE_NO
 ,STEP_NAME
 ,REMARKS
 ,REMIND_DAY
 ,REMIND_EMAIL_ID
 ,EXPIRE_DAY
 ,EXPIRE_ACTION
 ,EMAIL_PROFILE_ID
 ,EXPIRE_EMAIL_ID
 ,UPDATE_MEANING
 ,MANUAL
 ,APPROVERID1
 ,REGCONTROL1
 ,PARALLEL_STEP
 ,INCLUDE_COSTCENTER
 ,INCLUDE_EMAIL
 ,NOTIFY_EMAIL_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.STEP_ID
 ,:new.POLICY_ID
 ,:new.SEQUENCE_NO
 ,:new.STEP_NAME
 ,:new.REMARKS
 ,:new.REMIND_DAY
 ,:new.REMIND_EMAIL_ID
 ,:new.EXPIRE_DAY
 ,:new.EXPIRE_ACTION
 ,:new.EMAIL_PROFILE_ID
 ,:new.EXPIRE_EMAIL_ID
 ,:new.UPDATE_MEANING
 ,:new.MANUAL
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.PARALLEL_STEP
 ,:new.INCLUDE_COSTCENTER
 ,:new.INCLUDE_EMAIL
 ,:new.NOTIFY_EMAIL_ID
);
end;
/

create or replace trigger u_enrollment_policy_step
after update on enrollment_policy_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enroll_policy_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,STEP_ID
 ,POLICY_ID
 ,SEQUENCE_NO
 ,STEP_NAME
 ,REMARKS
 ,REMIND_DAY
 ,REMIND_EMAIL_ID
 ,EXPIRE_DAY
 ,EXPIRE_ACTION
 ,EMAIL_PROFILE_ID
 ,EXPIRE_EMAIL_ID
 ,UPDATE_MEANING
 ,MANUAL
 ,APPROVERID1
 ,REGCONTROL1
 ,PARALLEL_STEP
 ,INCLUDE_COSTCENTER
 ,INCLUDE_EMAIL
 ,NOTIFY_EMAIL_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.STEP_ID
 ,:new.POLICY_ID
 ,:new.SEQUENCE_NO
 ,:new.STEP_NAME
 ,:new.REMARKS
 ,:new.REMIND_DAY
 ,:new.REMIND_EMAIL_ID
 ,:new.EXPIRE_DAY
 ,:new.EXPIRE_ACTION
 ,:new.EMAIL_PROFILE_ID
 ,:new.EXPIRE_EMAIL_ID
 ,:new.UPDATE_MEANING
 ,:new.MANUAL
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.PARALLEL_STEP
 ,:new.INCLUDE_COSTCENTER
 ,:new.INCLUDE_EMAIL
 ,:new.NOTIFY_EMAIL_ID
);
end;
/

create or replace trigger d_enrollment_policy_step
after delete on enrollment_policy_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into enroll_policy_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,STEP_ID
 ,POLICY_ID
 ,SEQUENCE_NO
 ,STEP_NAME
 ,REMARKS
 ,REMIND_DAY
 ,REMIND_EMAIL_ID
 ,EXPIRE_DAY
 ,EXPIRE_ACTION
 ,EMAIL_PROFILE_ID
 ,EXPIRE_EMAIL_ID
 ,UPDATE_MEANING
 ,MANUAL
 ,APPROVERID1
 ,REGCONTROL1
 ,PARALLEL_STEP
 ,INCLUDE_COSTCENTER
 ,INCLUDE_EMAIL
 ,NOTIFY_EMAIL_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.STEP_ID
 ,:old.POLICY_ID
 ,:old.SEQUENCE_NO
 ,:old.STEP_NAME
 ,:old.REMARKS
 ,:old.REMIND_DAY
 ,:old.REMIND_EMAIL_ID
 ,:old.EXPIRE_DAY
 ,:old.EXPIRE_ACTION
 ,:old.EMAIL_PROFILE_ID
 ,:old.EXPIRE_EMAIL_ID
 ,:old.UPDATE_MEANING
 ,:old.MANUAL
 ,:old.APPROVERID1
 ,:old.REGCONTROL1
 ,:old.PARALLEL_STEP
 ,:old.INCLUDE_COSTCENTER
 ,:old.INCLUDE_EMAIL
 ,:old.NOTIFY_EMAIL_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-enrollment_policy_step', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1021, '8:48b97a67bc47b2521ef03282273e2297', 'enableAuditTable auditTableName=enroll_policy_step_aud, tableName=enrollment_policy_step', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-exam_comment::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EXAM_COMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EXAM_COMMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EXAM_COMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EXAM_COMMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EXAM_COMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EXAM_COMMENT';
			END IF;
		END;
/

CREATE TABLE exam_comment_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), CTYPE CHAR(1 BYTE), USERID VARCHAR2(85 BYTE), DATEPREPARED date, PREPAREDBY VARCHAR2(85 BYTE), COMMENTTEXT VARCHAR2(1000 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EXAM_COMMENT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_exam_comment_aud
 before insert on exam_comment_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into exam_comment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
  from exam_comment
/

CREATE INDEX nuk_exam_comment_aud_1 ON exam_comment_aud(aud_userid)
/

CREATE INDEX nuk_exam_comment_aud_2 ON exam_comment_aud(aud_datetime)
/

create or replace trigger i_exam_comment
after insert on exam_comment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_comment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.UPDATE_MEANING
 ,:new.CTYPE
 ,:new.USERID
 ,:new.DATEPREPARED
 ,:new.PREPAREDBY
 ,:new.COMMENTTEXT
);
end;
/

create or replace trigger u_exam_comment
after update on exam_comment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_comment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.UPDATE_MEANING
 ,:new.CTYPE
 ,:new.USERID
 ,:new.DATEPREPARED
 ,:new.PREPAREDBY
 ,:new.COMMENTTEXT
);
end;
/

create or replace trigger d_exam_comment
after delete on exam_comment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_comment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.UPDATE_MEANING
 ,:old.CTYPE
 ,:old.USERID
 ,:old.DATEPREPARED
 ,:old.PREPAREDBY
 ,:old.COMMENTTEXT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-exam_comment', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1022, '8:d81dab374e61521485a4c0670a608dbf', 'enableAuditTable auditTableName=exam_comment_aud, tableName=exam_comment', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-evaluation::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EVALUATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EVALUATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EVALUATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EVALUATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EVALUATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EVALUATION';
			END IF;
		END;
/

CREATE TABLE evaluation_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), EVENTID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), TESTID VARCHAR2(100 BYTE), INSTANCEID VARCHAR2(15 BYTE), DATECREATED date, EVALSTATUS NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EVALUATION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_evaluation_aud
 before insert on evaluation_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into evaluation_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,EVENTID
 ,USERID
 ,TESTID
 ,INSTANCEID
 ,DATECREATED
 ,EVALSTATUS
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,EVENTID
 ,USERID
 ,TESTID
 ,INSTANCEID
 ,DATECREATED
 ,EVALSTATUS
 ,UPDATE_MEANING
  from evaluation
/

CREATE INDEX nuk_evaluation_aud_1 ON evaluation_aud(aud_userid)
/

CREATE INDEX nuk_evaluation_aud_2 ON evaluation_aud(aud_datetime)
/

create or replace trigger i_evaluation
after insert on evaluation for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into evaluation_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,EVENTID
 ,USERID
 ,TESTID
 ,INSTANCEID
 ,DATECREATED
 ,EVALSTATUS
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.EVENTID
 ,:new.USERID
 ,:new.TESTID
 ,:new.INSTANCEID
 ,:new.DATECREATED
 ,:new.EVALSTATUS
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_evaluation
after update on evaluation for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into evaluation_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,EVENTID
 ,USERID
 ,TESTID
 ,INSTANCEID
 ,DATECREATED
 ,EVALSTATUS
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.EVENTID
 ,:new.USERID
 ,:new.TESTID
 ,:new.INSTANCEID
 ,:new.DATECREATED
 ,:new.EVALSTATUS
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_evaluation
after delete on evaluation for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into evaluation_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,EVENTID
 ,USERID
 ,TESTID
 ,INSTANCEID
 ,DATECREATED
 ,EVALSTATUS
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.EVENTID
 ,:old.USERID
 ,:old.TESTID
 ,:old.INSTANCEID
 ,:old.DATECREATED
 ,:old.EVALSTATUS
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-evaluation', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1023, '8:a5d4386414c8b7fffa0a6daa3df96f73', 'enableAuditTable auditTableName=evaluation_aud, tableName=evaluation', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-external_training::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EXTERNAL_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EXTERNAL_TRAINING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EXTERNAL_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EXTERNAL_TRAINING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EXTERNAL_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EXTERNAL_TRAINING';
			END IF;
		END;
/

CREATE TABLE external_training_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, RECORDID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), TITLE VARCHAR2(255 BYTE), STARTDATE date, ENDDATE date, GRADE VARCHAR2(30 BYTE), SCORE VARCHAR2(30 BYTE), COMMENTS VARCHAR2(1024 BYTE), TRAINING_HOURS FLOAT(22), COURSE_TYPE VARCHAR2(100 BYTE), SUBJECT VARCHAR2(100 BYTE), DURATION FLOAT(22), DURATION_UNIT VARCHAR2(50 BYTE), LANGUAGE NUMBER(*, 0), COST NUMBER(15, 2), CURRENCY VARCHAR2(15 BYTE), VENDOR_INFO1 VARCHAR2(255 BYTE), VENDOR_INFO2 VARCHAR2(255 BYTE), OTHER_INFO VARCHAR2(255 BYTE), VENUE VARCHAR2(512 BYTE), STUDENTSTATUS NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), DISPLAY_FILENAME VARCHAR2(85 BYTE), PATH VARCHAR2(255 BYTE), UPLOAD_DATE date, UPLOADED_BY VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EXTERNAL_TRAINING_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_external_training_aud
 before insert on external_training_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into external_training_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,RECORDID
 ,USERID
 ,TITLE
 ,STARTDATE
 ,ENDDATE
 ,GRADE
 ,SCORE
 ,COMMENTS
 ,TRAINING_HOURS
 ,COURSE_TYPE
 ,SUBJECT
 ,DURATION
 ,DURATION_UNIT
 ,LANGUAGE
 ,COST
 ,CURRENCY
 ,VENDOR_INFO1
 ,VENDOR_INFO2
 ,OTHER_INFO
 ,VENUE
 ,STUDENTSTATUS
 ,UPDATE_MEANING
 ,DISPLAY_FILENAME
 ,PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,RECORDID
 ,USERID
 ,TITLE
 ,STARTDATE
 ,ENDDATE
 ,GRADE
 ,SCORE
 ,COMMENTS
 ,TRAINING_HOURS
 ,COURSE_TYPE
 ,SUBJECT
 ,DURATION
 ,DURATION_UNIT
 ,LANGUAGE
 ,COST
 ,CURRENCY
 ,VENDOR_INFO1
 ,VENDOR_INFO2
 ,OTHER_INFO
 ,VENUE
 ,STUDENTSTATUS
 ,UPDATE_MEANING
 ,DISPLAY_FILENAME
 ,PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
  from external_training
/

CREATE INDEX nuk_external_training_aud_1 ON external_training_aud(aud_userid)
/

CREATE INDEX nuk_external_training_aud_2 ON external_training_aud(aud_datetime)
/

create or replace trigger i_external_training
after insert on external_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into external_training_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,RECORDID
 ,USERID
 ,TITLE
 ,STARTDATE
 ,ENDDATE
 ,GRADE
 ,SCORE
 ,COMMENTS
 ,TRAINING_HOURS
 ,COURSE_TYPE
 ,SUBJECT
 ,DURATION
 ,DURATION_UNIT
 ,LANGUAGE
 ,COST
 ,CURRENCY
 ,VENDOR_INFO1
 ,VENDOR_INFO2
 ,OTHER_INFO
 ,VENUE
 ,STUDENTSTATUS
 ,UPDATE_MEANING
 ,DISPLAY_FILENAME
 ,PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.RECORDID
 ,:new.USERID
 ,:new.TITLE
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.GRADE
 ,:new.SCORE
 ,:new.COMMENTS
 ,:new.TRAINING_HOURS
 ,:new.COURSE_TYPE
 ,:new.SUBJECT
 ,:new.DURATION
 ,:new.DURATION_UNIT
 ,:new.LANGUAGE
 ,:new.COST
 ,:new.CURRENCY
 ,:new.VENDOR_INFO1
 ,:new.VENDOR_INFO2
 ,:new.OTHER_INFO
 ,:new.VENUE
 ,:new.STUDENTSTATUS
 ,:new.UPDATE_MEANING
 ,:new.DISPLAY_FILENAME
 ,:new.PATH
 ,:new.UPLOAD_DATE
 ,:new.UPLOADED_BY
);
end;
/

create or replace trigger u_external_training
after update on external_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into external_training_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,RECORDID
 ,USERID
 ,TITLE
 ,STARTDATE
 ,ENDDATE
 ,GRADE
 ,SCORE
 ,COMMENTS
 ,TRAINING_HOURS
 ,COURSE_TYPE
 ,SUBJECT
 ,DURATION
 ,DURATION_UNIT
 ,LANGUAGE
 ,COST
 ,CURRENCY
 ,VENDOR_INFO1
 ,VENDOR_INFO2
 ,OTHER_INFO
 ,VENUE
 ,STUDENTSTATUS
 ,UPDATE_MEANING
 ,DISPLAY_FILENAME
 ,PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.RECORDID
 ,:new.USERID
 ,:new.TITLE
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.GRADE
 ,:new.SCORE
 ,:new.COMMENTS
 ,:new.TRAINING_HOURS
 ,:new.COURSE_TYPE
 ,:new.SUBJECT
 ,:new.DURATION
 ,:new.DURATION_UNIT
 ,:new.LANGUAGE
 ,:new.COST
 ,:new.CURRENCY
 ,:new.VENDOR_INFO1
 ,:new.VENDOR_INFO2
 ,:new.OTHER_INFO
 ,:new.VENUE
 ,:new.STUDENTSTATUS
 ,:new.UPDATE_MEANING
 ,:new.DISPLAY_FILENAME
 ,:new.PATH
 ,:new.UPLOAD_DATE
 ,:new.UPLOADED_BY
);
end;
/

create or replace trigger d_external_training
after delete on external_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into external_training_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,RECORDID
 ,USERID
 ,TITLE
 ,STARTDATE
 ,ENDDATE
 ,GRADE
 ,SCORE
 ,COMMENTS
 ,TRAINING_HOURS
 ,COURSE_TYPE
 ,SUBJECT
 ,DURATION
 ,DURATION_UNIT
 ,LANGUAGE
 ,COST
 ,CURRENCY
 ,VENDOR_INFO1
 ,VENDOR_INFO2
 ,OTHER_INFO
 ,VENUE
 ,STUDENTSTATUS
 ,UPDATE_MEANING
 ,DISPLAY_FILENAME
 ,PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.RECORDID
 ,:old.USERID
 ,:old.TITLE
 ,:old.STARTDATE
 ,:old.ENDDATE
 ,:old.GRADE
 ,:old.SCORE
 ,:old.COMMENTS
 ,:old.TRAINING_HOURS
 ,:old.COURSE_TYPE
 ,:old.SUBJECT
 ,:old.DURATION
 ,:old.DURATION_UNIT
 ,:old.LANGUAGE
 ,:old.COST
 ,:old.CURRENCY
 ,:old.VENDOR_INFO1
 ,:old.VENDOR_INFO2
 ,:old.OTHER_INFO
 ,:old.VENUE
 ,:old.STUDENTSTATUS
 ,:old.UPDATE_MEANING
 ,:old.DISPLAY_FILENAME
 ,:old.PATH
 ,:old.UPLOAD_DATE
 ,:old.UPLOADED_BY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-external_training', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1024, '8:74137cfc2cbe58e7db7cc7228bd55ae1', 'enableAuditTable auditTableName=external_training_aud, tableName=external_training', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-sessiondetail::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SESSIONDETAIL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SESSIONDETAIL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SESSIONDETAIL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SESSIONDETAIL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SESSIONDETAIL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SESSIONDETAIL';
			END IF;
		END;
/

CREATE TABLE sessiondetail_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CURRID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(15 BYTE), APPROVERID1 VARCHAR2(85 BYTE), REGCONTROL1 NUMBER(*, 0), APPROVERID2 VARCHAR2(85 BYTE), REGCONTROL2 NUMBER(*, 0), CONTACTINFO VARCHAR2(255 BYTE), ORDERS NUMBER(*, 0), SESSIONSTATUS NUMBER(*, 0), CURRENCY VARCHAR2(15 BYTE), BILLED CHAR(1 BYTE), STARTDATE date, COMPLETIONDATELIMIT date, REQUIREDELECTIVEHOURS FLOAT(22), ENDDATE date, ENFORCE_MOD_ORDER CHAR(1 BYTE), COMPLETE_BY_DATE date, COMPLETE_IN_DAYS NUMBER(*, 0), ENFORCE_DEADLINE VARCHAR2(1 BYTE), AVAILABILITY CHAR(1 BYTE), ENROLL_LIMIT NUMBER(*, 0), ENFORCE_MOD_PAY CHAR(1 BYTE), DESCRIPTION CLOB, SESSION_TITLE VARCHAR2(85 BYTE), USE_PROGRAM_SESSION_COST CHAR(1 BYTE), EW_ID VARCHAR2(15 BYTE), IS_WF_ASSIGN_DISABLED CHAR(1 BYTE), TUTOR_SELECT_TYPE CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), TIMEZONE VARCHAR2(50 BYTE), EARNEDCREDITS FLOAT(22), USE_DEFINED_CREDITS CHAR(1 BYTE), REVISED_DATE date, CREATE_DATE date, PASSING_SCORE FLOAT(22), ENFORCE_MOD_REV CHAR(1 BYTE), ENFORCE_MOD_PREQ CHAR(1 BYTE), BUNDLE_ID VARCHAR2(85 BYTE), ENROLLBEGINDATE date, ENROLLDEADLINE date, SUBMODULE_FAIL_ACTION CHAR(1 BYTE), ALLOW_ADVANCE_ON_FAIL CHAR(1 BYTE), HIDE_BLOCKED_MODULES CHAR(1 BYTE), POLICYAPV_PROGMOD CHAR(1 BYTE), MOD_START_TYPE CHAR(1 BYTE), FIRST_MOD_START_DATE date, SESSION_SELECTOR VARCHAR2(2 BYTE), ASSIGNED_FORUM NUMBER(16, 0), ASSIGNED_FORUM_TYPE VARCHAR2(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SESSIONDETAIL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_sessiondetail_aud
 before insert on sessiondetail_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into sessiondetail_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CONTACTINFO
 ,ORDERS
 ,SESSIONSTATUS
 ,CURRENCY
 ,BILLED
 ,STARTDATE
 ,COMPLETIONDATELIMIT
 ,REQUIREDELECTIVEHOURS
 ,ENDDATE
 ,ENFORCE_MOD_ORDER
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,AVAILABILITY
 ,ENROLL_LIMIT
 ,ENFORCE_MOD_PAY
 ,DESCRIPTION
 ,SESSION_TITLE
 ,USE_PROGRAM_SESSION_COST
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,TIMEZONE
 ,EARNEDCREDITS
 ,USE_DEFINED_CREDITS
 ,REVISED_DATE
 ,CREATE_DATE
 ,PASSING_SCORE
 ,ENFORCE_MOD_REV
 ,ENFORCE_MOD_PREQ
 ,BUNDLE_ID
 ,ENROLLBEGINDATE
 ,ENROLLDEADLINE
 ,SUBMODULE_FAIL_ACTION
 ,ALLOW_ADVANCE_ON_FAIL
 ,HIDE_BLOCKED_MODULES
 ,POLICYAPV_PROGMOD
 ,MOD_START_TYPE
 ,FIRST_MOD_START_DATE
 ,SESSION_SELECTOR
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CURRID
 ,SESSIONID
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CONTACTINFO
 ,ORDERS
 ,SESSIONSTATUS
 ,CURRENCY
 ,BILLED
 ,STARTDATE
 ,COMPLETIONDATELIMIT
 ,REQUIREDELECTIVEHOURS
 ,ENDDATE
 ,ENFORCE_MOD_ORDER
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,AVAILABILITY
 ,ENROLL_LIMIT
 ,ENFORCE_MOD_PAY
 ,DESCRIPTION
 ,SESSION_TITLE
 ,USE_PROGRAM_SESSION_COST
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,TIMEZONE
 ,EARNEDCREDITS
 ,USE_DEFINED_CREDITS
 ,REVISED_DATE
 ,CREATE_DATE
 ,PASSING_SCORE
 ,ENFORCE_MOD_REV
 ,ENFORCE_MOD_PREQ
 ,BUNDLE_ID
 ,ENROLLBEGINDATE
 ,ENROLLDEADLINE
 ,SUBMODULE_FAIL_ACTION
 ,ALLOW_ADVANCE_ON_FAIL
 ,HIDE_BLOCKED_MODULES
 ,POLICYAPV_PROGMOD
 ,MOD_START_TYPE
 ,FIRST_MOD_START_DATE
 ,SESSION_SELECTOR
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
  from sessiondetail
/

CREATE INDEX nuk_sessiondetail_aud_1 ON sessiondetail_aud(aud_userid)
/

CREATE INDEX nuk_sessiondetail_aud_2 ON sessiondetail_aud(aud_datetime)
/

create or replace trigger i_sessiondetail
after insert on sessiondetail for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into sessiondetail_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CONTACTINFO
 ,ORDERS
 ,SESSIONSTATUS
 ,CURRENCY
 ,BILLED
 ,STARTDATE
 ,COMPLETIONDATELIMIT
 ,REQUIREDELECTIVEHOURS
 ,ENDDATE
 ,ENFORCE_MOD_ORDER
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,AVAILABILITY
 ,ENROLL_LIMIT
 ,ENFORCE_MOD_PAY
 ,DESCRIPTION
 ,SESSION_TITLE
 ,USE_PROGRAM_SESSION_COST
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,TIMEZONE
 ,EARNEDCREDITS
 ,USE_DEFINED_CREDITS
 ,REVISED_DATE
 ,CREATE_DATE
 ,PASSING_SCORE
 ,ENFORCE_MOD_REV
 ,ENFORCE_MOD_PREQ
 ,BUNDLE_ID
 ,ENROLLBEGINDATE
 ,ENROLLDEADLINE
 ,SUBMODULE_FAIL_ACTION
 ,ALLOW_ADVANCE_ON_FAIL
 ,HIDE_BLOCKED_MODULES
 ,POLICYAPV_PROGMOD
 ,MOD_START_TYPE
 ,FIRST_MOD_START_DATE
 ,SESSION_SELECTOR
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.CONTACTINFO
 ,:new.ORDERS
 ,:new.SESSIONSTATUS
 ,:new.CURRENCY
 ,:new.BILLED
 ,:new.STARTDATE
 ,:new.COMPLETIONDATELIMIT
 ,:new.REQUIREDELECTIVEHOURS
 ,:new.ENDDATE
 ,:new.ENFORCE_MOD_ORDER
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.ENFORCE_DEADLINE
 ,:new.AVAILABILITY
 ,:new.ENROLL_LIMIT
 ,:new.ENFORCE_MOD_PAY
 ,:new.DESCRIPTION
 ,:new.SESSION_TITLE
 ,:new.USE_PROGRAM_SESSION_COST
 ,:new.EW_ID
 ,:new.IS_WF_ASSIGN_DISABLED
 ,:new.TUTOR_SELECT_TYPE
 ,:new.UPDATE_MEANING
 ,:new.TIMEZONE
 ,:new.EARNEDCREDITS
 ,:new.USE_DEFINED_CREDITS
 ,:new.REVISED_DATE
 ,:new.CREATE_DATE
 ,:new.PASSING_SCORE
 ,:new.ENFORCE_MOD_REV
 ,:new.ENFORCE_MOD_PREQ
 ,:new.BUNDLE_ID
 ,:new.ENROLLBEGINDATE
 ,:new.ENROLLDEADLINE
 ,:new.SUBMODULE_FAIL_ACTION
 ,:new.ALLOW_ADVANCE_ON_FAIL
 ,:new.HIDE_BLOCKED_MODULES
 ,:new.POLICYAPV_PROGMOD
 ,:new.MOD_START_TYPE
 ,:new.FIRST_MOD_START_DATE
 ,:new.SESSION_SELECTOR
 ,:new.ASSIGNED_FORUM
 ,:new.ASSIGNED_FORUM_TYPE
);
end;
/

create or replace trigger u_sessiondetail
after update on sessiondetail for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into sessiondetail_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CONTACTINFO
 ,ORDERS
 ,SESSIONSTATUS
 ,CURRENCY
 ,BILLED
 ,STARTDATE
 ,COMPLETIONDATELIMIT
 ,REQUIREDELECTIVEHOURS
 ,ENDDATE
 ,ENFORCE_MOD_ORDER
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,AVAILABILITY
 ,ENROLL_LIMIT
 ,ENFORCE_MOD_PAY
 ,DESCRIPTION
 ,SESSION_TITLE
 ,USE_PROGRAM_SESSION_COST
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,TIMEZONE
 ,EARNEDCREDITS
 ,USE_DEFINED_CREDITS
 ,REVISED_DATE
 ,CREATE_DATE
 ,PASSING_SCORE
 ,ENFORCE_MOD_REV
 ,ENFORCE_MOD_PREQ
 ,BUNDLE_ID
 ,ENROLLBEGINDATE
 ,ENROLLDEADLINE
 ,SUBMODULE_FAIL_ACTION
 ,ALLOW_ADVANCE_ON_FAIL
 ,HIDE_BLOCKED_MODULES
 ,POLICYAPV_PROGMOD
 ,MOD_START_TYPE
 ,FIRST_MOD_START_DATE
 ,SESSION_SELECTOR
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.APPROVERID1
 ,:new.REGCONTROL1
 ,:new.APPROVERID2
 ,:new.REGCONTROL2
 ,:new.CONTACTINFO
 ,:new.ORDERS
 ,:new.SESSIONSTATUS
 ,:new.CURRENCY
 ,:new.BILLED
 ,:new.STARTDATE
 ,:new.COMPLETIONDATELIMIT
 ,:new.REQUIREDELECTIVEHOURS
 ,:new.ENDDATE
 ,:new.ENFORCE_MOD_ORDER
 ,:new.COMPLETE_BY_DATE
 ,:new.COMPLETE_IN_DAYS
 ,:new.ENFORCE_DEADLINE
 ,:new.AVAILABILITY
 ,:new.ENROLL_LIMIT
 ,:new.ENFORCE_MOD_PAY
 ,:new.DESCRIPTION
 ,:new.SESSION_TITLE
 ,:new.USE_PROGRAM_SESSION_COST
 ,:new.EW_ID
 ,:new.IS_WF_ASSIGN_DISABLED
 ,:new.TUTOR_SELECT_TYPE
 ,:new.UPDATE_MEANING
 ,:new.TIMEZONE
 ,:new.EARNEDCREDITS
 ,:new.USE_DEFINED_CREDITS
 ,:new.REVISED_DATE
 ,:new.CREATE_DATE
 ,:new.PASSING_SCORE
 ,:new.ENFORCE_MOD_REV
 ,:new.ENFORCE_MOD_PREQ
 ,:new.BUNDLE_ID
 ,:new.ENROLLBEGINDATE
 ,:new.ENROLLDEADLINE
 ,:new.SUBMODULE_FAIL_ACTION
 ,:new.ALLOW_ADVANCE_ON_FAIL
 ,:new.HIDE_BLOCKED_MODULES
 ,:new.POLICYAPV_PROGMOD
 ,:new.MOD_START_TYPE
 ,:new.FIRST_MOD_START_DATE
 ,:new.SESSION_SELECTOR
 ,:new.ASSIGNED_FORUM
 ,:new.ASSIGNED_FORUM_TYPE
);
end;
/

create or replace trigger d_sessiondetail
after delete on sessiondetail for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into sessiondetail_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,APPROVERID1
 ,REGCONTROL1
 ,APPROVERID2
 ,REGCONTROL2
 ,CONTACTINFO
 ,ORDERS
 ,SESSIONSTATUS
 ,CURRENCY
 ,BILLED
 ,STARTDATE
 ,COMPLETIONDATELIMIT
 ,REQUIREDELECTIVEHOURS
 ,ENDDATE
 ,ENFORCE_MOD_ORDER
 ,COMPLETE_BY_DATE
 ,COMPLETE_IN_DAYS
 ,ENFORCE_DEADLINE
 ,AVAILABILITY
 ,ENROLL_LIMIT
 ,ENFORCE_MOD_PAY
 ,DESCRIPTION
 ,SESSION_TITLE
 ,USE_PROGRAM_SESSION_COST
 ,EW_ID
 ,IS_WF_ASSIGN_DISABLED
 ,TUTOR_SELECT_TYPE
 ,UPDATE_MEANING
 ,TIMEZONE
 ,EARNEDCREDITS
 ,USE_DEFINED_CREDITS
 ,REVISED_DATE
 ,CREATE_DATE
 ,PASSING_SCORE
 ,ENFORCE_MOD_REV
 ,ENFORCE_MOD_PREQ
 ,BUNDLE_ID
 ,ENROLLBEGINDATE
 ,ENROLLDEADLINE
 ,SUBMODULE_FAIL_ACTION
 ,ALLOW_ADVANCE_ON_FAIL
 ,HIDE_BLOCKED_MODULES
 ,POLICYAPV_PROGMOD
 ,MOD_START_TYPE
 ,FIRST_MOD_START_DATE
 ,SESSION_SELECTOR
 ,ASSIGNED_FORUM
 ,ASSIGNED_FORUM_TYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CURRID
 ,:old.SESSIONID
 ,:old.APPROVERID1
 ,:old.REGCONTROL1
 ,:old.APPROVERID2
 ,:old.REGCONTROL2
 ,:old.CONTACTINFO
 ,:old.ORDERS
 ,:old.SESSIONSTATUS
 ,:old.CURRENCY
 ,:old.BILLED
 ,:old.STARTDATE
 ,:old.COMPLETIONDATELIMIT
 ,:old.REQUIREDELECTIVEHOURS
 ,:old.ENDDATE
 ,:old.ENFORCE_MOD_ORDER
 ,:old.COMPLETE_BY_DATE
 ,:old.COMPLETE_IN_DAYS
 ,:old.ENFORCE_DEADLINE
 ,:old.AVAILABILITY
 ,:old.ENROLL_LIMIT
 ,:old.ENFORCE_MOD_PAY
 ,:old.DESCRIPTION
 ,:old.SESSION_TITLE
 ,:old.USE_PROGRAM_SESSION_COST
 ,:old.EW_ID
 ,:old.IS_WF_ASSIGN_DISABLED
 ,:old.TUTOR_SELECT_TYPE
 ,:old.UPDATE_MEANING
 ,:old.TIMEZONE
 ,:old.EARNEDCREDITS
 ,:old.USE_DEFINED_CREDITS
 ,:old.REVISED_DATE
 ,:old.CREATE_DATE
 ,:old.PASSING_SCORE
 ,:old.ENFORCE_MOD_REV
 ,:old.ENFORCE_MOD_PREQ
 ,:old.BUNDLE_ID
 ,:old.ENROLLBEGINDATE
 ,:old.ENROLLDEADLINE
 ,:old.SUBMODULE_FAIL_ACTION
 ,:old.ALLOW_ADVANCE_ON_FAIL
 ,:old.HIDE_BLOCKED_MODULES
 ,:old.POLICYAPV_PROGMOD
 ,:old.MOD_START_TYPE
 ,:old.FIRST_MOD_START_DATE
 ,:old.SESSION_SELECTOR
 ,:old.ASSIGNED_FORUM
 ,:old.ASSIGNED_FORUM_TYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-sessiondetail', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1025, '8:f4361fc369eb002395d868093a31b627', 'enableAuditTable auditTableName=sessiondetail_aud, tableName=sessiondetail', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-homework_file::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_HOMEWORK_FILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_HOMEWORK_FILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_HOMEWORK_FILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_HOMEWORK_FILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_HOMEWORK_FILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_HOMEWORK_FILE';
			END IF;
		END;
/

CREATE TABLE homework_file_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CURRID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(15 BYTE), EVENTID VARCHAR2(15 BYTE), PATH VARCHAR2(255 BYTE), OWNERID VARCHAR2(85 BYTE), CREATEDATE date, FILE_TYPE VARCHAR2(20 BYTE), TO_USERID VARCHAR2(85 BYTE), DESCRIPTION VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_HOMEWORK_FILE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_homework_file_aud
 before insert on homework_file_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into homework_file_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,EVENTID
 ,PATH
 ,OWNERID
 ,CREATEDATE
 ,FILE_TYPE
 ,TO_USERID
 ,DESCRIPTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CURRID
 ,SESSIONID
 ,EVENTID
 ,PATH
 ,OWNERID
 ,CREATEDATE
 ,FILE_TYPE
 ,TO_USERID
 ,DESCRIPTION
 ,UPDATE_MEANING
  from homework_file
/

CREATE INDEX nuk_homework_file_aud_1 ON homework_file_aud(aud_userid)
/

CREATE INDEX nuk_homework_file_aud_2 ON homework_file_aud(aud_datetime)
/

create or replace trigger i_homework_file
after insert on homework_file for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into homework_file_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,EVENTID
 ,PATH
 ,OWNERID
 ,CREATEDATE
 ,FILE_TYPE
 ,TO_USERID
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.EVENTID
 ,:new.PATH
 ,:new.OWNERID
 ,:new.CREATEDATE
 ,:new.FILE_TYPE
 ,:new.TO_USERID
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_homework_file
after update on homework_file for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into homework_file_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,EVENTID
 ,PATH
 ,OWNERID
 ,CREATEDATE
 ,FILE_TYPE
 ,TO_USERID
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CURRID
 ,:new.SESSIONID
 ,:new.EVENTID
 ,:new.PATH
 ,:new.OWNERID
 ,:new.CREATEDATE
 ,:new.FILE_TYPE
 ,:new.TO_USERID
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_homework_file
after delete on homework_file for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into homework_file_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CURRID
 ,SESSIONID
 ,EVENTID
 ,PATH
 ,OWNERID
 ,CREATEDATE
 ,FILE_TYPE
 ,TO_USERID
 ,DESCRIPTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CURRID
 ,:old.SESSIONID
 ,:old.EVENTID
 ,:old.PATH
 ,:old.OWNERID
 ,:old.CREATEDATE
 ,:old.FILE_TYPE
 ,:old.TO_USERID
 ,:old.DESCRIPTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-homework_file', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1026, '8:268d78b314916a86cf120fae62cdf30b', 'enableAuditTable auditTableName=homework_file_aud, tableName=homework_file', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-iComment::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ICOMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ICOMMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ICOMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ICOMMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ICOMMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ICOMMENT';
			END IF;
		END;
/

CREATE TABLE iComment_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), CTYPE CHAR(1 BYTE), USERID VARCHAR2(85 BYTE), DATEPREPARED date, PREPAREDBY VARCHAR2(85 BYTE), COMMENTTEXT CLOB, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ICOMMENT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_iComment_aud
 before insert on iComment_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into iComment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPTID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
  from iComment
/

CREATE INDEX nuk_iComment_aud_1 ON iComment_aud(aud_userid)
/

CREATE INDEX nuk_iComment_aud_2 ON iComment_aud(aud_datetime)
/

create or replace trigger i_iComment
after insert on iComment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into iComment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.CTYPE
 ,:new.USERID
 ,:new.DATEPREPARED
 ,:new.PREPAREDBY
 ,:new.COMMENTTEXT
);
end;
/

create or replace trigger u_iComment
after update on iComment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into iComment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.CTYPE
 ,:new.USERID
 ,:new.DATEPREPARED
 ,:new.PREPAREDBY
 ,:new.COMMENTTEXT
);
end;
/

create or replace trigger d_iComment
after delete on iComment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into iComment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,UPDATE_MEANING
 ,CTYPE
 ,USERID
 ,DATEPREPARED
 ,PREPAREDBY
 ,COMMENTTEXT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.UPDATE_MEANING
 ,:old.CTYPE
 ,:old.USERID
 ,:old.DATEPREPARED
 ,:old.PREPAREDBY
 ,:old.COMMENTTEXT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-iComment', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1027, '8:e60e903eb70f819165068263b81222aa', 'enableAuditTable auditTableName=iComment_aud, tableName=iComment', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-knowledgecenteroptions::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_KNOWLEDGECENTEROPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_KNOWLEDGECENTEROPTIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_KNOWLEDGECENTEROPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_KNOWLEDGECENTEROPTIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_KNOWLEDGECENTEROPTIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_KNOWLEDGECENTEROPTIONS';
			END IF;
		END;
/

CREATE TABLE kc_options_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), PICTURE_URL VARCHAR2(255 BYTE), COURSE_SUMMARY_AREA CHAR(1 BYTE), NOTEPAD_AREA CHAR(1 BYTE), EVALUATION_AREA CHAR(1 BYTE), TEST_AREA CHAR(1 BYTE), CERTIFICATION_AREA CHAR(1 BYTE), PEER_COMMENTS_AREA CHAR(1 BYTE), NEWS_AREA CHAR(1 BYTE), STATUS_CHANGE_AREA CHAR(1 BYTE), INSTRUCTOR_LIST_AREA CHAR(1 BYTE), FORUM_AREA CHAR(1 BYTE), CHATROOM_AREA CHAR(1 BYTE), CONTACT_LIST_AREA CHAR(1 BYTE), COURSE_LAUNCH CHAR(1 BYTE), REFERENCE_AREA CHAR(1 BYTE), INSTRUCTOR_SHARE_AREA CHAR(1 BYTE), PICTURE_AREA CHAR(1 BYTE), MODULE_NAME_LAUNCHES_KC CHAR(1 BYTE), INSTRUCTOR_ABOUT_ME_AREA CHAR(1 BYTE), HOMEWORK_FILE_SHARE_AREA CHAR(1 BYTE), HOMEWORK_DROP_AREA CHAR(1 BYTE), HOMEWORK_MARKED_AREA CHAR(1 BYTE), KC_LAYOUT CHAR(1 BYTE), PICTURE_LOCATION CHAR(1 BYTE), TRANSCRIPT_AREA CHAR(1 BYTE), SHOW_MODULE_ATTRIBUTES CHAR(1 BYTE), EXAM_WF_AREA CHAR(1 BYTE), EXTENDED_QUICK_EVAL_AREA VARCHAR2(100 BYTE), USE_KC CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), SORT_SUB_MODULES CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_KC_OPTIONS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_kc_options_aud
 before insert on kc_options_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into kc_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,PICTURE_URL
 ,COURSE_SUMMARY_AREA
 ,NOTEPAD_AREA
 ,EVALUATION_AREA
 ,TEST_AREA
 ,CERTIFICATION_AREA
 ,PEER_COMMENTS_AREA
 ,NEWS_AREA
 ,STATUS_CHANGE_AREA
 ,INSTRUCTOR_LIST_AREA
 ,FORUM_AREA
 ,CHATROOM_AREA
 ,CONTACT_LIST_AREA
 ,COURSE_LAUNCH
 ,REFERENCE_AREA
 ,INSTRUCTOR_SHARE_AREA
 ,PICTURE_AREA
 ,MODULE_NAME_LAUNCHES_KC
 ,INSTRUCTOR_ABOUT_ME_AREA
 ,HOMEWORK_FILE_SHARE_AREA
 ,HOMEWORK_DROP_AREA
 ,HOMEWORK_MARKED_AREA
 ,KC_LAYOUT
 ,PICTURE_LOCATION
 ,TRANSCRIPT_AREA
 ,SHOW_MODULE_ATTRIBUTES
 ,EXAM_WF_AREA
 ,EXTENDED_QUICK_EVAL_AREA
 ,USE_KC
 ,UPDATE_MEANING
 ,SORT_SUB_MODULES
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNINGID
 ,PICTURE_URL
 ,COURSE_SUMMARY_AREA
 ,NOTEPAD_AREA
 ,EVALUATION_AREA
 ,TEST_AREA
 ,CERTIFICATION_AREA
 ,PEER_COMMENTS_AREA
 ,NEWS_AREA
 ,STATUS_CHANGE_AREA
 ,INSTRUCTOR_LIST_AREA
 ,FORUM_AREA
 ,CHATROOM_AREA
 ,CONTACT_LIST_AREA
 ,COURSE_LAUNCH
 ,REFERENCE_AREA
 ,INSTRUCTOR_SHARE_AREA
 ,PICTURE_AREA
 ,MODULE_NAME_LAUNCHES_KC
 ,INSTRUCTOR_ABOUT_ME_AREA
 ,HOMEWORK_FILE_SHARE_AREA
 ,HOMEWORK_DROP_AREA
 ,HOMEWORK_MARKED_AREA
 ,KC_LAYOUT
 ,PICTURE_LOCATION
 ,TRANSCRIPT_AREA
 ,SHOW_MODULE_ATTRIBUTES
 ,EXAM_WF_AREA
 ,EXTENDED_QUICK_EVAL_AREA
 ,USE_KC
 ,UPDATE_MEANING
 ,SORT_SUB_MODULES
  from knowledgecenteroptions
/

CREATE INDEX nuk_kc_options_aud_1 ON kc_options_aud(aud_userid)
/

CREATE INDEX nuk_kc_options_aud_2 ON kc_options_aud(aud_datetime)
/

create or replace trigger i_knowledgecenteroptions
after insert on knowledgecenteroptions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into kc_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,PICTURE_URL
 ,COURSE_SUMMARY_AREA
 ,NOTEPAD_AREA
 ,EVALUATION_AREA
 ,TEST_AREA
 ,CERTIFICATION_AREA
 ,PEER_COMMENTS_AREA
 ,NEWS_AREA
 ,STATUS_CHANGE_AREA
 ,INSTRUCTOR_LIST_AREA
 ,FORUM_AREA
 ,CHATROOM_AREA
 ,CONTACT_LIST_AREA
 ,COURSE_LAUNCH
 ,REFERENCE_AREA
 ,INSTRUCTOR_SHARE_AREA
 ,PICTURE_AREA
 ,MODULE_NAME_LAUNCHES_KC
 ,INSTRUCTOR_ABOUT_ME_AREA
 ,HOMEWORK_FILE_SHARE_AREA
 ,HOMEWORK_DROP_AREA
 ,HOMEWORK_MARKED_AREA
 ,KC_LAYOUT
 ,PICTURE_LOCATION
 ,TRANSCRIPT_AREA
 ,SHOW_MODULE_ATTRIBUTES
 ,EXAM_WF_AREA
 ,EXTENDED_QUICK_EVAL_AREA
 ,USE_KC
 ,UPDATE_MEANING
 ,SORT_SUB_MODULES
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.PICTURE_URL
 ,:new.COURSE_SUMMARY_AREA
 ,:new.NOTEPAD_AREA
 ,:new.EVALUATION_AREA
 ,:new.TEST_AREA
 ,:new.CERTIFICATION_AREA
 ,:new.PEER_COMMENTS_AREA
 ,:new.NEWS_AREA
 ,:new.STATUS_CHANGE_AREA
 ,:new.INSTRUCTOR_LIST_AREA
 ,:new.FORUM_AREA
 ,:new.CHATROOM_AREA
 ,:new.CONTACT_LIST_AREA
 ,:new.COURSE_LAUNCH
 ,:new.REFERENCE_AREA
 ,:new.INSTRUCTOR_SHARE_AREA
 ,:new.PICTURE_AREA
 ,:new.MODULE_NAME_LAUNCHES_KC
 ,:new.INSTRUCTOR_ABOUT_ME_AREA
 ,:new.HOMEWORK_FILE_SHARE_AREA
 ,:new.HOMEWORK_DROP_AREA
 ,:new.HOMEWORK_MARKED_AREA
 ,:new.KC_LAYOUT
 ,:new.PICTURE_LOCATION
 ,:new.TRANSCRIPT_AREA
 ,:new.SHOW_MODULE_ATTRIBUTES
 ,:new.EXAM_WF_AREA
 ,:new.EXTENDED_QUICK_EVAL_AREA
 ,:new.USE_KC
 ,:new.UPDATE_MEANING
 ,:new.SORT_SUB_MODULES
);
end;
/

create or replace trigger u_knowledgecenteroptions
after update on knowledgecenteroptions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into kc_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,PICTURE_URL
 ,COURSE_SUMMARY_AREA
 ,NOTEPAD_AREA
 ,EVALUATION_AREA
 ,TEST_AREA
 ,CERTIFICATION_AREA
 ,PEER_COMMENTS_AREA
 ,NEWS_AREA
 ,STATUS_CHANGE_AREA
 ,INSTRUCTOR_LIST_AREA
 ,FORUM_AREA
 ,CHATROOM_AREA
 ,CONTACT_LIST_AREA
 ,COURSE_LAUNCH
 ,REFERENCE_AREA
 ,INSTRUCTOR_SHARE_AREA
 ,PICTURE_AREA
 ,MODULE_NAME_LAUNCHES_KC
 ,INSTRUCTOR_ABOUT_ME_AREA
 ,HOMEWORK_FILE_SHARE_AREA
 ,HOMEWORK_DROP_AREA
 ,HOMEWORK_MARKED_AREA
 ,KC_LAYOUT
 ,PICTURE_LOCATION
 ,TRANSCRIPT_AREA
 ,SHOW_MODULE_ATTRIBUTES
 ,EXAM_WF_AREA
 ,EXTENDED_QUICK_EVAL_AREA
 ,USE_KC
 ,UPDATE_MEANING
 ,SORT_SUB_MODULES
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.PICTURE_URL
 ,:new.COURSE_SUMMARY_AREA
 ,:new.NOTEPAD_AREA
 ,:new.EVALUATION_AREA
 ,:new.TEST_AREA
 ,:new.CERTIFICATION_AREA
 ,:new.PEER_COMMENTS_AREA
 ,:new.NEWS_AREA
 ,:new.STATUS_CHANGE_AREA
 ,:new.INSTRUCTOR_LIST_AREA
 ,:new.FORUM_AREA
 ,:new.CHATROOM_AREA
 ,:new.CONTACT_LIST_AREA
 ,:new.COURSE_LAUNCH
 ,:new.REFERENCE_AREA
 ,:new.INSTRUCTOR_SHARE_AREA
 ,:new.PICTURE_AREA
 ,:new.MODULE_NAME_LAUNCHES_KC
 ,:new.INSTRUCTOR_ABOUT_ME_AREA
 ,:new.HOMEWORK_FILE_SHARE_AREA
 ,:new.HOMEWORK_DROP_AREA
 ,:new.HOMEWORK_MARKED_AREA
 ,:new.KC_LAYOUT
 ,:new.PICTURE_LOCATION
 ,:new.TRANSCRIPT_AREA
 ,:new.SHOW_MODULE_ATTRIBUTES
 ,:new.EXAM_WF_AREA
 ,:new.EXTENDED_QUICK_EVAL_AREA
 ,:new.USE_KC
 ,:new.UPDATE_MEANING
 ,:new.SORT_SUB_MODULES
);
end;
/

create or replace trigger d_knowledgecenteroptions
after delete on knowledgecenteroptions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into kc_options_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,PICTURE_URL
 ,COURSE_SUMMARY_AREA
 ,NOTEPAD_AREA
 ,EVALUATION_AREA
 ,TEST_AREA
 ,CERTIFICATION_AREA
 ,PEER_COMMENTS_AREA
 ,NEWS_AREA
 ,STATUS_CHANGE_AREA
 ,INSTRUCTOR_LIST_AREA
 ,FORUM_AREA
 ,CHATROOM_AREA
 ,CONTACT_LIST_AREA
 ,COURSE_LAUNCH
 ,REFERENCE_AREA
 ,INSTRUCTOR_SHARE_AREA
 ,PICTURE_AREA
 ,MODULE_NAME_LAUNCHES_KC
 ,INSTRUCTOR_ABOUT_ME_AREA
 ,HOMEWORK_FILE_SHARE_AREA
 ,HOMEWORK_DROP_AREA
 ,HOMEWORK_MARKED_AREA
 ,KC_LAYOUT
 ,PICTURE_LOCATION
 ,TRANSCRIPT_AREA
 ,SHOW_MODULE_ATTRIBUTES
 ,EXAM_WF_AREA
 ,EXTENDED_QUICK_EVAL_AREA
 ,USE_KC
 ,UPDATE_MEANING
 ,SORT_SUB_MODULES
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNINGID
 ,:old.PICTURE_URL
 ,:old.COURSE_SUMMARY_AREA
 ,:old.NOTEPAD_AREA
 ,:old.EVALUATION_AREA
 ,:old.TEST_AREA
 ,:old.CERTIFICATION_AREA
 ,:old.PEER_COMMENTS_AREA
 ,:old.NEWS_AREA
 ,:old.STATUS_CHANGE_AREA
 ,:old.INSTRUCTOR_LIST_AREA
 ,:old.FORUM_AREA
 ,:old.CHATROOM_AREA
 ,:old.CONTACT_LIST_AREA
 ,:old.COURSE_LAUNCH
 ,:old.REFERENCE_AREA
 ,:old.INSTRUCTOR_SHARE_AREA
 ,:old.PICTURE_AREA
 ,:old.MODULE_NAME_LAUNCHES_KC
 ,:old.INSTRUCTOR_ABOUT_ME_AREA
 ,:old.HOMEWORK_FILE_SHARE_AREA
 ,:old.HOMEWORK_DROP_AREA
 ,:old.HOMEWORK_MARKED_AREA
 ,:old.KC_LAYOUT
 ,:old.PICTURE_LOCATION
 ,:old.TRANSCRIPT_AREA
 ,:old.SHOW_MODULE_ATTRIBUTES
 ,:old.EXAM_WF_AREA
 ,:old.EXTENDED_QUICK_EVAL_AREA
 ,:old.USE_KC
 ,:old.UPDATE_MEANING
 ,:old.SORT_SUB_MODULES
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-knowledgecenteroptions', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1028, '8:fe71a3ee894aa761db04444f57748ca1', 'enableAuditTable auditTableName=kc_options_aud, tableName=knowledgecenteroptions', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-locosts::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LOCOSTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LOCOSTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LOCOSTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LOCOSTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LOCOSTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LOCOSTS';
			END IF;
		END;
/

CREATE TABLE locosts_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), COST NUMBER(15, 2), COSTTYPE NUMBER(*, 0), CURRENCY VARCHAR2(15 BYTE), PRICEINFO VARCHAR2(300 BYTE), SESSIONID VARCHAR2(15 BYTE), PAYMENT_METHOD CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), CHARGED_COSTCENTER VARCHAR2(45 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LOCOSTS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_locosts_aud
 before insert on locosts_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into locosts_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,COST
 ,COSTTYPE
 ,CURRENCY
 ,PRICEINFO
 ,SESSIONID
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
 ,CHARGED_COSTCENTER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNINGID
 ,COST
 ,COSTTYPE
 ,CURRENCY
 ,PRICEINFO
 ,SESSIONID
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
 ,CHARGED_COSTCENTER
  from locosts
/

CREATE INDEX nuk_locosts_aud_1 ON locosts_aud(aud_userid)
/

CREATE INDEX nuk_locosts_aud_2 ON locosts_aud(aud_datetime)
/

create or replace trigger i_locosts
after insert on locosts for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into locosts_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,COST
 ,COSTTYPE
 ,CURRENCY
 ,PRICEINFO
 ,SESSIONID
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
 ,CHARGED_COSTCENTER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.COST
 ,:new.COSTTYPE
 ,:new.CURRENCY
 ,:new.PRICEINFO
 ,:new.SESSIONID
 ,:new.PAYMENT_METHOD
 ,:new.UPDATE_MEANING
 ,:new.CHARGED_COSTCENTER
);
end;
/

create or replace trigger u_locosts
after update on locosts for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into locosts_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,COST
 ,COSTTYPE
 ,CURRENCY
 ,PRICEINFO
 ,SESSIONID
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
 ,CHARGED_COSTCENTER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.COST
 ,:new.COSTTYPE
 ,:new.CURRENCY
 ,:new.PRICEINFO
 ,:new.SESSIONID
 ,:new.PAYMENT_METHOD
 ,:new.UPDATE_MEANING
 ,:new.CHARGED_COSTCENTER
);
end;
/

create or replace trigger d_locosts
after delete on locosts for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into locosts_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,COST
 ,COSTTYPE
 ,CURRENCY
 ,PRICEINFO
 ,SESSIONID
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
 ,CHARGED_COSTCENTER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNINGID
 ,:old.COST
 ,:old.COSTTYPE
 ,:old.CURRENCY
 ,:old.PRICEINFO
 ,:old.SESSIONID
 ,:old.PAYMENT_METHOD
 ,:old.UPDATE_MEANING
 ,:old.CHARGED_COSTCENTER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-locosts', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1029, '8:617c6069c39c007ac8d132d314827986', 'enableAuditTable auditTableName=locosts_aud, tableName=locosts', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-lp_session_cost::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LP_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LP_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LP_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LP_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LP_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LP_SESSION_COST';
			END IF;
		END;
/

CREATE TABLE lp_session_cost_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SESSION_COST_ID VARCHAR2(15 BYTE), SESSIONID VARCHAR2(15 BYTE), CURRID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LP_SESSION_COST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_lp_session_cost_aud
 before insert on lp_session_cost_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into lp_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,SESSIONID
 ,CURRID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SESSION_COST_ID
 ,SESSIONID
 ,CURRID
 ,UPDATE_MEANING
  from lp_session_cost
/

CREATE INDEX nuk_lp_session_cost_aud_1 ON lp_session_cost_aud(aud_userid)
/

CREATE INDEX nuk_lp_session_cost_aud_2 ON lp_session_cost_aud(aud_datetime)
/

create or replace trigger i_lp_session_cost
after insert on lp_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lp_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,SESSIONID
 ,CURRID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSION_COST_ID
 ,:new.SESSIONID
 ,:new.CURRID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_lp_session_cost
after update on lp_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lp_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,SESSIONID
 ,CURRID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSION_COST_ID
 ,:new.SESSIONID
 ,:new.CURRID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_lp_session_cost
after delete on lp_session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lp_session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,SESSIONID
 ,CURRID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SESSION_COST_ID
 ,:old.SESSIONID
 ,:old.CURRID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-lp_session_cost', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1030, '8:0df0a17cf8d844d8364e7f09faf1887f', 'enableAuditTable auditTableName=lp_session_cost_aud, tableName=lp_session_cost', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-masterquestion::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MASTERQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MASTERQUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MASTERQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MASTERQUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MASTERQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MASTERQUESTION';
			END IF;
		END;
/

CREATE TABLE masterquestion_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), TESTID VARCHAR2(100 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), PAGENUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), QTYPE NUMBER(*, 0), WEIGHT FLOAT(22), MINUSPOINTS FLOAT(22), QUESTIONPOOLID NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MASTERQUESTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_masterquestion_aud
 before insert on masterquestion_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into masterquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,PAGENUM
 ,QUESTIONID
 ,QTYPE
 ,WEIGHT
 ,MINUSPOINTS
 ,QUESTIONPOOLID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,PAGENUM
 ,QUESTIONID
 ,QTYPE
 ,WEIGHT
 ,MINUSPOINTS
 ,QUESTIONPOOLID
 ,UPDATE_MEANING
  from masterquestion
/

CREATE INDEX nuk_masterquestion_aud_1 ON masterquestion_aud(aud_userid)
/

CREATE INDEX nuk_masterquestion_aud_2 ON masterquestion_aud(aud_datetime)
/

create or replace trigger i_masterquestion
after insert on masterquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into masterquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,PAGENUM
 ,QUESTIONID
 ,QTYPE
 ,WEIGHT
 ,MINUSPOINTS
 ,QUESTIONPOOLID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.PAGENUM
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.WEIGHT
 ,:new.MINUSPOINTS
 ,:new.QUESTIONPOOLID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_masterquestion
after update on masterquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into masterquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,PAGENUM
 ,QUESTIONID
 ,QTYPE
 ,WEIGHT
 ,MINUSPOINTS
 ,QUESTIONPOOLID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.PAGENUM
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.WEIGHT
 ,:new.MINUSPOINTS
 ,:new.QUESTIONPOOLID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_masterquestion
after delete on masterquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into masterquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,PAGENUM
 ,QUESTIONID
 ,QTYPE
 ,WEIGHT
 ,MINUSPOINTS
 ,QUESTIONPOOLID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.TESTID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.PAGENUM
 ,:old.QUESTIONID
 ,:old.QTYPE
 ,:old.WEIGHT
 ,:old.MINUSPOINTS
 ,:old.QUESTIONPOOLID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-masterquestion', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1031, '8:ed3910f4067b26765702ff92226c914d', 'enableAuditTable auditTableName=masterquestion_aud, tableName=masterquestion', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-mastersection::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MASTERSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MASTERSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MASTERSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MASTERSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MASTERSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MASTERSECTION';
			END IF;
		END;
/

CREATE TABLE mastersection_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), TESTID VARCHAR2(100 BYTE), SECTIONNUM NUMBER(*, 0), NQUESTIONS NUMBER(*, 0), TIMELIMIT NUMBER(*, 0), LAYOUTTYPE NUMBER(*, 0), TESTTYPE NUMBER(*, 0), REQPOINTS FLOAT(22), MAXPOINTS FLOAT(22), TITLE VARCHAR2(255 BYTE), DESCRIPTION VARCHAR2(255 BYTE), SECTIONTYPE NUMBER(*, 0), MARKTYPE VARCHAR2(1 BYTE), RANDFIXED CHAR(1 BYTE), WEIGHTING_OPTION CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), MAXTIMEPERQUESTION NUMBER(*, 0), MAXTIMEPERQUESTIONTYPE NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MASTERSECTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_mastersection_aud
 before insert on mastersection_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into mastersection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,NQUESTIONS
 ,TIMELIMIT
 ,LAYOUTTYPE
 ,TESTTYPE
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,SECTIONTYPE
 ,MARKTYPE
 ,RANDFIXED
 ,WEIGHTING_OPTION
 ,UPDATE_MEANING
 ,MAXTIMEPERQUESTION
 ,MAXTIMEPERQUESTIONTYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,NQUESTIONS
 ,TIMELIMIT
 ,LAYOUTTYPE
 ,TESTTYPE
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,SECTIONTYPE
 ,MARKTYPE
 ,RANDFIXED
 ,WEIGHTING_OPTION
 ,UPDATE_MEANING
 ,MAXTIMEPERQUESTION
 ,MAXTIMEPERQUESTIONTYPE
  from mastersection
/

CREATE INDEX nuk_mastersection_aud_1 ON mastersection_aud(aud_userid)
/

CREATE INDEX nuk_mastersection_aud_2 ON mastersection_aud(aud_datetime)
/

create or replace trigger i_mastersection
after insert on mastersection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,NQUESTIONS
 ,TIMELIMIT
 ,LAYOUTTYPE
 ,TESTTYPE
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,SECTIONTYPE
 ,MARKTYPE
 ,RANDFIXED
 ,WEIGHTING_OPTION
 ,UPDATE_MEANING
 ,MAXTIMEPERQUESTION
 ,MAXTIMEPERQUESTIONTYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.NQUESTIONS
 ,:new.TIMELIMIT
 ,:new.LAYOUTTYPE
 ,:new.TESTTYPE
 ,:new.REQPOINTS
 ,:new.MAXPOINTS
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.SECTIONTYPE
 ,:new.MARKTYPE
 ,:new.RANDFIXED
 ,:new.WEIGHTING_OPTION
 ,:new.UPDATE_MEANING
 ,:new.MAXTIMEPERQUESTION
 ,:new.MAXTIMEPERQUESTIONTYPE
);
end;
/

create or replace trigger u_mastersection
after update on mastersection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,NQUESTIONS
 ,TIMELIMIT
 ,LAYOUTTYPE
 ,TESTTYPE
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,SECTIONTYPE
 ,MARKTYPE
 ,RANDFIXED
 ,WEIGHTING_OPTION
 ,UPDATE_MEANING
 ,MAXTIMEPERQUESTION
 ,MAXTIMEPERQUESTIONTYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.NQUESTIONS
 ,:new.TIMELIMIT
 ,:new.LAYOUTTYPE
 ,:new.TESTTYPE
 ,:new.REQPOINTS
 ,:new.MAXPOINTS
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.SECTIONTYPE
 ,:new.MARKTYPE
 ,:new.RANDFIXED
 ,:new.WEIGHTING_OPTION
 ,:new.UPDATE_MEANING
 ,:new.MAXTIMEPERQUESTION
 ,:new.MAXTIMEPERQUESTIONTYPE
);
end;
/

create or replace trigger d_mastersection
after delete on mastersection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TESTID
 ,SECTIONNUM
 ,NQUESTIONS
 ,TIMELIMIT
 ,LAYOUTTYPE
 ,TESTTYPE
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,SECTIONTYPE
 ,MARKTYPE
 ,RANDFIXED
 ,WEIGHTING_OPTION
 ,UPDATE_MEANING
 ,MAXTIMEPERQUESTION
 ,MAXTIMEPERQUESTIONTYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.TESTID
 ,:old.SECTIONNUM
 ,:old.NQUESTIONS
 ,:old.TIMELIMIT
 ,:old.LAYOUTTYPE
 ,:old.TESTTYPE
 ,:old.REQPOINTS
 ,:old.MAXPOINTS
 ,:old.TITLE
 ,:old.DESCRIPTION
 ,:old.SECTIONTYPE
 ,:old.MARKTYPE
 ,:old.RANDFIXED
 ,:old.WEIGHTING_OPTION
 ,:old.UPDATE_MEANING
 ,:old.MAXTIMEPERQUESTION
 ,:old.MAXTIMEPERQUESTIONTYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-mastersection', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1032, '8:503f06933419299aa77c249052fcbb8d', 'enableAuditTable auditTableName=mastersection_aud, tableName=mastersection', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-mastertest::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MASTERTEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MASTERTEST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MASTERTEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MASTERTEST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MASTERTEST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MASTERTEST';
			END IF;
		END;
/

CREATE TABLE mastertest_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TESTID VARCHAR2(100 BYTE), OWNER VARCHAR2(85 BYTE), EDITCONTROL NUMBER(*, 0), AUTOSCORE CHAR(1 BYTE), TAKELIMIT NUMBER(*, 0), REVIEWABLE CHAR(1 BYTE), ALLOWHINTS CHAR(1 BYTE), DATEENTERED date, REQPOINTS FLOAT(22), MAXPOINTS FLOAT(22), TITLE VARCHAR2(255 BYTE), DESCRIPTION VARCHAR2(255 BYTE), STYLESHEET VARCHAR2(30 BYTE), TESTUSE NUMBER(*, 0), LONGDESCRIPTION CLOB, MAXTIMEALLOWED NUMBER, VALIDFROM date, VALIDTO date, ALLOWPRINT CHAR(1 BYTE), ALLOWRESUME CHAR(1 BYTE), MINIMUM_RETAKE_INTERVAL_AMOUNT NUMBER(*, 0), MINIMUM_RETAKE_INTERVAL_UNIT NUMBER(*, 0), ALLOWSCOREDISPLAY CHAR(1 BYTE), ALLOWNAVIGATION CHAR(1 BYTE), ALLOWIDDISPLAY CHAR(1 BYTE), PASSWORD VARCHAR2(20 BYTE), DISALLOWABANDON CHAR(1 BYTE), WORKFLOWSTATUS CHAR(1 BYTE), ISPRACTICETEST CHAR(1 BYTE), ALLOWIMMEDIATEQFEEDBACK CHAR(1 BYTE), PARENTTESTID VARCHAR2(100 BYTE), RESITDIFFERENCE FLOAT(22), RESIT CHAR(1 BYTE), RESITPARENTTESTID VARCHAR2(100 BYTE), MENTOR_PASSWORD VARCHAR2(20 BYTE), IS_TEMPLATE CHAR(1 BYTE), REVIEWQUESTION CHAR(14 BYTE), MARKTYPE VARCHAR2(1 BYTE), CERTID NUMBER(8, 0), SHOWMARK CHAR(1 BYTE), REVIEWTYPE CHAR(1 BYTE), MAXTIMEPERQUESTION NUMBER(*, 0), POOL_SUMMARY_LVL NUMBER(*, 0), FAIL_EMAIL_ID VARCHAR2(15 BYTE), RETAKE_NOTIF_EMAIL_ID VARCHAR2(15 BYTE), CREATOR_UID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), ALLOWDOWNLOAD CHAR(1 BYTE), DISABLE_RIGHT_CLICK CHAR(1 BYTE), START_BASED_TIME_LIMIT CHAR(1 BYTE), IS_ANONYMOUS CHAR(1 BYTE), REMAINING_TIME_TYPE CHAR(1 BYTE), RESTRICT_IP_PARTICIPANTS CHAR(1 BYTE), RESTRICT_IP_REVIEWERS CHAR(1 BYTE), PASS_EMAIL_ID VARCHAR2(15 BYTE), GRADE_NOTIF_EMAIL_ID VARCHAR2(15 BYTE), RCD_POST_COMPL_ATTEMPT CHAR(1 BYTE), RCD_POST_COMPL_MAX_SCORE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MASTERTEST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_mastertest_aud
 before insert on mastertest_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into mastertest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,OWNER
 ,EDITCONTROL
 ,AUTOSCORE
 ,TAKELIMIT
 ,REVIEWABLE
 ,ALLOWHINTS
 ,DATEENTERED
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,STYLESHEET
 ,TESTUSE
 ,LONGDESCRIPTION
 ,MAXTIMEALLOWED
 ,VALIDFROM
 ,VALIDTO
 ,ALLOWPRINT
 ,ALLOWRESUME
 ,MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,MINIMUM_RETAKE_INTERVAL_UNIT
 ,ALLOWSCOREDISPLAY
 ,ALLOWNAVIGATION
 ,ALLOWIDDISPLAY
 ,PASSWORD
 ,DISALLOWABANDON
 ,WORKFLOWSTATUS
 ,ISPRACTICETEST
 ,ALLOWIMMEDIATEQFEEDBACK
 ,PARENTTESTID
 ,RESITDIFFERENCE
 ,RESIT
 ,RESITPARENTTESTID
 ,MENTOR_PASSWORD
 ,IS_TEMPLATE
 ,REVIEWQUESTION
 ,MARKTYPE
 ,CERTID
 ,SHOWMARK
 ,REVIEWTYPE
 ,MAXTIMEPERQUESTION
 ,POOL_SUMMARY_LVL
 ,FAIL_EMAIL_ID
 ,RETAKE_NOTIF_EMAIL_ID
 ,CREATOR_UID
 ,UPDATE_MEANING
 ,ALLOWDOWNLOAD
 ,DISABLE_RIGHT_CLICK
 ,START_BASED_TIME_LIMIT
 ,IS_ANONYMOUS
 ,REMAINING_TIME_TYPE
 ,RESTRICT_IP_PARTICIPANTS
 ,RESTRICT_IP_REVIEWERS
 ,PASS_EMAIL_ID
 ,GRADE_NOTIF_EMAIL_ID
 ,RCD_POST_COMPL_ATTEMPT
 ,RCD_POST_COMPL_MAX_SCORE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TESTID
 ,OWNER
 ,EDITCONTROL
 ,AUTOSCORE
 ,TAKELIMIT
 ,REVIEWABLE
 ,ALLOWHINTS
 ,DATEENTERED
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,STYLESHEET
 ,TESTUSE
 ,LONGDESCRIPTION
 ,MAXTIMEALLOWED
 ,VALIDFROM
 ,VALIDTO
 ,ALLOWPRINT
 ,ALLOWRESUME
 ,MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,MINIMUM_RETAKE_INTERVAL_UNIT
 ,ALLOWSCOREDISPLAY
 ,ALLOWNAVIGATION
 ,ALLOWIDDISPLAY
 ,PASSWORD
 ,DISALLOWABANDON
 ,WORKFLOWSTATUS
 ,ISPRACTICETEST
 ,ALLOWIMMEDIATEQFEEDBACK
 ,PARENTTESTID
 ,RESITDIFFERENCE
 ,RESIT
 ,RESITPARENTTESTID
 ,MENTOR_PASSWORD
 ,IS_TEMPLATE
 ,REVIEWQUESTION
 ,MARKTYPE
 ,CERTID
 ,SHOWMARK
 ,REVIEWTYPE
 ,MAXTIMEPERQUESTION
 ,POOL_SUMMARY_LVL
 ,FAIL_EMAIL_ID
 ,RETAKE_NOTIF_EMAIL_ID
 ,CREATOR_UID
 ,UPDATE_MEANING
 ,ALLOWDOWNLOAD
 ,DISABLE_RIGHT_CLICK
 ,START_BASED_TIME_LIMIT
 ,IS_ANONYMOUS
 ,REMAINING_TIME_TYPE
 ,RESTRICT_IP_PARTICIPANTS
 ,RESTRICT_IP_REVIEWERS
 ,PASS_EMAIL_ID
 ,GRADE_NOTIF_EMAIL_ID
 ,RCD_POST_COMPL_ATTEMPT
 ,RCD_POST_COMPL_MAX_SCORE
  from mastertest
/

CREATE INDEX nuk_mastertest_aud_1 ON mastertest_aud(aud_userid)
/

CREATE INDEX nuk_mastertest_aud_2 ON mastertest_aud(aud_datetime)
/

create or replace trigger i_mastertest
after insert on mastertest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,OWNER
 ,EDITCONTROL
 ,AUTOSCORE
 ,TAKELIMIT
 ,REVIEWABLE
 ,ALLOWHINTS
 ,DATEENTERED
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,STYLESHEET
 ,TESTUSE
 ,LONGDESCRIPTION
 ,MAXTIMEALLOWED
 ,VALIDFROM
 ,VALIDTO
 ,ALLOWPRINT
 ,ALLOWRESUME
 ,MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,MINIMUM_RETAKE_INTERVAL_UNIT
 ,ALLOWSCOREDISPLAY
 ,ALLOWNAVIGATION
 ,ALLOWIDDISPLAY
 ,PASSWORD
 ,DISALLOWABANDON
 ,WORKFLOWSTATUS
 ,ISPRACTICETEST
 ,ALLOWIMMEDIATEQFEEDBACK
 ,PARENTTESTID
 ,RESITDIFFERENCE
 ,RESIT
 ,RESITPARENTTESTID
 ,MENTOR_PASSWORD
 ,IS_TEMPLATE
 ,REVIEWQUESTION
 ,MARKTYPE
 ,CERTID
 ,SHOWMARK
 ,REVIEWTYPE
 ,MAXTIMEPERQUESTION
 ,POOL_SUMMARY_LVL
 ,FAIL_EMAIL_ID
 ,RETAKE_NOTIF_EMAIL_ID
 ,CREATOR_UID
 ,UPDATE_MEANING
 ,ALLOWDOWNLOAD
 ,DISABLE_RIGHT_CLICK
 ,START_BASED_TIME_LIMIT
 ,IS_ANONYMOUS
 ,REMAINING_TIME_TYPE
 ,RESTRICT_IP_PARTICIPANTS
 ,RESTRICT_IP_REVIEWERS
 ,PASS_EMAIL_ID
 ,GRADE_NOTIF_EMAIL_ID
 ,RCD_POST_COMPL_ATTEMPT
 ,RCD_POST_COMPL_MAX_SCORE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.OWNER
 ,:new.EDITCONTROL
 ,:new.AUTOSCORE
 ,:new.TAKELIMIT
 ,:new.REVIEWABLE
 ,:new.ALLOWHINTS
 ,:new.DATEENTERED
 ,:new.REQPOINTS
 ,:new.MAXPOINTS
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.STYLESHEET
 ,:new.TESTUSE
 ,:new.LONGDESCRIPTION
 ,:new.MAXTIMEALLOWED
 ,:new.VALIDFROM
 ,:new.VALIDTO
 ,:new.ALLOWPRINT
 ,:new.ALLOWRESUME
 ,:new.MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,:new.MINIMUM_RETAKE_INTERVAL_UNIT
 ,:new.ALLOWSCOREDISPLAY
 ,:new.ALLOWNAVIGATION
 ,:new.ALLOWIDDISPLAY
 ,:new.PASSWORD
 ,:new.DISALLOWABANDON
 ,:new.WORKFLOWSTATUS
 ,:new.ISPRACTICETEST
 ,:new.ALLOWIMMEDIATEQFEEDBACK
 ,:new.PARENTTESTID
 ,:new.RESITDIFFERENCE
 ,:new.RESIT
 ,:new.RESITPARENTTESTID
 ,:new.MENTOR_PASSWORD
 ,:new.IS_TEMPLATE
 ,:new.REVIEWQUESTION
 ,:new.MARKTYPE
 ,:new.CERTID
 ,:new.SHOWMARK
 ,:new.REVIEWTYPE
 ,:new.MAXTIMEPERQUESTION
 ,:new.POOL_SUMMARY_LVL
 ,:new.FAIL_EMAIL_ID
 ,:new.RETAKE_NOTIF_EMAIL_ID
 ,:new.CREATOR_UID
 ,:new.UPDATE_MEANING
 ,:new.ALLOWDOWNLOAD
 ,:new.DISABLE_RIGHT_CLICK
 ,:new.START_BASED_TIME_LIMIT
 ,:new.IS_ANONYMOUS
 ,:new.REMAINING_TIME_TYPE
 ,:new.RESTRICT_IP_PARTICIPANTS
 ,:new.RESTRICT_IP_REVIEWERS
 ,:new.PASS_EMAIL_ID
 ,:new.GRADE_NOTIF_EMAIL_ID
 ,:new.RCD_POST_COMPL_ATTEMPT
 ,:new.RCD_POST_COMPL_MAX_SCORE
);
end;
/

create or replace trigger u_mastertest
after update on mastertest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,OWNER
 ,EDITCONTROL
 ,AUTOSCORE
 ,TAKELIMIT
 ,REVIEWABLE
 ,ALLOWHINTS
 ,DATEENTERED
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,STYLESHEET
 ,TESTUSE
 ,LONGDESCRIPTION
 ,MAXTIMEALLOWED
 ,VALIDFROM
 ,VALIDTO
 ,ALLOWPRINT
 ,ALLOWRESUME
 ,MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,MINIMUM_RETAKE_INTERVAL_UNIT
 ,ALLOWSCOREDISPLAY
 ,ALLOWNAVIGATION
 ,ALLOWIDDISPLAY
 ,PASSWORD
 ,DISALLOWABANDON
 ,WORKFLOWSTATUS
 ,ISPRACTICETEST
 ,ALLOWIMMEDIATEQFEEDBACK
 ,PARENTTESTID
 ,RESITDIFFERENCE
 ,RESIT
 ,RESITPARENTTESTID
 ,MENTOR_PASSWORD
 ,IS_TEMPLATE
 ,REVIEWQUESTION
 ,MARKTYPE
 ,CERTID
 ,SHOWMARK
 ,REVIEWTYPE
 ,MAXTIMEPERQUESTION
 ,POOL_SUMMARY_LVL
 ,FAIL_EMAIL_ID
 ,RETAKE_NOTIF_EMAIL_ID
 ,CREATOR_UID
 ,UPDATE_MEANING
 ,ALLOWDOWNLOAD
 ,DISABLE_RIGHT_CLICK
 ,START_BASED_TIME_LIMIT
 ,IS_ANONYMOUS
 ,REMAINING_TIME_TYPE
 ,RESTRICT_IP_PARTICIPANTS
 ,RESTRICT_IP_REVIEWERS
 ,PASS_EMAIL_ID
 ,GRADE_NOTIF_EMAIL_ID
 ,RCD_POST_COMPL_ATTEMPT
 ,RCD_POST_COMPL_MAX_SCORE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.OWNER
 ,:new.EDITCONTROL
 ,:new.AUTOSCORE
 ,:new.TAKELIMIT
 ,:new.REVIEWABLE
 ,:new.ALLOWHINTS
 ,:new.DATEENTERED
 ,:new.REQPOINTS
 ,:new.MAXPOINTS
 ,:new.TITLE
 ,:new.DESCRIPTION
 ,:new.STYLESHEET
 ,:new.TESTUSE
 ,:new.LONGDESCRIPTION
 ,:new.MAXTIMEALLOWED
 ,:new.VALIDFROM
 ,:new.VALIDTO
 ,:new.ALLOWPRINT
 ,:new.ALLOWRESUME
 ,:new.MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,:new.MINIMUM_RETAKE_INTERVAL_UNIT
 ,:new.ALLOWSCOREDISPLAY
 ,:new.ALLOWNAVIGATION
 ,:new.ALLOWIDDISPLAY
 ,:new.PASSWORD
 ,:new.DISALLOWABANDON
 ,:new.WORKFLOWSTATUS
 ,:new.ISPRACTICETEST
 ,:new.ALLOWIMMEDIATEQFEEDBACK
 ,:new.PARENTTESTID
 ,:new.RESITDIFFERENCE
 ,:new.RESIT
 ,:new.RESITPARENTTESTID
 ,:new.MENTOR_PASSWORD
 ,:new.IS_TEMPLATE
 ,:new.REVIEWQUESTION
 ,:new.MARKTYPE
 ,:new.CERTID
 ,:new.SHOWMARK
 ,:new.REVIEWTYPE
 ,:new.MAXTIMEPERQUESTION
 ,:new.POOL_SUMMARY_LVL
 ,:new.FAIL_EMAIL_ID
 ,:new.RETAKE_NOTIF_EMAIL_ID
 ,:new.CREATOR_UID
 ,:new.UPDATE_MEANING
 ,:new.ALLOWDOWNLOAD
 ,:new.DISABLE_RIGHT_CLICK
 ,:new.START_BASED_TIME_LIMIT
 ,:new.IS_ANONYMOUS
 ,:new.REMAINING_TIME_TYPE
 ,:new.RESTRICT_IP_PARTICIPANTS
 ,:new.RESTRICT_IP_REVIEWERS
 ,:new.PASS_EMAIL_ID
 ,:new.GRADE_NOTIF_EMAIL_ID
 ,:new.RCD_POST_COMPL_ATTEMPT
 ,:new.RCD_POST_COMPL_MAX_SCORE
);
end;
/

create or replace trigger d_mastertest
after delete on mastertest for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,OWNER
 ,EDITCONTROL
 ,AUTOSCORE
 ,TAKELIMIT
 ,REVIEWABLE
 ,ALLOWHINTS
 ,DATEENTERED
 ,REQPOINTS
 ,MAXPOINTS
 ,TITLE
 ,DESCRIPTION
 ,STYLESHEET
 ,TESTUSE
 ,LONGDESCRIPTION
 ,MAXTIMEALLOWED
 ,VALIDFROM
 ,VALIDTO
 ,ALLOWPRINT
 ,ALLOWRESUME
 ,MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,MINIMUM_RETAKE_INTERVAL_UNIT
 ,ALLOWSCOREDISPLAY
 ,ALLOWNAVIGATION
 ,ALLOWIDDISPLAY
 ,PASSWORD
 ,DISALLOWABANDON
 ,WORKFLOWSTATUS
 ,ISPRACTICETEST
 ,ALLOWIMMEDIATEQFEEDBACK
 ,PARENTTESTID
 ,RESITDIFFERENCE
 ,RESIT
 ,RESITPARENTTESTID
 ,MENTOR_PASSWORD
 ,IS_TEMPLATE
 ,REVIEWQUESTION
 ,MARKTYPE
 ,CERTID
 ,SHOWMARK
 ,REVIEWTYPE
 ,MAXTIMEPERQUESTION
 ,POOL_SUMMARY_LVL
 ,FAIL_EMAIL_ID
 ,RETAKE_NOTIF_EMAIL_ID
 ,CREATOR_UID
 ,UPDATE_MEANING
 ,ALLOWDOWNLOAD
 ,DISABLE_RIGHT_CLICK
 ,START_BASED_TIME_LIMIT
 ,IS_ANONYMOUS
 ,REMAINING_TIME_TYPE
 ,RESTRICT_IP_PARTICIPANTS
 ,RESTRICT_IP_REVIEWERS
 ,PASS_EMAIL_ID
 ,GRADE_NOTIF_EMAIL_ID
 ,RCD_POST_COMPL_ATTEMPT
 ,RCD_POST_COMPL_MAX_SCORE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TESTID
 ,:old.OWNER
 ,:old.EDITCONTROL
 ,:old.AUTOSCORE
 ,:old.TAKELIMIT
 ,:old.REVIEWABLE
 ,:old.ALLOWHINTS
 ,:old.DATEENTERED
 ,:old.REQPOINTS
 ,:old.MAXPOINTS
 ,:old.TITLE
 ,:old.DESCRIPTION
 ,:old.STYLESHEET
 ,:old.TESTUSE
 ,:old.LONGDESCRIPTION
 ,:old.MAXTIMEALLOWED
 ,:old.VALIDFROM
 ,:old.VALIDTO
 ,:old.ALLOWPRINT
 ,:old.ALLOWRESUME
 ,:old.MINIMUM_RETAKE_INTERVAL_AMOUNT
 ,:old.MINIMUM_RETAKE_INTERVAL_UNIT
 ,:old.ALLOWSCOREDISPLAY
 ,:old.ALLOWNAVIGATION
 ,:old.ALLOWIDDISPLAY
 ,:old.PASSWORD
 ,:old.DISALLOWABANDON
 ,:old.WORKFLOWSTATUS
 ,:old.ISPRACTICETEST
 ,:old.ALLOWIMMEDIATEQFEEDBACK
 ,:old.PARENTTESTID
 ,:old.RESITDIFFERENCE
 ,:old.RESIT
 ,:old.RESITPARENTTESTID
 ,:old.MENTOR_PASSWORD
 ,:old.IS_TEMPLATE
 ,:old.REVIEWQUESTION
 ,:old.MARKTYPE
 ,:old.CERTID
 ,:old.SHOWMARK
 ,:old.REVIEWTYPE
 ,:old.MAXTIMEPERQUESTION
 ,:old.POOL_SUMMARY_LVL
 ,:old.FAIL_EMAIL_ID
 ,:old.RETAKE_NOTIF_EMAIL_ID
 ,:old.CREATOR_UID
 ,:old.UPDATE_MEANING
 ,:old.ALLOWDOWNLOAD
 ,:old.DISABLE_RIGHT_CLICK
 ,:old.START_BASED_TIME_LIMIT
 ,:old.IS_ANONYMOUS
 ,:old.REMAINING_TIME_TYPE
 ,:old.RESTRICT_IP_PARTICIPANTS
 ,:old.RESTRICT_IP_REVIEWERS
 ,:old.PASS_EMAIL_ID
 ,:old.GRADE_NOTIF_EMAIL_ID
 ,:old.RCD_POST_COMPL_ATTEMPT
 ,:old.RCD_POST_COMPL_MAX_SCORE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-mastertest', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1033, '8:6ed3fa1f1b1a64478f0ec48c7be1b290', 'enableAuditTable auditTableName=mastertest_aud, tableName=mastertest', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-objectives_topics::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_OBJECTIVES_TOPICS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_OBJECTIVES_TOPICS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_OBJECTIVES_TOPICS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_OBJECTIVES_TOPICS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_OBJECTIVES_TOPICS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_OBJECTIVES_TOPICS';
			END IF;
		END;
/

CREATE TABLE objectives_topics_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), ENTRYNUM NUMBER(*, 0), DESCRIPTION VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), DESCRIPTION_KEY VARCHAR2(85 BYTE), ID VARCHAR2(100 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_OBJECTIVES_TOPICS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_objectives_topics_aud
 before insert on objectives_topics_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into objectives_topics_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ENTRYNUM
 ,DESCRIPTION
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
 ,ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,ENTRYNUM
 ,DESCRIPTION
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
 ,ID
  from objectives_topics
/

CREATE INDEX nuk_objectives_topics_aud_1 ON objectives_topics_aud(aud_userid)
/

CREATE INDEX nuk_objectives_topics_aud_2 ON objectives_topics_aud(aud_datetime)
/

create or replace trigger i_objectives_topics
after insert on objectives_topics for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into objectives_topics_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ENTRYNUM
 ,DESCRIPTION
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
 ,ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.ENTRYNUM
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
 ,:new.DESCRIPTION_KEY
 ,:new.ID
);
end;
/

create or replace trigger u_objectives_topics
after update on objectives_topics for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into objectives_topics_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ENTRYNUM
 ,DESCRIPTION
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
 ,ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.ENTRYNUM
 ,:new.DESCRIPTION
 ,:new.UPDATE_MEANING
 ,:new.DESCRIPTION_KEY
 ,:new.ID
);
end;
/

create or replace trigger d_objectives_topics
after delete on objectives_topics for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into objectives_topics_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ENTRYNUM
 ,DESCRIPTION
 ,UPDATE_MEANING
 ,DESCRIPTION_KEY
 ,ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.ENTRYNUM
 ,:old.DESCRIPTION
 ,:old.UPDATE_MEANING
 ,:old.DESCRIPTION_KEY
 ,:old.ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-objectives_topics', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1034, '8:e2ee084d6b9ce24b12c845ac9ba2ca80', 'enableAuditTable auditTableName=objectives_topics_aud, tableName=objectives_topics', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-otherObjects::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_OTHEROBJECTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_OTHEROBJECTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_OTHEROBJECTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_OTHEROBJECTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_OTHEROBJECTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_OTHEROBJECTS';
			END IF;
		END;
/

CREATE TABLE otherObjects_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), LEARNINGTYPE CHAR(1 BYTE), SPEAKER_AUTHOR VARCHAR2(50 BYTE), PUBLISHER_INSTITUTE VARCHAR2(50 BYTE), LOCATION VARCHAR2(255 BYTE), REFERENCENO VARCHAR2(40 BYTE), ENROLLDEADLINE date, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_OTHEROBJECTS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_otherObjects_aud
 before insert on otherObjects_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into otherObjects_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,SPEAKER_AUTHOR
 ,PUBLISHER_INSTITUTE
 ,LOCATION
 ,REFERENCENO
 ,ENROLLDEADLINE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,LEARNINGTYPE
 ,SPEAKER_AUTHOR
 ,PUBLISHER_INSTITUTE
 ,LOCATION
 ,REFERENCENO
 ,ENROLLDEADLINE
 ,UPDATE_MEANING
  from otherObjects
/

CREATE INDEX nuk_otherObjects_aud_1 ON otherObjects_aud(aud_userid)
/

CREATE INDEX nuk_otherObjects_aud_2 ON otherObjects_aud(aud_datetime)
/

create or replace trigger i_otherObjects
after insert on otherObjects for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into otherObjects_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,SPEAKER_AUTHOR
 ,PUBLISHER_INSTITUTE
 ,LOCATION
 ,REFERENCENO
 ,ENROLLDEADLINE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.SPEAKER_AUTHOR
 ,:new.PUBLISHER_INSTITUTE
 ,:new.LOCATION
 ,:new.REFERENCENO
 ,:new.ENROLLDEADLINE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_otherObjects
after update on otherObjects for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into otherObjects_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,SPEAKER_AUTHOR
 ,PUBLISHER_INSTITUTE
 ,LOCATION
 ,REFERENCENO
 ,ENROLLDEADLINE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.LEARNINGTYPE
 ,:new.SPEAKER_AUTHOR
 ,:new.PUBLISHER_INSTITUTE
 ,:new.LOCATION
 ,:new.REFERENCENO
 ,:new.ENROLLDEADLINE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_otherObjects
after delete on otherObjects for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into otherObjects_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,LEARNINGTYPE
 ,SPEAKER_AUTHOR
 ,PUBLISHER_INSTITUTE
 ,LOCATION
 ,REFERENCENO
 ,ENROLLDEADLINE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.LEARNINGTYPE
 ,:old.SPEAKER_AUTHOR
 ,:old.PUBLISHER_INSTITUTE
 ,:old.LOCATION
 ,:old.REFERENCENO
 ,:old.ENROLLDEADLINE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-otherObjects', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1035, '8:47526587e5751e4d565ff6f76df27ecb', 'enableAuditTable auditTableName=otherObjects_aud, tableName=otherObjects', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-owners::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_OWNERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_OWNERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_OWNERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_OWNERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_OWNERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_OWNERS';
			END IF;
		END;
/

CREATE TABLE owners_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), USERID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_OWNERS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_owners_aud
 before insert on owners_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into owners_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
  from owners
/

CREATE INDEX nuk_owners_aud_1 ON owners_aud(aud_userid)
/

CREATE INDEX nuk_owners_aud_2 ON owners_aud(aud_datetime)
/

create or replace trigger i_owners
after insert on owners for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into owners_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_owners
after update on owners for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into owners_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_owners
after delete on owners for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into owners_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,USERID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.USERID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-owners', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1036, '8:e17a6ae1e2c527d80212e2790bbc727c', 'enableAuditTable auditTableName=owners_aud, tableName=owners', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-prereq::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_PREREQ';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_PREREQ';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_PREREQ';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_PREREQ';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_PREREQ';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_PREREQ';
			END IF;
		END;
/

CREATE TABLE prereq_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), PREREQID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), PREREQCONTROL NUMBER(*, 0), SECTION NUMBER(*, 0), LOGIC CHAR(1 BYTE), IS_MANDATORY CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_PREREQ_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_prereq_aud
 before insert on prereq_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into prereq_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,PREREQID
 ,UPDATE_MEANING
 ,PREREQCONTROL
 ,SECTION
 ,LOGIC
 ,IS_MANDATORY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,PREREQID
 ,UPDATE_MEANING
 ,PREREQCONTROL
 ,SECTION
 ,LOGIC
 ,IS_MANDATORY
  from prereq
/

CREATE INDEX nuk_prereq_aud_1 ON prereq_aud(aud_userid)
/

CREATE INDEX nuk_prereq_aud_2 ON prereq_aud(aud_datetime)
/

create or replace trigger i_prereq
after insert on prereq for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into prereq_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,PREREQID
 ,UPDATE_MEANING
 ,PREREQCONTROL
 ,SECTION
 ,LOGIC
 ,IS_MANDATORY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.PREREQID
 ,:new.UPDATE_MEANING
 ,:new.PREREQCONTROL
 ,:new.SECTION
 ,:new.LOGIC
 ,:new.IS_MANDATORY
);
end;
/

create or replace trigger u_prereq
after update on prereq for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into prereq_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,PREREQID
 ,UPDATE_MEANING
 ,PREREQCONTROL
 ,SECTION
 ,LOGIC
 ,IS_MANDATORY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.PREREQID
 ,:new.UPDATE_MEANING
 ,:new.PREREQCONTROL
 ,:new.SECTION
 ,:new.LOGIC
 ,:new.IS_MANDATORY
);
end;
/

create or replace trigger d_prereq
after delete on prereq for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into prereq_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,PREREQID
 ,UPDATE_MEANING
 ,PREREQCONTROL
 ,SECTION
 ,LOGIC
 ,IS_MANDATORY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.PREREQID
 ,:old.UPDATE_MEANING
 ,:old.PREREQCONTROL
 ,:old.SECTION
 ,:old.LOGIC
 ,:old.IS_MANDATORY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-prereq', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1037, '8:426a12e65da7279f8db83fa62b62cebb', 'enableAuditTable auditTableName=prereq_aud, tableName=prereq', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-qattributes::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QATTRIBUTES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QATTRIBUTES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QATTRIBUTES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QATTRIBUTES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QATTRIBUTES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QATTRIBUTES';
			END IF;
		END;
/

CREATE TABLE qattributes_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), IMAGEOBJECT VARCHAR2(255 BYTE), AUDIOOBJECT VARCHAR2(255 BYTE), VIDEOOBJECT VARCHAR2(255 BYTE), OTHEROBJECT VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QATTRIBUTES_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_qattributes_aud
 before insert on qattributes_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into qattributes_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,IMAGEOBJECT
 ,AUDIOOBJECT
 ,VIDEOOBJECT
 ,OTHEROBJECT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,IMAGEOBJECT
 ,AUDIOOBJECT
 ,VIDEOOBJECT
 ,OTHEROBJECT
 ,UPDATE_MEANING
  from qattributes
/

CREATE INDEX nuk_qattributes_aud_1 ON qattributes_aud(aud_userid)
/

CREATE INDEX nuk_qattributes_aud_2 ON qattributes_aud(aud_datetime)
/

create or replace trigger i_qattributes
after insert on qattributes for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into qattributes_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,IMAGEOBJECT
 ,AUDIOOBJECT
 ,VIDEOOBJECT
 ,OTHEROBJECT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.IMAGEOBJECT
 ,:new.AUDIOOBJECT
 ,:new.VIDEOOBJECT
 ,:new.OTHEROBJECT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_qattributes
after update on qattributes for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into qattributes_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,IMAGEOBJECT
 ,AUDIOOBJECT
 ,VIDEOOBJECT
 ,OTHEROBJECT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.IMAGEOBJECT
 ,:new.AUDIOOBJECT
 ,:new.VIDEOOBJECT
 ,:new.OTHEROBJECT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_qattributes
after delete on qattributes for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into qattributes_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,IMAGEOBJECT
 ,AUDIOOBJECT
 ,VIDEOOBJECT
 ,OTHEROBJECT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.IMAGEOBJECT
 ,:old.AUDIOOBJECT
 ,:old.VIDEOOBJECT
 ,:old.OTHEROBJECT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-qattributes', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1038, '8:953bae171182ab5dc0de47f8d18d9b04', 'enableAuditTable auditTableName=qattributes_aud, tableName=qattributes', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION';
			END IF;
		END;
/

CREATE TABLE question_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QTYPE NUMBER(*, 0), DIFFICULTY FLOAT(22), OWNER VARCHAR2(85 BYTE), EDITCONTROL NUMBER(*, 0), HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), QTEXT CLOB, PLAIN_TEXT CLOB, SEARCHTEXT VARCHAR2(1000 BYTE), CATEGORY NUMBER(*, 0), ALLOWPARTIALCREDIT CHAR(1 BYTE), WEIGHTING FLOAT(22), REFERENCEINFO VARCHAR2(255 BYTE), QSTATUS NUMBER(*, 0), QCOMMENTS VARCHAR2(512 BYTE), SELECTFREQUENCY FLOAT(22), USAGETOTAL NUMBER(*, 0), USAGELIMIT NUMBER(*, 0), EXPIRY_DATE date, VERSION NUMBER(*, 0), ARCHIVEREFERENCEID VARCHAR2(85 BYTE), ARCHIVECREATEDATE date, WRITER VARCHAR2(85 BYTE), WRITER_COMMENTS VARCHAR2(255 BYTE), REVIEWER VARCHAR2(85 BYTE), REVIEWER_COMMENTS VARCHAR2(255 BYTE), APPROVER VARCHAR2(85 BYTE), APPROVER_COMMENTS VARCHAR2(255 BYTE), REJECTEDBY VARCHAR2(85 BYTE), REJECT_COMMENTS VARCHAR2(255 BYTE), EDITTIME VARCHAR2(85 BYTE), REVIEWTIME VARCHAR2(85 BYTE), APPROVETIME VARCHAR2(85 BYTE), REJECTTIME VARCHAR2(85 BYTE), IS_EXT_FLAGGED CHAR(1 BYTE), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, UPDATE_MEANING VARCHAR2(8 BYTE), ENABLE_QUESTION_ATTACHMENT CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_aud
 before insert on question_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QTYPE
 ,DIFFICULTY
 ,OWNER
 ,EDITCONTROL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,QTEXT
 ,PLAIN_TEXT
 ,SEARCHTEXT
 ,CATEGORY
 ,ALLOWPARTIALCREDIT
 ,WEIGHTING
 ,REFERENCEINFO
 ,QSTATUS
 ,QCOMMENTS
 ,SELECTFREQUENCY
 ,USAGETOTAL
 ,USAGELIMIT
 ,EXPIRY_DATE
 ,VERSION
 ,ARCHIVEREFERENCEID
 ,ARCHIVECREATEDATE
 ,WRITER
 ,WRITER_COMMENTS
 ,REVIEWER
 ,REVIEWER_COMMENTS
 ,APPROVER
 ,APPROVER_COMMENTS
 ,REJECTEDBY
 ,REJECT_COMMENTS
 ,EDITTIME
 ,REVIEWTIME
 ,APPROVETIME
 ,REJECTTIME
 ,IS_EXT_FLAGGED
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,ENABLE_QUESTION_ATTACHMENT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QTYPE
 ,DIFFICULTY
 ,OWNER
 ,EDITCONTROL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,QTEXT
 ,PLAIN_TEXT
 ,SEARCHTEXT
 ,CATEGORY
 ,ALLOWPARTIALCREDIT
 ,WEIGHTING
 ,REFERENCEINFO
 ,QSTATUS
 ,QCOMMENTS
 ,SELECTFREQUENCY
 ,USAGETOTAL
 ,USAGELIMIT
 ,EXPIRY_DATE
 ,VERSION
 ,ARCHIVEREFERENCEID
 ,ARCHIVECREATEDATE
 ,WRITER
 ,WRITER_COMMENTS
 ,REVIEWER
 ,REVIEWER_COMMENTS
 ,APPROVER
 ,APPROVER_COMMENTS
 ,REJECTEDBY
 ,REJECT_COMMENTS
 ,EDITTIME
 ,REVIEWTIME
 ,APPROVETIME
 ,REJECTTIME
 ,IS_EXT_FLAGGED
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,ENABLE_QUESTION_ATTACHMENT
  from question
/

CREATE INDEX nuk_question_aud_1 ON question_aud(aud_userid)
/

CREATE INDEX nuk_question_aud_2 ON question_aud(aud_datetime)
/

create or replace trigger i_question
after insert on question for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QTYPE
 ,DIFFICULTY
 ,OWNER
 ,EDITCONTROL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,QTEXT
 ,PLAIN_TEXT
 ,SEARCHTEXT
 ,CATEGORY
 ,ALLOWPARTIALCREDIT
 ,WEIGHTING
 ,REFERENCEINFO
 ,QSTATUS
 ,QCOMMENTS
 ,SELECTFREQUENCY
 ,USAGETOTAL
 ,USAGELIMIT
 ,EXPIRY_DATE
 ,VERSION
 ,ARCHIVEREFERENCEID
 ,ARCHIVECREATEDATE
 ,WRITER
 ,WRITER_COMMENTS
 ,REVIEWER
 ,REVIEWER_COMMENTS
 ,APPROVER
 ,APPROVER_COMMENTS
 ,REJECTEDBY
 ,REJECT_COMMENTS
 ,EDITTIME
 ,REVIEWTIME
 ,APPROVETIME
 ,REJECTTIME
 ,IS_EXT_FLAGGED
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,ENABLE_QUESTION_ATTACHMENT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.DIFFICULTY
 ,:new.OWNER
 ,:new.EDITCONTROL
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.QTEXT
 ,:new.PLAIN_TEXT
 ,:new.SEARCHTEXT
 ,:new.CATEGORY
 ,:new.ALLOWPARTIALCREDIT
 ,:new.WEIGHTING
 ,:new.REFERENCEINFO
 ,:new.QSTATUS
 ,:new.QCOMMENTS
 ,:new.SELECTFREQUENCY
 ,:new.USAGETOTAL
 ,:new.USAGELIMIT
 ,:new.EXPIRY_DATE
 ,:new.VERSION
 ,:new.ARCHIVEREFERENCEID
 ,:new.ARCHIVECREATEDATE
 ,:new.WRITER
 ,:new.WRITER_COMMENTS
 ,:new.REVIEWER
 ,:new.REVIEWER_COMMENTS
 ,:new.APPROVER
 ,:new.APPROVER_COMMENTS
 ,:new.REJECTEDBY
 ,:new.REJECT_COMMENTS
 ,:new.EDITTIME
 ,:new.REVIEWTIME
 ,:new.APPROVETIME
 ,:new.REJECTTIME
 ,:new.IS_EXT_FLAGGED
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.UPDATE_MEANING
 ,:new.ENABLE_QUESTION_ATTACHMENT
);
end;
/

create or replace trigger u_question
after update on question for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QTYPE
 ,DIFFICULTY
 ,OWNER
 ,EDITCONTROL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,QTEXT
 ,PLAIN_TEXT
 ,SEARCHTEXT
 ,CATEGORY
 ,ALLOWPARTIALCREDIT
 ,WEIGHTING
 ,REFERENCEINFO
 ,QSTATUS
 ,QCOMMENTS
 ,SELECTFREQUENCY
 ,USAGETOTAL
 ,USAGELIMIT
 ,EXPIRY_DATE
 ,VERSION
 ,ARCHIVEREFERENCEID
 ,ARCHIVECREATEDATE
 ,WRITER
 ,WRITER_COMMENTS
 ,REVIEWER
 ,REVIEWER_COMMENTS
 ,APPROVER
 ,APPROVER_COMMENTS
 ,REJECTEDBY
 ,REJECT_COMMENTS
 ,EDITTIME
 ,REVIEWTIME
 ,APPROVETIME
 ,REJECTTIME
 ,IS_EXT_FLAGGED
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,ENABLE_QUESTION_ATTACHMENT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.DIFFICULTY
 ,:new.OWNER
 ,:new.EDITCONTROL
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.QTEXT
 ,:new.PLAIN_TEXT
 ,:new.SEARCHTEXT
 ,:new.CATEGORY
 ,:new.ALLOWPARTIALCREDIT
 ,:new.WEIGHTING
 ,:new.REFERENCEINFO
 ,:new.QSTATUS
 ,:new.QCOMMENTS
 ,:new.SELECTFREQUENCY
 ,:new.USAGETOTAL
 ,:new.USAGELIMIT
 ,:new.EXPIRY_DATE
 ,:new.VERSION
 ,:new.ARCHIVEREFERENCEID
 ,:new.ARCHIVECREATEDATE
 ,:new.WRITER
 ,:new.WRITER_COMMENTS
 ,:new.REVIEWER
 ,:new.REVIEWER_COMMENTS
 ,:new.APPROVER
 ,:new.APPROVER_COMMENTS
 ,:new.REJECTEDBY
 ,:new.REJECT_COMMENTS
 ,:new.EDITTIME
 ,:new.REVIEWTIME
 ,:new.APPROVETIME
 ,:new.REJECTTIME
 ,:new.IS_EXT_FLAGGED
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.UPDATE_MEANING
 ,:new.ENABLE_QUESTION_ATTACHMENT
);
end;
/

create or replace trigger d_question
after delete on question for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QTYPE
 ,DIFFICULTY
 ,OWNER
 ,EDITCONTROL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,QTEXT
 ,PLAIN_TEXT
 ,SEARCHTEXT
 ,CATEGORY
 ,ALLOWPARTIALCREDIT
 ,WEIGHTING
 ,REFERENCEINFO
 ,QSTATUS
 ,QCOMMENTS
 ,SELECTFREQUENCY
 ,USAGETOTAL
 ,USAGELIMIT
 ,EXPIRY_DATE
 ,VERSION
 ,ARCHIVEREFERENCEID
 ,ARCHIVECREATEDATE
 ,WRITER
 ,WRITER_COMMENTS
 ,REVIEWER
 ,REVIEWER_COMMENTS
 ,APPROVER
 ,APPROVER_COMMENTS
 ,REJECTEDBY
 ,REJECT_COMMENTS
 ,EDITTIME
 ,REVIEWTIME
 ,APPROVETIME
 ,REJECTTIME
 ,IS_EXT_FLAGGED
 ,CREATOR_UID
 ,DATECREATED
 ,UPDATE_MEANING
 ,ENABLE_QUESTION_ATTACHMENT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QTYPE
 ,:old.DIFFICULTY
 ,:old.OWNER
 ,:old.EDITCONTROL
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.QTEXT
 ,:old.PLAIN_TEXT
 ,:old.SEARCHTEXT
 ,:old.CATEGORY
 ,:old.ALLOWPARTIALCREDIT
 ,:old.WEIGHTING
 ,:old.REFERENCEINFO
 ,:old.QSTATUS
 ,:old.QCOMMENTS
 ,:old.SELECTFREQUENCY
 ,:old.USAGETOTAL
 ,:old.USAGELIMIT
 ,:old.EXPIRY_DATE
 ,:old.VERSION
 ,:old.ARCHIVEREFERENCEID
 ,:old.ARCHIVECREATEDATE
 ,:old.WRITER
 ,:old.WRITER_COMMENTS
 ,:old.REVIEWER
 ,:old.REVIEWER_COMMENTS
 ,:old.APPROVER
 ,:old.APPROVER_COMMENTS
 ,:old.REJECTEDBY
 ,:old.REJECT_COMMENTS
 ,:old.EDITTIME
 ,:old.REVIEWTIME
 ,:old.APPROVETIME
 ,:old.REJECTTIME
 ,:old.IS_EXT_FLAGGED
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.UPDATE_MEANING
 ,:old.ENABLE_QUESTION_ATTACHMENT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1039, '8:c83e3c70c9a9c34bf7136f9a45ef6d1d', 'enableAuditTable auditTableName=question_aud, tableName=question', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_attachment::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_ATTACHMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_ATTACHMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_ATTACHMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_ATTACHMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_ATTACHMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_ATTACHMENT';
			END IF;
		END;
/

CREATE TABLE question_attachment_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), FILENAME VARCHAR2(85 BYTE), DISPLAY_NAME VARCHAR2(85 BYTE), PATH VARCHAR2(255 BYTE), DESCRIPTION VARCHAR2(255 BYTE), OWNER_ID VARCHAR2(85 BYTE), UPLOADED_BY VARCHAR2(85 BYTE), UPLOAD_DATE date, last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_QUESTION_ATTACHMENT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_attachment_aud
 before insert on question_attachment_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_attachment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,FILENAME
 ,DISPLAY_NAME
 ,PATH
 ,DESCRIPTION
 ,OWNER_ID
 ,UPLOADED_BY
 ,UPLOAD_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,FILENAME
 ,DISPLAY_NAME
 ,PATH
 ,DESCRIPTION
 ,OWNER_ID
 ,UPLOADED_BY
 ,UPLOAD_DATE
  from question_attachment
/

CREATE INDEX nuk_question_attachment_aud_1 ON question_attachment_aud(aud_userid)
/

CREATE INDEX nuk_question_attachment_aud_2 ON question_attachment_aud(aud_datetime)
/

create or replace trigger i_question_attachment
after insert on question_attachment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attachment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,FILENAME
 ,DISPLAY_NAME
 ,PATH
 ,DESCRIPTION
 ,OWNER_ID
 ,UPLOADED_BY
 ,UPLOAD_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.FILENAME
 ,:new.DISPLAY_NAME
 ,:new.PATH
 ,:new.DESCRIPTION
 ,:new.OWNER_ID
 ,:new.UPLOADED_BY
 ,:new.UPLOAD_DATE
);
end;
/

create or replace trigger u_question_attachment
after update on question_attachment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attachment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,FILENAME
 ,DISPLAY_NAME
 ,PATH
 ,DESCRIPTION
 ,OWNER_ID
 ,UPLOADED_BY
 ,UPLOAD_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.FILENAME
 ,:new.DISPLAY_NAME
 ,:new.PATH
 ,:new.DESCRIPTION
 ,:new.OWNER_ID
 ,:new.UPLOADED_BY
 ,:new.UPLOAD_DATE
);
end;
/

create or replace trigger d_question_attachment
after delete on question_attachment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attachment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,FILENAME
 ,DISPLAY_NAME
 ,PATH
 ,DESCRIPTION
 ,OWNER_ID
 ,UPLOADED_BY
 ,UPLOAD_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.FILENAME
 ,:old.DISPLAY_NAME
 ,:old.PATH
 ,:old.DESCRIPTION
 ,:old.OWNER_ID
 ,:old.UPLOADED_BY
 ,:old.UPLOAD_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_attachment', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1040, '8:0aaee675e21734fc2eea1e6524d98eb4', 'enableAuditTable auditTableName=question_attachment_aud, tableName=question_attachment', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type1::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE1';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE1';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE1';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE1';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE1';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE1';
			END IF;
		END;
/

CREATE TABLE question_type1_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), NCHOICES NUMBER(*, 0), ANSWER NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), FIXEDORDER CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE1_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type1_aud
 before insert on question_type1_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type1_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,FIXEDORDER
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,FIXEDORDER
 ,UPDATE_MEANING
  from question_type1
/

CREATE INDEX nuk_question_type1_aud_1 ON question_type1_aud(aud_userid)
/

CREATE INDEX nuk_question_type1_aud_2 ON question_type1_aud(aud_datetime)
/

create or replace trigger i_question_type1
after insert on question_type1 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type1_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,FIXEDORDER
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.ANSWER
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.FIXEDORDER
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type1
after update on question_type1 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type1_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,FIXEDORDER
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.ANSWER
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.FIXEDORDER
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type1
after delete on question_type1 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type1_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,FIXEDORDER
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.NCHOICES
 ,:old.ANSWER
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.FIXEDORDER
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type1', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1041, '8:690c113c7a607fc27fe8559f526b6a16', 'enableAuditTable auditTableName=question_type1_aud, tableName=question_type1', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type2::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE2';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE2';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE2';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE2';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE2';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE2';
			END IF;
		END;
/

CREATE TABLE question_type2_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), ANSWER NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE2_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type2_aud
 before insert on question_type2_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type2_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
  from question_type2
/

CREATE INDEX nuk_question_type2_aud_1 ON question_type2_aud(aud_userid)
/

CREATE INDEX nuk_question_type2_aud_2 ON question_type2_aud(aud_datetime)
/

create or replace trigger i_question_type2
after insert on question_type2 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type2_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.ANSWER
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type2
after update on question_type2 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type2_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.ANSWER
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type2
after delete on question_type2 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type2_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,ANSWER
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.ANSWER
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type2', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1042, '8:f902c76cb2614f1df1d6faef7be3d3aa', 'enableAuditTable auditTableName=question_type2_aud, tableName=question_type2', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type3::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE3';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE3';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE3';
			END IF;
		END;
/

CREATE TABLE question_type3_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), NCHOICES NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, HINT VARCHAR2(1000 BYTE), CHOICE1 VARCHAR2(1000 BYTE), CHOICE2 VARCHAR2(1000 BYTE), CHOICE3 VARCHAR2(1000 BYTE), CHOICE4 VARCHAR2(1000 BYTE), CHOICE5 VARCHAR2(1000 BYTE), CHOICE6 VARCHAR2(1000 BYTE), CHOICE7 VARCHAR2(1000 BYTE), CHOICE8 VARCHAR2(1000 BYTE), CHOICE9 VARCHAR2(1000 BYTE), CHOICE10 VARCHAR2(1000 BYTE), MATCH1 VARCHAR2(1000 BYTE), MATCH2 VARCHAR2(1000 BYTE), MATCH3 VARCHAR2(1000 BYTE), MATCH4 VARCHAR2(1000 BYTE), MATCH5 VARCHAR2(1000 BYTE), MATCH6 VARCHAR2(1000 BYTE), MATCH7 VARCHAR2(1000 BYTE), MATCH8 VARCHAR2(1000 BYTE), MATCH9 VARCHAR2(1000 BYTE), MATCH10 VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE3_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type3_aud
 before insert on question_type3_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,CHOICE1
 ,CHOICE2
 ,CHOICE3
 ,CHOICE4
 ,CHOICE5
 ,CHOICE6
 ,CHOICE7
 ,CHOICE8
 ,CHOICE9
 ,CHOICE10
 ,MATCH1
 ,MATCH2
 ,MATCH3
 ,MATCH4
 ,MATCH5
 ,MATCH6
 ,MATCH7
 ,MATCH8
 ,MATCH9
 ,MATCH10
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,CHOICE1
 ,CHOICE2
 ,CHOICE3
 ,CHOICE4
 ,CHOICE5
 ,CHOICE6
 ,CHOICE7
 ,CHOICE8
 ,CHOICE9
 ,CHOICE10
 ,MATCH1
 ,MATCH2
 ,MATCH3
 ,MATCH4
 ,MATCH5
 ,MATCH6
 ,MATCH7
 ,MATCH8
 ,MATCH9
 ,MATCH10
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
  from question_type3
/

CREATE INDEX nuk_question_type3_aud_1 ON question_type3_aud(aud_userid)
/

CREATE INDEX nuk_question_type3_aud_2 ON question_type3_aud(aud_datetime)
/

create or replace trigger i_question_type3
after insert on question_type3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,CHOICE1
 ,CHOICE2
 ,CHOICE3
 ,CHOICE4
 ,CHOICE5
 ,CHOICE6
 ,CHOICE7
 ,CHOICE8
 ,CHOICE9
 ,CHOICE10
 ,MATCH1
 ,MATCH2
 ,MATCH3
 ,MATCH4
 ,MATCH5
 ,MATCH6
 ,MATCH7
 ,MATCH8
 ,MATCH9
 ,MATCH10
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.CHOICE1
 ,:new.CHOICE2
 ,:new.CHOICE3
 ,:new.CHOICE4
 ,:new.CHOICE5
 ,:new.CHOICE6
 ,:new.CHOICE7
 ,:new.CHOICE8
 ,:new.CHOICE9
 ,:new.CHOICE10
 ,:new.MATCH1
 ,:new.MATCH2
 ,:new.MATCH3
 ,:new.MATCH4
 ,:new.MATCH5
 ,:new.MATCH6
 ,:new.MATCH7
 ,:new.MATCH8
 ,:new.MATCH9
 ,:new.MATCH10
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type3
after update on question_type3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,CHOICE1
 ,CHOICE2
 ,CHOICE3
 ,CHOICE4
 ,CHOICE5
 ,CHOICE6
 ,CHOICE7
 ,CHOICE8
 ,CHOICE9
 ,CHOICE10
 ,MATCH1
 ,MATCH2
 ,MATCH3
 ,MATCH4
 ,MATCH5
 ,MATCH6
 ,MATCH7
 ,MATCH8
 ,MATCH9
 ,MATCH10
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.CHOICE1
 ,:new.CHOICE2
 ,:new.CHOICE3
 ,:new.CHOICE4
 ,:new.CHOICE5
 ,:new.CHOICE6
 ,:new.CHOICE7
 ,:new.CHOICE8
 ,:new.CHOICE9
 ,:new.CHOICE10
 ,:new.MATCH1
 ,:new.MATCH2
 ,:new.MATCH3
 ,:new.MATCH4
 ,:new.MATCH5
 ,:new.MATCH6
 ,:new.MATCH7
 ,:new.MATCH8
 ,:new.MATCH9
 ,:new.MATCH10
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type3
after delete on question_type3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,CHOICE1
 ,CHOICE2
 ,CHOICE3
 ,CHOICE4
 ,CHOICE5
 ,CHOICE6
 ,CHOICE7
 ,CHOICE8
 ,CHOICE9
 ,CHOICE10
 ,MATCH1
 ,MATCH2
 ,MATCH3
 ,MATCH4
 ,MATCH5
 ,MATCH6
 ,MATCH7
 ,MATCH8
 ,MATCH9
 ,MATCH10
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.NCHOICES
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.HINT
 ,:old.CHOICE1
 ,:old.CHOICE2
 ,:old.CHOICE3
 ,:old.CHOICE4
 ,:old.CHOICE5
 ,:old.CHOICE6
 ,:old.CHOICE7
 ,:old.CHOICE8
 ,:old.CHOICE9
 ,:old.CHOICE10
 ,:old.MATCH1
 ,:old.MATCH2
 ,:old.MATCH3
 ,:old.MATCH4
 ,:old.MATCH5
 ,:old.MATCH6
 ,:old.MATCH7
 ,:old.MATCH8
 ,:old.MATCH9
 ,:old.MATCH10
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type3', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1043, '8:a47a0799e0256d598a8a7a795a6902a7', 'enableAuditTable auditTableName=question_type3_aud, tableName=question_type3', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type4::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE4';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE4';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE4';
			END IF;
		END;
/

CREATE TABLE question_type4_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE4_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type4_aud
 before insert on question_type4_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
  from question_type4
/

CREATE INDEX nuk_question_type4_aud_1 ON question_type4_aud(aud_userid)
/

CREATE INDEX nuk_question_type4_aud_2 ON question_type4_aud(aud_datetime)
/

create or replace trigger i_question_type4
after insert on question_type4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type4
after update on question_type4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type4
after delete on question_type4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type4', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1044, '8:af23129c0b2f394142a3ca8f2c735bd3', 'enableAuditTable auditTableName=question_type4_aud, tableName=question_type4', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type5::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE5';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE5';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE5';
			END IF;
		END;
/

CREATE TABLE question_type5_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, ANSWER VARCHAR2(1000 BYTE), HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE5_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type5_aud
 before insert on question_type5_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,ANSWER
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,ANSWER
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
  from question_type5
/

CREATE INDEX nuk_question_type5_aud_1 ON question_type5_aud(aud_userid)
/

CREATE INDEX nuk_question_type5_aud_2 ON question_type5_aud(aud_datetime)
/

create or replace trigger i_question_type5
after insert on question_type5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,ANSWER
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.ANSWER
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type5
after update on question_type5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,ANSWER
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.ANSWER
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type5
after delete on question_type5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,ANSWER
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.ANSWER
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type5', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1045, '8:0bb1ec7164639ca186188b1b030f2162', 'enableAuditTable auditTableName=question_type5_aud, tableName=question_type5', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type6::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE6';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE6';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE6';
			END IF;
		END;
/

CREATE TABLE question_type6_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT1 VARCHAR2(255 BYTE), QTEXT2 CLOB, SPREAD NUMBER(*, 0), LOWLABEL VARCHAR2(85 BYTE), HIGHLABEL VARCHAR2(85 BYTE), HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), AUTOSCORE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE6_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type6_aud
 before insert on question_type6_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,AUTOSCORE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,AUTOSCORE
  from question_type6
/

CREATE INDEX nuk_question_type6_aud_1 ON question_type6_aud(aud_userid)
/

CREATE INDEX nuk_question_type6_aud_2 ON question_type6_aud(aud_datetime)
/

create or replace trigger i_question_type6
after insert on question_type6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,AUTOSCORE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.SPREAD
 ,:new.LOWLABEL
 ,:new.HIGHLABEL
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
 ,:new.AUTOSCORE
);
end;
/

create or replace trigger u_question_type6
after update on question_type6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,AUTOSCORE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT1
 ,:new.QTEXT2
 ,:new.SPREAD
 ,:new.LOWLABEL
 ,:new.HIGHLABEL
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
 ,:new.AUTOSCORE
);
end;
/

create or replace trigger d_question_type6
after delete on question_type6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT1
 ,QTEXT2
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,AUTOSCORE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT1
 ,:old.QTEXT2
 ,:old.SPREAD
 ,:old.LOWLABEL
 ,:old.HIGHLABEL
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
 ,:old.AUTOSCORE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type6', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1046, '8:97304a8c4f14c81a5125d5f1ee1721ff', 'enableAuditTable auditTableName=question_type6_aud, tableName=question_type6', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type7::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE7';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE7';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE7';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE7';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE7';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE7';
			END IF;
		END;
/

CREATE TABLE question_type7_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), NCHOICES NUMBER(*, 0), FIXEDORDER CHAR(1 BYTE), SINGLECHOICE CHAR(1 BYTE), QTEXT1 CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), ANSWER VARCHAR2(1000 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE7_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type7_aud
 before insert on question_type7_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type7_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,FIXEDORDER
 ,SINGLECHOICE
 ,QTEXT1
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,ANSWER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,FIXEDORDER
 ,SINGLECHOICE
 ,QTEXT1
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,ANSWER
  from question_type7
/

CREATE INDEX nuk_question_type7_aud_1 ON question_type7_aud(aud_userid)
/

CREATE INDEX nuk_question_type7_aud_2 ON question_type7_aud(aud_datetime)
/

create or replace trigger i_question_type7
after insert on question_type7 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type7_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,FIXEDORDER
 ,SINGLECHOICE
 ,QTEXT1
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,ANSWER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.FIXEDORDER
 ,:new.SINGLECHOICE
 ,:new.QTEXT1
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
 ,:new.ANSWER
);
end;
/

create or replace trigger u_question_type7
after update on question_type7 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type7_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,FIXEDORDER
 ,SINGLECHOICE
 ,QTEXT1
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,ANSWER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.NCHOICES
 ,:new.FIXEDORDER
 ,:new.SINGLECHOICE
 ,:new.QTEXT1
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
 ,:new.ANSWER
);
end;
/

create or replace trigger d_question_type7
after delete on question_type7 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type7_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,NCHOICES
 ,FIXEDORDER
 ,SINGLECHOICE
 ,QTEXT1
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
 ,ANSWER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.NCHOICES
 ,:old.FIXEDORDER
 ,:old.SINGLECHOICE
 ,:old.QTEXT1
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
 ,:old.ANSWER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type7', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1047, '8:dc81e96d13c5289163b8a70bf1fb8719', 'enableAuditTable auditTableName=question_type7_aud, tableName=question_type7', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type8::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE8';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE8';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE8';
			END IF;
		END;
/

CREATE TABLE question_type8_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT CLOB, COLUMNHEADING1 VARCHAR2(1000 BYTE), COLUMNHEADING2 VARCHAR2(1000 BYTE), COLUMNHEADING3 VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), HINT VARCHAR2(1000 BYTE), SPREAD NUMBER(*, 0), LOWLABEL VARCHAR2(20 BYTE), HIGHLABEL VARCHAR2(20 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE8_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type8_aud
 before insert on question_type8_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,COLUMNHEADING1
 ,COLUMNHEADING2
 ,COLUMNHEADING3
 ,PRENOTE
 ,POSTNOTE
 ,HINT
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,COLUMNHEADING1
 ,COLUMNHEADING2
 ,COLUMNHEADING3
 ,PRENOTE
 ,POSTNOTE
 ,HINT
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,UPDATE_MEANING
  from question_type8
/

CREATE INDEX nuk_question_type8_aud_1 ON question_type8_aud(aud_userid)
/

CREATE INDEX nuk_question_type8_aud_2 ON question_type8_aud(aud_datetime)
/

create or replace trigger i_question_type8
after insert on question_type8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,COLUMNHEADING1
 ,COLUMNHEADING2
 ,COLUMNHEADING3
 ,PRENOTE
 ,POSTNOTE
 ,HINT
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.COLUMNHEADING1
 ,:new.COLUMNHEADING2
 ,:new.COLUMNHEADING3
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.HINT
 ,:new.SPREAD
 ,:new.LOWLABEL
 ,:new.HIGHLABEL
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type8
after update on question_type8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,COLUMNHEADING1
 ,COLUMNHEADING2
 ,COLUMNHEADING3
 ,PRENOTE
 ,POSTNOTE
 ,HINT
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.COLUMNHEADING1
 ,:new.COLUMNHEADING2
 ,:new.COLUMNHEADING3
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.HINT
 ,:new.SPREAD
 ,:new.LOWLABEL
 ,:new.HIGHLABEL
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type8
after delete on question_type8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,COLUMNHEADING1
 ,COLUMNHEADING2
 ,COLUMNHEADING3
 ,PRENOTE
 ,POSTNOTE
 ,HINT
 ,SPREAD
 ,LOWLABEL
 ,HIGHLABEL
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT
 ,:old.COLUMNHEADING1
 ,:old.COLUMNHEADING2
 ,:old.COLUMNHEADING3
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.HINT
 ,:old.SPREAD
 ,:old.LOWLABEL
 ,:old.HIGHLABEL
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type8', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1048, '8:568f2bcbc85b6a3eec2f9d8b58b8adc0', 'enableAuditTable auditTableName=question_type8_aud, tableName=question_type8', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type8_item::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE8_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE8_ITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE8_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE8_ITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE8_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE8_ITEM';
			END IF;
		END;
/

CREATE TABLE question_type8_item_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QINDEX NUMBER(*, 0), QTEXT VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), ID VARCHAR2(100 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE8_ITEM_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type8_item_aud
 before insert on question_type8_item_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type8_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QINDEX
 ,QTEXT
 ,UPDATE_MEANING
 ,ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QINDEX
 ,QTEXT
 ,UPDATE_MEANING
 ,ID
  from question_type8_item
/

CREATE INDEX nuk_question_type8_item_aud_1 ON question_type8_item_aud(aud_userid)
/

CREATE INDEX nuk_question_type8_item_aud_2 ON question_type8_item_aud(aud_datetime)
/

create or replace trigger i_question_type8_item
after insert on question_type8_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QINDEX
 ,QTEXT
 ,UPDATE_MEANING
 ,ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QINDEX
 ,:new.QTEXT
 ,:new.UPDATE_MEANING
 ,:new.ID
);
end;
/

create or replace trigger u_question_type8_item
after update on question_type8_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QINDEX
 ,QTEXT
 ,UPDATE_MEANING
 ,ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QINDEX
 ,:new.QTEXT
 ,:new.UPDATE_MEANING
 ,:new.ID
);
end;
/

create or replace trigger d_question_type8_item
after delete on question_type8_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type8_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QINDEX
 ,QTEXT
 ,UPDATE_MEANING
 ,ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QINDEX
 ,:old.QTEXT
 ,:old.UPDATE_MEANING
 ,:old.ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type8_item', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1049, '8:873d351d097be16dc4009480be12a2ab', 'enableAuditTable auditTableName=question_type8_item_aud, tableName=question_type8_item', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-registeredevents::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_REGISTEREDEVENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_REGISTEREDEVENTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_REGISTEREDEVENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_REGISTEREDEVENTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_REGISTEREDEVENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_REGISTEREDEVENTS';
			END IF;
		END;
/

CREATE TABLE registeredevents_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENTID VARCHAR2(15 BYTE), EVENT_TYPE CHAR(1 BYTE), EMAIL_MESSAGE_ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), PARM1_NDAYS NUMBER(*, 0), PARM2_FREQ NUMBER(*, 0), PARM3_INTERVAL NUMBER(*, 0), PARM4_NMSGS_LIMIT NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_REGISTEREDEVENTS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_registeredevents_aud
 before insert on registeredevents_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into registeredevents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,EVENT_TYPE
 ,EMAIL_MESSAGE_ID
 ,LEARNINGID
 ,PARM1_NDAYS
 ,PARM2_FREQ
 ,PARM3_INTERVAL
 ,PARM4_NMSGS_LIMIT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENTID
 ,EVENT_TYPE
 ,EMAIL_MESSAGE_ID
 ,LEARNINGID
 ,PARM1_NDAYS
 ,PARM2_FREQ
 ,PARM3_INTERVAL
 ,PARM4_NMSGS_LIMIT
 ,UPDATE_MEANING
  from registeredevents
/

CREATE INDEX nuk_registeredevents_aud_1 ON registeredevents_aud(aud_userid)
/

CREATE INDEX nuk_registeredevents_aud_2 ON registeredevents_aud(aud_datetime)
/

create or replace trigger i_registeredevents
after insert on registeredevents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registeredevents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,EVENT_TYPE
 ,EMAIL_MESSAGE_ID
 ,LEARNINGID
 ,PARM1_NDAYS
 ,PARM2_FREQ
 ,PARM3_INTERVAL
 ,PARM4_NMSGS_LIMIT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.EVENT_TYPE
 ,:new.EMAIL_MESSAGE_ID
 ,:new.LEARNINGID
 ,:new.PARM1_NDAYS
 ,:new.PARM2_FREQ
 ,:new.PARM3_INTERVAL
 ,:new.PARM4_NMSGS_LIMIT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_registeredevents
after update on registeredevents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registeredevents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,EVENT_TYPE
 ,EMAIL_MESSAGE_ID
 ,LEARNINGID
 ,PARM1_NDAYS
 ,PARM2_FREQ
 ,PARM3_INTERVAL
 ,PARM4_NMSGS_LIMIT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.EVENT_TYPE
 ,:new.EMAIL_MESSAGE_ID
 ,:new.LEARNINGID
 ,:new.PARM1_NDAYS
 ,:new.PARM2_FREQ
 ,:new.PARM3_INTERVAL
 ,:new.PARM4_NMSGS_LIMIT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_registeredevents
after delete on registeredevents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registeredevents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,EVENT_TYPE
 ,EMAIL_MESSAGE_ID
 ,LEARNINGID
 ,PARM1_NDAYS
 ,PARM2_FREQ
 ,PARM3_INTERVAL
 ,PARM4_NMSGS_LIMIT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENTID
 ,:old.EVENT_TYPE
 ,:old.EMAIL_MESSAGE_ID
 ,:old.LEARNINGID
 ,:old.PARM1_NDAYS
 ,:old.PARM2_FREQ
 ,:old.PARM3_INTERVAL
 ,:old.PARM4_NMSGS_LIMIT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-registeredevents', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1050, '8:0e8328bbe1aeaab13893712dea91ea4d', 'enableAuditTable auditTableName=registeredevents_aud, tableName=registeredevents', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-registration::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_REGISTRATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_REGISTRATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_REGISTRATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_REGISTRATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_REGISTRATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_REGISTRATION';
			END IF;
		END;
/

CREATE TABLE registration_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), EVENTID VARCHAR2(15 BYTE), TRANSCRIPTID VARCHAR2(15 BYTE), STUDENTSTATUS NUMBER(*, 0), DATECREATED date, CURRTRANSCRIPTID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), USER_META_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_REGISTRATION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_registration_aud
 before insert on registration_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into registration_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,EVENTID
 ,TRANSCRIPTID
 ,STUDENTSTATUS
 ,DATECREATED
 ,CURRTRANSCRIPTID
 ,UPDATE_MEANING
 ,USER_META_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,EVENTID
 ,TRANSCRIPTID
 ,STUDENTSTATUS
 ,DATECREATED
 ,CURRTRANSCRIPTID
 ,UPDATE_MEANING
 ,USER_META_ID
  from registration
/

CREATE INDEX nuk_registration_aud_1 ON registration_aud(aud_userid)
/

CREATE INDEX nuk_registration_aud_2 ON registration_aud(aud_datetime)
/

create or replace trigger i_registration
after insert on registration for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registration_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,EVENTID
 ,TRANSCRIPTID
 ,STUDENTSTATUS
 ,DATECREATED
 ,CURRTRANSCRIPTID
 ,UPDATE_MEANING
 ,USER_META_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.EVENTID
 ,:new.TRANSCRIPTID
 ,:new.STUDENTSTATUS
 ,:new.DATECREATED
 ,:new.CURRTRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.USER_META_ID
);
end;
/

create or replace trigger u_registration
after update on registration for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registration_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,EVENTID
 ,TRANSCRIPTID
 ,STUDENTSTATUS
 ,DATECREATED
 ,CURRTRANSCRIPTID
 ,UPDATE_MEANING
 ,USER_META_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.EVENTID
 ,:new.TRANSCRIPTID
 ,:new.STUDENTSTATUS
 ,:new.DATECREATED
 ,:new.CURRTRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.USER_META_ID
);
end;
/

create or replace trigger d_registration
after delete on registration for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into registration_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,EVENTID
 ,TRANSCRIPTID
 ,STUDENTSTATUS
 ,DATECREATED
 ,CURRTRANSCRIPTID
 ,UPDATE_MEANING
 ,USER_META_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.EVENTID
 ,:old.TRANSCRIPTID
 ,:old.STUDENTSTATUS
 ,:old.DATECREATED
 ,:old.CURRTRANSCRIPTID
 ,:old.UPDATE_MEANING
 ,:old.USER_META_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-registration', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1051, '8:1c7be56931d81658f291ca74bb6eb67f', 'enableAuditTable auditTableName=registration_aud, tableName=registration', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-session_cost::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SESSION_COST';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SESSION_COST';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SESSION_COST';
			END IF;
		END;
/

CREATE TABLE session_cost_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SESSION_COST_ID VARCHAR2(15 BYTE), EXTRA_INFO VARCHAR2(50 BYTE), AMOUNT FLOAT(22), EXCHANGE_RATE FLOAT(22), COST_CATEGORY_ID VARCHAR2(15 BYTE), CURRENCY VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SESSION_COST_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_session_cost_aud
 before insert on session_cost_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,EXTRA_INFO
 ,AMOUNT
 ,EXCHANGE_RATE
 ,COST_CATEGORY_ID
 ,CURRENCY
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SESSION_COST_ID
 ,EXTRA_INFO
 ,AMOUNT
 ,EXCHANGE_RATE
 ,COST_CATEGORY_ID
 ,CURRENCY
 ,UPDATE_MEANING
  from session_cost
/

CREATE INDEX nuk_session_cost_aud_1 ON session_cost_aud(aud_userid)
/

CREATE INDEX nuk_session_cost_aud_2 ON session_cost_aud(aud_datetime)
/

create or replace trigger i_session_cost
after insert on session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,EXTRA_INFO
 ,AMOUNT
 ,EXCHANGE_RATE
 ,COST_CATEGORY_ID
 ,CURRENCY
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSION_COST_ID
 ,:new.EXTRA_INFO
 ,:new.AMOUNT
 ,:new.EXCHANGE_RATE
 ,:new.COST_CATEGORY_ID
 ,:new.CURRENCY
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_session_cost
after update on session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,EXTRA_INFO
 ,AMOUNT
 ,EXCHANGE_RATE
 ,COST_CATEGORY_ID
 ,CURRENCY
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSION_COST_ID
 ,:new.EXTRA_INFO
 ,:new.AMOUNT
 ,:new.EXCHANGE_RATE
 ,:new.COST_CATEGORY_ID
 ,:new.CURRENCY
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_session_cost
after delete on session_cost for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_cost_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSION_COST_ID
 ,EXTRA_INFO
 ,AMOUNT
 ,EXCHANGE_RATE
 ,COST_CATEGORY_ID
 ,CURRENCY
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SESSION_COST_ID
 ,:old.EXTRA_INFO
 ,:old.AMOUNT
 ,:old.EXCHANGE_RATE
 ,:old.COST_CATEGORY_ID
 ,:old.CURRENCY
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-session_cost', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1052, '8:0398b388be5243cd4d1480b44d11f921', 'enableAuditTable auditTableName=session_cost_aud, tableName=session_cost', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testinstance::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTINSTANCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTINSTANCE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTINSTANCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTINSTANCE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTINSTANCE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTINSTANCE';
			END IF;
		END;
/

CREATE TABLE testinstance_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), TESTUSE NUMBER(*, 0), EVENTID VARCHAR2(15 BYTE), TRANSCRIPTID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), TESTID VARCHAR2(100 BYTE), TESTSTATUS NUMBER(*, 0), TESTSTART date, TESTFINISH date, SCORE FLOAT(22), WEIGHTEDSCORE FLOAT(22), NQUESTIONS NUMBER(*, 0), NCORRECT NUMBER(*, 0), REVIEWABLE CHAR(1 BYTE), SESSIONID VARCHAR2(15 BYTE), QUESTIONNUM NUMBER(*, 0), SECTIONNUM NUMBER(*, 0), PREVIEW CHAR(1 BYTE), PASSFAILFLAG CHAR(1 BYTE), MAXSCORE FLOAT(22), MEKP_SYNC date, IS_PRE_ENROLLMENT CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), IS_ACTIVE CHAR(1 BYTE), NEXT_ATTEMPT_DATE date, BUNDLE_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTINSTANCE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testinstance_aud
 before insert on testinstance_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testinstance_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,TESTUSE
 ,EVENTID
 ,TRANSCRIPTID
 ,USERID
 ,TESTID
 ,TESTSTATUS
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,NCORRECT
 ,REVIEWABLE
 ,SESSIONID
 ,QUESTIONNUM
 ,SECTIONNUM
 ,PREVIEW
 ,PASSFAILFLAG
 ,MAXSCORE
 ,MEKP_SYNC
 ,IS_PRE_ENROLLMENT
 ,UPDATE_MEANING
 ,IS_ACTIVE
 ,NEXT_ATTEMPT_DATE
 ,BUNDLE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,TESTUSE
 ,EVENTID
 ,TRANSCRIPTID
 ,USERID
 ,TESTID
 ,TESTSTATUS
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,NCORRECT
 ,REVIEWABLE
 ,SESSIONID
 ,QUESTIONNUM
 ,SECTIONNUM
 ,PREVIEW
 ,PASSFAILFLAG
 ,MAXSCORE
 ,MEKP_SYNC
 ,IS_PRE_ENROLLMENT
 ,UPDATE_MEANING
 ,IS_ACTIVE
 ,NEXT_ATTEMPT_DATE
 ,BUNDLE_ID
  from testinstance
/

CREATE INDEX nuk_testinstance_aud_1 ON testinstance_aud(aud_userid)
/

CREATE INDEX nuk_testinstance_aud_2 ON testinstance_aud(aud_datetime)
/

create or replace trigger i_testinstance
after insert on testinstance for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testinstance_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,TESTUSE
 ,EVENTID
 ,TRANSCRIPTID
 ,USERID
 ,TESTID
 ,TESTSTATUS
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,NCORRECT
 ,REVIEWABLE
 ,SESSIONID
 ,QUESTIONNUM
 ,SECTIONNUM
 ,PREVIEW
 ,PASSFAILFLAG
 ,MAXSCORE
 ,MEKP_SYNC
 ,IS_PRE_ENROLLMENT
 ,UPDATE_MEANING
 ,IS_ACTIVE
 ,NEXT_ATTEMPT_DATE
 ,BUNDLE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.TESTUSE
 ,:new.EVENTID
 ,:new.TRANSCRIPTID
 ,:new.USERID
 ,:new.TESTID
 ,:new.TESTSTATUS
 ,:new.TESTSTART
 ,:new.TESTFINISH
 ,:new.SCORE
 ,:new.WEIGHTEDSCORE
 ,:new.NQUESTIONS
 ,:new.NCORRECT
 ,:new.REVIEWABLE
 ,:new.SESSIONID
 ,:new.QUESTIONNUM
 ,:new.SECTIONNUM
 ,:new.PREVIEW
 ,:new.PASSFAILFLAG
 ,:new.MAXSCORE
 ,:new.MEKP_SYNC
 ,:new.IS_PRE_ENROLLMENT
 ,:new.UPDATE_MEANING
 ,:new.IS_ACTIVE
 ,:new.NEXT_ATTEMPT_DATE
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger u_testinstance
after update on testinstance for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testinstance_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,TESTUSE
 ,EVENTID
 ,TRANSCRIPTID
 ,USERID
 ,TESTID
 ,TESTSTATUS
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,NCORRECT
 ,REVIEWABLE
 ,SESSIONID
 ,QUESTIONNUM
 ,SECTIONNUM
 ,PREVIEW
 ,PASSFAILFLAG
 ,MAXSCORE
 ,MEKP_SYNC
 ,IS_PRE_ENROLLMENT
 ,UPDATE_MEANING
 ,IS_ACTIVE
 ,NEXT_ATTEMPT_DATE
 ,BUNDLE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.TESTUSE
 ,:new.EVENTID
 ,:new.TRANSCRIPTID
 ,:new.USERID
 ,:new.TESTID
 ,:new.TESTSTATUS
 ,:new.TESTSTART
 ,:new.TESTFINISH
 ,:new.SCORE
 ,:new.WEIGHTEDSCORE
 ,:new.NQUESTIONS
 ,:new.NCORRECT
 ,:new.REVIEWABLE
 ,:new.SESSIONID
 ,:new.QUESTIONNUM
 ,:new.SECTIONNUM
 ,:new.PREVIEW
 ,:new.PASSFAILFLAG
 ,:new.MAXSCORE
 ,:new.MEKP_SYNC
 ,:new.IS_PRE_ENROLLMENT
 ,:new.UPDATE_MEANING
 ,:new.IS_ACTIVE
 ,:new.NEXT_ATTEMPT_DATE
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger d_testinstance
after delete on testinstance for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testinstance_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,TESTUSE
 ,EVENTID
 ,TRANSCRIPTID
 ,USERID
 ,TESTID
 ,TESTSTATUS
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,NCORRECT
 ,REVIEWABLE
 ,SESSIONID
 ,QUESTIONNUM
 ,SECTIONNUM
 ,PREVIEW
 ,PASSFAILFLAG
 ,MAXSCORE
 ,MEKP_SYNC
 ,IS_PRE_ENROLLMENT
 ,UPDATE_MEANING
 ,IS_ACTIVE
 ,NEXT_ATTEMPT_DATE
 ,BUNDLE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.TESTUSE
 ,:old.EVENTID
 ,:old.TRANSCRIPTID
 ,:old.USERID
 ,:old.TESTID
 ,:old.TESTSTATUS
 ,:old.TESTSTART
 ,:old.TESTFINISH
 ,:old.SCORE
 ,:old.WEIGHTEDSCORE
 ,:old.NQUESTIONS
 ,:old.NCORRECT
 ,:old.REVIEWABLE
 ,:old.SESSIONID
 ,:old.QUESTIONNUM
 ,:old.SECTIONNUM
 ,:old.PREVIEW
 ,:old.PASSFAILFLAG
 ,:old.MAXSCORE
 ,:old.MEKP_SYNC
 ,:old.IS_PRE_ENROLLMENT
 ,:old.UPDATE_MEANING
 ,:old.IS_ACTIVE
 ,:old.NEXT_ATTEMPT_DATE
 ,:old.BUNDLE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testinstance', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1053, '8:4e4a236e16b0bb0020330e65b9c8182a', 'enableAuditTable auditTableName=testinstance_aud, tableName=testinstance', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION';
			END IF;
		END;
/

CREATE TABLE testquestion_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), QTYPE NUMBER(*, 0), POINTS FLOAT(22), REVIEW CHAR(1 BYTE), VERSION NUMBER(*, 0), COMMENTS VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), ELAPSEDTIME NUMBER, WEIGHT FLOAT(22), GUESS VARCHAR2(1000 BYTE), ANSWER VARCHAR2(1000 BYTE), CHOICE_ORDER VARCHAR2(1000 BYTE), LATEST_VERSION_BUNDLE_ID VARCHAR2(85 BYTE), TESTSTART date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion_aud
 before insert on testquestion_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,QTYPE
 ,POINTS
 ,REVIEW
 ,VERSION
 ,COMMENTS
 ,UPDATE_MEANING
 ,ELAPSEDTIME
 ,WEIGHT
 ,GUESS
 ,ANSWER
 ,CHOICE_ORDER
 ,LATEST_VERSION_BUNDLE_ID
 ,TESTSTART
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,QTYPE
 ,POINTS
 ,REVIEW
 ,VERSION
 ,COMMENTS
 ,UPDATE_MEANING
 ,ELAPSEDTIME
 ,WEIGHT
 ,GUESS
 ,ANSWER
 ,CHOICE_ORDER
 ,LATEST_VERSION_BUNDLE_ID
 ,TESTSTART
  from testquestion
/

CREATE INDEX nuk_testquestion_aud_1 ON testquestion_aud(aud_userid)
/

CREATE INDEX nuk_testquestion_aud_2 ON testquestion_aud(aud_datetime)
/

create or replace trigger i_testquestion
after insert on testquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,QTYPE
 ,POINTS
 ,REVIEW
 ,VERSION
 ,COMMENTS
 ,UPDATE_MEANING
 ,ELAPSEDTIME
 ,WEIGHT
 ,GUESS
 ,ANSWER
 ,CHOICE_ORDER
 ,LATEST_VERSION_BUNDLE_ID
 ,TESTSTART
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.POINTS
 ,:new.REVIEW
 ,:new.VERSION
 ,:new.COMMENTS
 ,:new.UPDATE_MEANING
 ,:new.ELAPSEDTIME
 ,:new.WEIGHT
 ,:new.GUESS
 ,:new.ANSWER
 ,:new.CHOICE_ORDER
 ,:new.LATEST_VERSION_BUNDLE_ID
 ,:new.TESTSTART
);
end;
/

create or replace trigger u_testquestion
after update on testquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,QTYPE
 ,POINTS
 ,REVIEW
 ,VERSION
 ,COMMENTS
 ,UPDATE_MEANING
 ,ELAPSEDTIME
 ,WEIGHT
 ,GUESS
 ,ANSWER
 ,CHOICE_ORDER
 ,LATEST_VERSION_BUNDLE_ID
 ,TESTSTART
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.QTYPE
 ,:new.POINTS
 ,:new.REVIEW
 ,:new.VERSION
 ,:new.COMMENTS
 ,:new.UPDATE_MEANING
 ,:new.ELAPSEDTIME
 ,:new.WEIGHT
 ,:new.GUESS
 ,:new.ANSWER
 ,:new.CHOICE_ORDER
 ,:new.LATEST_VERSION_BUNDLE_ID
 ,:new.TESTSTART
);
end;
/

create or replace trigger d_testquestion
after delete on testquestion for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,QTYPE
 ,POINTS
 ,REVIEW
 ,VERSION
 ,COMMENTS
 ,UPDATE_MEANING
 ,ELAPSEDTIME
 ,WEIGHT
 ,GUESS
 ,ANSWER
 ,CHOICE_ORDER
 ,LATEST_VERSION_BUNDLE_ID
 ,TESTSTART
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.QTYPE
 ,:old.POINTS
 ,:old.REVIEW
 ,:old.VERSION
 ,:old.COMMENTS
 ,:old.UPDATE_MEANING
 ,:old.ELAPSEDTIME
 ,:old.WEIGHT
 ,:old.GUESS
 ,:old.ANSWER
 ,:old.CHOICE_ORDER
 ,:old.LATEST_VERSION_BUNDLE_ID
 ,:old.TESTSTART
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1054, '8:333ad4686583ebda24b15c3c7baa3a7c', 'enableAuditTable auditTableName=testquestion_aud, tableName=testquestion', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion3::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION3';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION3';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION3';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION3';
			END IF;
		END;
/

CREATE TABLE testquestion3_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), GS1 NUMBER(*, 0), GS2 NUMBER(*, 0), GS3 NUMBER(*, 0), GS4 NUMBER(*, 0), GS5 NUMBER(*, 0), GS6 NUMBER(*, 0), GS7 NUMBER(*, 0), GS8 NUMBER(*, 0), GS9 NUMBER(*, 0), GS10 NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION3_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion3_aud
 before insert on testquestion3_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,GS1
 ,GS2
 ,GS3
 ,GS4
 ,GS5
 ,GS6
 ,GS7
 ,GS8
 ,GS9
 ,GS10
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,GS1
 ,GS2
 ,GS3
 ,GS4
 ,GS5
 ,GS6
 ,GS7
 ,GS8
 ,GS9
 ,GS10
 ,UPDATE_MEANING
  from testquestion3
/

CREATE INDEX nuk_testquestion3_aud_1 ON testquestion3_aud(aud_userid)
/

CREATE INDEX nuk_testquestion3_aud_2 ON testquestion3_aud(aud_datetime)
/

create or replace trigger i_testquestion3
after insert on testquestion3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,GS1
 ,GS2
 ,GS3
 ,GS4
 ,GS5
 ,GS6
 ,GS7
 ,GS8
 ,GS9
 ,GS10
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.GS1
 ,:new.GS2
 ,:new.GS3
 ,:new.GS4
 ,:new.GS5
 ,:new.GS6
 ,:new.GS7
 ,:new.GS8
 ,:new.GS9
 ,:new.GS10
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion3
after update on testquestion3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,GS1
 ,GS2
 ,GS3
 ,GS4
 ,GS5
 ,GS6
 ,GS7
 ,GS8
 ,GS9
 ,GS10
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.GS1
 ,:new.GS2
 ,:new.GS3
 ,:new.GS4
 ,:new.GS5
 ,:new.GS6
 ,:new.GS7
 ,:new.GS8
 ,:new.GS9
 ,:new.GS10
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion3
after delete on testquestion3 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion3_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,GS1
 ,GS2
 ,GS3
 ,GS4
 ,GS5
 ,GS6
 ,GS7
 ,GS8
 ,GS9
 ,GS10
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.GS1
 ,:old.GS2
 ,:old.GS3
 ,:old.GS4
 ,:old.GS5
 ,:old.GS6
 ,:old.GS7
 ,:old.GS8
 ,:old.GS9
 ,:old.GS10
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion3', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1055, '8:bd6a2500232418cd003a9ee97df26f70', 'enableAuditTable auditTableName=testquestion3_aud, tableName=testquestion3', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion4::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION4';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION4';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION4';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION4';
			END IF;
		END;
/

CREATE TABLE testquestion4_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), TEXT1 CLOB, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION4_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion4_aud
 before insert on testquestion4_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,TEXT1
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,TEXT1
 ,UPDATE_MEANING
  from testquestion4
/

CREATE INDEX nuk_testquestion4_aud_1 ON testquestion4_aud(aud_userid)
/

CREATE INDEX nuk_testquestion4_aud_2 ON testquestion4_aud(aud_datetime)
/

create or replace trigger i_testquestion4
after insert on testquestion4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,TEXT1
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.TEXT1
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion4
after update on testquestion4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,TEXT1
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.TEXT1
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion4
after delete on testquestion4 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion4_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,TEXT1
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.TEXT1
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion4', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1056, '8:e3993e2e37bfa5a785db7f5f8e722ab5', 'enableAuditTable auditTableName=testquestion4_aud, tableName=testquestion4', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion5::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION5';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION5';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION5';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION5';
			END IF;
		END;
/

CREATE TABLE testquestion5_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), FIB VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION5_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion5_aud
 before insert on testquestion5_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,FIB
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,FIB
 ,UPDATE_MEANING
  from testquestion5
/

CREATE INDEX nuk_testquestion5_aud_1 ON testquestion5_aud(aud_userid)
/

CREATE INDEX nuk_testquestion5_aud_2 ON testquestion5_aud(aud_datetime)
/

create or replace trigger i_testquestion5
after insert on testquestion5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,FIB
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.FIB
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion5
after update on testquestion5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,FIB
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.FIB
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion5
after delete on testquestion5 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion5_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,FIB
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.FIB
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion5', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1057, '8:dbafcfb54b62a8a62c2a49b990523c39', 'enableAuditTable auditTableName=testquestion5_aud, tableName=testquestion5', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion6::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION6';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION6';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION6';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION6';
			END IF;
		END;
/

CREATE TABLE testquestion6_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), RATING NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION6_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion6_aud
 before insert on testquestion6_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RATING
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RATING
 ,UPDATE_MEANING
  from testquestion6
/

CREATE INDEX nuk_testquestion6_aud_1 ON testquestion6_aud(aud_userid)
/

CREATE INDEX nuk_testquestion6_aud_2 ON testquestion6_aud(aud_datetime)
/

create or replace trigger i_testquestion6
after insert on testquestion6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RATING
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.RATING
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion6
after update on testquestion6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RATING
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.RATING
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion6
after delete on testquestion6 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion6_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RATING
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.RATING
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion6', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1058, '8:9cd64d31778267e8ad603a7ef21e11ed', 'enableAuditTable auditTableName=testquestion6_aud, tableName=testquestion6', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion8::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION8';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION8';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION8';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION8';
			END IF;
		END;
/

CREATE TABLE testquestion8_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), ITEMINDEX NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), RATING1 NUMBER(*, 0), RATING2 NUMBER(*, 0), RATING3 NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION8_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion8_aud
 before insert on testquestion8_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,ITEMINDEX
 ,QUESTIONID
 ,RATING1
 ,RATING2
 ,RATING3
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,ITEMINDEX
 ,QUESTIONID
 ,RATING1
 ,RATING2
 ,RATING3
 ,UPDATE_MEANING
  from testquestion8
/

CREATE INDEX nuk_testquestion8_aud_1 ON testquestion8_aud(aud_userid)
/

CREATE INDEX nuk_testquestion8_aud_2 ON testquestion8_aud(aud_datetime)
/

create or replace trigger i_testquestion8
after insert on testquestion8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,ITEMINDEX
 ,QUESTIONID
 ,RATING1
 ,RATING2
 ,RATING3
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.ITEMINDEX
 ,:new.QUESTIONID
 ,:new.RATING1
 ,:new.RATING2
 ,:new.RATING3
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion8
after update on testquestion8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,ITEMINDEX
 ,QUESTIONID
 ,RATING1
 ,RATING2
 ,RATING3
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.ITEMINDEX
 ,:new.QUESTIONID
 ,:new.RATING1
 ,:new.RATING2
 ,:new.RATING3
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion8
after delete on testquestion8 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion8_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,ITEMINDEX
 ,QUESTIONID
 ,RATING1
 ,RATING2
 ,RATING3
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.ITEMINDEX
 ,:old.QUESTIONID
 ,:old.RATING1
 ,:old.RATING2
 ,:old.RATING3
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion8', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1059, '8:fbc0f038e69f452ac0ec238ecbe24fd2', 'enableAuditTable auditTableName=testquestion8_aud, tableName=testquestion8', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testsection::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTSECTION';
			END IF;
		END;
/

CREATE TABLE testsection_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), TESTSTART date, TESTFINISH date, SCORE FLOAT(22), WEIGHTEDSCORE FLOAT(22), NQUESTIONS NUMBER(*, 0), MAXPOINTS FLOAT(22), NCORRECT NUMBER(*, 0), ELAPSEDTIME NUMBER, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTSECTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testsection_aud
 before insert on testsection_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,MAXPOINTS
 ,NCORRECT
 ,ELAPSEDTIME
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,MAXPOINTS
 ,NCORRECT
 ,ELAPSEDTIME
 ,UPDATE_MEANING
  from testsection
/

CREATE INDEX nuk_testsection_aud_1 ON testsection_aud(aud_userid)
/

CREATE INDEX nuk_testsection_aud_2 ON testsection_aud(aud_datetime)
/

create or replace trigger i_testsection
after insert on testsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,MAXPOINTS
 ,NCORRECT
 ,ELAPSEDTIME
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.TESTSTART
 ,:new.TESTFINISH
 ,:new.SCORE
 ,:new.WEIGHTEDSCORE
 ,:new.NQUESTIONS
 ,:new.MAXPOINTS
 ,:new.NCORRECT
 ,:new.ELAPSEDTIME
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testsection
after update on testsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,MAXPOINTS
 ,NCORRECT
 ,ELAPSEDTIME
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.TESTSTART
 ,:new.TESTFINISH
 ,:new.SCORE
 ,:new.WEIGHTEDSCORE
 ,:new.NQUESTIONS
 ,:new.MAXPOINTS
 ,:new.NCORRECT
 ,:new.ELAPSEDTIME
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testsection
after delete on testsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,TESTSTART
 ,TESTFINISH
 ,SCORE
 ,WEIGHTEDSCORE
 ,NQUESTIONS
 ,MAXPOINTS
 ,NCORRECT
 ,ELAPSEDTIME
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.TESTSTART
 ,:old.TESTFINISH
 ,:old.SCORE
 ,:old.WEIGHTEDSCORE
 ,:old.NQUESTIONS
 ,:old.MAXPOINTS
 ,:old.NCORRECT
 ,:old.ELAPSEDTIME
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testsection', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1060, '8:ad70f604b5c9963b7977204b8078c8a9', 'enableAuditTable auditTableName=testsection_aud, tableName=testsection', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-tutor::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TUTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TUTOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TUTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TUTOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TUTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TUTOR';
			END IF;
		END;
/

CREATE TABLE tutor_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), EVENTID VARCHAR2(15 BYTE), SESSIONID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TUTOR_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_tutor_aud
 before insert on tutor_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into tutor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,SESSIONID
 ,USERID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,SESSIONID
 ,USERID
 ,UPDATE_MEANING
  from tutor
/

CREATE INDEX nuk_tutor_aud_1 ON tutor_aud(aud_userid)
/

CREATE INDEX nuk_tutor_aud_2 ON tutor_aud(aud_datetime)
/

create or replace trigger i_tutor
after insert on tutor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tutor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,SESSIONID
 ,USERID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.EVENTID
 ,:new.SESSIONID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_tutor
after update on tutor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tutor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,SESSIONID
 ,USERID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.EVENTID
 ,:new.SESSIONID
 ,:new.USERID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_tutor
after delete on tutor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tutor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,SESSIONID
 ,USERID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNINGID
 ,:old.EVENTID
 ,:old.SESSIONID
 ,:old.USERID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-tutor', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1061, '8:4f65aef0cce2a0947e8a9e3f0b436454', 'enableAuditTable auditTableName=tutor_aud, tableName=tutor', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdraw_deduction::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAW_DEDUCTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAW_DEDUCTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAW_DEDUCTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAW_DEDUCTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAW_DEDUCTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAW_DEDUCTION';
			END IF;
		END;
/

CREATE TABLE withdraw_deduction_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, POLICY_ID VARCHAR2(15 BYTE), DAY_BEFORE_START NUMBER(*, 0), DEDUCTION FLOAT(22), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_WITHDRAW_DEDUCTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_withdraw_deduction_aud
 before insert on withdraw_deduction_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into withdraw_deduction_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
  from withdraw_deduction
/

CREATE INDEX nuk_withdraw_deduction_aud_1 ON withdraw_deduction_aud(aud_userid)
/

CREATE INDEX nuk_withdraw_deduction_aud_2 ON withdraw_deduction_aud(aud_datetime)
/

create or replace trigger i_withdraw_deduction
after insert on withdraw_deduction for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_deduction_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.DAY_BEFORE_START
 ,:new.DEDUCTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_withdraw_deduction
after update on withdraw_deduction for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_deduction_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.DAY_BEFORE_START
 ,:new.DEDUCTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_withdraw_deduction
after delete on withdraw_deduction for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_deduction_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.POLICY_ID
 ,:old.DAY_BEFORE_START
 ,:old.DEDUCTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdraw_deduction', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1062, '8:cf28c739a76f9d3746b801bfd60834c5', 'enableAuditTable auditTableName=withdraw_deduction_aud, tableName=withdraw_deduction', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdrawnStudents::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAWNSTUDENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAWNSTUDENTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAWNSTUDENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAWNSTUDENTS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAWNSTUDENTS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAWNSTUDENTS';
			END IF;
		END;
/

CREATE TABLE withdrawnStudents_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), EVENTID VARCHAR2(15 BYTE), USERID VARCHAR2(85 BYTE), TRANSCRIPTID VARCHAR2(15 BYTE), DATECREATED date, SUBSTITUTE_TRANSCRIPTID VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), STUDENTSTATUS NUMBER(*, 0), BUNDLE_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_WITHDRAWNSTUDENTS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_withdrawnStudents_aud
 before insert on withdrawnStudents_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into withdrawnStudents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,USERID
 ,TRANSCRIPTID
 ,DATECREATED
 ,SUBSTITUTE_TRANSCRIPTID
 ,UPDATE_MEANING
 ,STUDENTSTATUS
 ,BUNDLE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,USERID
 ,TRANSCRIPTID
 ,DATECREATED
 ,SUBSTITUTE_TRANSCRIPTID
 ,UPDATE_MEANING
 ,STUDENTSTATUS
 ,BUNDLE_ID
  from withdrawnStudents
/

CREATE INDEX nuk_withdrawnStudents_aud_1 ON withdrawnStudents_aud(aud_userid)
/

CREATE INDEX nuk_withdrawnStudents_aud_2 ON withdrawnStudents_aud(aud_datetime)
/

create or replace trigger i_withdrawnStudents
after insert on withdrawnStudents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawnStudents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,USERID
 ,TRANSCRIPTID
 ,DATECREATED
 ,SUBSTITUTE_TRANSCRIPTID
 ,UPDATE_MEANING
 ,STUDENTSTATUS
 ,BUNDLE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.EVENTID
 ,:new.USERID
 ,:new.TRANSCRIPTID
 ,:new.DATECREATED
 ,:new.SUBSTITUTE_TRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.STUDENTSTATUS
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger u_withdrawnStudents
after update on withdrawnStudents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawnStudents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,USERID
 ,TRANSCRIPTID
 ,DATECREATED
 ,SUBSTITUTE_TRANSCRIPTID
 ,UPDATE_MEANING
 ,STUDENTSTATUS
 ,BUNDLE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNINGID
 ,:new.EVENTID
 ,:new.USERID
 ,:new.TRANSCRIPTID
 ,:new.DATECREATED
 ,:new.SUBSTITUTE_TRANSCRIPTID
 ,:new.UPDATE_MEANING
 ,:new.STUDENTSTATUS
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger d_withdrawnStudents
after delete on withdrawnStudents for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawnStudents_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNINGID
 ,EVENTID
 ,USERID
 ,TRANSCRIPTID
 ,DATECREATED
 ,SUBSTITUTE_TRANSCRIPTID
 ,UPDATE_MEANING
 ,STUDENTSTATUS
 ,BUNDLE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNINGID
 ,:old.EVENTID
 ,:old.USERID
 ,:old.TRANSCRIPTID
 ,:old.DATECREATED
 ,:old.SUBSTITUTE_TRANSCRIPTID
 ,:old.UPDATE_MEANING
 ,:old.STUDENTSTATUS
 ,:old.BUNDLE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdrawnStudents', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1063, '8:247eb7397dc72f476ec214c0cfecd377', 'enableAuditTable auditTableName=withdrawnStudents_aud, tableName=withdrawnStudents', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-lo_attribute::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LO_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LO_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LO_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LO_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LO_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LO_ATTRIBUTE';
			END IF;
		END;
/

CREATE TABLE lo_attribute_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LO_ATTRIBUTE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_lo_attribute_aud
 before insert on lo_attribute_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into lo_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
  from lo_attribute
/

CREATE INDEX nuk_lo_attribute_aud_1 ON lo_attribute_aud(aud_userid)
/

CREATE INDEX nuk_lo_attribute_aud_2 ON lo_attribute_aud(aud_datetime)
/

create or replace trigger i_lo_attribute
after insert on lo_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_lo_attribute
after update on lo_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_lo_attribute
after delete on lo_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-lo_attribute', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1064, '8:c56f9533875eb7dcab965e280633a409', 'enableAuditTable auditTableName=lo_attribute_aud, tableName=lo_attribute', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type9::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE9';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE9';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE9';
			END IF;
		END;
/

CREATE TABLE question_type9_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT2 CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_TYPE9_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_type9_aud
 before insert on question_type9_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_type9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
  from question_type9
/

CREATE INDEX nuk_question_type9_aud_1 ON question_type9_aud(aud_userid)
/

CREATE INDEX nuk_question_type9_aud_2 ON question_type9_aud(aud_datetime)
/

create or replace trigger i_question_type9
after insert on question_type9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type9
after update on question_type9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT2
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type9
after delete on question_type9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_type9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT2
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT2
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type9', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1065, '8:0a28e3df9ad2654cac9019bf30efbd58', 'enableAuditTable auditTableName=question_type9_aud, tableName=question_type9', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-testquestion9::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TESTQUESTION9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TESTQUESTION9';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TESTQUESTION9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TESTQUESTION9';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TESTQUESTION9';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TESTQUESTION9';
			END IF;
		END;
/

CREATE TABLE testquestion9_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, INSTANCEID VARCHAR2(15 BYTE), SECTIONNUM NUMBER(*, 0), QUESTIONNUM NUMBER(*, 0), QUESTIONID VARCHAR2(85 BYTE), RID VARCHAR2(20 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TESTQUESTION9_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_testquestion9_aud
 before insert on testquestion9_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into testquestion9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RID
 ,UPDATE_MEANING
  from testquestion9
/

CREATE INDEX nuk_testquestion9_aud_1 ON testquestion9_aud(aud_userid)
/

CREATE INDEX nuk_testquestion9_aud_2 ON testquestion9_aud(aud_datetime)
/

create or replace trigger i_testquestion9
after insert on testquestion9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.RID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_testquestion9
after update on testquestion9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.INSTANCEID
 ,:new.SECTIONNUM
 ,:new.QUESTIONNUM
 ,:new.QUESTIONID
 ,:new.RID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_testquestion9
after delete on testquestion9 for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into testquestion9_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,INSTANCEID
 ,SECTIONNUM
 ,QUESTIONNUM
 ,QUESTIONID
 ,RID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.INSTANCEID
 ,:old.SECTIONNUM
 ,:old.QUESTIONNUM
 ,:old.QUESTIONID
 ,:old.RID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-testquestion9', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1066, '8:de9f3559083c2ab29f3de4f2f620d5d2', 'enableAuditTable auditTableName=testquestion9_aud, tableName=testquestion9', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-netg_proxied_authentication::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_NETG_PROXIED_AUTHENTICATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_NETG_PROXIED_AUTHENTICATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_NETG_PROXIED_AUTHENTICATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_NETG_PROXIED_AUTHENTICATION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_NETG_PROXIED_AUTHENTICATION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_NETG_PROXIED_AUTHENTICATION';
			END IF;
		END;
/

CREATE TABLE netg_proxied_auth_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), PUBLICKEY VARCHAR2(32 BYTE), PRIVATEKEY VARCHAR2(32 BYTE), DESTINATION VARCHAR2(10 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_NETG_PROXIED_AUTH_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_netg_proxied_auth_aud
 before insert on netg_proxied_auth_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into netg_proxied_auth_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,PUBLICKEY
 ,PRIVATEKEY
 ,DESTINATION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,PUBLICKEY
 ,PRIVATEKEY
 ,DESTINATION
 ,UPDATE_MEANING
  from netg_proxied_authentication
/

CREATE INDEX nuk_netg_proxied_auth_aud_1 ON netg_proxied_auth_aud(aud_userid)
/

CREATE INDEX nuk_netg_proxied_auth_aud_2 ON netg_proxied_auth_aud(aud_datetime)
/

create or replace trigger i_netg_proxied_authentication
after insert on netg_proxied_authentication for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netg_proxied_auth_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,PUBLICKEY
 ,PRIVATEKEY
 ,DESTINATION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.PUBLICKEY
 ,:new.PRIVATEKEY
 ,:new.DESTINATION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_netg_proxied_authentication
after update on netg_proxied_authentication for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netg_proxied_auth_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,PUBLICKEY
 ,PRIVATEKEY
 ,DESTINATION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.PUBLICKEY
 ,:new.PRIVATEKEY
 ,:new.DESTINATION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_netg_proxied_authentication
after delete on netg_proxied_authentication for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netg_proxied_auth_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,PUBLICKEY
 ,PRIVATEKEY
 ,DESTINATION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.PUBLICKEY
 ,:old.PRIVATEKEY
 ,:old.DESTINATION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-netg_proxied_authentication', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1067, '8:89a4f1fc4f6ef3145219e14de663c9c5', 'enableAuditTable auditTableName=netg_proxied_auth_aud, tableName=netg_proxied_authentication', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-get_abstract_launcher::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_GET_ABSTRACT_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_GET_ABSTRACT_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_GET_ABSTRACT_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_GET_ABSTRACT_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_GET_ABSTRACT_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_GET_ABSTRACT_LAUNCHER';
			END IF;
		END;
/

CREATE TABLE get_abstr_launcher_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), UVALUE VARCHAR2(20 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_GET_ABSTR_LAUNCHER_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_get_abstr_launcher_aud
 before insert on get_abstr_launcher_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into get_abstr_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,UVALUE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,UVALUE
 ,UPDATE_MEANING
  from get_abstract_launcher
/

CREATE INDEX nuk_get_abstr_launcher_aud_1 ON get_abstr_launcher_aud(aud_userid)
/

CREATE INDEX nuk_get_abstr_launcher_aud_2 ON get_abstr_launcher_aud(aud_datetime)
/

create or replace trigger i_get_abstract_launcher
after insert on get_abstract_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into get_abstr_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,UVALUE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.UVALUE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_get_abstract_launcher
after update on get_abstract_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into get_abstr_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,UVALUE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.UVALUE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_get_abstract_launcher
after delete on get_abstract_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into get_abstr_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,UVALUE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.UVALUE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-get_abstract_launcher', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1068, '8:a2d385f86620865b91b19df4385b5027', 'enableAuditTable auditTableName=get_abstr_launcher_aud, tableName=get_abstract_launcher', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-mastertest_print::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MASTERTEST_PRINT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MASTERTEST_PRINT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MASTERTEST_PRINT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MASTERTEST_PRINT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MASTERTEST_PRINT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MASTERTEST_PRINT';
			END IF;
		END;
/

CREATE TABLE mastertest_print_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TESTID VARCHAR2(100 BYTE), PRINTTITLE VARCHAR2(255 BYTE), PRINT_ABCD CHAR(1 BYTE), PRINTANSWERSDATE date, PRINTEXAMDATE date, COVERSHEETID VARCHAR2(15 BYTE), PRINTANSWERSDATEEND date, PRINTEXAMDATEEND date, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MASTERTEST_PRINT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_mastertest_print_aud
 before insert on mastertest_print_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into mastertest_print_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,PRINTTITLE
 ,PRINT_ABCD
 ,PRINTANSWERSDATE
 ,PRINTEXAMDATE
 ,COVERSHEETID
 ,PRINTANSWERSDATEEND
 ,PRINTEXAMDATEEND
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TESTID
 ,PRINTTITLE
 ,PRINT_ABCD
 ,PRINTANSWERSDATE
 ,PRINTEXAMDATE
 ,COVERSHEETID
 ,PRINTANSWERSDATEEND
 ,PRINTEXAMDATEEND
 ,UPDATE_MEANING
  from mastertest_print
/

CREATE INDEX nuk_mastertest_print_aud_1 ON mastertest_print_aud(aud_userid)
/

CREATE INDEX nuk_mastertest_print_aud_2 ON mastertest_print_aud(aud_datetime)
/

create or replace trigger i_mastertest_print
after insert on mastertest_print for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_print_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,PRINTTITLE
 ,PRINT_ABCD
 ,PRINTANSWERSDATE
 ,PRINTEXAMDATE
 ,COVERSHEETID
 ,PRINTANSWERSDATEEND
 ,PRINTEXAMDATEEND
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.PRINTTITLE
 ,:new.PRINT_ABCD
 ,:new.PRINTANSWERSDATE
 ,:new.PRINTEXAMDATE
 ,:new.COVERSHEETID
 ,:new.PRINTANSWERSDATEEND
 ,:new.PRINTEXAMDATEEND
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_mastertest_print
after update on mastertest_print for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_print_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,PRINTTITLE
 ,PRINT_ABCD
 ,PRINTANSWERSDATE
 ,PRINTEXAMDATE
 ,COVERSHEETID
 ,PRINTANSWERSDATEEND
 ,PRINTEXAMDATEEND
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.PRINTTITLE
 ,:new.PRINT_ABCD
 ,:new.PRINTANSWERSDATE
 ,:new.PRINTEXAMDATE
 ,:new.COVERSHEETID
 ,:new.PRINTANSWERSDATEEND
 ,:new.PRINTEXAMDATEEND
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_mastertest_print
after delete on mastertest_print for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastertest_print_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,PRINTTITLE
 ,PRINT_ABCD
 ,PRINTANSWERSDATE
 ,PRINTEXAMDATE
 ,COVERSHEETID
 ,PRINTANSWERSDATEEND
 ,PRINTEXAMDATEEND
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TESTID
 ,:old.PRINTTITLE
 ,:old.PRINT_ABCD
 ,:old.PRINTANSWERSDATE
 ,:old.PRINTEXAMDATE
 ,:old.COVERSHEETID
 ,:old.PRINTANSWERSDATEEND
 ,:old.PRINTEXAMDATEEND
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-mastertest_print', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1069, '8:7604b2c0cff73a4b362b03036af2089f', 'enableAuditTable auditTableName=mastertest_print_aud, tableName=mastertest_print', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-randsection::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_RANDSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_RANDSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_RANDSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_RANDSECTION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_RANDSECTION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_RANDSECTION';
			END IF;
		END;
/

CREATE TABLE randsection_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TESTID VARCHAR2(100 BYTE), SECTIONNUM NUMBER(*, 0), ORDERNUM NUMBER(*, 0), POOLID NUMBER(*, 0), NQUEST NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_RANDSECTION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_randsection_aud
 before insert on randsection_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into randsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,SECTIONNUM
 ,ORDERNUM
 ,POOLID
 ,NQUEST
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TESTID
 ,SECTIONNUM
 ,ORDERNUM
 ,POOLID
 ,NQUEST
 ,UPDATE_MEANING
  from randsection
/

CREATE INDEX nuk_randsection_aud_1 ON randsection_aud(aud_userid)
/

CREATE INDEX nuk_randsection_aud_2 ON randsection_aud(aud_datetime)
/

create or replace trigger i_randsection
after insert on randsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into randsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,SECTIONNUM
 ,ORDERNUM
 ,POOLID
 ,NQUEST
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.ORDERNUM
 ,:new.POOLID
 ,:new.NQUEST
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_randsection
after update on randsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into randsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,SECTIONNUM
 ,ORDERNUM
 ,POOLID
 ,NQUEST
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TESTID
 ,:new.SECTIONNUM
 ,:new.ORDERNUM
 ,:new.POOLID
 ,:new.NQUEST
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_randsection
after delete on randsection for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into randsection_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TESTID
 ,SECTIONNUM
 ,ORDERNUM
 ,POOLID
 ,NQUEST
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TESTID
 ,:old.SECTIONNUM
 ,:old.ORDERNUM
 ,:old.POOLID
 ,:old.NQUEST
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-randsection', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1070, '8:eb3e1a9e51c1f452c76b82edd4145268', 'enableAuditTable auditTableName=randsection_aud, tableName=randsection', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-globalenglish_launcher::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_GLOBALENGLISH_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_GLOBALENGLISH_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_GLOBALENGLISH_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_GLOBALENGLISH_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_GLOBALENGLISH_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_GLOBALENGLISH_LAUNCHER';
			END IF;
		END;
/

CREATE TABLE g_english_launcher_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), KEYCODE VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_G_ENGLISH_LAUNCHER_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_g_english_launcher_aud
 before insert on g_english_launcher_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into g_english_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,KEYCODE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,KEYCODE
 ,UPDATE_MEANING
  from globalenglish_launcher
/

CREATE INDEX nuk_g_english_launcher_aud_1 ON g_english_launcher_aud(aud_userid)
/

CREATE INDEX nuk_g_english_launcher_aud_2 ON g_english_launcher_aud(aud_datetime)
/

create or replace trigger i_globalenglish_launcher
after insert on globalenglish_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into g_english_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,KEYCODE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.KEYCODE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_globalenglish_launcher
after update on globalenglish_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into g_english_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,KEYCODE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.KEYCODE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_globalenglish_launcher
after delete on globalenglish_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into g_english_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,KEYCODE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.KEYCODE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-globalenglish_launcher', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1071, '8:c97b5654526671451980b50a89cdd847', 'enableAuditTable auditTableName=g_english_launcher_aud, tableName=globalenglish_launcher', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-safari_launcher::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SAFARI_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SAFARI_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SAFARI_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SAFARI_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SAFARI_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SAFARI_LAUNCHER';
			END IF;
		END;
/

CREATE TABLE safari_launcher_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSEID VARCHAR2(85 BYTE), SAFARI_HOST_URL VARCHAR2(85 BYTE), UI_CODE VARCHAR2(85 BYTE), TARGET_PAGE VARCHAR2(85 BYTE), TARGET_PAGE_PARAM VARCHAR2(255 BYTE), SECRET_CODE VARCHAR2(85 BYTE), DUMMY_EMAIL_DOMAIN VARCHAR2(85 BYTE), RESET_FLAG VARCHAR2(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SAFARI_LAUNCHER_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_safari_launcher_aud
 before insert on safari_launcher_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into safari_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SAFARI_HOST_URL
 ,UI_CODE
 ,TARGET_PAGE
 ,TARGET_PAGE_PARAM
 ,SECRET_CODE
 ,DUMMY_EMAIL_DOMAIN
 ,RESET_FLAG
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSEID
 ,SAFARI_HOST_URL
 ,UI_CODE
 ,TARGET_PAGE
 ,TARGET_PAGE_PARAM
 ,SECRET_CODE
 ,DUMMY_EMAIL_DOMAIN
 ,RESET_FLAG
 ,UPDATE_MEANING
  from safari_launcher
/

CREATE INDEX nuk_safari_launcher_aud_1 ON safari_launcher_aud(aud_userid)
/

CREATE INDEX nuk_safari_launcher_aud_2 ON safari_launcher_aud(aud_datetime)
/

create or replace trigger i_safari_launcher
after insert on safari_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into safari_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SAFARI_HOST_URL
 ,UI_CODE
 ,TARGET_PAGE
 ,TARGET_PAGE_PARAM
 ,SECRET_CODE
 ,DUMMY_EMAIL_DOMAIN
 ,RESET_FLAG
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.SAFARI_HOST_URL
 ,:new.UI_CODE
 ,:new.TARGET_PAGE
 ,:new.TARGET_PAGE_PARAM
 ,:new.SECRET_CODE
 ,:new.DUMMY_EMAIL_DOMAIN
 ,:new.RESET_FLAG
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_safari_launcher
after update on safari_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into safari_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SAFARI_HOST_URL
 ,UI_CODE
 ,TARGET_PAGE
 ,TARGET_PAGE_PARAM
 ,SECRET_CODE
 ,DUMMY_EMAIL_DOMAIN
 ,RESET_FLAG
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSEID
 ,:new.SAFARI_HOST_URL
 ,:new.UI_CODE
 ,:new.TARGET_PAGE
 ,:new.TARGET_PAGE_PARAM
 ,:new.SECRET_CODE
 ,:new.DUMMY_EMAIL_DOMAIN
 ,:new.RESET_FLAG
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_safari_launcher
after delete on safari_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into safari_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSEID
 ,SAFARI_HOST_URL
 ,UI_CODE
 ,TARGET_PAGE
 ,TARGET_PAGE_PARAM
 ,SECRET_CODE
 ,DUMMY_EMAIL_DOMAIN
 ,RESET_FLAG
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSEID
 ,:old.SAFARI_HOST_URL
 ,:old.UI_CODE
 ,:old.TARGET_PAGE
 ,:old.TARGET_PAGE_PARAM
 ,:old.SECRET_CODE
 ,:old.DUMMY_EMAIL_DOMAIN
 ,:old.RESET_FLAG
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-safari_launcher', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1072, '8:2fca42ea4b51999a24643dd8149bed24', 'enableAuditTable auditTableName=safari_launcher_aud, tableName=safari_launcher', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_generic::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_GENERIC';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_GENERIC';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_GENERIC';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_GENERIC';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_GENERIC';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_GENERIC';
			END IF;
		END;
/

CREATE TABLE vc_launcher_generic_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), LAUNCH_URL CLOB, LAUNCH_PROGRAM VARCHAR2(255 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCHER_GENERIC_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_generic_aud
 before insert on vc_launcher_generic_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_generic_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,LAUNCH_URL
 ,LAUNCH_PROGRAM
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,LAUNCH_URL
 ,LAUNCH_PROGRAM
 ,UPDATE_MEANING
  from vc_launcher_generic
/

CREATE INDEX nuk_vc_launcher_generic_aud_1 ON vc_launcher_generic_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_generic_aud_2 ON vc_launcher_generic_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_generic
after insert on vc_launcher_generic for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_generic_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,LAUNCH_URL
 ,LAUNCH_PROGRAM
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.LAUNCH_URL
 ,:new.LAUNCH_PROGRAM
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_vc_launcher_generic
after update on vc_launcher_generic for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_generic_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,LAUNCH_URL
 ,LAUNCH_PROGRAM
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.LAUNCH_URL
 ,:new.LAUNCH_PROGRAM
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_vc_launcher_generic
after delete on vc_launcher_generic for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_generic_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,LAUNCH_URL
 ,LAUNCH_PROGRAM
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.LAUNCH_URL
 ,:old.LAUNCH_PROGRAM
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_generic', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1073, '8:ffd82b84fda3d130bcd99b16f313fb50', 'enableAuditTable auditTableName=vc_launcher_generic_aud, tableName=vc_launcher_generic', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_webex::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_WEBEX';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_WEBEX';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_WEBEX';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_WEBEX';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_WEBEX';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_WEBEX';
			END IF;
		END;
/

CREATE TABLE vc_launcher_webex_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), WEBEX_ID VARCHAR2(85 BYTE), MEETING_KEY VARCHAR2(255 BYTE), WEBEX_HOST_ID VARCHAR2(85 BYTE), WEBEX_HOST_PWD VARCHAR2(255 BYTE), WEBEX_ATTR1 VARCHAR2(85 BYTE), WEBEX_ATTR2 VARCHAR2(255 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCHER_WEBEX_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_webex_aud
 before insert on vc_launcher_webex_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_webex_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,WEBEX_ID
 ,MEETING_KEY
 ,WEBEX_HOST_ID
 ,WEBEX_HOST_PWD
 ,WEBEX_ATTR1
 ,WEBEX_ATTR2
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,WEBEX_ID
 ,MEETING_KEY
 ,WEBEX_HOST_ID
 ,WEBEX_HOST_PWD
 ,WEBEX_ATTR1
 ,WEBEX_ATTR2
 ,UPDATE_MEANING
  from vc_launcher_webex
/

CREATE INDEX nuk_vc_launcher_webex_aud_1 ON vc_launcher_webex_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_webex_aud_2 ON vc_launcher_webex_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_webex
after insert on vc_launcher_webex for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_webex_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,WEBEX_ID
 ,MEETING_KEY
 ,WEBEX_HOST_ID
 ,WEBEX_HOST_PWD
 ,WEBEX_ATTR1
 ,WEBEX_ATTR2
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.WEBEX_ID
 ,:new.MEETING_KEY
 ,:new.WEBEX_HOST_ID
 ,:new.WEBEX_HOST_PWD
 ,:new.WEBEX_ATTR1
 ,:new.WEBEX_ATTR2
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_vc_launcher_webex
after update on vc_launcher_webex for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_webex_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,WEBEX_ID
 ,MEETING_KEY
 ,WEBEX_HOST_ID
 ,WEBEX_HOST_PWD
 ,WEBEX_ATTR1
 ,WEBEX_ATTR2
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.WEBEX_ID
 ,:new.MEETING_KEY
 ,:new.WEBEX_HOST_ID
 ,:new.WEBEX_HOST_PWD
 ,:new.WEBEX_ATTR1
 ,:new.WEBEX_ATTR2
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_vc_launcher_webex
after delete on vc_launcher_webex for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_webex_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,WEBEX_ID
 ,MEETING_KEY
 ,WEBEX_HOST_ID
 ,WEBEX_HOST_PWD
 ,WEBEX_ATTR1
 ,WEBEX_ATTR2
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.WEBEX_ID
 ,:old.MEETING_KEY
 ,:old.WEBEX_HOST_ID
 ,:old.WEBEX_HOST_PWD
 ,:old.WEBEX_ATTR1
 ,:old.WEBEX_ATTR2
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_webex', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1074, '8:98b3e85ac6cbf5c17d445164ba7aba17', 'enableAuditTable auditTableName=vc_launcher_webex_aud, tableName=vc_launcher_webex', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_session::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_SESSION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_SESSION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_SESSION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_SESSION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_SESSION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_SESSION';
			END IF;
		END;
/

CREATE TABLE vc_launcher_session_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENT_ID VARCHAR2(15 BYTE), COURSE_ID VARCHAR2(85 BYTE), SESSION_KEY VARCHAR2(255 BYTE), INSTRUCTOR VARCHAR2(255 BYTE), LAST_UPDATE date, OVERALL_STATUS NUMBER(*, 0), MASTERY_SCORE VARCHAR2(20 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), OVERALL_STATUS_ABSENT NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCHER_SESSION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_session_aud
 before insert on vc_launcher_session_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_session_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENT_ID
 ,COURSE_ID
 ,SESSION_KEY
 ,INSTRUCTOR
 ,LAST_UPDATE
 ,OVERALL_STATUS
 ,MASTERY_SCORE
 ,UPDATE_MEANING
 ,OVERALL_STATUS_ABSENT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENT_ID
 ,COURSE_ID
 ,SESSION_KEY
 ,INSTRUCTOR
 ,LAST_UPDATE
 ,OVERALL_STATUS
 ,MASTERY_SCORE
 ,UPDATE_MEANING
 ,OVERALL_STATUS_ABSENT
  from vc_launcher_session
/

CREATE INDEX nuk_vc_launcher_session_aud_1 ON vc_launcher_session_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_session_aud_2 ON vc_launcher_session_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_session
after insert on vc_launcher_session for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_session_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENT_ID
 ,COURSE_ID
 ,SESSION_KEY
 ,INSTRUCTOR
 ,LAST_UPDATE
 ,OVERALL_STATUS
 ,MASTERY_SCORE
 ,UPDATE_MEANING
 ,OVERALL_STATUS_ABSENT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENT_ID
 ,:new.COURSE_ID
 ,:new.SESSION_KEY
 ,:new.INSTRUCTOR
 ,:new.LAST_UPDATE
 ,:new.OVERALL_STATUS
 ,:new.MASTERY_SCORE
 ,:new.UPDATE_MEANING
 ,:new.OVERALL_STATUS_ABSENT
);
end;
/

create or replace trigger u_vc_launcher_session
after update on vc_launcher_session for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_session_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENT_ID
 ,COURSE_ID
 ,SESSION_KEY
 ,INSTRUCTOR
 ,LAST_UPDATE
 ,OVERALL_STATUS
 ,MASTERY_SCORE
 ,UPDATE_MEANING
 ,OVERALL_STATUS_ABSENT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENT_ID
 ,:new.COURSE_ID
 ,:new.SESSION_KEY
 ,:new.INSTRUCTOR
 ,:new.LAST_UPDATE
 ,:new.OVERALL_STATUS
 ,:new.MASTERY_SCORE
 ,:new.UPDATE_MEANING
 ,:new.OVERALL_STATUS_ABSENT
);
end;
/

create or replace trigger d_vc_launcher_session
after delete on vc_launcher_session for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_session_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENT_ID
 ,COURSE_ID
 ,SESSION_KEY
 ,INSTRUCTOR
 ,LAST_UPDATE
 ,OVERALL_STATUS
 ,MASTERY_SCORE
 ,UPDATE_MEANING
 ,OVERALL_STATUS_ABSENT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENT_ID
 ,:old.COURSE_ID
 ,:old.SESSION_KEY
 ,:old.INSTRUCTOR
 ,:old.LAST_UPDATE
 ,:old.OVERALL_STATUS
 ,:old.MASTERY_SCORE
 ,:old.UPDATE_MEANING
 ,:old.OVERALL_STATUS_ABSENT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_session', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1075, '8:d37262f52ace5ba68894c111b0815cd9', 'enableAuditTable auditTableName=vc_launcher_session_aud, tableName=vc_launcher_session', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-content_org_node_objective::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CONTENT_ORG_NODE_OBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CONTENT_ORG_NODE_OBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CONTENT_ORG_NODE_OBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CONTENT_ORG_NODE_OBJECTIVE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CONTENT_ORG_NODE_OBJECTIVE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CONTENT_ORG_NODE_OBJECTIVE';
			END IF;
		END;
/

CREATE TABLE content_org_node_obj_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ORGANIZATION_ID VARCHAR2(15 BYTE), NODE_ID VARCHAR2(2000 BYTE), ORDINAL NUMBER(*, 0), OBJECTIVE_ID VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CONTENT_ORG_NODE_OBJ_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_content_org_node_obj_aud
 before insert on content_org_node_obj_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into content_org_node_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATION_ID
 ,NODE_ID
 ,ORDINAL
 ,OBJECTIVE_ID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ORGANIZATION_ID
 ,NODE_ID
 ,ORDINAL
 ,OBJECTIVE_ID
 ,UPDATE_MEANING
  from content_org_node_objective
/

CREATE INDEX nuk_content_org_node_obj_aud_1 ON content_org_node_obj_aud(aud_userid)
/

CREATE INDEX nuk_content_org_node_obj_aud_2 ON content_org_node_obj_aud(aud_datetime)
/

create or replace trigger i_content_org_node_objective
after insert on content_org_node_objective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into content_org_node_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATION_ID
 ,NODE_ID
 ,ORDINAL
 ,OBJECTIVE_ID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ORGANIZATION_ID
 ,:new.NODE_ID
 ,:new.ORDINAL
 ,:new.OBJECTIVE_ID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_content_org_node_objective
after update on content_org_node_objective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into content_org_node_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATION_ID
 ,NODE_ID
 ,ORDINAL
 ,OBJECTIVE_ID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ORGANIZATION_ID
 ,:new.NODE_ID
 ,:new.ORDINAL
 ,:new.OBJECTIVE_ID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_content_org_node_objective
after delete on content_org_node_objective for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into content_org_node_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ORGANIZATION_ID
 ,NODE_ID
 ,ORDINAL
 ,OBJECTIVE_ID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ORGANIZATION_ID
 ,:old.NODE_ID
 ,:old.ORDINAL
 ,:old.OBJECTIVE_ID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-content_org_node_objective', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1076, '8:02056ceedaec5f0aebafaa6106f089bd', 'enableAuditTable auditTableName=content_org_node_obj_aud, tableName=content_org_node_objective', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_revision::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_REVISION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_REVISION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_REVISION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_REVISION';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_REVISION';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_REVISION';
			END IF;
		END;
/

CREATE TABLE course_revision_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), REVISION_NUMBER NUMBER(*, 0), DATE_REVISED date, LAUNCH_INTERFACE NUMBER(*, 0), ORGANIZATION_ID VARCHAR2(15 BYTE), ITEM_ID VARCHAR2(15 BYTE), ENCODING VARCHAR2(25 BYTE), REVISION_COMMENT CLOB, ALLOW_DOWNLOAD CHAR(1 BYTE), PUBLISH_FOR CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), AVAILABLE CHAR(1 BYTE), COURSE_RAW_BYTE_SIZE NUMBER(*, 0), DATE_EFFECTIVE date, DATE_APPROVED date, BUNDLE_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSE_REVISION_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_revision_aud
 before insert on course_revision_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_revision_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,REVISION_NUMBER
 ,DATE_REVISED
 ,LAUNCH_INTERFACE
 ,ORGANIZATION_ID
 ,ITEM_ID
 ,ENCODING
 ,REVISION_COMMENT
 ,ALLOW_DOWNLOAD
 ,PUBLISH_FOR
 ,UPDATE_MEANING
 ,AVAILABLE
 ,COURSE_RAW_BYTE_SIZE
 ,DATE_EFFECTIVE
 ,DATE_APPROVED
 ,BUNDLE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,REVISION_NUMBER
 ,DATE_REVISED
 ,LAUNCH_INTERFACE
 ,ORGANIZATION_ID
 ,ITEM_ID
 ,ENCODING
 ,REVISION_COMMENT
 ,ALLOW_DOWNLOAD
 ,PUBLISH_FOR
 ,UPDATE_MEANING
 ,AVAILABLE
 ,COURSE_RAW_BYTE_SIZE
 ,DATE_EFFECTIVE
 ,DATE_APPROVED
 ,BUNDLE_ID
  from course_revision
/

CREATE INDEX nuk_course_revision_aud_1 ON course_revision_aud(aud_userid)
/

CREATE INDEX nuk_course_revision_aud_2 ON course_revision_aud(aud_datetime)
/

create or replace trigger i_course_revision
after insert on course_revision for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_revision_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,REVISION_NUMBER
 ,DATE_REVISED
 ,LAUNCH_INTERFACE
 ,ORGANIZATION_ID
 ,ITEM_ID
 ,ENCODING
 ,REVISION_COMMENT
 ,ALLOW_DOWNLOAD
 ,PUBLISH_FOR
 ,UPDATE_MEANING
 ,AVAILABLE
 ,COURSE_RAW_BYTE_SIZE
 ,DATE_EFFECTIVE
 ,DATE_APPROVED
 ,BUNDLE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.REVISION_NUMBER
 ,:new.DATE_REVISED
 ,:new.LAUNCH_INTERFACE
 ,:new.ORGANIZATION_ID
 ,:new.ITEM_ID
 ,:new.ENCODING
 ,:new.REVISION_COMMENT
 ,:new.ALLOW_DOWNLOAD
 ,:new.PUBLISH_FOR
 ,:new.UPDATE_MEANING
 ,:new.AVAILABLE
 ,:new.COURSE_RAW_BYTE_SIZE
 ,:new.DATE_EFFECTIVE
 ,:new.DATE_APPROVED
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger u_course_revision
after update on course_revision for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_revision_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,REVISION_NUMBER
 ,DATE_REVISED
 ,LAUNCH_INTERFACE
 ,ORGANIZATION_ID
 ,ITEM_ID
 ,ENCODING
 ,REVISION_COMMENT
 ,ALLOW_DOWNLOAD
 ,PUBLISH_FOR
 ,UPDATE_MEANING
 ,AVAILABLE
 ,COURSE_RAW_BYTE_SIZE
 ,DATE_EFFECTIVE
 ,DATE_APPROVED
 ,BUNDLE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.REVISION_NUMBER
 ,:new.DATE_REVISED
 ,:new.LAUNCH_INTERFACE
 ,:new.ORGANIZATION_ID
 ,:new.ITEM_ID
 ,:new.ENCODING
 ,:new.REVISION_COMMENT
 ,:new.ALLOW_DOWNLOAD
 ,:new.PUBLISH_FOR
 ,:new.UPDATE_MEANING
 ,:new.AVAILABLE
 ,:new.COURSE_RAW_BYTE_SIZE
 ,:new.DATE_EFFECTIVE
 ,:new.DATE_APPROVED
 ,:new.BUNDLE_ID
);
end;
/

create or replace trigger d_course_revision
after delete on course_revision for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_revision_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,REVISION_NUMBER
 ,DATE_REVISED
 ,LAUNCH_INTERFACE
 ,ORGANIZATION_ID
 ,ITEM_ID
 ,ENCODING
 ,REVISION_COMMENT
 ,ALLOW_DOWNLOAD
 ,PUBLISH_FOR
 ,UPDATE_MEANING
 ,AVAILABLE
 ,COURSE_RAW_BYTE_SIZE
 ,DATE_EFFECTIVE
 ,DATE_APPROVED
 ,BUNDLE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.REVISION_NUMBER
 ,:old.DATE_REVISED
 ,:old.LAUNCH_INTERFACE
 ,:old.ORGANIZATION_ID
 ,:old.ITEM_ID
 ,:old.ENCODING
 ,:old.REVISION_COMMENT
 ,:old.ALLOW_DOWNLOAD
 ,:old.PUBLISH_FOR
 ,:old.UPDATE_MEANING
 ,:old.AVAILABLE
 ,:old.COURSE_RAW_BYTE_SIZE
 ,:old.DATE_EFFECTIVE
 ,:old.DATE_APPROVED
 ,:old.BUNDLE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_revision', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1077, '8:1684abc58a9ea5e74c240e41a606945a', 'enableAuditTable auditTableName=course_revision_aud, tableName=course_revision', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-ex_q_approval::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EX_Q_APPROVAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EX_Q_APPROVAL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EX_Q_APPROVAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EX_Q_APPROVAL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EX_Q_APPROVAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EX_Q_APPROVAL';
			END IF;
		END;
/

CREATE TABLE ex_q_approval_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), QUESTION_ID VARCHAR2(85 BYTE), USER_ID VARCHAR2(85 BYTE), APP_COMMENT VARCHAR2(500 BYTE), COMMENT_DATE date, UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EX_Q_APPROVAL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_ex_q_approval_aud
 before insert on ex_q_approval_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into ex_q_approval_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,USER_ID
 ,APP_COMMENT
 ,COMMENT_DATE
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,QUESTION_ID
 ,USER_ID
 ,APP_COMMENT
 ,COMMENT_DATE
 ,UPDATE_MEANING
  from ex_q_approval
/

CREATE INDEX nuk_ex_q_approval_aud_1 ON ex_q_approval_aud(aud_userid)
/

CREATE INDEX nuk_ex_q_approval_aud_2 ON ex_q_approval_aud(aud_datetime)
/

create or replace trigger i_ex_q_approval
after insert on ex_q_approval for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ex_q_approval_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,USER_ID
 ,APP_COMMENT
 ,COMMENT_DATE
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.QUESTION_ID
 ,:new.USER_ID
 ,:new.APP_COMMENT
 ,:new.COMMENT_DATE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_ex_q_approval
after update on ex_q_approval for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ex_q_approval_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,USER_ID
 ,APP_COMMENT
 ,COMMENT_DATE
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.QUESTION_ID
 ,:new.USER_ID
 ,:new.APP_COMMENT
 ,:new.COMMENT_DATE
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_ex_q_approval
after delete on ex_q_approval for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into ex_q_approval_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,USER_ID
 ,APP_COMMENT
 ,COMMENT_DATE
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.QUESTION_ID
 ,:old.USER_ID
 ,:old.APP_COMMENT
 ,:old.COMMENT_DATE
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-ex_q_approval', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1078, '8:b5d03545d91455e2c268dc070a11ff48', 'enableAuditTable auditTableName=ex_q_approval_aud, tableName=ex_q_approval', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-payment::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_PAYMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_PAYMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_PAYMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_PAYMENT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_PAYMENT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_PAYMENT';
			END IF;
		END;
/

CREATE TABLE payment_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, PAYMENT_ID NUMBER(*, 0), CREATE_DATE date, PAY_USER_ID VARCHAR2(85 BYTE), CCY_CODE CHAR(3 BYTE), TOTAL_AMOUNT NUMBER(15, 2), TAX NUMBER(15, 2), STATUS CHAR(1 BYTE), SETTLED_DATE date, ORDER_REF VARCHAR2(50 BYTE), PAY_REF VARCHAR2(50 BYTE), ORDER_FULFILLED CHAR(1 BYTE), REFUNDED_DATE date, ADDITIONAL_CHARGE VARCHAR2(85 BYTE), IS_REVIEWED CHAR(1 BYTE), REVIEWED_BY VARCHAR2(85 BYTE), REVIEWED_ON date, USER_REF VARCHAR2(85 BYTE), PAY_TYPE CHAR(3 BYTE), SALES_ORDER_NO VARCHAR2(85 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_PAYMENT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_payment_aud
 before insert on payment_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into payment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,PAYMENT_ID
 ,CREATE_DATE
 ,PAY_USER_ID
 ,CCY_CODE
 ,TOTAL_AMOUNT
 ,TAX
 ,STATUS
 ,SETTLED_DATE
 ,ORDER_REF
 ,PAY_REF
 ,ORDER_FULFILLED
 ,REFUNDED_DATE
 ,ADDITIONAL_CHARGE
 ,IS_REVIEWED
 ,REVIEWED_BY
 ,REVIEWED_ON
 ,USER_REF
 ,PAY_TYPE
 ,SALES_ORDER_NO
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,PAYMENT_ID
 ,CREATE_DATE
 ,PAY_USER_ID
 ,CCY_CODE
 ,TOTAL_AMOUNT
 ,TAX
 ,STATUS
 ,SETTLED_DATE
 ,ORDER_REF
 ,PAY_REF
 ,ORDER_FULFILLED
 ,REFUNDED_DATE
 ,ADDITIONAL_CHARGE
 ,IS_REVIEWED
 ,REVIEWED_BY
 ,REVIEWED_ON
 ,USER_REF
 ,PAY_TYPE
 ,SALES_ORDER_NO
 ,UPDATE_MEANING
  from payment
/

CREATE INDEX nuk_payment_aud_1 ON payment_aud(aud_userid)
/

CREATE INDEX nuk_payment_aud_2 ON payment_aud(aud_datetime)
/

create or replace trigger i_payment
after insert on payment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into payment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,PAYMENT_ID
 ,CREATE_DATE
 ,PAY_USER_ID
 ,CCY_CODE
 ,TOTAL_AMOUNT
 ,TAX
 ,STATUS
 ,SETTLED_DATE
 ,ORDER_REF
 ,PAY_REF
 ,ORDER_FULFILLED
 ,REFUNDED_DATE
 ,ADDITIONAL_CHARGE
 ,IS_REVIEWED
 ,REVIEWED_BY
 ,REVIEWED_ON
 ,USER_REF
 ,PAY_TYPE
 ,SALES_ORDER_NO
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.PAYMENT_ID
 ,:new.CREATE_DATE
 ,:new.PAY_USER_ID
 ,:new.CCY_CODE
 ,:new.TOTAL_AMOUNT
 ,:new.TAX
 ,:new.STATUS
 ,:new.SETTLED_DATE
 ,:new.ORDER_REF
 ,:new.PAY_REF
 ,:new.ORDER_FULFILLED
 ,:new.REFUNDED_DATE
 ,:new.ADDITIONAL_CHARGE
 ,:new.IS_REVIEWED
 ,:new.REVIEWED_BY
 ,:new.REVIEWED_ON
 ,:new.USER_REF
 ,:new.PAY_TYPE
 ,:new.SALES_ORDER_NO
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_payment
after update on payment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into payment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,PAYMENT_ID
 ,CREATE_DATE
 ,PAY_USER_ID
 ,CCY_CODE
 ,TOTAL_AMOUNT
 ,TAX
 ,STATUS
 ,SETTLED_DATE
 ,ORDER_REF
 ,PAY_REF
 ,ORDER_FULFILLED
 ,REFUNDED_DATE
 ,ADDITIONAL_CHARGE
 ,IS_REVIEWED
 ,REVIEWED_BY
 ,REVIEWED_ON
 ,USER_REF
 ,PAY_TYPE
 ,SALES_ORDER_NO
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.PAYMENT_ID
 ,:new.CREATE_DATE
 ,:new.PAY_USER_ID
 ,:new.CCY_CODE
 ,:new.TOTAL_AMOUNT
 ,:new.TAX
 ,:new.STATUS
 ,:new.SETTLED_DATE
 ,:new.ORDER_REF
 ,:new.PAY_REF
 ,:new.ORDER_FULFILLED
 ,:new.REFUNDED_DATE
 ,:new.ADDITIONAL_CHARGE
 ,:new.IS_REVIEWED
 ,:new.REVIEWED_BY
 ,:new.REVIEWED_ON
 ,:new.USER_REF
 ,:new.PAY_TYPE
 ,:new.SALES_ORDER_NO
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_payment
after delete on payment for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into payment_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,PAYMENT_ID
 ,CREATE_DATE
 ,PAY_USER_ID
 ,CCY_CODE
 ,TOTAL_AMOUNT
 ,TAX
 ,STATUS
 ,SETTLED_DATE
 ,ORDER_REF
 ,PAY_REF
 ,ORDER_FULFILLED
 ,REFUNDED_DATE
 ,ADDITIONAL_CHARGE
 ,IS_REVIEWED
 ,REVIEWED_BY
 ,REVIEWED_ON
 ,USER_REF
 ,PAY_TYPE
 ,SALES_ORDER_NO
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.PAYMENT_ID
 ,:old.CREATE_DATE
 ,:old.PAY_USER_ID
 ,:old.CCY_CODE
 ,:old.TOTAL_AMOUNT
 ,:old.TAX
 ,:old.STATUS
 ,:old.SETTLED_DATE
 ,:old.ORDER_REF
 ,:old.PAY_REF
 ,:old.ORDER_FULFILLED
 ,:old.REFUNDED_DATE
 ,:old.ADDITIONAL_CHARGE
 ,:old.IS_REVIEWED
 ,:old.REVIEWED_BY
 ,:old.REVIEWED_ON
 ,:old.USER_REF
 ,:old.PAY_TYPE
 ,:old.SALES_ORDER_NO
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-payment', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1079, '8:650976489db39d043a072e6270c90db0', 'enableAuditTable auditTableName=payment_aud, tableName=payment', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-lo_opt_pay_items::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LO_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LO_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LO_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LO_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LO_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LO_OPT_PAY_ITEMS';
			END IF;
		END;
/

CREATE TABLE lo_opt_pay_items_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SESSIONID VARCHAR2(85 BYTE), LEARNINGID VARCHAR2(85 BYTE), ITEMID VARCHAR2(15 BYTE), OFFERING NUMBER(*, 0), OFFERING_AMOUNT NUMBER(15, 2), PAYMENT_METHOD CHAR(1 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LO_OPT_PAY_ITEMS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_lo_opt_pay_items_aud
 before insert on lo_opt_pay_items_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into lo_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSIONID
 ,LEARNINGID
 ,ITEMID
 ,OFFERING
 ,OFFERING_AMOUNT
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SESSIONID
 ,LEARNINGID
 ,ITEMID
 ,OFFERING
 ,OFFERING_AMOUNT
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
  from lo_opt_pay_items
/

CREATE INDEX nuk_lo_opt_pay_items_aud_1 ON lo_opt_pay_items_aud(aud_userid)
/

CREATE INDEX nuk_lo_opt_pay_items_aud_2 ON lo_opt_pay_items_aud(aud_datetime)
/

create or replace trigger i_lo_opt_pay_items
after insert on lo_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSIONID
 ,LEARNINGID
 ,ITEMID
 ,OFFERING
 ,OFFERING_AMOUNT
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSIONID
 ,:new.LEARNINGID
 ,:new.ITEMID
 ,:new.OFFERING
 ,:new.OFFERING_AMOUNT
 ,:new.PAYMENT_METHOD
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_lo_opt_pay_items
after update on lo_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSIONID
 ,LEARNINGID
 ,ITEMID
 ,OFFERING
 ,OFFERING_AMOUNT
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SESSIONID
 ,:new.LEARNINGID
 ,:new.ITEMID
 ,:new.OFFERING
 ,:new.OFFERING_AMOUNT
 ,:new.PAYMENT_METHOD
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_lo_opt_pay_items
after delete on lo_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into lo_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SESSIONID
 ,LEARNINGID
 ,ITEMID
 ,OFFERING
 ,OFFERING_AMOUNT
 ,PAYMENT_METHOD
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SESSIONID
 ,:old.LEARNINGID
 ,:old.ITEMID
 ,:old.OFFERING
 ,:old.OFFERING_AMOUNT
 ,:old.PAYMENT_METHOD
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-lo_opt_pay_items', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1080, '8:8bbf9e2c62b62a20427fc85eb5bef7bd', 'enableAuditTable auditTableName=lo_opt_pay_items_aud, tableName=lo_opt_pay_items', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-user_opt_pay_items::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_USER_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_USER_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_USER_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_USER_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_USER_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_USER_OPT_PAY_ITEMS';
			END IF;
		END;
/

CREATE TABLE user_opt_pay_items_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, USER_ITEMID VARCHAR2(85 BYTE), USERID VARCHAR2(85 BYTE), TRANSCRIPTID VARCHAR2(15 BYTE), ITEMID VARCHAR2(15 BYTE), DESCRIPTION VARCHAR2(255 BYTE), QUANTITY NUMBER(*, 0), UNIT_COST NUMBER(15, 2), PAID CHAR(1 BYTE), PAYMENTID NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_USER_OPT_PAY_ITEMS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_user_opt_pay_items_aud
 before insert on user_opt_pay_items_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into user_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ITEMID
 ,USERID
 ,TRANSCRIPTID
 ,ITEMID
 ,DESCRIPTION
 ,QUANTITY
 ,UNIT_COST
 ,PAID
 ,PAYMENTID
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,USER_ITEMID
 ,USERID
 ,TRANSCRIPTID
 ,ITEMID
 ,DESCRIPTION
 ,QUANTITY
 ,UNIT_COST
 ,PAID
 ,PAYMENTID
 ,UPDATE_MEANING
  from user_opt_pay_items
/

CREATE INDEX nuk_user_opt_pay_items_aud_1 ON user_opt_pay_items_aud(aud_userid)
/

CREATE INDEX nuk_user_opt_pay_items_aud_2 ON user_opt_pay_items_aud(aud_datetime)
/

create or replace trigger i_user_opt_pay_items
after insert on user_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ITEMID
 ,USERID
 ,TRANSCRIPTID
 ,ITEMID
 ,DESCRIPTION
 ,QUANTITY
 ,UNIT_COST
 ,PAID
 ,PAYMENTID
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ITEMID
 ,:new.USERID
 ,:new.TRANSCRIPTID
 ,:new.ITEMID
 ,:new.DESCRIPTION
 ,:new.QUANTITY
 ,:new.UNIT_COST
 ,:new.PAID
 ,:new.PAYMENTID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_user_opt_pay_items
after update on user_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ITEMID
 ,USERID
 ,TRANSCRIPTID
 ,ITEMID
 ,DESCRIPTION
 ,QUANTITY
 ,UNIT_COST
 ,PAID
 ,PAYMENTID
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ITEMID
 ,:new.USERID
 ,:new.TRANSCRIPTID
 ,:new.ITEMID
 ,:new.DESCRIPTION
 ,:new.QUANTITY
 ,:new.UNIT_COST
 ,:new.PAID
 ,:new.PAYMENTID
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_user_opt_pay_items
after delete on user_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ITEMID
 ,USERID
 ,TRANSCRIPTID
 ,ITEMID
 ,DESCRIPTION
 ,QUANTITY
 ,UNIT_COST
 ,PAID
 ,PAYMENTID
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.USER_ITEMID
 ,:old.USERID
 ,:old.TRANSCRIPTID
 ,:old.ITEMID
 ,:old.DESCRIPTION
 ,:old.QUANTITY
 ,:old.UNIT_COST
 ,:old.PAID
 ,:old.PAYMENTID
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-user_opt_pay_items', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1081, '8:b639e3af995ab44ff7ada299e5e2175e', 'enableAuditTable auditTableName=user_opt_pay_items_aud, tableName=user_opt_pay_items', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type_drag_and_drop::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE_DRAG_AND_DROP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE_DRAG_AND_DROP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE_DRAG_AND_DROP';
			END IF;
		END;
/

CREATE TABLE q_type_drag_and_drop_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), NUM_DRAGGABLE NUMBER(*, 0), BACKGROUND_URL VARCHAR2(255 BYTE), BACKGROUND_WIDTH NUMBER(*, 0), BACKGROUND_HEIGHT NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_Q_TYPE_DRAG_AND_DROP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_q_type_drag_and_drop_aud
 before insert on q_type_drag_and_drop_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into q_type_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_DRAGGABLE
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_DRAGGABLE
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
  from question_type_drag_and_drop
/

CREATE INDEX nuk_q_type_drag_and_drop_aud_1 ON q_type_drag_and_drop_aud(aud_userid)
/

CREATE INDEX nuk_q_type_drag_and_drop_aud_2 ON q_type_drag_and_drop_aud(aud_datetime)
/

create or replace trigger i_question_type_drag_and_drop
after insert on question_type_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_DRAGGABLE
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.NUM_DRAGGABLE
 ,:new.BACKGROUND_URL
 ,:new.BACKGROUND_WIDTH
 ,:new.BACKGROUND_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type_drag_and_drop
after update on question_type_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_DRAGGABLE
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.NUM_DRAGGABLE
 ,:new.BACKGROUND_URL
 ,:new.BACKGROUND_WIDTH
 ,:new.BACKGROUND_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type_drag_and_drop
after delete on question_type_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_DRAGGABLE
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.NUM_DRAGGABLE
 ,:old.BACKGROUND_URL
 ,:old.BACKGROUND_WIDTH
 ,:old.BACKGROUND_HEIGHT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type_drag_and_drop', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1082, '8:3524db1948474c5c0dbfa80a5e8911d1', 'enableAuditTable auditTableName=q_type_drag_and_drop_aud, tableName=question_type_drag_and_drop', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-draggable::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_DRAGGABLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_DRAGGABLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_DRAGGABLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_DRAGGABLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_DRAGGABLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_DRAGGABLE';
			END IF;
		END;
/

CREATE TABLE draggable_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, DRAGGABLE_ID VARCHAR2(15 BYTE), QUESTIONID VARCHAR2(85 BYTE), DISPLAY_ORDER NUMBER(*, 0), IMAGE_URL VARCHAR2(255 BYTE), IMAGE_WIDTH NUMBER(*, 0), IMAGE_HEIGHT NUMBER(*, 0), HOT_AREA_X NUMBER(*, 0), HOT_AREA_Y NUMBER(*, 0), HOT_AREA_WIDTH NUMBER(*, 0), HOT_AREA_HEIGHT NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_DRAGGABLE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_draggable_aud
 before insert on draggable_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into draggable_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DRAGGABLE_ID
 ,QUESTIONID
 ,DISPLAY_ORDER
 ,IMAGE_URL
 ,IMAGE_WIDTH
 ,IMAGE_HEIGHT
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,DRAGGABLE_ID
 ,QUESTIONID
 ,DISPLAY_ORDER
 ,IMAGE_URL
 ,IMAGE_WIDTH
 ,IMAGE_HEIGHT
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
  from draggable
/

CREATE INDEX nuk_draggable_aud_1 ON draggable_aud(aud_userid)
/

CREATE INDEX nuk_draggable_aud_2 ON draggable_aud(aud_datetime)
/

create or replace trigger i_draggable
after insert on draggable for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into draggable_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DRAGGABLE_ID
 ,QUESTIONID
 ,DISPLAY_ORDER
 ,IMAGE_URL
 ,IMAGE_WIDTH
 ,IMAGE_HEIGHT
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DRAGGABLE_ID
 ,:new.QUESTIONID
 ,:new.DISPLAY_ORDER
 ,:new.IMAGE_URL
 ,:new.IMAGE_WIDTH
 ,:new.IMAGE_HEIGHT
 ,:new.HOT_AREA_X
 ,:new.HOT_AREA_Y
 ,:new.HOT_AREA_WIDTH
 ,:new.HOT_AREA_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_draggable
after update on draggable for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into draggable_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DRAGGABLE_ID
 ,QUESTIONID
 ,DISPLAY_ORDER
 ,IMAGE_URL
 ,IMAGE_WIDTH
 ,IMAGE_HEIGHT
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DRAGGABLE_ID
 ,:new.QUESTIONID
 ,:new.DISPLAY_ORDER
 ,:new.IMAGE_URL
 ,:new.IMAGE_WIDTH
 ,:new.IMAGE_HEIGHT
 ,:new.HOT_AREA_X
 ,:new.HOT_AREA_Y
 ,:new.HOT_AREA_WIDTH
 ,:new.HOT_AREA_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_draggable
after delete on draggable for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into draggable_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DRAGGABLE_ID
 ,QUESTIONID
 ,DISPLAY_ORDER
 ,IMAGE_URL
 ,IMAGE_WIDTH
 ,IMAGE_HEIGHT
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.DRAGGABLE_ID
 ,:old.QUESTIONID
 ,:old.DISPLAY_ORDER
 ,:old.IMAGE_URL
 ,:old.IMAGE_WIDTH
 ,:old.IMAGE_HEIGHT
 ,:old.HOT_AREA_X
 ,:old.HOT_AREA_Y
 ,:old.HOT_AREA_WIDTH
 ,:old.HOT_AREA_HEIGHT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-draggable', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1083, '8:03c164bd4a351816e1a1863f801f2fdf', 'enableAuditTable auditTableName=draggable_aud, tableName=draggable', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-answer_drag_and_drop::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ANSWER_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ANSWER_DRAG_AND_DROP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ANSWER_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ANSWER_DRAG_AND_DROP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ANSWER_DRAG_AND_DROP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ANSWER_DRAG_AND_DROP';
			END IF;
		END;
/

CREATE TABLE answer_drag_and_drop_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ANSWER_ID VARCHAR2(15 BYTE), TEST_INSTANCE_ID VARCHAR2(15 BYTE), SECTION_NUM NUMBER(*, 0), QUESTION_NUM NUMBER(*, 0), QUESTION_ID VARCHAR2(85 BYTE), DRAGGABLE_ID VARCHAR2(15 BYTE), POSITION_X NUMBER(*, 0), POSITION_Y NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ANSWER_DRAG_AND_DROP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_answer_drag_and_drop_aud
 before insert on answer_drag_and_drop_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into answer_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,DRAGGABLE_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,DRAGGABLE_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
  from answer_drag_and_drop
/

CREATE INDEX nuk_answer_drag_and_drop_aud_1 ON answer_drag_and_drop_aud(aud_userid)
/

CREATE INDEX nuk_answer_drag_and_drop_aud_2 ON answer_drag_and_drop_aud(aud_datetime)
/

create or replace trigger i_answer_drag_and_drop
after insert on answer_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,DRAGGABLE_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ANSWER_ID
 ,:new.TEST_INSTANCE_ID
 ,:new.SECTION_NUM
 ,:new.QUESTION_NUM
 ,:new.QUESTION_ID
 ,:new.DRAGGABLE_ID
 ,:new.POSITION_X
 ,:new.POSITION_Y
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_answer_drag_and_drop
after update on answer_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,DRAGGABLE_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ANSWER_ID
 ,:new.TEST_INSTANCE_ID
 ,:new.SECTION_NUM
 ,:new.QUESTION_NUM
 ,:new.QUESTION_ID
 ,:new.DRAGGABLE_ID
 ,:new.POSITION_X
 ,:new.POSITION_Y
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_answer_drag_and_drop
after delete on answer_drag_and_drop for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_drag_and_drop_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,DRAGGABLE_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ANSWER_ID
 ,:old.TEST_INSTANCE_ID
 ,:old.SECTION_NUM
 ,:old.QUESTION_NUM
 ,:old.QUESTION_ID
 ,:old.DRAGGABLE_ID
 ,:old.POSITION_X
 ,:old.POSITION_Y
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-answer_drag_and_drop', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1084, '8:cc943aa7680d1f1ad5e69f0ec54417b4', 'enableAuditTable auditTableName=answer_drag_and_drop_aud, tableName=answer_drag_and_drop', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_type_hotspot::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_TYPE_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_TYPE_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_TYPE_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_TYPE_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_TYPE_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_TYPE_HOTSPOT';
			END IF;
		END;
/

CREATE TABLE q_type_hotspot_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), QATTRIBUTES NUMBER(*, 0), QTEXT CLOB, HINT VARCHAR2(1000 BYTE), PRENOTE VARCHAR2(1000 BYTE), POSTNOTE VARCHAR2(1000 BYTE), NUM_HOTSPOT NUMBER(*, 0), BACKGROUND_URL VARCHAR2(255 BYTE), BACKGROUND_WIDTH NUMBER(*, 0), BACKGROUND_HEIGHT NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_Q_TYPE_HOTSPOT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_q_type_hotspot_aud
 before insert on q_type_hotspot_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into q_type_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_HOTSPOT
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_HOTSPOT
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
  from question_type_hotspot
/

CREATE INDEX nuk_q_type_hotspot_aud_1 ON q_type_hotspot_aud(aud_userid)
/

CREATE INDEX nuk_q_type_hotspot_aud_2 ON q_type_hotspot_aud(aud_datetime)
/

create or replace trigger i_question_type_hotspot
after insert on question_type_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_HOTSPOT
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.NUM_HOTSPOT
 ,:new.BACKGROUND_URL
 ,:new.BACKGROUND_WIDTH
 ,:new.BACKGROUND_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_question_type_hotspot
after update on question_type_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_HOTSPOT
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.QATTRIBUTES
 ,:new.QTEXT
 ,:new.HINT
 ,:new.PRENOTE
 ,:new.POSTNOTE
 ,:new.NUM_HOTSPOT
 ,:new.BACKGROUND_URL
 ,:new.BACKGROUND_WIDTH
 ,:new.BACKGROUND_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_question_type_hotspot
after delete on question_type_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into q_type_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,QATTRIBUTES
 ,QTEXT
 ,HINT
 ,PRENOTE
 ,POSTNOTE
 ,NUM_HOTSPOT
 ,BACKGROUND_URL
 ,BACKGROUND_WIDTH
 ,BACKGROUND_HEIGHT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.QATTRIBUTES
 ,:old.QTEXT
 ,:old.HINT
 ,:old.PRENOTE
 ,:old.POSTNOTE
 ,:old.NUM_HOTSPOT
 ,:old.BACKGROUND_URL
 ,:old.BACKGROUND_WIDTH
 ,:old.BACKGROUND_HEIGHT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_type_hotspot', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1085, '8:31e0e9e4ec6ef1929ad358a68e91bf23', 'enableAuditTable auditTableName=q_type_hotspot_aud, tableName=question_type_hotspot', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-hotspot::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_HOTSPOT';
			END IF;
		END;
/

CREATE TABLE hotspot_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, HOTSPOT_ID VARCHAR2(15 BYTE), QUESTIONID VARCHAR2(85 BYTE), HOT_AREA_X NUMBER(*, 0), HOT_AREA_Y NUMBER(*, 0), HOT_AREA_WIDTH NUMBER(*, 0), HOT_AREA_HEIGHT NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_HOTSPOT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_hotspot_aud
 before insert on hotspot_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,HOTSPOT_ID
 ,QUESTIONID
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,HOTSPOT_ID
 ,QUESTIONID
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
  from hotspot
/

CREATE INDEX nuk_hotspot_aud_1 ON hotspot_aud(aud_userid)
/

CREATE INDEX nuk_hotspot_aud_2 ON hotspot_aud(aud_datetime)
/

create or replace trigger i_hotspot
after insert on hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,HOTSPOT_ID
 ,QUESTIONID
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.HOTSPOT_ID
 ,:new.QUESTIONID
 ,:new.HOT_AREA_X
 ,:new.HOT_AREA_Y
 ,:new.HOT_AREA_WIDTH
 ,:new.HOT_AREA_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_hotspot
after update on hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,HOTSPOT_ID
 ,QUESTIONID
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.HOTSPOT_ID
 ,:new.QUESTIONID
 ,:new.HOT_AREA_X
 ,:new.HOT_AREA_Y
 ,:new.HOT_AREA_WIDTH
 ,:new.HOT_AREA_HEIGHT
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_hotspot
after delete on hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,HOTSPOT_ID
 ,QUESTIONID
 ,HOT_AREA_X
 ,HOT_AREA_Y
 ,HOT_AREA_WIDTH
 ,HOT_AREA_HEIGHT
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.HOTSPOT_ID
 ,:old.QUESTIONID
 ,:old.HOT_AREA_X
 ,:old.HOT_AREA_Y
 ,:old.HOT_AREA_WIDTH
 ,:old.HOT_AREA_HEIGHT
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-hotspot', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1086, '8:b121c1d2f8610bb14a9d4e96c48b2196', 'enableAuditTable auditTableName=hotspot_aud, tableName=hotspot', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-answer_hotspot::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_ANSWER_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_ANSWER_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_ANSWER_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_ANSWER_HOTSPOT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_ANSWER_HOTSPOT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_ANSWER_HOTSPOT';
			END IF;
		END;
/

CREATE TABLE answer_hotspot_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ANSWER_ID VARCHAR2(15 BYTE), TEST_INSTANCE_ID VARCHAR2(15 BYTE), SECTION_NUM NUMBER(*, 0), QUESTION_NUM NUMBER(*, 0), QUESTION_ID VARCHAR2(85 BYTE), POSITION_X NUMBER(*, 0), POSITION_Y NUMBER(*, 0), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_ANSWER_HOTSPOT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_answer_hotspot_aud
 before insert on answer_hotspot_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into answer_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
  from answer_hotspot
/

CREATE INDEX nuk_answer_hotspot_aud_1 ON answer_hotspot_aud(aud_userid)
/

CREATE INDEX nuk_answer_hotspot_aud_2 ON answer_hotspot_aud(aud_datetime)
/

create or replace trigger i_answer_hotspot
after insert on answer_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ANSWER_ID
 ,:new.TEST_INSTANCE_ID
 ,:new.SECTION_NUM
 ,:new.QUESTION_NUM
 ,:new.QUESTION_ID
 ,:new.POSITION_X
 ,:new.POSITION_Y
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_answer_hotspot
after update on answer_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ANSWER_ID
 ,:new.TEST_INSTANCE_ID
 ,:new.SECTION_NUM
 ,:new.QUESTION_NUM
 ,:new.QUESTION_ID
 ,:new.POSITION_X
 ,:new.POSITION_Y
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_answer_hotspot
after delete on answer_hotspot for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into answer_hotspot_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ANSWER_ID
 ,TEST_INSTANCE_ID
 ,SECTION_NUM
 ,QUESTION_NUM
 ,QUESTION_ID
 ,POSITION_X
 ,POSITION_Y
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ANSWER_ID
 ,:old.TEST_INSTANCE_ID
 ,:old.SECTION_NUM
 ,:old.QUESTION_NUM
 ,:old.QUESTION_ID
 ,:old.POSITION_X
 ,:old.POSITION_Y
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-answer_hotspot', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1087, '8:5ff4d1c1818b9e971a2e2bb67ebca3b6', 'enableAuditTable auditTableName=answer_hotspot_aud, tableName=answer_hotspot', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-custom_course_policy::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CUSTOM_COURSE_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CUSTOM_COURSE_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CUSTOM_COURSE_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CUSTOM_COURSE_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CUSTOM_COURSE_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CUSTOM_COURSE_POLICY';
			END IF;
		END;
/

CREATE TABLE custom_course_policy_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNING_ID VARCHAR2(85 BYTE), OBJECT_TYPE VARCHAR2(5 BYTE), OBJECT_ID VARCHAR2(85 BYTE), POLICY_ID VARCHAR2(15 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), USERGROUP_POLICY_PRECEDENCE NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CUSTOM_COURSE_POLICY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_custom_course_policy_aud
 before insert on custom_course_policy_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into custom_course_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,OBJECT_TYPE
 ,OBJECT_ID
 ,POLICY_ID
 ,UPDATE_MEANING
 ,USERGROUP_POLICY_PRECEDENCE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNING_ID
 ,OBJECT_TYPE
 ,OBJECT_ID
 ,POLICY_ID
 ,UPDATE_MEANING
 ,USERGROUP_POLICY_PRECEDENCE
  from custom_course_policy
/

CREATE INDEX nuk_custom_course_policy_aud_1 ON custom_course_policy_aud(aud_userid)
/

CREATE INDEX nuk_custom_course_policy_aud_2 ON custom_course_policy_aud(aud_datetime)
/

create or replace trigger i_custom_course_policy
after insert on custom_course_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into custom_course_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,OBJECT_TYPE
 ,OBJECT_ID
 ,POLICY_ID
 ,UPDATE_MEANING
 ,USERGROUP_POLICY_PRECEDENCE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNING_ID
 ,:new.OBJECT_TYPE
 ,:new.OBJECT_ID
 ,:new.POLICY_ID
 ,:new.UPDATE_MEANING
 ,:new.USERGROUP_POLICY_PRECEDENCE
);
end;
/

create or replace trigger u_custom_course_policy
after update on custom_course_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into custom_course_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,OBJECT_TYPE
 ,OBJECT_ID
 ,POLICY_ID
 ,UPDATE_MEANING
 ,USERGROUP_POLICY_PRECEDENCE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNING_ID
 ,:new.OBJECT_TYPE
 ,:new.OBJECT_ID
 ,:new.POLICY_ID
 ,:new.UPDATE_MEANING
 ,:new.USERGROUP_POLICY_PRECEDENCE
);
end;
/

create or replace trigger d_custom_course_policy
after delete on custom_course_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into custom_course_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,OBJECT_TYPE
 ,OBJECT_ID
 ,POLICY_ID
 ,UPDATE_MEANING
 ,USERGROUP_POLICY_PRECEDENCE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNING_ID
 ,:old.OBJECT_TYPE
 ,:old.OBJECT_ID
 ,:old.POLICY_ID
 ,:old.UPDATE_MEANING
 ,:old.USERGROUP_POLICY_PRECEDENCE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-custom_course_policy', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1088, '8:de7b634db6df56b9169d0af46392b0b9', 'enableAuditTable auditTableName=custom_course_policy_aud, tableName=custom_course_policy', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdraw_ded_opt_pay_items::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAW_DED_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAW_DED_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAW_DED_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAW_DED_OPT_PAY_ITEMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAW_DED_OPT_PAY_ITEMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAW_DED_OPT_PAY_ITEMS';
			END IF;
		END;
/

CREATE TABLE w_ded_opt_pay_items_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, POLICY_ID VARCHAR2(15 BYTE), DAY_BEFORE_START NUMBER(*, 0), DEDUCTION FLOAT(22), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_W_DED_OPT_PAY_ITEMS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_w_ded_opt_pay_items_aud
 before insert on w_ded_opt_pay_items_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into w_ded_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
  from withdraw_ded_opt_pay_items
/

CREATE INDEX nuk_w_ded_opt_pay_items_aud_1 ON w_ded_opt_pay_items_aud(aud_userid)
/

CREATE INDEX nuk_w_ded_opt_pay_items_aud_2 ON w_ded_opt_pay_items_aud(aud_datetime)
/

create or replace trigger i_withdraw_ded_opt_pay_items
after insert on withdraw_ded_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into w_ded_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.DAY_BEFORE_START
 ,:new.DEDUCTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_withdraw_ded_opt_pay_items
after update on withdraw_ded_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into w_ded_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.DAY_BEFORE_START
 ,:new.DEDUCTION
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_withdraw_ded_opt_pay_items
after delete on withdraw_ded_opt_pay_items for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into w_ded_opt_pay_items_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,DAY_BEFORE_START
 ,DEDUCTION
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.POLICY_ID
 ,:old.DAY_BEFORE_START
 ,:old.DEDUCTION
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdraw_ded_opt_pay_items', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1089, '8:22fcb013f0657c45ca5130d8aaa69410', 'enableAuditTable auditTableName=w_ded_opt_pay_items_aud, tableName=withdraw_ded_opt_pay_items', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdraw_reason::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAW_REASON';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAW_REASON';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAW_REASON';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAW_REASON';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAW_REASON';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAW_REASON';
			END IF;
		END;
/

CREATE TABLE withdraw_reason_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), USER_ID VARCHAR2(85 BYTE), TRANSCRIPT_ID VARCHAR2(15 BYTE), CREATED_DATE date, REASON VARCHAR2(1000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_WITHDRAW_REASON_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_withdraw_reason_aud
 before insert on withdraw_reason_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into withdraw_reason_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,TRANSCRIPT_ID
 ,CREATED_DATE
 ,REASON
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,USER_ID
 ,TRANSCRIPT_ID
 ,CREATED_DATE
 ,REASON
 ,UPDATE_MEANING
  from withdraw_reason
/

CREATE INDEX nuk_withdraw_reason_aud_1 ON withdraw_reason_aud(aud_userid)
/

CREATE INDEX nuk_withdraw_reason_aud_2 ON withdraw_reason_aud(aud_datetime)
/

create or replace trigger i_withdraw_reason
after insert on withdraw_reason for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_reason_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,TRANSCRIPT_ID
 ,CREATED_DATE
 ,REASON
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USER_ID
 ,:new.TRANSCRIPT_ID
 ,:new.CREATED_DATE
 ,:new.REASON
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_withdraw_reason
after update on withdraw_reason for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_reason_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,TRANSCRIPT_ID
 ,CREATED_DATE
 ,REASON
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USER_ID
 ,:new.TRANSCRIPT_ID
 ,:new.CREATED_DATE
 ,:new.REASON
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_withdraw_reason
after delete on withdraw_reason for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdraw_reason_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,TRANSCRIPT_ID
 ,CREATED_DATE
 ,REASON
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.USER_ID
 ,:old.TRANSCRIPT_ID
 ,:old.CREATED_DATE
 ,:old.REASON
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdraw_reason', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1090, '8:7a43519a49c446d99b2dc25b9e86a5e2', 'enableAuditTable auditTableName=withdraw_reason_aud, tableName=withdraw_reason', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-session_attribute::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SESSION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SESSION_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SESSION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SESSION_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SESSION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SESSION_ATTRIBUTE';
			END IF;
		END;
/

CREATE TABLE session_attribute_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(85 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_SESSION_ATTRIBUTE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_session_attribute_aud
 before insert on session_attribute_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into session_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,SESSIONID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
  from session_attribute
/

CREATE INDEX nuk_session_attribute_aud_1 ON session_attribute_aud(aud_userid)
/

CREATE INDEX nuk_session_attribute_aud_2 ON session_attribute_aud(aud_datetime)
/

create or replace trigger i_session_attribute
after insert on session_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_session_attribute
after update on session_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_session_attribute
after delete on session_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into session_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,SESSIONID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.SESSIONID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-session_attribute', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1091, '8:c9404419a9efce034c8e70cc697a44a1', 'enableAuditTable auditTableName=session_attribute_aud, tableName=session_attribute', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-transcript_attribute::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TRANSCRIPT_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TRANSCRIPT_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TRANSCRIPT_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TRANSCRIPT_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TRANSCRIPT_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TRANSCRIPT_ATTRIBUTE';
			END IF;
		END;
/

CREATE TABLE transcript_attribute_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(85 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), UPDATE_MEANING VARCHAR2(8 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TRANSCRIPT_ATTRIBUTE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_transcript_attribute_aud
 before insert on transcript_attribute_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into transcript_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPTID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
  from transcript_attribute
/

CREATE INDEX nuk_transcript_attribute_aud_1 ON transcript_attribute_aud(aud_userid)
/

CREATE INDEX nuk_transcript_attribute_aud_2 ON transcript_attribute_aud(aud_datetime)
/

create or replace trigger i_transcript_attribute
after insert on transcript_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger u_transcript_attribute
after update on transcript_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.UPDATE_MEANING
);
end;
/

create or replace trigger d_transcript_attribute
after delete on transcript_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,UPDATE_MEANING
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
 ,:old.UPDATE_MEANING
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-transcript_attribute', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1092, '8:27e0b2a9cb8c669b3f204a33d5d71e9f', 'enableAuditTable auditTableName=transcript_attribute_aud, tableName=transcript_attribute', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-individual_competency::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_INDIVIDUAL_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_INDIVIDUAL_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_INDIVIDUAL_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_INDIVIDUAL_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_INDIVIDUAL_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_INDIVIDUAL_COMPETENCY';
			END IF;
		END;
/

CREATE TABLE individual_comp_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), NAME VARCHAR2(85 BYTE), MODEL_ID NUMBER(*, 0), DESCRIPTION CLOB, IS_ACTIVE CHAR(1 BYTE), REFERENCE_CODE VARCHAR2(85 BYTE), ALLOWS_MANUAL_AWARD CHAR(1 BYTE), ACQUIRE_METHOD CHAR(1 BYTE), REQUIRES_ALL CHAR(1 BYTE), ALLOWS_SELF_AWARD CHAR(1 BYTE), CATEGORYID VARCHAR2(15 BYTE), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, N_COMPLETIONS_REQUIRED NUMBER(*, 0), TASK_TYPE VARCHAR2(30 BYTE), SOURCE_NAME VARCHAR2(255 BYTE), LEVEL_GROUP_ID VARCHAR2(15 BYTE), MIN_WAIT_PERIOD NUMBER(*, 0), MIN_WAIT_UNIT CHAR(1 BYTE), AUTO_REVOKE CHAR(1 BYTE), AUTO_REVOKE_PERIOD NUMBER(*, 0), AUTO_REVOKE_UNIT CHAR(1 BYTE), AUTO_REVOKE_REMIND_PERIOD NUMBER(*, 0), AUTO_REVOKE_REMIND_UNIT CHAR(1 BYTE), SEND_REVOKED_EMAIL CHAR(1 BYTE), ADHOC_EXP_PERIOD NUMBER(*, 0), ADHOC_EXP_UNIT CHAR(1 BYTE), RENEWAL_PERIOD NUMBER(*, 0), RENEWAL_PERIOD_UNIT CHAR(1 BYTE), EXPIRATION_LOGIC CHAR(1 BYTE), ENFORCE_APPROVAL CHAR(1 BYTE), APPROVAL_TYPE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_INDIVIDUAL_COMP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_individual_comp_aud
 before insert on individual_comp_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into individual_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,MODEL_ID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,ALLOWS_MANUAL_AWARD
 ,ACQUIRE_METHOD
 ,REQUIRES_ALL
 ,ALLOWS_SELF_AWARD
 ,CATEGORYID
 ,CREATOR_UID
 ,DATECREATED
 ,N_COMPLETIONS_REQUIRED
 ,TASK_TYPE
 ,SOURCE_NAME
 ,LEVEL_GROUP_ID
 ,MIN_WAIT_PERIOD
 ,MIN_WAIT_UNIT
 ,AUTO_REVOKE
 ,AUTO_REVOKE_PERIOD
 ,AUTO_REVOKE_UNIT
 ,AUTO_REVOKE_REMIND_PERIOD
 ,AUTO_REVOKE_REMIND_UNIT
 ,SEND_REVOKED_EMAIL
 ,ADHOC_EXP_PERIOD
 ,ADHOC_EXP_UNIT
 ,RENEWAL_PERIOD
 ,RENEWAL_PERIOD_UNIT
 ,EXPIRATION_LOGIC
 ,ENFORCE_APPROVAL
 ,APPROVAL_TYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,NAME
 ,MODEL_ID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,ALLOWS_MANUAL_AWARD
 ,ACQUIRE_METHOD
 ,REQUIRES_ALL
 ,ALLOWS_SELF_AWARD
 ,CATEGORYID
 ,CREATOR_UID
 ,DATECREATED
 ,N_COMPLETIONS_REQUIRED
 ,TASK_TYPE
 ,SOURCE_NAME
 ,LEVEL_GROUP_ID
 ,MIN_WAIT_PERIOD
 ,MIN_WAIT_UNIT
 ,AUTO_REVOKE
 ,AUTO_REVOKE_PERIOD
 ,AUTO_REVOKE_UNIT
 ,AUTO_REVOKE_REMIND_PERIOD
 ,AUTO_REVOKE_REMIND_UNIT
 ,SEND_REVOKED_EMAIL
 ,ADHOC_EXP_PERIOD
 ,ADHOC_EXP_UNIT
 ,RENEWAL_PERIOD
 ,RENEWAL_PERIOD_UNIT
 ,EXPIRATION_LOGIC
 ,ENFORCE_APPROVAL
 ,APPROVAL_TYPE
  from individual_competency
/

CREATE INDEX nuk_individual_comp_aud_1 ON individual_comp_aud(aud_userid)
/

CREATE INDEX nuk_individual_comp_aud_2 ON individual_comp_aud(aud_datetime)
/

create or replace trigger i_individual_competency
after insert on individual_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into individual_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,MODEL_ID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,ALLOWS_MANUAL_AWARD
 ,ACQUIRE_METHOD
 ,REQUIRES_ALL
 ,ALLOWS_SELF_AWARD
 ,CATEGORYID
 ,CREATOR_UID
 ,DATECREATED
 ,N_COMPLETIONS_REQUIRED
 ,TASK_TYPE
 ,SOURCE_NAME
 ,LEVEL_GROUP_ID
 ,MIN_WAIT_PERIOD
 ,MIN_WAIT_UNIT
 ,AUTO_REVOKE
 ,AUTO_REVOKE_PERIOD
 ,AUTO_REVOKE_UNIT
 ,AUTO_REVOKE_REMIND_PERIOD
 ,AUTO_REVOKE_REMIND_UNIT
 ,SEND_REVOKED_EMAIL
 ,ADHOC_EXP_PERIOD
 ,ADHOC_EXP_UNIT
 ,RENEWAL_PERIOD
 ,RENEWAL_PERIOD_UNIT
 ,EXPIRATION_LOGIC
 ,ENFORCE_APPROVAL
 ,APPROVAL_TYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.NAME
 ,:new.MODEL_ID
 ,:new.DESCRIPTION
 ,:new.IS_ACTIVE
 ,:new.REFERENCE_CODE
 ,:new.ALLOWS_MANUAL_AWARD
 ,:new.ACQUIRE_METHOD
 ,:new.REQUIRES_ALL
 ,:new.ALLOWS_SELF_AWARD
 ,:new.CATEGORYID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.N_COMPLETIONS_REQUIRED
 ,:new.TASK_TYPE
 ,:new.SOURCE_NAME
 ,:new.LEVEL_GROUP_ID
 ,:new.MIN_WAIT_PERIOD
 ,:new.MIN_WAIT_UNIT
 ,:new.AUTO_REVOKE
 ,:new.AUTO_REVOKE_PERIOD
 ,:new.AUTO_REVOKE_UNIT
 ,:new.AUTO_REVOKE_REMIND_PERIOD
 ,:new.AUTO_REVOKE_REMIND_UNIT
 ,:new.SEND_REVOKED_EMAIL
 ,:new.ADHOC_EXP_PERIOD
 ,:new.ADHOC_EXP_UNIT
 ,:new.RENEWAL_PERIOD
 ,:new.RENEWAL_PERIOD_UNIT
 ,:new.EXPIRATION_LOGIC
 ,:new.ENFORCE_APPROVAL
 ,:new.APPROVAL_TYPE
);
end;
/

create or replace trigger u_individual_competency
after update on individual_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into individual_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,MODEL_ID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,ALLOWS_MANUAL_AWARD
 ,ACQUIRE_METHOD
 ,REQUIRES_ALL
 ,ALLOWS_SELF_AWARD
 ,CATEGORYID
 ,CREATOR_UID
 ,DATECREATED
 ,N_COMPLETIONS_REQUIRED
 ,TASK_TYPE
 ,SOURCE_NAME
 ,LEVEL_GROUP_ID
 ,MIN_WAIT_PERIOD
 ,MIN_WAIT_UNIT
 ,AUTO_REVOKE
 ,AUTO_REVOKE_PERIOD
 ,AUTO_REVOKE_UNIT
 ,AUTO_REVOKE_REMIND_PERIOD
 ,AUTO_REVOKE_REMIND_UNIT
 ,SEND_REVOKED_EMAIL
 ,ADHOC_EXP_PERIOD
 ,ADHOC_EXP_UNIT
 ,RENEWAL_PERIOD
 ,RENEWAL_PERIOD_UNIT
 ,EXPIRATION_LOGIC
 ,ENFORCE_APPROVAL
 ,APPROVAL_TYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.NAME
 ,:new.MODEL_ID
 ,:new.DESCRIPTION
 ,:new.IS_ACTIVE
 ,:new.REFERENCE_CODE
 ,:new.ALLOWS_MANUAL_AWARD
 ,:new.ACQUIRE_METHOD
 ,:new.REQUIRES_ALL
 ,:new.ALLOWS_SELF_AWARD
 ,:new.CATEGORYID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.N_COMPLETIONS_REQUIRED
 ,:new.TASK_TYPE
 ,:new.SOURCE_NAME
 ,:new.LEVEL_GROUP_ID
 ,:new.MIN_WAIT_PERIOD
 ,:new.MIN_WAIT_UNIT
 ,:new.AUTO_REVOKE
 ,:new.AUTO_REVOKE_PERIOD
 ,:new.AUTO_REVOKE_UNIT
 ,:new.AUTO_REVOKE_REMIND_PERIOD
 ,:new.AUTO_REVOKE_REMIND_UNIT
 ,:new.SEND_REVOKED_EMAIL
 ,:new.ADHOC_EXP_PERIOD
 ,:new.ADHOC_EXP_UNIT
 ,:new.RENEWAL_PERIOD
 ,:new.RENEWAL_PERIOD_UNIT
 ,:new.EXPIRATION_LOGIC
 ,:new.ENFORCE_APPROVAL
 ,:new.APPROVAL_TYPE
);
end;
/

create or replace trigger d_individual_competency
after delete on individual_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into individual_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,MODEL_ID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,ALLOWS_MANUAL_AWARD
 ,ACQUIRE_METHOD
 ,REQUIRES_ALL
 ,ALLOWS_SELF_AWARD
 ,CATEGORYID
 ,CREATOR_UID
 ,DATECREATED
 ,N_COMPLETIONS_REQUIRED
 ,TASK_TYPE
 ,SOURCE_NAME
 ,LEVEL_GROUP_ID
 ,MIN_WAIT_PERIOD
 ,MIN_WAIT_UNIT
 ,AUTO_REVOKE
 ,AUTO_REVOKE_PERIOD
 ,AUTO_REVOKE_UNIT
 ,AUTO_REVOKE_REMIND_PERIOD
 ,AUTO_REVOKE_REMIND_UNIT
 ,SEND_REVOKED_EMAIL
 ,ADHOC_EXP_PERIOD
 ,ADHOC_EXP_UNIT
 ,RENEWAL_PERIOD
 ,RENEWAL_PERIOD_UNIT
 ,EXPIRATION_LOGIC
 ,ENFORCE_APPROVAL
 ,APPROVAL_TYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.NAME
 ,:old.MODEL_ID
 ,:old.DESCRIPTION
 ,:old.IS_ACTIVE
 ,:old.REFERENCE_CODE
 ,:old.ALLOWS_MANUAL_AWARD
 ,:old.ACQUIRE_METHOD
 ,:old.REQUIRES_ALL
 ,:old.ALLOWS_SELF_AWARD
 ,:old.CATEGORYID
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.N_COMPLETIONS_REQUIRED
 ,:old.TASK_TYPE
 ,:old.SOURCE_NAME
 ,:old.LEVEL_GROUP_ID
 ,:old.MIN_WAIT_PERIOD
 ,:old.MIN_WAIT_UNIT
 ,:old.AUTO_REVOKE
 ,:old.AUTO_REVOKE_PERIOD
 ,:old.AUTO_REVOKE_UNIT
 ,:old.AUTO_REVOKE_REMIND_PERIOD
 ,:old.AUTO_REVOKE_REMIND_UNIT
 ,:old.SEND_REVOKED_EMAIL
 ,:old.ADHOC_EXP_PERIOD
 ,:old.ADHOC_EXP_UNIT
 ,:old.RENEWAL_PERIOD
 ,:old.RENEWAL_PERIOD_UNIT
 ,:old.EXPIRATION_LOGIC
 ,:old.ENFORCE_APPROVAL
 ,:old.APPROVAL_TYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-individual_competency', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1093, '8:e878c32b28f86500caa3cab8f8468e03', 'enableAuditTable auditTableName=individual_comp_aud, tableName=individual_competency', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-competency_level::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COMPETENCY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COMPETENCY_LEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COMPETENCY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COMPETENCY_LEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COMPETENCY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COMPETENCY_LEVEL';
			END IF;
		END;
/

CREATE TABLE competency_level_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), RES_ID VARCHAR2(15 BYTE), COMPETENCY_ID VARCHAR2(15 BYTE), DESC_TEXT CLOB, TITLE VARCHAR2(255 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COMPETENCY_LEVEL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_competency_level_aud
 before insert on competency_level_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into competency_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RES_ID
 ,COMPETENCY_ID
 ,DESC_TEXT
 ,TITLE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,RES_ID
 ,COMPETENCY_ID
 ,DESC_TEXT
 ,TITLE
  from competency_level
/

CREATE INDEX nuk_competency_level_aud_1 ON competency_level_aud(aud_userid)
/

CREATE INDEX nuk_competency_level_aud_2 ON competency_level_aud(aud_datetime)
/

create or replace trigger i_competency_level
after insert on competency_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into competency_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RES_ID
 ,COMPETENCY_ID
 ,DESC_TEXT
 ,TITLE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RES_ID
 ,:new.COMPETENCY_ID
 ,:new.DESC_TEXT
 ,:new.TITLE
);
end;
/

create or replace trigger u_competency_level
after update on competency_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into competency_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RES_ID
 ,COMPETENCY_ID
 ,DESC_TEXT
 ,TITLE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RES_ID
 ,:new.COMPETENCY_ID
 ,:new.DESC_TEXT
 ,:new.TITLE
);
end;
/

create or replace trigger d_competency_level
after delete on competency_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into competency_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RES_ID
 ,COMPETENCY_ID
 ,DESC_TEXT
 ,TITLE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.RES_ID
 ,:old.COMPETENCY_ID
 ,:old.DESC_TEXT
 ,:old.TITLE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-competency_level', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1094, '8:763d4ccb003d7df0561295ce3fb1ee1c', 'enableAuditTable auditTableName=competency_level_aud, tableName=competency_level', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_competency::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_COMPETENCY';
			END IF;
		END;
/

CREATE TABLE course_competency_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), COMPETENCY_ID VARCHAR2(15 BYTE), MODULE_ORDER NUMBER(*, 0), COMPETENCY_TARGET_LEVEL_ID VARCHAR2(15 BYTE), MANDATORY CHAR(1 BYTE), COURSE_REVISION CHAR(1 BYTE), VALID_FOR_PERIOD NUMBER(*, 0), VALID_FOR_UNIT CHAR(1 BYTE), ASSIGN_DATE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSE_COMPETENCY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_competency_aud
 before insert on course_competency_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,MODULE_ORDER
 ,COMPETENCY_TARGET_LEVEL_ID
 ,MANDATORY
 ,COURSE_REVISION
 ,VALID_FOR_PERIOD
 ,VALID_FOR_UNIT
 ,ASSIGN_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,COMPETENCY_ID
 ,MODULE_ORDER
 ,COMPETENCY_TARGET_LEVEL_ID
 ,MANDATORY
 ,COURSE_REVISION
 ,VALID_FOR_PERIOD
 ,VALID_FOR_UNIT
 ,ASSIGN_DATE
  from course_competency
/

CREATE INDEX nuk_course_competency_aud_1 ON course_competency_aud(aud_userid)
/

CREATE INDEX nuk_course_competency_aud_2 ON course_competency_aud(aud_datetime)
/

create or replace trigger i_course_competency
after insert on course_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,MODULE_ORDER
 ,COMPETENCY_TARGET_LEVEL_ID
 ,MANDATORY
 ,COURSE_REVISION
 ,VALID_FOR_PERIOD
 ,VALID_FOR_UNIT
 ,ASSIGN_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.COMPETENCY_ID
 ,:new.MODULE_ORDER
 ,:new.COMPETENCY_TARGET_LEVEL_ID
 ,:new.MANDATORY
 ,:new.COURSE_REVISION
 ,:new.VALID_FOR_PERIOD
 ,:new.VALID_FOR_UNIT
 ,:new.ASSIGN_DATE
);
end;
/

create or replace trigger u_course_competency
after update on course_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,MODULE_ORDER
 ,COMPETENCY_TARGET_LEVEL_ID
 ,MANDATORY
 ,COURSE_REVISION
 ,VALID_FOR_PERIOD
 ,VALID_FOR_UNIT
 ,ASSIGN_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.COMPETENCY_ID
 ,:new.MODULE_ORDER
 ,:new.COMPETENCY_TARGET_LEVEL_ID
 ,:new.MANDATORY
 ,:new.COURSE_REVISION
 ,:new.VALID_FOR_PERIOD
 ,:new.VALID_FOR_UNIT
 ,:new.ASSIGN_DATE
);
end;
/

create or replace trigger d_course_competency
after delete on course_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,MODULE_ORDER
 ,COMPETENCY_TARGET_LEVEL_ID
 ,MANDATORY
 ,COURSE_REVISION
 ,VALID_FOR_PERIOD
 ,VALID_FOR_UNIT
 ,ASSIGN_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.COMPETENCY_ID
 ,:old.MODULE_ORDER
 ,:old.COMPETENCY_TARGET_LEVEL_ID
 ,:old.MANDATORY
 ,:old.COURSE_REVISION
 ,:old.VALID_FOR_PERIOD
 ,:old.VALID_FOR_UNIT
 ,:old.ASSIGN_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_competency', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1095, '8:97f27501c54842fed8716f3c6d1a3698', 'enableAuditTable auditTableName=course_competency_aud, tableName=course_competency', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-job_profile::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_JOB_PROFILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_JOB_PROFILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_JOB_PROFILE';
			END IF;
		END;
/

CREATE TABLE job_profile_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), NAME VARCHAR2(85 BYTE), POOLID NUMBER(*, 0), DESCRIPTION CLOB, IS_ACTIVE CHAR(1 BYTE), REFERENCE_CODE VARCHAR2(85 BYTE), CATEGORYID VARCHAR2(15 BYTE), ALLOWS_MANUAL_ASSIGNMENT CHAR(1 BYTE), ALLOWS_AUTO_ASSIGNMENT CHAR(1 BYTE), ALLOWS_SELF_ASSIGNMENT CHAR(1 BYTE), REQUIRES_ALL CHAR(1 BYTE), N_COMPETENCIES_REQUIRED NUMBER(*, 0), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, PROFILE_TYPE VARCHAR2(30 BYTE), OWNER_ID VARCHAR2(85 BYTE), ASSIGN_ASSIGNEE_EMAIL_ID VARCHAR2(15 BYTE), ASSIGN_ASSIGNEE_TYPE CHAR(1 BYTE), ASSIGN_DA_EMAIL_ID VARCHAR2(15 BYTE), ASSIGN_DA_TYPE CHAR(1 BYTE), ASSIGN_OWNER_EMAIL_ID VARCHAR2(15 BYTE), ASSIGN_OWNER_TYPE CHAR(1 BYTE), DEASSIGN_ASSIGNEE_EMAIL_ID VARCHAR2(15 BYTE), DEASSIGN_ASSIGNEE_TYPE CHAR(1 BYTE), DEASSIGN_DA_EMAIL_ID VARCHAR2(15 BYTE), DEASSIGN_DA_TYPE CHAR(1 BYTE), DEASSIGN_OWNER_EMAIL_ID VARCHAR2(15 BYTE), DEASSIGN_OWNER_TYPE CHAR(1 BYTE), PICTURE VARCHAR2(255 BYTE), ALLOWS_ASSIGNMENT_START_DATE date, ALLOWS_ASSIGNMENT_END_DATE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_JOB_PROFILE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_job_profile_aud
 before insert on job_profile_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,POOLID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,CATEGORYID
 ,ALLOWS_MANUAL_ASSIGNMENT
 ,ALLOWS_AUTO_ASSIGNMENT
 ,ALLOWS_SELF_ASSIGNMENT
 ,REQUIRES_ALL
 ,N_COMPETENCIES_REQUIRED
 ,CREATOR_UID
 ,DATECREATED
 ,PROFILE_TYPE
 ,OWNER_ID
 ,ASSIGN_ASSIGNEE_EMAIL_ID
 ,ASSIGN_ASSIGNEE_TYPE
 ,ASSIGN_DA_EMAIL_ID
 ,ASSIGN_DA_TYPE
 ,ASSIGN_OWNER_EMAIL_ID
 ,ASSIGN_OWNER_TYPE
 ,DEASSIGN_ASSIGNEE_EMAIL_ID
 ,DEASSIGN_ASSIGNEE_TYPE
 ,DEASSIGN_DA_EMAIL_ID
 ,DEASSIGN_DA_TYPE
 ,DEASSIGN_OWNER_EMAIL_ID
 ,DEASSIGN_OWNER_TYPE
 ,PICTURE
 ,ALLOWS_ASSIGNMENT_START_DATE
 ,ALLOWS_ASSIGNMENT_END_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,NAME
 ,POOLID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,CATEGORYID
 ,ALLOWS_MANUAL_ASSIGNMENT
 ,ALLOWS_AUTO_ASSIGNMENT
 ,ALLOWS_SELF_ASSIGNMENT
 ,REQUIRES_ALL
 ,N_COMPETENCIES_REQUIRED
 ,CREATOR_UID
 ,DATECREATED
 ,PROFILE_TYPE
 ,OWNER_ID
 ,ASSIGN_ASSIGNEE_EMAIL_ID
 ,ASSIGN_ASSIGNEE_TYPE
 ,ASSIGN_DA_EMAIL_ID
 ,ASSIGN_DA_TYPE
 ,ASSIGN_OWNER_EMAIL_ID
 ,ASSIGN_OWNER_TYPE
 ,DEASSIGN_ASSIGNEE_EMAIL_ID
 ,DEASSIGN_ASSIGNEE_TYPE
 ,DEASSIGN_DA_EMAIL_ID
 ,DEASSIGN_DA_TYPE
 ,DEASSIGN_OWNER_EMAIL_ID
 ,DEASSIGN_OWNER_TYPE
 ,PICTURE
 ,ALLOWS_ASSIGNMENT_START_DATE
 ,ALLOWS_ASSIGNMENT_END_DATE
  from job_profile
/

CREATE INDEX nuk_job_profile_aud_1 ON job_profile_aud(aud_userid)
/

CREATE INDEX nuk_job_profile_aud_2 ON job_profile_aud(aud_datetime)
/

create or replace trigger i_job_profile
after insert on job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,POOLID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,CATEGORYID
 ,ALLOWS_MANUAL_ASSIGNMENT
 ,ALLOWS_AUTO_ASSIGNMENT
 ,ALLOWS_SELF_ASSIGNMENT
 ,REQUIRES_ALL
 ,N_COMPETENCIES_REQUIRED
 ,CREATOR_UID
 ,DATECREATED
 ,PROFILE_TYPE
 ,OWNER_ID
 ,ASSIGN_ASSIGNEE_EMAIL_ID
 ,ASSIGN_ASSIGNEE_TYPE
 ,ASSIGN_DA_EMAIL_ID
 ,ASSIGN_DA_TYPE
 ,ASSIGN_OWNER_EMAIL_ID
 ,ASSIGN_OWNER_TYPE
 ,DEASSIGN_ASSIGNEE_EMAIL_ID
 ,DEASSIGN_ASSIGNEE_TYPE
 ,DEASSIGN_DA_EMAIL_ID
 ,DEASSIGN_DA_TYPE
 ,DEASSIGN_OWNER_EMAIL_ID
 ,DEASSIGN_OWNER_TYPE
 ,PICTURE
 ,ALLOWS_ASSIGNMENT_START_DATE
 ,ALLOWS_ASSIGNMENT_END_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.NAME
 ,:new.POOLID
 ,:new.DESCRIPTION
 ,:new.IS_ACTIVE
 ,:new.REFERENCE_CODE
 ,:new.CATEGORYID
 ,:new.ALLOWS_MANUAL_ASSIGNMENT
 ,:new.ALLOWS_AUTO_ASSIGNMENT
 ,:new.ALLOWS_SELF_ASSIGNMENT
 ,:new.REQUIRES_ALL
 ,:new.N_COMPETENCIES_REQUIRED
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.PROFILE_TYPE
 ,:new.OWNER_ID
 ,:new.ASSIGN_ASSIGNEE_EMAIL_ID
 ,:new.ASSIGN_ASSIGNEE_TYPE
 ,:new.ASSIGN_DA_EMAIL_ID
 ,:new.ASSIGN_DA_TYPE
 ,:new.ASSIGN_OWNER_EMAIL_ID
 ,:new.ASSIGN_OWNER_TYPE
 ,:new.DEASSIGN_ASSIGNEE_EMAIL_ID
 ,:new.DEASSIGN_ASSIGNEE_TYPE
 ,:new.DEASSIGN_DA_EMAIL_ID
 ,:new.DEASSIGN_DA_TYPE
 ,:new.DEASSIGN_OWNER_EMAIL_ID
 ,:new.DEASSIGN_OWNER_TYPE
 ,:new.PICTURE
 ,:new.ALLOWS_ASSIGNMENT_START_DATE
 ,:new.ALLOWS_ASSIGNMENT_END_DATE
);
end;
/

create or replace trigger u_job_profile
after update on job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,POOLID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,CATEGORYID
 ,ALLOWS_MANUAL_ASSIGNMENT
 ,ALLOWS_AUTO_ASSIGNMENT
 ,ALLOWS_SELF_ASSIGNMENT
 ,REQUIRES_ALL
 ,N_COMPETENCIES_REQUIRED
 ,CREATOR_UID
 ,DATECREATED
 ,PROFILE_TYPE
 ,OWNER_ID
 ,ASSIGN_ASSIGNEE_EMAIL_ID
 ,ASSIGN_ASSIGNEE_TYPE
 ,ASSIGN_DA_EMAIL_ID
 ,ASSIGN_DA_TYPE
 ,ASSIGN_OWNER_EMAIL_ID
 ,ASSIGN_OWNER_TYPE
 ,DEASSIGN_ASSIGNEE_EMAIL_ID
 ,DEASSIGN_ASSIGNEE_TYPE
 ,DEASSIGN_DA_EMAIL_ID
 ,DEASSIGN_DA_TYPE
 ,DEASSIGN_OWNER_EMAIL_ID
 ,DEASSIGN_OWNER_TYPE
 ,PICTURE
 ,ALLOWS_ASSIGNMENT_START_DATE
 ,ALLOWS_ASSIGNMENT_END_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.NAME
 ,:new.POOLID
 ,:new.DESCRIPTION
 ,:new.IS_ACTIVE
 ,:new.REFERENCE_CODE
 ,:new.CATEGORYID
 ,:new.ALLOWS_MANUAL_ASSIGNMENT
 ,:new.ALLOWS_AUTO_ASSIGNMENT
 ,:new.ALLOWS_SELF_ASSIGNMENT
 ,:new.REQUIRES_ALL
 ,:new.N_COMPETENCIES_REQUIRED
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.PROFILE_TYPE
 ,:new.OWNER_ID
 ,:new.ASSIGN_ASSIGNEE_EMAIL_ID
 ,:new.ASSIGN_ASSIGNEE_TYPE
 ,:new.ASSIGN_DA_EMAIL_ID
 ,:new.ASSIGN_DA_TYPE
 ,:new.ASSIGN_OWNER_EMAIL_ID
 ,:new.ASSIGN_OWNER_TYPE
 ,:new.DEASSIGN_ASSIGNEE_EMAIL_ID
 ,:new.DEASSIGN_ASSIGNEE_TYPE
 ,:new.DEASSIGN_DA_EMAIL_ID
 ,:new.DEASSIGN_DA_TYPE
 ,:new.DEASSIGN_OWNER_EMAIL_ID
 ,:new.DEASSIGN_OWNER_TYPE
 ,:new.PICTURE
 ,:new.ALLOWS_ASSIGNMENT_START_DATE
 ,:new.ALLOWS_ASSIGNMENT_END_DATE
);
end;
/

create or replace trigger d_job_profile
after delete on job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,NAME
 ,POOLID
 ,DESCRIPTION
 ,IS_ACTIVE
 ,REFERENCE_CODE
 ,CATEGORYID
 ,ALLOWS_MANUAL_ASSIGNMENT
 ,ALLOWS_AUTO_ASSIGNMENT
 ,ALLOWS_SELF_ASSIGNMENT
 ,REQUIRES_ALL
 ,N_COMPETENCIES_REQUIRED
 ,CREATOR_UID
 ,DATECREATED
 ,PROFILE_TYPE
 ,OWNER_ID
 ,ASSIGN_ASSIGNEE_EMAIL_ID
 ,ASSIGN_ASSIGNEE_TYPE
 ,ASSIGN_DA_EMAIL_ID
 ,ASSIGN_DA_TYPE
 ,ASSIGN_OWNER_EMAIL_ID
 ,ASSIGN_OWNER_TYPE
 ,DEASSIGN_ASSIGNEE_EMAIL_ID
 ,DEASSIGN_ASSIGNEE_TYPE
 ,DEASSIGN_DA_EMAIL_ID
 ,DEASSIGN_DA_TYPE
 ,DEASSIGN_OWNER_EMAIL_ID
 ,DEASSIGN_OWNER_TYPE
 ,PICTURE
 ,ALLOWS_ASSIGNMENT_START_DATE
 ,ALLOWS_ASSIGNMENT_END_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.NAME
 ,:old.POOLID
 ,:old.DESCRIPTION
 ,:old.IS_ACTIVE
 ,:old.REFERENCE_CODE
 ,:old.CATEGORYID
 ,:old.ALLOWS_MANUAL_ASSIGNMENT
 ,:old.ALLOWS_AUTO_ASSIGNMENT
 ,:old.ALLOWS_SELF_ASSIGNMENT
 ,:old.REQUIRES_ALL
 ,:old.N_COMPETENCIES_REQUIRED
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.PROFILE_TYPE
 ,:old.OWNER_ID
 ,:old.ASSIGN_ASSIGNEE_EMAIL_ID
 ,:old.ASSIGN_ASSIGNEE_TYPE
 ,:old.ASSIGN_DA_EMAIL_ID
 ,:old.ASSIGN_DA_TYPE
 ,:old.ASSIGN_OWNER_EMAIL_ID
 ,:old.ASSIGN_OWNER_TYPE
 ,:old.DEASSIGN_ASSIGNEE_EMAIL_ID
 ,:old.DEASSIGN_ASSIGNEE_TYPE
 ,:old.DEASSIGN_DA_EMAIL_ID
 ,:old.DEASSIGN_DA_TYPE
 ,:old.DEASSIGN_OWNER_EMAIL_ID
 ,:old.DEASSIGN_OWNER_TYPE
 ,:old.PICTURE
 ,:old.ALLOWS_ASSIGNMENT_START_DATE
 ,:old.ALLOWS_ASSIGNMENT_END_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-job_profile', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1096, '8:a39eb2948c06666951628a349273b1e4', 'enableAuditTable auditTableName=job_profile_aud, tableName=job_profile', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-job_profile_competency::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_JOB_PROFILE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_JOB_PROFILE_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_JOB_PROFILE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_JOB_PROFILE_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_JOB_PROFILE_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_JOB_PROFILE_COMPETENCY';
			END IF;
		END;
/

CREATE TABLE job_profile_comp_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, JOB_PROFILE_ID VARCHAR2(15 BYTE), COMPETENCY_ID VARCHAR2(15 BYTE), COMPETENCY_ORDER NUMBER(*, 0), MANDATORY CHAR(1 BYTE), COMPETENCY_TARGET_LEVEL_ID VARCHAR2(15 BYTE), COMPETENCY_QUOTA NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_JOB_PROFILE_COMP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_job_profile_comp_aud
 before insert on job_profile_comp_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into job_profile_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,JOB_PROFILE_ID
 ,COMPETENCY_ID
 ,COMPETENCY_ORDER
 ,MANDATORY
 ,COMPETENCY_TARGET_LEVEL_ID
 ,COMPETENCY_QUOTA
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,JOB_PROFILE_ID
 ,COMPETENCY_ID
 ,COMPETENCY_ORDER
 ,MANDATORY
 ,COMPETENCY_TARGET_LEVEL_ID
 ,COMPETENCY_QUOTA
  from job_profile_competency
/

CREATE INDEX nuk_job_profile_comp_aud_1 ON job_profile_comp_aud(aud_userid)
/

CREATE INDEX nuk_job_profile_comp_aud_2 ON job_profile_comp_aud(aud_datetime)
/

create or replace trigger i_job_profile_competency
after insert on job_profile_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,JOB_PROFILE_ID
 ,COMPETENCY_ID
 ,COMPETENCY_ORDER
 ,MANDATORY
 ,COMPETENCY_TARGET_LEVEL_ID
 ,COMPETENCY_QUOTA
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.JOB_PROFILE_ID
 ,:new.COMPETENCY_ID
 ,:new.COMPETENCY_ORDER
 ,:new.MANDATORY
 ,:new.COMPETENCY_TARGET_LEVEL_ID
 ,:new.COMPETENCY_QUOTA
);
end;
/

create or replace trigger u_job_profile_competency
after update on job_profile_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,JOB_PROFILE_ID
 ,COMPETENCY_ID
 ,COMPETENCY_ORDER
 ,MANDATORY
 ,COMPETENCY_TARGET_LEVEL_ID
 ,COMPETENCY_QUOTA
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.JOB_PROFILE_ID
 ,:new.COMPETENCY_ID
 ,:new.COMPETENCY_ORDER
 ,:new.MANDATORY
 ,:new.COMPETENCY_TARGET_LEVEL_ID
 ,:new.COMPETENCY_QUOTA
);
end;
/

create or replace trigger d_job_profile_competency
after delete on job_profile_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into job_profile_comp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,JOB_PROFILE_ID
 ,COMPETENCY_ID
 ,COMPETENCY_ORDER
 ,MANDATORY
 ,COMPETENCY_TARGET_LEVEL_ID
 ,COMPETENCY_QUOTA
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.JOB_PROFILE_ID
 ,:old.COMPETENCY_ID
 ,:old.COMPETENCY_ORDER
 ,:old.MANDATORY
 ,:old.COMPETENCY_TARGET_LEVEL_ID
 ,:old.COMPETENCY_QUOTA
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-job_profile_competency', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1097, '8:2aa67daf901bbbd4f42131de9f8ce5da', 'enableAuditTable auditTableName=job_profile_comp_aud, tableName=job_profile_competency', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-user_competency::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_USER_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_USER_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_USER_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_USER_COMPETENCY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_USER_COMPETENCY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_USER_COMPETENCY';
			END IF;
		END;
/

CREATE TABLE user_competency_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, USER_ID VARCHAR2(85 BYTE), COMPETENCY_ID VARCHAR2(15 BYTE), DATE_ASSIGNED date, ASSIGNED_BY VARCHAR2(85 BYTE), ASSESSMENT_MODE CHAR(1 BYTE), ASSIGNED_COMMENT VARCHAR2(1000 BYTE), COMPETENCY_LEVEL_ID VARCHAR2(15 BYTE), EXPIRE_DATE date, NREMINDERS NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_USER_COMPETENCY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_user_competency_aud
 before insert on user_competency_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into user_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,COMPETENCY_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSESSMENT_MODE
 ,ASSIGNED_COMMENT
 ,COMPETENCY_LEVEL_ID
 ,EXPIRE_DATE
 ,NREMINDERS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,USER_ID
 ,COMPETENCY_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSESSMENT_MODE
 ,ASSIGNED_COMMENT
 ,COMPETENCY_LEVEL_ID
 ,EXPIRE_DATE
 ,NREMINDERS
  from user_competency
/

CREATE INDEX nuk_user_competency_aud_1 ON user_competency_aud(aud_userid)
/

CREATE INDEX nuk_user_competency_aud_2 ON user_competency_aud(aud_datetime)
/

create or replace trigger i_user_competency
after insert on user_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,COMPETENCY_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSESSMENT_MODE
 ,ASSIGNED_COMMENT
 ,COMPETENCY_LEVEL_ID
 ,EXPIRE_DATE
 ,NREMINDERS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.COMPETENCY_ID
 ,:new.DATE_ASSIGNED
 ,:new.ASSIGNED_BY
 ,:new.ASSESSMENT_MODE
 ,:new.ASSIGNED_COMMENT
 ,:new.COMPETENCY_LEVEL_ID
 ,:new.EXPIRE_DATE
 ,:new.NREMINDERS
);
end;
/

create or replace trigger u_user_competency
after update on user_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,COMPETENCY_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSESSMENT_MODE
 ,ASSIGNED_COMMENT
 ,COMPETENCY_LEVEL_ID
 ,EXPIRE_DATE
 ,NREMINDERS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.COMPETENCY_ID
 ,:new.DATE_ASSIGNED
 ,:new.ASSIGNED_BY
 ,:new.ASSESSMENT_MODE
 ,:new.ASSIGNED_COMMENT
 ,:new.COMPETENCY_LEVEL_ID
 ,:new.EXPIRE_DATE
 ,:new.NREMINDERS
);
end;
/

create or replace trigger d_user_competency
after delete on user_competency for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_competency_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,COMPETENCY_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSESSMENT_MODE
 ,ASSIGNED_COMMENT
 ,COMPETENCY_LEVEL_ID
 ,EXPIRE_DATE
 ,NREMINDERS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.USER_ID
 ,:old.COMPETENCY_ID
 ,:old.DATE_ASSIGNED
 ,:old.ASSIGNED_BY
 ,:old.ASSESSMENT_MODE
 ,:old.ASSIGNED_COMMENT
 ,:old.COMPETENCY_LEVEL_ID
 ,:old.EXPIRE_DATE
 ,:old.NREMINDERS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-user_competency', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1098, '8:b5b0267354c219083e5bc82da9e020c5', 'enableAuditTable auditTableName=user_competency_aud, tableName=user_competency', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-user_job_profile::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_USER_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_USER_JOB_PROFILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_USER_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_USER_JOB_PROFILE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_USER_JOB_PROFILE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_USER_JOB_PROFILE';
			END IF;
		END;
/

CREATE TABLE user_job_profile_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, USER_ID VARCHAR2(85 BYTE), JOB_PROFILE_ID VARCHAR2(15 BYTE), DATE_ASSIGNED date, ASSIGNED_BY VARCHAR2(85 BYTE), ASSIGN_TYPE CHAR(1 BYTE), STATUS_FLAG CHAR(1 BYTE), STATUS_DATE date, STATUS_PERCENT FLOAT(22), ASSIGNMENT_TYPE_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_USER_JOB_PROFILE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_user_job_profile_aud
 before insert on user_job_profile_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into user_job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,JOB_PROFILE_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSIGN_TYPE
 ,STATUS_FLAG
 ,STATUS_DATE
 ,STATUS_PERCENT
 ,ASSIGNMENT_TYPE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,USER_ID
 ,JOB_PROFILE_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSIGN_TYPE
 ,STATUS_FLAG
 ,STATUS_DATE
 ,STATUS_PERCENT
 ,ASSIGNMENT_TYPE_ID
  from user_job_profile
/

CREATE INDEX nuk_user_job_profile_aud_1 ON user_job_profile_aud(aud_userid)
/

CREATE INDEX nuk_user_job_profile_aud_2 ON user_job_profile_aud(aud_datetime)
/

create or replace trigger i_user_job_profile
after insert on user_job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,JOB_PROFILE_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSIGN_TYPE
 ,STATUS_FLAG
 ,STATUS_DATE
 ,STATUS_PERCENT
 ,ASSIGNMENT_TYPE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.JOB_PROFILE_ID
 ,:new.DATE_ASSIGNED
 ,:new.ASSIGNED_BY
 ,:new.ASSIGN_TYPE
 ,:new.STATUS_FLAG
 ,:new.STATUS_DATE
 ,:new.STATUS_PERCENT
 ,:new.ASSIGNMENT_TYPE_ID
);
end;
/

create or replace trigger u_user_job_profile
after update on user_job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,JOB_PROFILE_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSIGN_TYPE
 ,STATUS_FLAG
 ,STATUS_DATE
 ,STATUS_PERCENT
 ,ASSIGNMENT_TYPE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.JOB_PROFILE_ID
 ,:new.DATE_ASSIGNED
 ,:new.ASSIGNED_BY
 ,:new.ASSIGN_TYPE
 ,:new.STATUS_FLAG
 ,:new.STATUS_DATE
 ,:new.STATUS_PERCENT
 ,:new.ASSIGNMENT_TYPE_ID
);
end;
/

create or replace trigger d_user_job_profile
after delete on user_job_profile for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into user_job_profile_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,JOB_PROFILE_ID
 ,DATE_ASSIGNED
 ,ASSIGNED_BY
 ,ASSIGN_TYPE
 ,STATUS_FLAG
 ,STATUS_DATE
 ,STATUS_PERCENT
 ,ASSIGNMENT_TYPE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.USER_ID
 ,:old.JOB_PROFILE_ID
 ,:old.DATE_ASSIGNED
 ,:old.ASSIGNED_BY
 ,:old.ASSIGN_TYPE
 ,:old.STATUS_FLAG
 ,:old.STATUS_DATE
 ,:old.STATUS_PERCENT
 ,:old.ASSIGNMENT_TYPE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-user_job_profile', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1099, '8:7ee4564401e95a8e452a4126761a7768', 'enableAuditTable auditTableName=user_job_profile_aud, tableName=user_job_profile', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-tms_responsibility_level::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TMS_RESPONSIBILITY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TMS_RESPONSIBILITY_LEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TMS_RESPONSIBILITY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TMS_RESPONSIBILITY_LEVEL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TMS_RESPONSIBILITY_LEVEL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TMS_RESPONSIBILITY_LEVEL';
			END IF;
		END;
/

CREATE TABLE tms_resp_level_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(15 BYTE), LEVEL_ORDER NUMBER(*, 0), CODE VARCHAR2(255 BYTE), TITLE VARCHAR2(255 BYTE), DESC_TEXT CLOB, LEVEL_GROUP_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TMS_RESP_LEVEL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_tms_resp_level_aud
 before insert on tms_resp_level_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into tms_resp_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEVEL_ORDER
 ,CODE
 ,TITLE
 ,DESC_TEXT
 ,LEVEL_GROUP_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEVEL_ORDER
 ,CODE
 ,TITLE
 ,DESC_TEXT
 ,LEVEL_GROUP_ID
  from tms_responsibility_level
/

CREATE INDEX nuk_tms_resp_level_aud_1 ON tms_resp_level_aud(aud_userid)
/

CREATE INDEX nuk_tms_resp_level_aud_2 ON tms_resp_level_aud(aud_datetime)
/

create or replace trigger i_tms_responsibility_level
after insert on tms_responsibility_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tms_resp_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEVEL_ORDER
 ,CODE
 ,TITLE
 ,DESC_TEXT
 ,LEVEL_GROUP_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEVEL_ORDER
 ,:new.CODE
 ,:new.TITLE
 ,:new.DESC_TEXT
 ,:new.LEVEL_GROUP_ID
);
end;
/

create or replace trigger u_tms_responsibility_level
after update on tms_responsibility_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tms_resp_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEVEL_ORDER
 ,CODE
 ,TITLE
 ,DESC_TEXT
 ,LEVEL_GROUP_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEVEL_ORDER
 ,:new.CODE
 ,:new.TITLE
 ,:new.DESC_TEXT
 ,:new.LEVEL_GROUP_ID
);
end;
/

create or replace trigger d_tms_responsibility_level
after delete on tms_responsibility_level for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tms_resp_level_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEVEL_ORDER
 ,CODE
 ,TITLE
 ,DESC_TEXT
 ,LEVEL_GROUP_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEVEL_ORDER
 ,:old.CODE
 ,:old.TITLE
 ,:old.DESC_TEXT
 ,:old.LEVEL_GROUP_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-tms_responsibility_level', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1100, '8:3332c9274916108b9841fd3f9cc89fe2', 'enableAuditTable auditTableName=tms_resp_level_aud, tableName=tms_responsibility_level', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-exam_workflow::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EXAM_WORKFLOW';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EXAM_WORKFLOW';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EXAM_WORKFLOW';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EXAM_WORKFLOW';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EXAM_WORKFLOW';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EXAM_WORKFLOW';
			END IF;
		END;
/

CREATE TABLE exam_workflow_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EW_ID VARCHAR2(15 BYTE), DISPLAY_NAME VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EXAM_WORKFLOW_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_exam_workflow_aud
 before insert on exam_workflow_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into exam_workflow_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EW_ID
 ,DISPLAY_NAME
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EW_ID
 ,DISPLAY_NAME
  from exam_workflow
/

CREATE INDEX nuk_exam_workflow_aud_1 ON exam_workflow_aud(aud_userid)
/

CREATE INDEX nuk_exam_workflow_aud_2 ON exam_workflow_aud(aud_datetime)
/

create or replace trigger i_exam_workflow
after insert on exam_workflow for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EW_ID
 ,DISPLAY_NAME
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EW_ID
 ,:new.DISPLAY_NAME
);
end;
/

create or replace trigger u_exam_workflow
after update on exam_workflow for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EW_ID
 ,DISPLAY_NAME
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EW_ID
 ,:new.DISPLAY_NAME
);
end;
/

create or replace trigger d_exam_workflow
after delete on exam_workflow for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EW_ID
 ,DISPLAY_NAME
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EW_ID
 ,:old.DISPLAY_NAME
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-exam_workflow', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1101, '8:f9fd8ed331e04cf3e2d812110e44ce42', 'enableAuditTable auditTableName=exam_workflow_aud, tableName=exam_workflow', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-exam_workflow_step::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EXAM_WORKFLOW_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EXAM_WORKFLOW_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EXAM_WORKFLOW_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EXAM_WORKFLOW_STEP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EXAM_WORKFLOW_STEP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EXAM_WORKFLOW_STEP';
			END IF;
		END;
/

CREATE TABLE exam_workflow_step_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EWS_ID VARCHAR2(15 BYTE), EW_ID VARCHAR2(15 BYTE), TESTID VARCHAR2(100 BYTE), TYPE CHAR(1 BYTE), DESCRIPTION VARCHAR2(255 BYTE), TARGET_ASSESSOR CHAR(1 BYTE), EMAIL_PROFILE_ID VARCHAR2(15 BYTE), NO_DAYS NUMBER(*, 0), IS_AFTER CHAR(1 BYTE), IS_AT_COURSE_START CHAR(1 BYTE), FREQUENCY CHAR(1 BYTE), REMINDER_SEND_LIMIT NUMBER(*, 0), STEP_ORDER NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EXAM_WORKFLOW_STEP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_exam_workflow_step_aud
 before insert on exam_workflow_step_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into exam_workflow_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EWS_ID
 ,EW_ID
 ,TESTID
 ,TYPE
 ,DESCRIPTION
 ,TARGET_ASSESSOR
 ,EMAIL_PROFILE_ID
 ,NO_DAYS
 ,IS_AFTER
 ,IS_AT_COURSE_START
 ,FREQUENCY
 ,REMINDER_SEND_LIMIT
 ,STEP_ORDER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EWS_ID
 ,EW_ID
 ,TESTID
 ,TYPE
 ,DESCRIPTION
 ,TARGET_ASSESSOR
 ,EMAIL_PROFILE_ID
 ,NO_DAYS
 ,IS_AFTER
 ,IS_AT_COURSE_START
 ,FREQUENCY
 ,REMINDER_SEND_LIMIT
 ,STEP_ORDER
  from exam_workflow_step
/

CREATE INDEX nuk_exam_workflow_step_aud_1 ON exam_workflow_step_aud(aud_userid)
/

CREATE INDEX nuk_exam_workflow_step_aud_2 ON exam_workflow_step_aud(aud_datetime)
/

create or replace trigger i_exam_workflow_step
after insert on exam_workflow_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EWS_ID
 ,EW_ID
 ,TESTID
 ,TYPE
 ,DESCRIPTION
 ,TARGET_ASSESSOR
 ,EMAIL_PROFILE_ID
 ,NO_DAYS
 ,IS_AFTER
 ,IS_AT_COURSE_START
 ,FREQUENCY
 ,REMINDER_SEND_LIMIT
 ,STEP_ORDER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EWS_ID
 ,:new.EW_ID
 ,:new.TESTID
 ,:new.TYPE
 ,:new.DESCRIPTION
 ,:new.TARGET_ASSESSOR
 ,:new.EMAIL_PROFILE_ID
 ,:new.NO_DAYS
 ,:new.IS_AFTER
 ,:new.IS_AT_COURSE_START
 ,:new.FREQUENCY
 ,:new.REMINDER_SEND_LIMIT
 ,:new.STEP_ORDER
);
end;
/

create or replace trigger u_exam_workflow_step
after update on exam_workflow_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EWS_ID
 ,EW_ID
 ,TESTID
 ,TYPE
 ,DESCRIPTION
 ,TARGET_ASSESSOR
 ,EMAIL_PROFILE_ID
 ,NO_DAYS
 ,IS_AFTER
 ,IS_AT_COURSE_START
 ,FREQUENCY
 ,REMINDER_SEND_LIMIT
 ,STEP_ORDER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EWS_ID
 ,:new.EW_ID
 ,:new.TESTID
 ,:new.TYPE
 ,:new.DESCRIPTION
 ,:new.TARGET_ASSESSOR
 ,:new.EMAIL_PROFILE_ID
 ,:new.NO_DAYS
 ,:new.IS_AFTER
 ,:new.IS_AT_COURSE_START
 ,:new.FREQUENCY
 ,:new.REMINDER_SEND_LIMIT
 ,:new.STEP_ORDER
);
end;
/

create or replace trigger d_exam_workflow_step
after delete on exam_workflow_step for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into exam_workflow_step_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EWS_ID
 ,EW_ID
 ,TESTID
 ,TYPE
 ,DESCRIPTION
 ,TARGET_ASSESSOR
 ,EMAIL_PROFILE_ID
 ,NO_DAYS
 ,IS_AFTER
 ,IS_AT_COURSE_START
 ,FREQUENCY
 ,REMINDER_SEND_LIMIT
 ,STEP_ORDER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EWS_ID
 ,:old.EW_ID
 ,:old.TESTID
 ,:old.TYPE
 ,:old.DESCRIPTION
 ,:old.TARGET_ASSESSOR
 ,:old.EMAIL_PROFILE_ID
 ,:old.NO_DAYS
 ,:old.IS_AFTER
 ,:old.IS_AT_COURSE_START
 ,:old.FREQUENCY
 ,:old.REMINDER_SEND_LIMIT
 ,:old.STEP_ORDER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-exam_workflow_step', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1102, '8:eff0e72b5b9b5ce33319cba414fa848a', 'enableAuditTable auditTableName=exam_workflow_step_aud, tableName=exam_workflow_step', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-task_signoff_config::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TASK_SIGNOFF_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TASK_SIGNOFF_CONFIG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TASK_SIGNOFF_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TASK_SIGNOFF_CONFIG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TASK_SIGNOFF_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TASK_SIGNOFF_CONFIG';
			END IF;
		END;
/

CREATE TABLE task_signoff_config_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNING_ID VARCHAR2(85 BYTE), SIGNOFF_TYPE CHAR(1 BYTE), CHECK_PRE_REQUISITES CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TASK_SIGNOFF_CONFIG_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_task_signoff_config_aud
 before insert on task_signoff_config_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into task_signoff_config_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,SIGNOFF_TYPE
 ,CHECK_PRE_REQUISITES
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNING_ID
 ,SIGNOFF_TYPE
 ,CHECK_PRE_REQUISITES
  from task_signoff_config
/

CREATE INDEX nuk_task_signoff_config_aud_1 ON task_signoff_config_aud(aud_userid)
/

CREATE INDEX nuk_task_signoff_config_aud_2 ON task_signoff_config_aud(aud_datetime)
/

create or replace trigger i_task_signoff_config
after insert on task_signoff_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_config_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,SIGNOFF_TYPE
 ,CHECK_PRE_REQUISITES
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNING_ID
 ,:new.SIGNOFF_TYPE
 ,:new.CHECK_PRE_REQUISITES
);
end;
/

create or replace trigger u_task_signoff_config
after update on task_signoff_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_config_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,SIGNOFF_TYPE
 ,CHECK_PRE_REQUISITES
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNING_ID
 ,:new.SIGNOFF_TYPE
 ,:new.CHECK_PRE_REQUISITES
);
end;
/

create or replace trigger d_task_signoff_config
after delete on task_signoff_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_config_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNING_ID
 ,SIGNOFF_TYPE
 ,CHECK_PRE_REQUISITES
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNING_ID
 ,:old.SIGNOFF_TYPE
 ,:old.CHECK_PRE_REQUISITES
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-task_signoff_config', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1103, '8:3025fd2c838365f48ac8e37cfb6d1563', 'enableAuditTable auditTableName=task_signoff_config_aud, tableName=task_signoff_config', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-task_signoff_users::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TASK_SIGNOFF_USERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TASK_SIGNOFF_USERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TASK_SIGNOFF_USERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TASK_SIGNOFF_USERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TASK_SIGNOFF_USERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TASK_SIGNOFF_USERS';
			END IF;
		END;
/

CREATE TABLE task_signoff_users_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPT_ID VARCHAR2(15 BYTE), SIGNOFF_USER_ID VARCHAR2(85 BYTE), SIGNOFF_DATE date, DELEGATED_TO VARCHAR2(85 BYTE), DELEGATED_BY VARCHAR2(85 BYTE), DELEGATE_DATE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TASK_SIGNOFF_USERS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_task_signoff_users_aud
 before insert on task_signoff_users_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into task_signoff_users_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPT_ID
 ,SIGNOFF_USER_ID
 ,SIGNOFF_DATE
 ,DELEGATED_TO
 ,DELEGATED_BY
 ,DELEGATE_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPT_ID
 ,SIGNOFF_USER_ID
 ,SIGNOFF_DATE
 ,DELEGATED_TO
 ,DELEGATED_BY
 ,DELEGATE_DATE
  from task_signoff_users
/

CREATE INDEX nuk_task_signoff_users_aud_1 ON task_signoff_users_aud(aud_userid)
/

CREATE INDEX nuk_task_signoff_users_aud_2 ON task_signoff_users_aud(aud_datetime)
/

create or replace trigger i_task_signoff_users
after insert on task_signoff_users for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_users_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPT_ID
 ,SIGNOFF_USER_ID
 ,SIGNOFF_DATE
 ,DELEGATED_TO
 ,DELEGATED_BY
 ,DELEGATE_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPT_ID
 ,:new.SIGNOFF_USER_ID
 ,:new.SIGNOFF_DATE
 ,:new.DELEGATED_TO
 ,:new.DELEGATED_BY
 ,:new.DELEGATE_DATE
);
end;
/

create or replace trigger u_task_signoff_users
after update on task_signoff_users for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_users_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPT_ID
 ,SIGNOFF_USER_ID
 ,SIGNOFF_DATE
 ,DELEGATED_TO
 ,DELEGATED_BY
 ,DELEGATE_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPT_ID
 ,:new.SIGNOFF_USER_ID
 ,:new.SIGNOFF_DATE
 ,:new.DELEGATED_TO
 ,:new.DELEGATED_BY
 ,:new.DELEGATE_DATE
);
end;
/

create or replace trigger d_task_signoff_users
after delete on task_signoff_users for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into task_signoff_users_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPT_ID
 ,SIGNOFF_USER_ID
 ,SIGNOFF_DATE
 ,DELEGATED_TO
 ,DELEGATED_BY
 ,DELEGATE_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPT_ID
 ,:old.SIGNOFF_USER_ID
 ,:old.SIGNOFF_DATE
 ,:old.DELEGATED_TO
 ,:old.DELEGATED_BY
 ,:old.DELEGATE_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-task_signoff_users', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1104, '8:f74bfa7995e76d8e6955f278dc7ad738', 'enableAuditTable auditTableName=task_signoff_users_aud, tableName=task_signoff_users', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-netassessor_launcher::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_NETASSESSOR_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_NETASSESSOR_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_NETASSESSOR_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_NETASSESSOR_LAUNCHER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_NETASSESSOR_LAUNCHER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_NETASSESSOR_LAUNCHER';
			END IF;
		END;
/

CREATE TABLE netassessor_launcher_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, LEARNINGID VARCHAR2(85 BYTE), URL VARCHAR2(85 BYTE), PARAMETERS VARCHAR2(255 BYTE), PRESHARED_KEY VARCHAR2(85 BYTE), LANGUAGE VARCHAR2(85 BYTE), TIMEZONE VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_NETASSESSOR_LAUNCHER_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_netassessor_launcher_aud
 before insert on netassessor_launcher_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into netassessor_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,URL
 ,PARAMETERS
 ,PRESHARED_KEY
 ,LANGUAGE
 ,TIMEZONE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,LEARNINGID
 ,URL
 ,PARAMETERS
 ,PRESHARED_KEY
 ,LANGUAGE
 ,TIMEZONE
  from netassessor_launcher
/

CREATE INDEX nuk_netassessor_launcher_aud_1 ON netassessor_launcher_aud(aud_userid)
/

CREATE INDEX nuk_netassessor_launcher_aud_2 ON netassessor_launcher_aud(aud_datetime)
/

create or replace trigger i_netassessor_launcher
after insert on netassessor_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netassessor_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,URL
 ,PARAMETERS
 ,PRESHARED_KEY
 ,LANGUAGE
 ,TIMEZONE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.URL
 ,:new.PARAMETERS
 ,:new.PRESHARED_KEY
 ,:new.LANGUAGE
 ,:new.TIMEZONE
);
end;
/

create or replace trigger u_netassessor_launcher
after update on netassessor_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netassessor_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,URL
 ,PARAMETERS
 ,PRESHARED_KEY
 ,LANGUAGE
 ,TIMEZONE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.LEARNINGID
 ,:new.URL
 ,:new.PARAMETERS
 ,:new.PRESHARED_KEY
 ,:new.LANGUAGE
 ,:new.TIMEZONE
);
end;
/

create or replace trigger d_netassessor_launcher
after delete on netassessor_launcher for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into netassessor_launcher_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,LEARNINGID
 ,URL
 ,PARAMETERS
 ,PRESHARED_KEY
 ,LANGUAGE
 ,TIMEZONE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.LEARNINGID
 ,:old.URL
 ,:old.PARAMETERS
 ,:old.PRESHARED_KEY
 ,:old.LANGUAGE
 ,:old.TIMEZONE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-netassessor_launcher', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1105, '8:47dab5f9b3a7ac4c5d826155cef9a395', 'enableAuditTable auditTableName=netassessor_launcher_aud, tableName=netassessor_launcher', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-code_subject_category::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CODE_SUBJECT_CATEGORY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CODE_SUBJECT_CATEGORY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CODE_SUBJECT_CATEGORY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CODE_SUBJECT_CATEGORY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CODE_SUBJECT_CATEGORY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CODE_SUBJECT_CATEGORY';
			END IF;
		END;
/

CREATE TABLE code_subject_cat_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SUBJECT_CATEGORY_ID VARCHAR2(15 BYTE), DESCRIPTION VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CODE_SUBJECT_CAT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_code_subject_cat_aud
 before insert on code_subject_cat_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into code_subject_cat_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECT_CATEGORY_ID
 ,DESCRIPTION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SUBJECT_CATEGORY_ID
 ,DESCRIPTION
  from code_subject_category
/

CREATE INDEX nuk_code_subject_cat_aud_1 ON code_subject_cat_aud(aud_userid)
/

CREATE INDEX nuk_code_subject_cat_aud_2 ON code_subject_cat_aud(aud_datetime)
/

create or replace trigger i_code_subject_category
after insert on code_subject_category for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_cat_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECT_CATEGORY_ID
 ,DESCRIPTION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SUBJECT_CATEGORY_ID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger u_code_subject_category
after update on code_subject_category for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_cat_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECT_CATEGORY_ID
 ,DESCRIPTION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SUBJECT_CATEGORY_ID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger d_code_subject_category
after delete on code_subject_category for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_cat_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECT_CATEGORY_ID
 ,DESCRIPTION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SUBJECT_CATEGORY_ID
 ,:old.DESCRIPTION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-code_subject_category', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1106, '8:f8f13e091905e425766901cf7bbddce9', 'enableAuditTable auditTableName=code_subject_cat_aud, tableName=code_subject_category', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-code_subject::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CODE_SUBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CODE_SUBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CODE_SUBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CODE_SUBJECT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CODE_SUBJECT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CODE_SUBJECT';
			END IF;
		END;
/

CREATE TABLE code_subject_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, SUBJECTID NUMBER(*, 0), DESCRIPTION VARCHAR2(50 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CODE_SUBJECT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_code_subject_aud
 before insert on code_subject_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into code_subject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECTID
 ,DESCRIPTION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,SUBJECTID
 ,DESCRIPTION
  from code_subject
/

CREATE INDEX nuk_code_subject_aud_1 ON code_subject_aud(aud_userid)
/

CREATE INDEX nuk_code_subject_aud_2 ON code_subject_aud(aud_datetime)
/

create or replace trigger i_code_subject
after insert on code_subject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECTID
 ,DESCRIPTION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SUBJECTID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger u_code_subject
after update on code_subject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECTID
 ,DESCRIPTION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.SUBJECTID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger d_code_subject
after delete on code_subject for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_subject_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,SUBJECTID
 ,DESCRIPTION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.SUBJECTID
 ,:old.DESCRIPTION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-code_subject', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1107, '8:ada3e4ffc4b4f149a19d71946a075433', 'enableAuditTable auditTableName=code_subject_aud, tableName=code_subject', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-code_vendorname::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CODE_VENDORNAME';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CODE_VENDORNAME';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CODE_VENDORNAME';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CODE_VENDORNAME';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CODE_VENDORNAME';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CODE_VENDORNAME';
			END IF;
		END;
/

CREATE TABLE code_vendorname_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, VENDORNAME VARCHAR2(100 BYTE), DESCRIPTION VARCHAR2(255 BYTE), PICTURE VARCHAR2(500 BYTE), SHOW_PICTURE CHAR(1 BYTE), VENDOR_REF_CODE VARCHAR2(100 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CODE_VENDORNAME_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_code_vendorname_aud
 before insert on code_vendorname_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into code_vendorname_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,VENDORNAME
 ,DESCRIPTION
 ,PICTURE
 ,SHOW_PICTURE
 ,VENDOR_REF_CODE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,VENDORNAME
 ,DESCRIPTION
 ,PICTURE
 ,SHOW_PICTURE
 ,VENDOR_REF_CODE
  from code_vendorname
/

CREATE INDEX nuk_code_vendorname_aud_1 ON code_vendorname_aud(aud_userid)
/

CREATE INDEX nuk_code_vendorname_aud_2 ON code_vendorname_aud(aud_datetime)
/

create or replace trigger i_code_vendorname
after insert on code_vendorname for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_vendorname_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,VENDORNAME
 ,DESCRIPTION
 ,PICTURE
 ,SHOW_PICTURE
 ,VENDOR_REF_CODE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.VENDORNAME
 ,:new.DESCRIPTION
 ,:new.PICTURE
 ,:new.SHOW_PICTURE
 ,:new.VENDOR_REF_CODE
);
end;
/

create or replace trigger u_code_vendorname
after update on code_vendorname for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_vendorname_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,VENDORNAME
 ,DESCRIPTION
 ,PICTURE
 ,SHOW_PICTURE
 ,VENDOR_REF_CODE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.VENDORNAME
 ,:new.DESCRIPTION
 ,:new.PICTURE
 ,:new.SHOW_PICTURE
 ,:new.VENDOR_REF_CODE
);
end;
/

create or replace trigger d_code_vendorname
after delete on code_vendorname for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_vendorname_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,VENDORNAME
 ,DESCRIPTION
 ,PICTURE
 ,SHOW_PICTURE
 ,VENDOR_REF_CODE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.VENDORNAME
 ,:old.DESCRIPTION
 ,:old.PICTURE
 ,:old.SHOW_PICTURE
 ,:old.VENDOR_REF_CODE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-code_vendorname', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1108, '8:d8d04232de9ac801f2cb6ccacf8660f5', 'enableAuditTable auditTableName=code_vendorname_aud, tableName=code_vendorname', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-code_itemLanguage::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CODE_ITEMLANGUAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CODE_ITEMLANGUAGE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CODE_ITEMLANGUAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CODE_ITEMLANGUAGE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CODE_ITEMLANGUAGE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CODE_ITEMLANGUAGE';
			END IF;
		END;
/

CREATE TABLE code_itemLanguage_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ILANGID NUMBER(*, 0), DESCRIPTION VARCHAR2(50 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CODE_ITEMLANGUAGE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_code_itemLanguage_aud
 before insert on code_itemLanguage_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into code_itemLanguage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ILANGID
 ,DESCRIPTION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ILANGID
 ,DESCRIPTION
  from code_itemLanguage
/

CREATE INDEX nuk_code_itemLanguage_aud_1 ON code_itemLanguage_aud(aud_userid)
/

CREATE INDEX nuk_code_itemLanguage_aud_2 ON code_itemLanguage_aud(aud_datetime)
/

create or replace trigger i_code_itemLanguage
after insert on code_itemLanguage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_itemLanguage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ILANGID
 ,DESCRIPTION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ILANGID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger u_code_itemLanguage
after update on code_itemLanguage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_itemLanguage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ILANGID
 ,DESCRIPTION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ILANGID
 ,:new.DESCRIPTION
);
end;
/

create or replace trigger d_code_itemLanguage
after delete on code_itemLanguage for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into code_itemLanguage_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ILANGID
 ,DESCRIPTION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ILANGID
 ,:old.DESCRIPTION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-code_itemLanguage', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1109, '8:60a455fbd8d1abdd516e1817cdb5616b', 'enableAuditTable auditTableName=code_itemLanguage_aud, tableName=code_itemLanguage', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-logical_domain_config::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LOGICAL_DOMAIN_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LOGICAL_DOMAIN_CONFIG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LOGICAL_DOMAIN_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LOGICAL_DOMAIN_CONFIG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LOGICAL_DOMAIN_CONFIG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LOGICAL_DOMAIN_CONFIG';
			END IF;
		END;
/

CREATE TABLE log_dom_conf_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, DOMAIN_ID VARCHAR2(15 BYTE), CONFIG_KEY VARCHAR2(255 BYTE), CONFIG_VALUE CLOB, last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_LOG_DOM_CONF_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_log_dom_conf_aud
 before insert on log_dom_conf_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into log_dom_conf_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOMAIN_ID
 ,CONFIG_KEY
 ,CONFIG_VALUE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,DOMAIN_ID
 ,CONFIG_KEY
 ,CONFIG_VALUE
  from logical_domain_config
/

CREATE INDEX nuk_log_dom_conf_aud_1 ON log_dom_conf_aud(aud_userid)
/

CREATE INDEX nuk_log_dom_conf_aud_2 ON log_dom_conf_aud(aud_datetime)
/

create or replace trigger i_logical_domain_config
after insert on logical_domain_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into log_dom_conf_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOMAIN_ID
 ,CONFIG_KEY
 ,CONFIG_VALUE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DOMAIN_ID
 ,:new.CONFIG_KEY
 ,:new.CONFIG_VALUE
);
end;
/

create or replace trigger u_logical_domain_config
after update on logical_domain_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into log_dom_conf_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOMAIN_ID
 ,CONFIG_KEY
 ,CONFIG_VALUE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.DOMAIN_ID
 ,:new.CONFIG_KEY
 ,:new.CONFIG_VALUE
);
end;
/

create or replace trigger d_logical_domain_config
after delete on logical_domain_config for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into log_dom_conf_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,DOMAIN_ID
 ,CONFIG_KEY
 ,CONFIG_VALUE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.DOMAIN_ID
 ,:old.CONFIG_KEY
 ,:old.CONFIG_VALUE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-logical_domain_config', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1110, '8:f3be8789d011506e2b3c130851934896', 'enableAuditTable auditTableName=log_dom_conf_aud, tableName=logical_domain_config', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_gtt::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_GTT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_GTT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_GTT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_GTT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_GTT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_GTT';
			END IF;
		END;
/

CREATE TABLE vc_launcher_gtt_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), GTT_APP_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCHER_GTT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_gtt_aud
 before insert on vc_launcher_gtt_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_gtt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,GTT_APP_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,GTT_APP_ID
  from vc_launcher_gtt
/

CREATE INDEX nuk_vc_launcher_gtt_aud_1 ON vc_launcher_gtt_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_gtt_aud_2 ON vc_launcher_gtt_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_gtt
after insert on vc_launcher_gtt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,GTT_APP_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.GTT_APP_ID
);
end;
/

create or replace trigger u_vc_launcher_gtt
after update on vc_launcher_gtt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,GTT_APP_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.GTT_APP_ID
);
end;
/

create or replace trigger d_vc_launcher_gtt
after delete on vc_launcher_gtt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,GTT_APP_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.GTT_APP_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_gtt', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1111, '8:14d288613f3b962f4c1bbf87e001e4bf', 'enableAuditTable auditTableName=vc_launcher_gtt_aud, tableName=vc_launcher_gtt', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_gtt_training::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_GTT_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_GTT_TRAINING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_GTT_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_GTT_TRAINING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_GTT_TRAINING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_GTT_TRAINING';
			END IF;
		END;
/

CREATE TABLE vc_launch_gtt_train_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, EVENTID VARCHAR2(15 BYTE), USER_ID VARCHAR2(85 BYTE), COURSE_ID VARCHAR2(85 BYTE), TRAINING_KEY VARCHAR2(85 BYTE), IS_UPDATED CHAR(1 BYTE), IS_ORGANIZER_UPDATED CHAR(1 BYTE), IS_TRAINING_HISTORY_SYNC CHAR(1 BYTE), LAST_SYNC_DATE date, OVERALL_STATUS NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCH_GTT_TRAIN_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launch_gtt_train_aud
 before insert on vc_launch_gtt_train_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launch_gtt_train_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,USER_ID
 ,COURSE_ID
 ,TRAINING_KEY
 ,IS_UPDATED
 ,IS_ORGANIZER_UPDATED
 ,IS_TRAINING_HISTORY_SYNC
 ,LAST_SYNC_DATE
 ,OVERALL_STATUS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,EVENTID
 ,USER_ID
 ,COURSE_ID
 ,TRAINING_KEY
 ,IS_UPDATED
 ,IS_ORGANIZER_UPDATED
 ,IS_TRAINING_HISTORY_SYNC
 ,LAST_SYNC_DATE
 ,OVERALL_STATUS
  from vc_launcher_gtt_training
/

CREATE INDEX nuk_vc_launch_gtt_train_aud_1 ON vc_launch_gtt_train_aud(aud_userid)
/

CREATE INDEX nuk_vc_launch_gtt_train_aud_2 ON vc_launch_gtt_train_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_gtt_training
after insert on vc_launcher_gtt_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launch_gtt_train_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,USER_ID
 ,COURSE_ID
 ,TRAINING_KEY
 ,IS_UPDATED
 ,IS_ORGANIZER_UPDATED
 ,IS_TRAINING_HISTORY_SYNC
 ,LAST_SYNC_DATE
 ,OVERALL_STATUS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.USER_ID
 ,:new.COURSE_ID
 ,:new.TRAINING_KEY
 ,:new.IS_UPDATED
 ,:new.IS_ORGANIZER_UPDATED
 ,:new.IS_TRAINING_HISTORY_SYNC
 ,:new.LAST_SYNC_DATE
 ,:new.OVERALL_STATUS
);
end;
/

create or replace trigger u_vc_launcher_gtt_training
after update on vc_launcher_gtt_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launch_gtt_train_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,USER_ID
 ,COURSE_ID
 ,TRAINING_KEY
 ,IS_UPDATED
 ,IS_ORGANIZER_UPDATED
 ,IS_TRAINING_HISTORY_SYNC
 ,LAST_SYNC_DATE
 ,OVERALL_STATUS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.EVENTID
 ,:new.USER_ID
 ,:new.COURSE_ID
 ,:new.TRAINING_KEY
 ,:new.IS_UPDATED
 ,:new.IS_ORGANIZER_UPDATED
 ,:new.IS_TRAINING_HISTORY_SYNC
 ,:new.LAST_SYNC_DATE
 ,:new.OVERALL_STATUS
);
end;
/

create or replace trigger d_vc_launcher_gtt_training
after delete on vc_launcher_gtt_training for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launch_gtt_train_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,EVENTID
 ,USER_ID
 ,COURSE_ID
 ,TRAINING_KEY
 ,IS_UPDATED
 ,IS_ORGANIZER_UPDATED
 ,IS_TRAINING_HISTORY_SYNC
 ,LAST_SYNC_DATE
 ,OVERALL_STATUS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.EVENTID
 ,:old.USER_ID
 ,:old.COURSE_ID
 ,:old.TRAINING_KEY
 ,:old.IS_UPDATED
 ,:old.IS_ORGANIZER_UPDATED
 ,:old.IS_TRAINING_HISTORY_SYNC
 ,:old.LAST_SYNC_DATE
 ,:old.OVERALL_STATUS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_gtt_training', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1112, '8:a5748466256375962c4b9524c846cd15', 'enableAuditTable auditTableName=vc_launch_gtt_train_aud, tableName=vc_launcher_gtt_training', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_gtt_organizer::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_GTT_ORGANIZER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_GTT_ORGANIZER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_GTT_ORGANIZER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_GTT_ORGANIZER';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_GTT_ORGANIZER';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_GTT_ORGANIZER';
			END IF;
		END;
/

CREATE TABLE vc_launcher_gtt_org_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, USER_ID VARCHAR2(85 BYTE), EVENTID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_VC_LAUNCHER_GTT_ORG_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_gtt_org_aud
 before insert on vc_launcher_gtt_org_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_gtt_org_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,EVENTID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,USER_ID
 ,EVENTID
  from vc_launcher_gtt_organizer
/

CREATE INDEX nuk_vc_launcher_gtt_org_aud_1 ON vc_launcher_gtt_org_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_gtt_org_aud_2 ON vc_launcher_gtt_org_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_gtt_organizer
after insert on vc_launcher_gtt_organizer for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_org_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,EVENTID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.EVENTID
);
end;
/

create or replace trigger u_vc_launcher_gtt_organizer
after update on vc_launcher_gtt_organizer for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_org_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,EVENTID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USER_ID
 ,:new.EVENTID
);
end;
/

create or replace trigger d_vc_launcher_gtt_organizer
after delete on vc_launcher_gtt_organizer for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_gtt_org_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USER_ID
 ,EVENTID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.USER_ID
 ,:old.EVENTID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_gtt_organizer', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1113, '8:504c68a4959e167b2c43570347a97f05', 'enableAuditTable auditTableName=vc_launcher_gtt_org_aud, tableName=vc_launcher_gtt_organizer', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_competency_exp::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_COMPETENCY_EXP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_COMPETENCY_EXP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_COMPETENCY_EXP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_COMPETENCY_EXP';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_COMPETENCY_EXP';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_COMPETENCY_EXP';
			END IF;
		END;
/

CREATE TABLE course_comp_exp_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), COMPETENCY_ID VARCHAR2(15 BYTE), USER_ID VARCHAR2(85 BYTE), EXPIRY_DATE date, ID VARCHAR2(85 BYTE), COMPLETE_DATE date, last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_COURSE_COMP_EXP_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_comp_exp_aud
 before insert on course_comp_exp_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_comp_exp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,USER_ID
 ,EXPIRY_DATE
 ,ID
 ,COMPLETE_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,COMPETENCY_ID
 ,USER_ID
 ,EXPIRY_DATE
 ,ID
 ,COMPLETE_DATE
  from course_competency_exp
/

CREATE INDEX nuk_course_comp_exp_aud_1 ON course_comp_exp_aud(aud_userid)
/

CREATE INDEX nuk_course_comp_exp_aud_2 ON course_comp_exp_aud(aud_datetime)
/

create or replace trigger i_course_competency_exp
after insert on course_competency_exp for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,USER_ID
 ,EXPIRY_DATE
 ,ID
 ,COMPLETE_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.COMPETENCY_ID
 ,:new.USER_ID
 ,:new.EXPIRY_DATE
 ,:new.ID
 ,:new.COMPLETE_DATE
);
end;
/

create or replace trigger u_course_competency_exp
after update on course_competency_exp for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,USER_ID
 ,EXPIRY_DATE
 ,ID
 ,COMPLETE_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.COMPETENCY_ID
 ,:new.USER_ID
 ,:new.EXPIRY_DATE
 ,:new.ID
 ,:new.COMPLETE_DATE
);
end;
/

create or replace trigger d_course_competency_exp
after delete on course_competency_exp for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,COMPETENCY_ID
 ,USER_ID
 ,EXPIRY_DATE
 ,ID
 ,COMPLETE_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.COMPETENCY_ID
 ,:old.USER_ID
 ,:old.EXPIRY_DATE
 ,:old.ID
 ,:old.COMPLETE_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_competency_exp', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1114, '8:9cf5182f6fa7a5a6f41a78a2313f5a3c', 'enableAuditTable auditTableName=course_comp_exp_aud, tableName=course_competency_exp', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certifications::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTIFICATIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTIFICATIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTIFICATIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTIFICATIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTIFICATIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTIFICATIONS';
			END IF;
		END;
/

CREATE TABLE certifications_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CERTID NUMBER(8, 0), TITLE VARCHAR2(1000 BYTE), CERTIFICATION_CODE VARCHAR2(85 BYTE), DESCRIPTION VARCHAR2(1000 BYTE), TESTID VARCHAR2(100 BYTE), DATEENTERED date, CERTSTATUS NUMBER(*, 0), VALID_PERIOD NUMBER(*, 0), TESTTYPE CHAR(1 BYTE), ISSUEDBY VARCHAR2(50 BYTE), SENDREMINDERDAYS NUMBER(*, 0), AWARD_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), POOLID NUMBER(*, 0), CERTTYPE NUMBER(*, 0), ALLOWUSERPRINT CHAR(1 BYTE), TEMPLATEID VARCHAR2(15 BYTE), CERT_EXPIRE_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), SESSIONID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), CREATOR_UID VARCHAR2(85 BYTE), DATECREATED date, EXPIREGRACEPERIOD CHAR(1 BYTE), FIXED_EXPIRE_DATE date, AWARD_EMAIL_ATTACH_CERT VARCHAR2(20 BYTE), EXPIRATION_TYPE CHAR(1 BYTE), RENEWABLE CHAR(1 BYTE), VALID_PERIOD_UNIT CHAR(1 BYTE), RENEWABLE_PERIOD NUMBER(*, 0), RENEWABLE_PERIOD_UNIT CHAR(1 BYTE), TITLE_KEY VARCHAR2(85 BYTE), DESCRIPTION_KEY VARCHAR2(85 BYTE), AWARDMETHOD CHAR(1 BYTE), PREV_EXPIRE_DATE_BASED CHAR(1 BYTE), TEST_LANG_OPTION VARCHAR2(85 BYTE), USE_AUTOENROLL_FILTER CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERTIFICATIONS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certifications_aud
 before insert on certifications_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certifications_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TITLE
 ,CERTIFICATION_CODE
 ,DESCRIPTION
 ,TESTID
 ,DATEENTERED
 ,CERTSTATUS
 ,VALID_PERIOD
 ,TESTTYPE
 ,ISSUEDBY
 ,SENDREMINDERDAYS
 ,AWARD_EMAIL_PROFILE_ID
 ,POOLID
 ,CERTTYPE
 ,ALLOWUSERPRINT
 ,TEMPLATEID
 ,CERT_EXPIRE_EMAIL_PROFILE_ID
 ,SESSIONID
 ,LEARNINGID
 ,CREATOR_UID
 ,DATECREATED
 ,EXPIREGRACEPERIOD
 ,FIXED_EXPIRE_DATE
 ,AWARD_EMAIL_ATTACH_CERT
 ,EXPIRATION_TYPE
 ,RENEWABLE
 ,VALID_PERIOD_UNIT
 ,RENEWABLE_PERIOD
 ,RENEWABLE_PERIOD_UNIT
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,AWARDMETHOD
 ,PREV_EXPIRE_DATE_BASED
 ,TEST_LANG_OPTION
 ,USE_AUTOENROLL_FILTER
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CERTID
 ,TITLE
 ,CERTIFICATION_CODE
 ,DESCRIPTION
 ,TESTID
 ,DATEENTERED
 ,CERTSTATUS
 ,VALID_PERIOD
 ,TESTTYPE
 ,ISSUEDBY
 ,SENDREMINDERDAYS
 ,AWARD_EMAIL_PROFILE_ID
 ,POOLID
 ,CERTTYPE
 ,ALLOWUSERPRINT
 ,TEMPLATEID
 ,CERT_EXPIRE_EMAIL_PROFILE_ID
 ,SESSIONID
 ,LEARNINGID
 ,CREATOR_UID
 ,DATECREATED
 ,EXPIREGRACEPERIOD
 ,FIXED_EXPIRE_DATE
 ,AWARD_EMAIL_ATTACH_CERT
 ,EXPIRATION_TYPE
 ,RENEWABLE
 ,VALID_PERIOD_UNIT
 ,RENEWABLE_PERIOD
 ,RENEWABLE_PERIOD_UNIT
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,AWARDMETHOD
 ,PREV_EXPIRE_DATE_BASED
 ,TEST_LANG_OPTION
 ,USE_AUTOENROLL_FILTER
  from certifications
/

CREATE INDEX nuk_certifications_aud_1 ON certifications_aud(aud_userid)
/

CREATE INDEX nuk_certifications_aud_2 ON certifications_aud(aud_datetime)
/

create or replace trigger i_certifications
after insert on certifications for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certifications_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TITLE
 ,CERTIFICATION_CODE
 ,DESCRIPTION
 ,TESTID
 ,DATEENTERED
 ,CERTSTATUS
 ,VALID_PERIOD
 ,TESTTYPE
 ,ISSUEDBY
 ,SENDREMINDERDAYS
 ,AWARD_EMAIL_PROFILE_ID
 ,POOLID
 ,CERTTYPE
 ,ALLOWUSERPRINT
 ,TEMPLATEID
 ,CERT_EXPIRE_EMAIL_PROFILE_ID
 ,SESSIONID
 ,LEARNINGID
 ,CREATOR_UID
 ,DATECREATED
 ,EXPIREGRACEPERIOD
 ,FIXED_EXPIRE_DATE
 ,AWARD_EMAIL_ATTACH_CERT
 ,EXPIRATION_TYPE
 ,RENEWABLE
 ,VALID_PERIOD_UNIT
 ,RENEWABLE_PERIOD
 ,RENEWABLE_PERIOD_UNIT
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,AWARDMETHOD
 ,PREV_EXPIRE_DATE_BASED
 ,TEST_LANG_OPTION
 ,USE_AUTOENROLL_FILTER
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.TITLE
 ,:new.CERTIFICATION_CODE
 ,:new.DESCRIPTION
 ,:new.TESTID
 ,:new.DATEENTERED
 ,:new.CERTSTATUS
 ,:new.VALID_PERIOD
 ,:new.TESTTYPE
 ,:new.ISSUEDBY
 ,:new.SENDREMINDERDAYS
 ,:new.AWARD_EMAIL_PROFILE_ID
 ,:new.POOLID
 ,:new.CERTTYPE
 ,:new.ALLOWUSERPRINT
 ,:new.TEMPLATEID
 ,:new.CERT_EXPIRE_EMAIL_PROFILE_ID
 ,:new.SESSIONID
 ,:new.LEARNINGID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.EXPIREGRACEPERIOD
 ,:new.FIXED_EXPIRE_DATE
 ,:new.AWARD_EMAIL_ATTACH_CERT
 ,:new.EXPIRATION_TYPE
 ,:new.RENEWABLE
 ,:new.VALID_PERIOD_UNIT
 ,:new.RENEWABLE_PERIOD
 ,:new.RENEWABLE_PERIOD_UNIT
 ,:new.TITLE_KEY
 ,:new.DESCRIPTION_KEY
 ,:new.AWARDMETHOD
 ,:new.PREV_EXPIRE_DATE_BASED
 ,:new.TEST_LANG_OPTION
 ,:new.USE_AUTOENROLL_FILTER
);
end;
/

create or replace trigger u_certifications
after update on certifications for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certifications_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TITLE
 ,CERTIFICATION_CODE
 ,DESCRIPTION
 ,TESTID
 ,DATEENTERED
 ,CERTSTATUS
 ,VALID_PERIOD
 ,TESTTYPE
 ,ISSUEDBY
 ,SENDREMINDERDAYS
 ,AWARD_EMAIL_PROFILE_ID
 ,POOLID
 ,CERTTYPE
 ,ALLOWUSERPRINT
 ,TEMPLATEID
 ,CERT_EXPIRE_EMAIL_PROFILE_ID
 ,SESSIONID
 ,LEARNINGID
 ,CREATOR_UID
 ,DATECREATED
 ,EXPIREGRACEPERIOD
 ,FIXED_EXPIRE_DATE
 ,AWARD_EMAIL_ATTACH_CERT
 ,EXPIRATION_TYPE
 ,RENEWABLE
 ,VALID_PERIOD_UNIT
 ,RENEWABLE_PERIOD
 ,RENEWABLE_PERIOD_UNIT
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,AWARDMETHOD
 ,PREV_EXPIRE_DATE_BASED
 ,TEST_LANG_OPTION
 ,USE_AUTOENROLL_FILTER
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.TITLE
 ,:new.CERTIFICATION_CODE
 ,:new.DESCRIPTION
 ,:new.TESTID
 ,:new.DATEENTERED
 ,:new.CERTSTATUS
 ,:new.VALID_PERIOD
 ,:new.TESTTYPE
 ,:new.ISSUEDBY
 ,:new.SENDREMINDERDAYS
 ,:new.AWARD_EMAIL_PROFILE_ID
 ,:new.POOLID
 ,:new.CERTTYPE
 ,:new.ALLOWUSERPRINT
 ,:new.TEMPLATEID
 ,:new.CERT_EXPIRE_EMAIL_PROFILE_ID
 ,:new.SESSIONID
 ,:new.LEARNINGID
 ,:new.CREATOR_UID
 ,:new.DATECREATED
 ,:new.EXPIREGRACEPERIOD
 ,:new.FIXED_EXPIRE_DATE
 ,:new.AWARD_EMAIL_ATTACH_CERT
 ,:new.EXPIRATION_TYPE
 ,:new.RENEWABLE
 ,:new.VALID_PERIOD_UNIT
 ,:new.RENEWABLE_PERIOD
 ,:new.RENEWABLE_PERIOD_UNIT
 ,:new.TITLE_KEY
 ,:new.DESCRIPTION_KEY
 ,:new.AWARDMETHOD
 ,:new.PREV_EXPIRE_DATE_BASED
 ,:new.TEST_LANG_OPTION
 ,:new.USE_AUTOENROLL_FILTER
);
end;
/

create or replace trigger d_certifications
after delete on certifications for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certifications_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TITLE
 ,CERTIFICATION_CODE
 ,DESCRIPTION
 ,TESTID
 ,DATEENTERED
 ,CERTSTATUS
 ,VALID_PERIOD
 ,TESTTYPE
 ,ISSUEDBY
 ,SENDREMINDERDAYS
 ,AWARD_EMAIL_PROFILE_ID
 ,POOLID
 ,CERTTYPE
 ,ALLOWUSERPRINT
 ,TEMPLATEID
 ,CERT_EXPIRE_EMAIL_PROFILE_ID
 ,SESSIONID
 ,LEARNINGID
 ,CREATOR_UID
 ,DATECREATED
 ,EXPIREGRACEPERIOD
 ,FIXED_EXPIRE_DATE
 ,AWARD_EMAIL_ATTACH_CERT
 ,EXPIRATION_TYPE
 ,RENEWABLE
 ,VALID_PERIOD_UNIT
 ,RENEWABLE_PERIOD
 ,RENEWABLE_PERIOD_UNIT
 ,TITLE_KEY
 ,DESCRIPTION_KEY
 ,AWARDMETHOD
 ,PREV_EXPIRE_DATE_BASED
 ,TEST_LANG_OPTION
 ,USE_AUTOENROLL_FILTER
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CERTID
 ,:old.TITLE
 ,:old.CERTIFICATION_CODE
 ,:old.DESCRIPTION
 ,:old.TESTID
 ,:old.DATEENTERED
 ,:old.CERTSTATUS
 ,:old.VALID_PERIOD
 ,:old.TESTTYPE
 ,:old.ISSUEDBY
 ,:old.SENDREMINDERDAYS
 ,:old.AWARD_EMAIL_PROFILE_ID
 ,:old.POOLID
 ,:old.CERTTYPE
 ,:old.ALLOWUSERPRINT
 ,:old.TEMPLATEID
 ,:old.CERT_EXPIRE_EMAIL_PROFILE_ID
 ,:old.SESSIONID
 ,:old.LEARNINGID
 ,:old.CREATOR_UID
 ,:old.DATECREATED
 ,:old.EXPIREGRACEPERIOD
 ,:old.FIXED_EXPIRE_DATE
 ,:old.AWARD_EMAIL_ATTACH_CERT
 ,:old.EXPIRATION_TYPE
 ,:old.RENEWABLE
 ,:old.VALID_PERIOD_UNIT
 ,:old.RENEWABLE_PERIOD
 ,:old.RENEWABLE_PERIOD_UNIT
 ,:old.TITLE_KEY
 ,:old.DESCRIPTION_KEY
 ,:old.AWARDMETHOD
 ,:old.PREV_EXPIRE_DATE_BASED
 ,:old.TEST_LANG_OPTION
 ,:old.USE_AUTOENROLL_FILTER
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certifications', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1115, '8:0b9ec044cabcf42bf53c3ee5236b3fa6', 'enableAuditTable auditTableName=certifications_aud, tableName=certifications', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-cert_autoenroll::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERT_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERT_AUTOENROLL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERT_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERT_AUTOENROLL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERT_AUTOENROLL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERT_AUTOENROLL';
			END IF;
		END;
/

CREATE TABLE cert_autoenroll_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CERTID NUMBER(8, 0), TARGETTYPE VARCHAR2(3 BYTE), TARGETVALUE VARCHAR2(85 BYTE), STARTDATE date, ENDDATE date, DURATIONENABLED CHAR(1 BYTE), DURATIONAMOUNT NUMBER(*, 0), DURATIONUNIT NUMBER(*, 0), DURATIONTYPE VARCHAR2(10 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CERT_AUTOENROLL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_cert_autoenroll_aud
 before insert on cert_autoenroll_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into cert_autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TARGETTYPE
 ,TARGETVALUE
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,DURATIONTYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CERTID
 ,TARGETTYPE
 ,TARGETVALUE
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,DURATIONTYPE
  from cert_autoenroll
/

CREATE INDEX nuk_cert_autoenroll_aud_1 ON cert_autoenroll_aud(aud_userid)
/

CREATE INDEX nuk_cert_autoenroll_aud_2 ON cert_autoenroll_aud(aud_datetime)
/

create or replace trigger i_cert_autoenroll
after insert on cert_autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TARGETTYPE
 ,TARGETVALUE
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,DURATIONTYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.TARGETTYPE
 ,:new.TARGETVALUE
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.DURATIONENABLED
 ,:new.DURATIONAMOUNT
 ,:new.DURATIONUNIT
 ,:new.DURATIONTYPE
);
end;
/

create or replace trigger u_cert_autoenroll
after update on cert_autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TARGETTYPE
 ,TARGETVALUE
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,DURATIONTYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.TARGETTYPE
 ,:new.TARGETVALUE
 ,:new.STARTDATE
 ,:new.ENDDATE
 ,:new.DURATIONENABLED
 ,:new.DURATIONAMOUNT
 ,:new.DURATIONUNIT
 ,:new.DURATIONTYPE
);
end;
/

create or replace trigger d_cert_autoenroll
after delete on cert_autoenroll for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_autoenroll_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,TARGETTYPE
 ,TARGETVALUE
 ,STARTDATE
 ,ENDDATE
 ,DURATIONENABLED
 ,DURATIONAMOUNT
 ,DURATIONUNIT
 ,DURATIONTYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CERTID
 ,:old.TARGETTYPE
 ,:old.TARGETVALUE
 ,:old.STARTDATE
 ,:old.ENDDATE
 ,:old.DURATIONENABLED
 ,:old.DURATIONAMOUNT
 ,:old.DURATIONUNIT
 ,:old.DURATIONTYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-cert_autoenroll', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1116, '8:5388518b8bd1d1392919dfc940f6b63b', 'enableAuditTable auditTableName=cert_autoenroll_aud, tableName=cert_autoenroll', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-cert_renewal::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERT_RENEWAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERT_RENEWAL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERT_RENEWAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERT_RENEWAL';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERT_RENEWAL';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERT_RENEWAL';
			END IF;
		END;
/

CREATE TABLE cert_renewal_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CERTID NUMBER(8, 0), RENEWAL_TYPE VARCHAR2(85 BYTE), RENEWAL_REGULATION VARCHAR2(85 BYTE), PRIOR_GRACE_N_DAYS NUMBER(*, 0), POST_GRACE_N_DAYS NUMBER(*, 0), COURSE_N_MONTHS_VALID NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERT_RENEWAL_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_cert_renewal_aud
 before insert on cert_renewal_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into cert_renewal_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,RENEWAL_TYPE
 ,RENEWAL_REGULATION
 ,PRIOR_GRACE_N_DAYS
 ,POST_GRACE_N_DAYS
 ,COURSE_N_MONTHS_VALID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CERTID
 ,RENEWAL_TYPE
 ,RENEWAL_REGULATION
 ,PRIOR_GRACE_N_DAYS
 ,POST_GRACE_N_DAYS
 ,COURSE_N_MONTHS_VALID
  from cert_renewal
/

CREATE INDEX nuk_cert_renewal_aud_1 ON cert_renewal_aud(aud_userid)
/

CREATE INDEX nuk_cert_renewal_aud_2 ON cert_renewal_aud(aud_datetime)
/

create or replace trigger i_cert_renewal
after insert on cert_renewal for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_renewal_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,RENEWAL_TYPE
 ,RENEWAL_REGULATION
 ,PRIOR_GRACE_N_DAYS
 ,POST_GRACE_N_DAYS
 ,COURSE_N_MONTHS_VALID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.RENEWAL_TYPE
 ,:new.RENEWAL_REGULATION
 ,:new.PRIOR_GRACE_N_DAYS
 ,:new.POST_GRACE_N_DAYS
 ,:new.COURSE_N_MONTHS_VALID
);
end;
/

create or replace trigger u_cert_renewal
after update on cert_renewal for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_renewal_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,RENEWAL_TYPE
 ,RENEWAL_REGULATION
 ,PRIOR_GRACE_N_DAYS
 ,POST_GRACE_N_DAYS
 ,COURSE_N_MONTHS_VALID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.RENEWAL_TYPE
 ,:new.RENEWAL_REGULATION
 ,:new.PRIOR_GRACE_N_DAYS
 ,:new.POST_GRACE_N_DAYS
 ,:new.COURSE_N_MONTHS_VALID
);
end;
/

create or replace trigger d_cert_renewal
after delete on cert_renewal for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_renewal_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,RENEWAL_TYPE
 ,RENEWAL_REGULATION
 ,PRIOR_GRACE_N_DAYS
 ,POST_GRACE_N_DAYS
 ,COURSE_N_MONTHS_VALID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CERTID
 ,:old.RENEWAL_TYPE
 ,:old.RENEWAL_REGULATION
 ,:old.PRIOR_GRACE_N_DAYS
 ,:old.POST_GRACE_N_DAYS
 ,:old.COURSE_N_MONTHS_VALID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-cert_renewal', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1117, '8:d6b0b29b2931856dd3d084025e90908a', 'enableAuditTable auditTableName=cert_renewal_aud, tableName=cert_renewal', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS';
			END IF;
		END;
/

CREATE TABLE certusers_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, USERID VARCHAR2(85 BYTE), CERTID NUMBER(8, 0), DATEACHIEVED date, COMMENTS VARCHAR2(255 BYTE), AWARDEDBY VARCHAR2(85 BYTE), EXPIREDATE date, NREMINDERS NUMBER(*, 0), STATUS CHAR(1 BYTE), TESTINSTANCEID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), AWARDID VARCHAR2(85 BYTE), CERT_CODE VARCHAR2(85 BYTE), CERT_TITLE VARCHAR2(4000 BYTE), USER_CURRENTPID VARCHAR2(85 BYTE), COURSE_NAME VARCHAR2(4000 BYTE), COURSE_DURATION_COMMENTS VARCHAR2(255 BYTE), COURSE_STARTDATE date, COURSE_ENDDATE date, USER_LOCALE NUMBER(*, 0), COURSE_MODULE_DESCRIPTION CLOB, COURSE_SESSION_TITLE VARCHAR2(255 BYTE), COURSE_FACILITY_CODE VARCHAR2(255 BYTE), TRAN_UPDATER_LEGAL_NAME VARCHAR2(250 BYTE), TRAN_UPDATE_MEANING_TEXT VARCHAR2(500 BYTE), TRAN_LAST_UPDATED date, COURSE_PERFORMANCE_GRADE NUMBER(*, 0), USER_GIVENNAME VARCHAR2(85 BYTE), USER_FAMILYNAME VARCHAR2(85 BYTE), USER_EMPLOYEENO VARCHAR2(85 BYTE), USER_JOBTITLE VARCHAR2(85 BYTE), USER_DATEOFBIRTH date, USER_ADDRESS1 VARCHAR2(150 BYTE), USER_ADDRESS2 VARCHAR2(150 BYTE), USER_CITY VARCHAR2(50 BYTE), TASK_APPROVER_GIVENNAME VARCHAR2(85 BYTE), TASK_APPROVER_FAMILYNAME VARCHAR2(85 BYTE), CERT_TEMPLATE_ID VARCHAR2(85 BYTE), DISPLAY_LEARNING_ID VARCHAR2(85 BYTE), CERT_DESCRIPTION VARCHAR2(4000 BYTE), TRAN_SCORE VARCHAR2(20 BYTE), TRAN_CREDITS FLOAT(22), USER_DEPARTMENT_NAME VARCHAR2(85 BYTE), SELF_AWARD_CERTIFICATE CHAR(1 BYTE), SELFAWARD_ATTACH_ID VARCHAR2(85 BYTE), IS_LATEST CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERTUSERS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_aud
 before insert on certusers_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USERID
 ,CERTID
 ,DATEACHIEVED
 ,COMMENTS
 ,AWARDEDBY
 ,EXPIREDATE
 ,NREMINDERS
 ,STATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDID
 ,CERT_CODE
 ,CERT_TITLE
 ,USER_CURRENTPID
 ,COURSE_NAME
 ,COURSE_DURATION_COMMENTS
 ,COURSE_STARTDATE
 ,COURSE_ENDDATE
 ,USER_LOCALE
 ,COURSE_MODULE_DESCRIPTION
 ,COURSE_SESSION_TITLE
 ,COURSE_FACILITY_CODE
 ,TRAN_UPDATER_LEGAL_NAME
 ,TRAN_UPDATE_MEANING_TEXT
 ,TRAN_LAST_UPDATED
 ,COURSE_PERFORMANCE_GRADE
 ,USER_GIVENNAME
 ,USER_FAMILYNAME
 ,USER_EMPLOYEENO
 ,USER_JOBTITLE
 ,USER_DATEOFBIRTH
 ,USER_ADDRESS1
 ,USER_ADDRESS2
 ,USER_CITY
 ,TASK_APPROVER_GIVENNAME
 ,TASK_APPROVER_FAMILYNAME
 ,CERT_TEMPLATE_ID
 ,DISPLAY_LEARNING_ID
 ,CERT_DESCRIPTION
 ,TRAN_SCORE
 ,TRAN_CREDITS
 ,USER_DEPARTMENT_NAME
 ,SELF_AWARD_CERTIFICATE
 ,SELFAWARD_ATTACH_ID
 ,IS_LATEST
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,USERID
 ,CERTID
 ,DATEACHIEVED
 ,COMMENTS
 ,AWARDEDBY
 ,EXPIREDATE
 ,NREMINDERS
 ,STATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDID
 ,CERT_CODE
 ,CERT_TITLE
 ,USER_CURRENTPID
 ,COURSE_NAME
 ,COURSE_DURATION_COMMENTS
 ,COURSE_STARTDATE
 ,COURSE_ENDDATE
 ,USER_LOCALE
 ,COURSE_MODULE_DESCRIPTION
 ,COURSE_SESSION_TITLE
 ,COURSE_FACILITY_CODE
 ,TRAN_UPDATER_LEGAL_NAME
 ,TRAN_UPDATE_MEANING_TEXT
 ,TRAN_LAST_UPDATED
 ,COURSE_PERFORMANCE_GRADE
 ,USER_GIVENNAME
 ,USER_FAMILYNAME
 ,USER_EMPLOYEENO
 ,USER_JOBTITLE
 ,USER_DATEOFBIRTH
 ,USER_ADDRESS1
 ,USER_ADDRESS2
 ,USER_CITY
 ,TASK_APPROVER_GIVENNAME
 ,TASK_APPROVER_FAMILYNAME
 ,CERT_TEMPLATE_ID
 ,DISPLAY_LEARNING_ID
 ,CERT_DESCRIPTION
 ,TRAN_SCORE
 ,TRAN_CREDITS
 ,USER_DEPARTMENT_NAME
 ,SELF_AWARD_CERTIFICATE
 ,SELFAWARD_ATTACH_ID
 ,IS_LATEST
  from certusers
/

CREATE INDEX nuk_certusers_aud_1 ON certusers_aud(aud_userid)
/

CREATE INDEX nuk_certusers_aud_2 ON certusers_aud(aud_datetime)
/

create or replace trigger i_certusers
after insert on certusers for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USERID
 ,CERTID
 ,DATEACHIEVED
 ,COMMENTS
 ,AWARDEDBY
 ,EXPIREDATE
 ,NREMINDERS
 ,STATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDID
 ,CERT_CODE
 ,CERT_TITLE
 ,USER_CURRENTPID
 ,COURSE_NAME
 ,COURSE_DURATION_COMMENTS
 ,COURSE_STARTDATE
 ,COURSE_ENDDATE
 ,USER_LOCALE
 ,COURSE_MODULE_DESCRIPTION
 ,COURSE_SESSION_TITLE
 ,COURSE_FACILITY_CODE
 ,TRAN_UPDATER_LEGAL_NAME
 ,TRAN_UPDATE_MEANING_TEXT
 ,TRAN_LAST_UPDATED
 ,COURSE_PERFORMANCE_GRADE
 ,USER_GIVENNAME
 ,USER_FAMILYNAME
 ,USER_EMPLOYEENO
 ,USER_JOBTITLE
 ,USER_DATEOFBIRTH
 ,USER_ADDRESS1
 ,USER_ADDRESS2
 ,USER_CITY
 ,TASK_APPROVER_GIVENNAME
 ,TASK_APPROVER_FAMILYNAME
 ,CERT_TEMPLATE_ID
 ,DISPLAY_LEARNING_ID
 ,CERT_DESCRIPTION
 ,TRAN_SCORE
 ,TRAN_CREDITS
 ,USER_DEPARTMENT_NAME
 ,SELF_AWARD_CERTIFICATE
 ,SELFAWARD_ATTACH_ID
 ,IS_LATEST
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USERID
 ,:new.CERTID
 ,:new.DATEACHIEVED
 ,:new.COMMENTS
 ,:new.AWARDEDBY
 ,:new.EXPIREDATE
 ,:new.NREMINDERS
 ,:new.STATUS
 ,:new.TESTINSTANCEID
 ,:new.LEARNINGID
 ,:new.AWARDID
 ,:new.CERT_CODE
 ,:new.CERT_TITLE
 ,:new.USER_CURRENTPID
 ,:new.COURSE_NAME
 ,:new.COURSE_DURATION_COMMENTS
 ,:new.COURSE_STARTDATE
 ,:new.COURSE_ENDDATE
 ,:new.USER_LOCALE
 ,:new.COURSE_MODULE_DESCRIPTION
 ,:new.COURSE_SESSION_TITLE
 ,:new.COURSE_FACILITY_CODE
 ,:new.TRAN_UPDATER_LEGAL_NAME
 ,:new.TRAN_UPDATE_MEANING_TEXT
 ,:new.TRAN_LAST_UPDATED
 ,:new.COURSE_PERFORMANCE_GRADE
 ,:new.USER_GIVENNAME
 ,:new.USER_FAMILYNAME
 ,:new.USER_EMPLOYEENO
 ,:new.USER_JOBTITLE
 ,:new.USER_DATEOFBIRTH
 ,:new.USER_ADDRESS1
 ,:new.USER_ADDRESS2
 ,:new.USER_CITY
 ,:new.TASK_APPROVER_GIVENNAME
 ,:new.TASK_APPROVER_FAMILYNAME
 ,:new.CERT_TEMPLATE_ID
 ,:new.DISPLAY_LEARNING_ID
 ,:new.CERT_DESCRIPTION
 ,:new.TRAN_SCORE
 ,:new.TRAN_CREDITS
 ,:new.USER_DEPARTMENT_NAME
 ,:new.SELF_AWARD_CERTIFICATE
 ,:new.SELFAWARD_ATTACH_ID
 ,:new.IS_LATEST
);
end;
/

create or replace trigger u_certusers
after update on certusers for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USERID
 ,CERTID
 ,DATEACHIEVED
 ,COMMENTS
 ,AWARDEDBY
 ,EXPIREDATE
 ,NREMINDERS
 ,STATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDID
 ,CERT_CODE
 ,CERT_TITLE
 ,USER_CURRENTPID
 ,COURSE_NAME
 ,COURSE_DURATION_COMMENTS
 ,COURSE_STARTDATE
 ,COURSE_ENDDATE
 ,USER_LOCALE
 ,COURSE_MODULE_DESCRIPTION
 ,COURSE_SESSION_TITLE
 ,COURSE_FACILITY_CODE
 ,TRAN_UPDATER_LEGAL_NAME
 ,TRAN_UPDATE_MEANING_TEXT
 ,TRAN_LAST_UPDATED
 ,COURSE_PERFORMANCE_GRADE
 ,USER_GIVENNAME
 ,USER_FAMILYNAME
 ,USER_EMPLOYEENO
 ,USER_JOBTITLE
 ,USER_DATEOFBIRTH
 ,USER_ADDRESS1
 ,USER_ADDRESS2
 ,USER_CITY
 ,TASK_APPROVER_GIVENNAME
 ,TASK_APPROVER_FAMILYNAME
 ,CERT_TEMPLATE_ID
 ,DISPLAY_LEARNING_ID
 ,CERT_DESCRIPTION
 ,TRAN_SCORE
 ,TRAN_CREDITS
 ,USER_DEPARTMENT_NAME
 ,SELF_AWARD_CERTIFICATE
 ,SELFAWARD_ATTACH_ID
 ,IS_LATEST
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.USERID
 ,:new.CERTID
 ,:new.DATEACHIEVED
 ,:new.COMMENTS
 ,:new.AWARDEDBY
 ,:new.EXPIREDATE
 ,:new.NREMINDERS
 ,:new.STATUS
 ,:new.TESTINSTANCEID
 ,:new.LEARNINGID
 ,:new.AWARDID
 ,:new.CERT_CODE
 ,:new.CERT_TITLE
 ,:new.USER_CURRENTPID
 ,:new.COURSE_NAME
 ,:new.COURSE_DURATION_COMMENTS
 ,:new.COURSE_STARTDATE
 ,:new.COURSE_ENDDATE
 ,:new.USER_LOCALE
 ,:new.COURSE_MODULE_DESCRIPTION
 ,:new.COURSE_SESSION_TITLE
 ,:new.COURSE_FACILITY_CODE
 ,:new.TRAN_UPDATER_LEGAL_NAME
 ,:new.TRAN_UPDATE_MEANING_TEXT
 ,:new.TRAN_LAST_UPDATED
 ,:new.COURSE_PERFORMANCE_GRADE
 ,:new.USER_GIVENNAME
 ,:new.USER_FAMILYNAME
 ,:new.USER_EMPLOYEENO
 ,:new.USER_JOBTITLE
 ,:new.USER_DATEOFBIRTH
 ,:new.USER_ADDRESS1
 ,:new.USER_ADDRESS2
 ,:new.USER_CITY
 ,:new.TASK_APPROVER_GIVENNAME
 ,:new.TASK_APPROVER_FAMILYNAME
 ,:new.CERT_TEMPLATE_ID
 ,:new.DISPLAY_LEARNING_ID
 ,:new.CERT_DESCRIPTION
 ,:new.TRAN_SCORE
 ,:new.TRAN_CREDITS
 ,:new.USER_DEPARTMENT_NAME
 ,:new.SELF_AWARD_CERTIFICATE
 ,:new.SELFAWARD_ATTACH_ID
 ,:new.IS_LATEST
);
end;
/

create or replace trigger d_certusers
after delete on certusers for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,USERID
 ,CERTID
 ,DATEACHIEVED
 ,COMMENTS
 ,AWARDEDBY
 ,EXPIREDATE
 ,NREMINDERS
 ,STATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDID
 ,CERT_CODE
 ,CERT_TITLE
 ,USER_CURRENTPID
 ,COURSE_NAME
 ,COURSE_DURATION_COMMENTS
 ,COURSE_STARTDATE
 ,COURSE_ENDDATE
 ,USER_LOCALE
 ,COURSE_MODULE_DESCRIPTION
 ,COURSE_SESSION_TITLE
 ,COURSE_FACILITY_CODE
 ,TRAN_UPDATER_LEGAL_NAME
 ,TRAN_UPDATE_MEANING_TEXT
 ,TRAN_LAST_UPDATED
 ,COURSE_PERFORMANCE_GRADE
 ,USER_GIVENNAME
 ,USER_FAMILYNAME
 ,USER_EMPLOYEENO
 ,USER_JOBTITLE
 ,USER_DATEOFBIRTH
 ,USER_ADDRESS1
 ,USER_ADDRESS2
 ,USER_CITY
 ,TASK_APPROVER_GIVENNAME
 ,TASK_APPROVER_FAMILYNAME
 ,CERT_TEMPLATE_ID
 ,DISPLAY_LEARNING_ID
 ,CERT_DESCRIPTION
 ,TRAN_SCORE
 ,TRAN_CREDITS
 ,USER_DEPARTMENT_NAME
 ,SELF_AWARD_CERTIFICATE
 ,SELFAWARD_ATTACH_ID
 ,IS_LATEST
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.USERID
 ,:old.CERTID
 ,:old.DATEACHIEVED
 ,:old.COMMENTS
 ,:old.AWARDEDBY
 ,:old.EXPIREDATE
 ,:old.NREMINDERS
 ,:old.STATUS
 ,:old.TESTINSTANCEID
 ,:old.LEARNINGID
 ,:old.AWARDID
 ,:old.CERT_CODE
 ,:old.CERT_TITLE
 ,:old.USER_CURRENTPID
 ,:old.COURSE_NAME
 ,:old.COURSE_DURATION_COMMENTS
 ,:old.COURSE_STARTDATE
 ,:old.COURSE_ENDDATE
 ,:old.USER_LOCALE
 ,:old.COURSE_MODULE_DESCRIPTION
 ,:old.COURSE_SESSION_TITLE
 ,:old.COURSE_FACILITY_CODE
 ,:old.TRAN_UPDATER_LEGAL_NAME
 ,:old.TRAN_UPDATE_MEANING_TEXT
 ,:old.TRAN_LAST_UPDATED
 ,:old.COURSE_PERFORMANCE_GRADE
 ,:old.USER_GIVENNAME
 ,:old.USER_FAMILYNAME
 ,:old.USER_EMPLOYEENO
 ,:old.USER_JOBTITLE
 ,:old.USER_DATEOFBIRTH
 ,:old.USER_ADDRESS1
 ,:old.USER_ADDRESS2
 ,:old.USER_CITY
 ,:old.TASK_APPROVER_GIVENNAME
 ,:old.TASK_APPROVER_FAMILYNAME
 ,:old.CERT_TEMPLATE_ID
 ,:old.DISPLAY_LEARNING_ID
 ,:old.CERT_DESCRIPTION
 ,:old.TRAN_SCORE
 ,:old.TRAN_CREDITS
 ,:old.USER_DEPARTMENT_NAME
 ,:old.SELF_AWARD_CERTIFICATE
 ,:old.SELFAWARD_ATTACH_ID
 ,:old.IS_LATEST
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1118, '8:ecdcd58ca4425aa51b5f449f675bcb6d', 'enableAuditTable auditTableName=certusers_aud, tableName=certusers', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-checklist_item::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CHECKLIST_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CHECKLIST_ITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CHECKLIST_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CHECKLIST_ITEM';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CHECKLIST_ITEM';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CHECKLIST_ITEM';
			END IF;
		END;
/

CREATE TABLE checklist_item_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ITEMID VARCHAR2(85 BYTE), LEARNINGID VARCHAR2(85 BYTE), SESSIONID VARCHAR2(15 BYTE), IMPORTANT CHAR(1 BYTE), DESCRIPTION VARCHAR2(255 BYTE), DEADLINE date, CREATOR_ID VARCHAR2(85 BYTE), COMPLETION_STATUS CHAR(1 BYTE), DATE_COMPLETED date, DATE_CREATED date, OWNER_ID VARCHAR2(85 BYTE), ASSIGNED_BY VARCHAR2(85 BYTE), REMINDER_DAYS NUMBER(*, 0), REMINDER_SENT CHAR(1 BYTE), RELATIVE_DAYS NUMBER(*, 0), RELATIVE_DAYS_OPTION CHAR(1 BYTE), CHECKLIST_TYPE CHAR(1 BYTE), COMPLETED_BY VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CHECKLIST_ITEM_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_checklist_item_aud
 before insert on checklist_item_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into checklist_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ITEMID
 ,LEARNINGID
 ,SESSIONID
 ,IMPORTANT
 ,DESCRIPTION
 ,DEADLINE
 ,CREATOR_ID
 ,COMPLETION_STATUS
 ,DATE_COMPLETED
 ,DATE_CREATED
 ,OWNER_ID
 ,ASSIGNED_BY
 ,REMINDER_DAYS
 ,REMINDER_SENT
 ,RELATIVE_DAYS
 ,RELATIVE_DAYS_OPTION
 ,CHECKLIST_TYPE
 ,COMPLETED_BY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ITEMID
 ,LEARNINGID
 ,SESSIONID
 ,IMPORTANT
 ,DESCRIPTION
 ,DEADLINE
 ,CREATOR_ID
 ,COMPLETION_STATUS
 ,DATE_COMPLETED
 ,DATE_CREATED
 ,OWNER_ID
 ,ASSIGNED_BY
 ,REMINDER_DAYS
 ,REMINDER_SENT
 ,RELATIVE_DAYS
 ,RELATIVE_DAYS_OPTION
 ,CHECKLIST_TYPE
 ,COMPLETED_BY
  from checklist_item
/

CREATE INDEX nuk_checklist_item_aud_1 ON checklist_item_aud(aud_userid)
/

CREATE INDEX nuk_checklist_item_aud_2 ON checklist_item_aud(aud_datetime)
/

create or replace trigger i_checklist_item
after insert on checklist_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into checklist_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ITEMID
 ,LEARNINGID
 ,SESSIONID
 ,IMPORTANT
 ,DESCRIPTION
 ,DEADLINE
 ,CREATOR_ID
 ,COMPLETION_STATUS
 ,DATE_COMPLETED
 ,DATE_CREATED
 ,OWNER_ID
 ,ASSIGNED_BY
 ,REMINDER_DAYS
 ,REMINDER_SENT
 ,RELATIVE_DAYS
 ,RELATIVE_DAYS_OPTION
 ,CHECKLIST_TYPE
 ,COMPLETED_BY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ITEMID
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.IMPORTANT
 ,:new.DESCRIPTION
 ,:new.DEADLINE
 ,:new.CREATOR_ID
 ,:new.COMPLETION_STATUS
 ,:new.DATE_COMPLETED
 ,:new.DATE_CREATED
 ,:new.OWNER_ID
 ,:new.ASSIGNED_BY
 ,:new.REMINDER_DAYS
 ,:new.REMINDER_SENT
 ,:new.RELATIVE_DAYS
 ,:new.RELATIVE_DAYS_OPTION
 ,:new.CHECKLIST_TYPE
 ,:new.COMPLETED_BY
);
end;
/

create or replace trigger u_checklist_item
after update on checklist_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into checklist_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ITEMID
 ,LEARNINGID
 ,SESSIONID
 ,IMPORTANT
 ,DESCRIPTION
 ,DEADLINE
 ,CREATOR_ID
 ,COMPLETION_STATUS
 ,DATE_COMPLETED
 ,DATE_CREATED
 ,OWNER_ID
 ,ASSIGNED_BY
 ,REMINDER_DAYS
 ,REMINDER_SENT
 ,RELATIVE_DAYS
 ,RELATIVE_DAYS_OPTION
 ,CHECKLIST_TYPE
 ,COMPLETED_BY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ITEMID
 ,:new.LEARNINGID
 ,:new.SESSIONID
 ,:new.IMPORTANT
 ,:new.DESCRIPTION
 ,:new.DEADLINE
 ,:new.CREATOR_ID
 ,:new.COMPLETION_STATUS
 ,:new.DATE_COMPLETED
 ,:new.DATE_CREATED
 ,:new.OWNER_ID
 ,:new.ASSIGNED_BY
 ,:new.REMINDER_DAYS
 ,:new.REMINDER_SENT
 ,:new.RELATIVE_DAYS
 ,:new.RELATIVE_DAYS_OPTION
 ,:new.CHECKLIST_TYPE
 ,:new.COMPLETED_BY
);
end;
/

create or replace trigger d_checklist_item
after delete on checklist_item for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into checklist_item_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ITEMID
 ,LEARNINGID
 ,SESSIONID
 ,IMPORTANT
 ,DESCRIPTION
 ,DEADLINE
 ,CREATOR_ID
 ,COMPLETION_STATUS
 ,DATE_COMPLETED
 ,DATE_CREATED
 ,OWNER_ID
 ,ASSIGNED_BY
 ,REMINDER_DAYS
 ,REMINDER_SENT
 ,RELATIVE_DAYS
 ,RELATIVE_DAYS_OPTION
 ,CHECKLIST_TYPE
 ,COMPLETED_BY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ITEMID
 ,:old.LEARNINGID
 ,:old.SESSIONID
 ,:old.IMPORTANT
 ,:old.DESCRIPTION
 ,:old.DEADLINE
 ,:old.CREATOR_ID
 ,:old.COMPLETION_STATUS
 ,:old.DATE_COMPLETED
 ,:old.DATE_CREATED
 ,:old.OWNER_ID
 ,:old.ASSIGNED_BY
 ,:old.REMINDER_DAYS
 ,:old.REMINDER_SENT
 ,:old.RELATIVE_DAYS
 ,:old.RELATIVE_DAYS_OPTION
 ,:old.CHECKLIST_TYPE
 ,:old.COMPLETED_BY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-checklist_item', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1119, '8:05e026c33f9b627a6097b9917a1ce49f', 'enableAuditTable auditTableName=checklist_item_aud, tableName=checklist_item', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-submod_tran_subt::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SUBMOD_TRAN_SUBT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SUBMOD_TRAN_SUBT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SUBMOD_TRAN_SUBT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SUBMOD_TRAN_SUBT';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SUBMOD_TRAN_SUBT';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SUBMOD_TRAN_SUBT';
			END IF;
		END;
/

CREATE TABLE submod_tran_subt_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), LEARNER_ID VARCHAR2(85 BYTE), SUBSTITUTE_TRAN_ID VARCHAR2(15 BYTE), SUBSTITUTE_LEARNING_ID VARCHAR2(85 BYTE), TARGET_TRAN_ID VARCHAR2(15 BYTE), TARGET_LEARNING_ID VARCHAR2(85 BYTE), PROGRAM_TRAN_ID VARCHAR2(15 BYTE), PROGRAM_LEARNING_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_SUBMOD_TRAN_SUBT_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_submod_tran_subt_aud
 before insert on submod_tran_subt_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into submod_tran_subt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNER_ID
 ,SUBSTITUTE_TRAN_ID
 ,SUBSTITUTE_LEARNING_ID
 ,TARGET_TRAN_ID
 ,TARGET_LEARNING_ID
 ,PROGRAM_TRAN_ID
 ,PROGRAM_LEARNING_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNER_ID
 ,SUBSTITUTE_TRAN_ID
 ,SUBSTITUTE_LEARNING_ID
 ,TARGET_TRAN_ID
 ,TARGET_LEARNING_ID
 ,PROGRAM_TRAN_ID
 ,PROGRAM_LEARNING_ID
  from submod_tran_subt
/

CREATE INDEX nuk_submod_tran_subt_aud_1 ON submod_tran_subt_aud(aud_userid)
/

CREATE INDEX nuk_submod_tran_subt_aud_2 ON submod_tran_subt_aud(aud_datetime)
/

create or replace trigger i_submod_tran_subt
after insert on submod_tran_subt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_subt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNER_ID
 ,SUBSTITUTE_TRAN_ID
 ,SUBSTITUTE_LEARNING_ID
 ,TARGET_TRAN_ID
 ,TARGET_LEARNING_ID
 ,PROGRAM_TRAN_ID
 ,PROGRAM_LEARNING_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNER_ID
 ,:new.SUBSTITUTE_TRAN_ID
 ,:new.SUBSTITUTE_LEARNING_ID
 ,:new.TARGET_TRAN_ID
 ,:new.TARGET_LEARNING_ID
 ,:new.PROGRAM_TRAN_ID
 ,:new.PROGRAM_LEARNING_ID
);
end;
/

create or replace trigger u_submod_tran_subt
after update on submod_tran_subt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_subt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNER_ID
 ,SUBSTITUTE_TRAN_ID
 ,SUBSTITUTE_LEARNING_ID
 ,TARGET_TRAN_ID
 ,TARGET_LEARNING_ID
 ,PROGRAM_TRAN_ID
 ,PROGRAM_LEARNING_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNER_ID
 ,:new.SUBSTITUTE_TRAN_ID
 ,:new.SUBSTITUTE_LEARNING_ID
 ,:new.TARGET_TRAN_ID
 ,:new.TARGET_LEARNING_ID
 ,:new.PROGRAM_TRAN_ID
 ,:new.PROGRAM_LEARNING_ID
);
end;
/

create or replace trigger d_submod_tran_subt
after delete on submod_tran_subt for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_subt_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNER_ID
 ,SUBSTITUTE_TRAN_ID
 ,SUBSTITUTE_LEARNING_ID
 ,TARGET_TRAN_ID
 ,TARGET_LEARNING_ID
 ,PROGRAM_TRAN_ID
 ,PROGRAM_LEARNING_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNER_ID
 ,:old.SUBSTITUTE_TRAN_ID
 ,:old.SUBSTITUTE_LEARNING_ID
 ,:old.TARGET_TRAN_ID
 ,:old.TARGET_LEARNING_ID
 ,:old.PROGRAM_TRAN_ID
 ,:old.PROGRAM_LEARNING_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-submod_tran_subt', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1120, '8:af07b4f1a34629387e883d857119e923', 'enableAuditTable auditTableName=submod_tran_subt_aud, tableName=submod_tran_subt', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_competency_exp_tran::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_COMPETENCY_EXP_TRAN';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_COMPETENCY_EXP_TRAN';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_COMPETENCY_EXP_TRAN';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_COMPETENCY_EXP_TRAN';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_COMPETENCY_EXP_TRAN';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_COMPETENCY_EXP_TRAN';
			END IF;
		END;
/

CREATE TABLE course_comp_exp_tran_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), COURSE_COMP_EXP_ID VARCHAR2(85 BYTE), TRANSCRIPT_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_COURSE_COMP_EXP_TRAN_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_comp_exp_tran_aud
 before insert on course_comp_exp_tran_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_comp_exp_tran_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSE_COMP_EXP_ID
 ,TRANSCRIPT_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,COURSE_COMP_EXP_ID
 ,TRANSCRIPT_ID
  from course_competency_exp_tran
/

CREATE INDEX nuk_course_comp_exp_tran_aud_1 ON course_comp_exp_tran_aud(aud_userid)
/

CREATE INDEX nuk_course_comp_exp_tran_aud_2 ON course_comp_exp_tran_aud(aud_datetime)
/

create or replace trigger i_course_competency_exp_tran
after insert on course_competency_exp_tran for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_tran_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSE_COMP_EXP_ID
 ,TRANSCRIPT_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSE_COMP_EXP_ID
 ,:new.TRANSCRIPT_ID
);
end;
/

create or replace trigger u_course_competency_exp_tran
after update on course_competency_exp_tran for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_tran_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSE_COMP_EXP_ID
 ,TRANSCRIPT_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.COURSE_COMP_EXP_ID
 ,:new.TRANSCRIPT_ID
);
end;
/

create or replace trigger d_course_competency_exp_tran
after delete on course_competency_exp_tran for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_comp_exp_tran_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,COURSE_COMP_EXP_ID
 ,TRANSCRIPT_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.COURSE_COMP_EXP_ID
 ,:old.TRANSCRIPT_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_competency_exp_tran', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1121, '8:e7d9881c6ca134ad4f9ece8ebc05c8ee', 'enableAuditTable auditTableName=course_comp_exp_tran_aud, tableName=course_competency_exp_tran', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_choices::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_CHOICES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_CHOICES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_CHOICES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_CHOICES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_CHOICES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_CHOICES';
			END IF;
		END;
/

CREATE TABLE question_choices_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, QUESTIONID VARCHAR2(85 BYTE), DISPLAYORDER NUMBER(*, 0), CHOICE VARCHAR2(1000 BYTE), CHOICEID VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_CHOICES_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_choices_aud
 before insert on question_choices_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_choices_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,DISPLAYORDER
 ,CHOICE
 ,CHOICEID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,QUESTIONID
 ,DISPLAYORDER
 ,CHOICE
 ,CHOICEID
  from question_choices
/

CREATE INDEX nuk_question_choices_aud_1 ON question_choices_aud(aud_userid)
/

CREATE INDEX nuk_question_choices_aud_2 ON question_choices_aud(aud_datetime)
/

create or replace trigger i_question_choices
after insert on question_choices for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_choices_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,DISPLAYORDER
 ,CHOICE
 ,CHOICEID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.DISPLAYORDER
 ,:new.CHOICE
 ,:new.CHOICEID
);
end;
/

create or replace trigger u_question_choices
after update on question_choices for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_choices_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,DISPLAYORDER
 ,CHOICE
 ,CHOICEID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.QUESTIONID
 ,:new.DISPLAYORDER
 ,:new.CHOICE
 ,:new.CHOICEID
);
end;
/

create or replace trigger d_question_choices
after delete on question_choices for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_choices_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,QUESTIONID
 ,DISPLAYORDER
 ,CHOICE
 ,CHOICEID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.QUESTIONID
 ,:old.DISPLAYORDER
 ,:old.CHOICE
 ,:old.CHOICEID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_choices', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1122, '8:5ca18d62953aa118f88979ea80865079', 'enableAuditTable auditTableName=question_choices_aud, tableName=question_choices', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-transcript_substatus::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TRANSCRIPT_SUBSTATUS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TRANSCRIPT_SUBSTATUS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TRANSCRIPT_SUBSTATUS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TRANSCRIPT_SUBSTATUS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TRANSCRIPT_SUBSTATUS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TRANSCRIPT_SUBSTATUS';
			END IF;
		END;
/

CREATE TABLE transcript_substatus_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), TRANSCRIPT_STATUS NUMBER(*, 0), SUBSTATUS_CODE VARCHAR2(255 BYTE), SUBSTATUS_NAME VARCHAR2(255 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TRANSCRIPT_SUBSTATUS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_transcript_substatus_aud
 before insert on transcript_substatus_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into transcript_substatus_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TRANSCRIPT_STATUS
 ,SUBSTATUS_CODE
 ,SUBSTATUS_NAME
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,TRANSCRIPT_STATUS
 ,SUBSTATUS_CODE
 ,SUBSTATUS_NAME
  from transcript_substatus
/

CREATE INDEX nuk_transcript_substatus_aud_1 ON transcript_substatus_aud(aud_userid)
/

CREATE INDEX nuk_transcript_substatus_aud_2 ON transcript_substatus_aud(aud_datetime)
/

create or replace trigger i_transcript_substatus
after insert on transcript_substatus for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_substatus_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TRANSCRIPT_STATUS
 ,SUBSTATUS_CODE
 ,SUBSTATUS_NAME
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TRANSCRIPT_STATUS
 ,:new.SUBSTATUS_CODE
 ,:new.SUBSTATUS_NAME
);
end;
/

create or replace trigger u_transcript_substatus
after update on transcript_substatus for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_substatus_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TRANSCRIPT_STATUS
 ,SUBSTATUS_CODE
 ,SUBSTATUS_NAME
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TRANSCRIPT_STATUS
 ,:new.SUBSTATUS_CODE
 ,:new.SUBSTATUS_NAME
);
end;
/

create or replace trigger d_transcript_substatus
after delete on transcript_substatus for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_substatus_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TRANSCRIPT_STATUS
 ,SUBSTATUS_CODE
 ,SUBSTATUS_NAME
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.TRANSCRIPT_STATUS
 ,:old.SUBSTATUS_CODE
 ,:old.SUBSTATUS_NAME
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-transcript_substatus', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1123, '8:7b43b52b6839acf5c257def6ac67c67e', 'enableAuditTable auditTableName=transcript_substatus_aud, tableName=transcript_substatus', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-equivalency_rules::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_EQUIVALENCY_RULES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_EQUIVALENCY_RULES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_EQUIVALENCY_RULES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_EQUIVALENCY_RULES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_EQUIVALENCY_RULES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_EQUIVALENCY_RULES';
			END IF;
		END;
/

CREATE TABLE equivalency_rules_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), RULE_GROUP_ID VARCHAR2(85 BYTE), SUBSTITUTE_ID VARCHAR2(85 BYTE), TARGET_ID VARCHAR2(85 BYTE), CREATE_DATE date, CREATED_BY VARCHAR2(85 BYTE), COUNT NUMBER(*, 0), CONTAINS_PROGRAM CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_EQUIVALENCY_RULES_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_equivalency_rules_aud
 before insert on equivalency_rules_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into equivalency_rules_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RULE_GROUP_ID
 ,SUBSTITUTE_ID
 ,TARGET_ID
 ,CREATE_DATE
 ,CREATED_BY
 ,COUNT
 ,CONTAINS_PROGRAM
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,RULE_GROUP_ID
 ,SUBSTITUTE_ID
 ,TARGET_ID
 ,CREATE_DATE
 ,CREATED_BY
 ,COUNT
 ,CONTAINS_PROGRAM
  from equivalency_rules
/

CREATE INDEX nuk_equivalency_rules_aud_1 ON equivalency_rules_aud(aud_userid)
/

CREATE INDEX nuk_equivalency_rules_aud_2 ON equivalency_rules_aud(aud_datetime)
/

create or replace trigger i_equivalency_rules
after insert on equivalency_rules for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into equivalency_rules_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RULE_GROUP_ID
 ,SUBSTITUTE_ID
 ,TARGET_ID
 ,CREATE_DATE
 ,CREATED_BY
 ,COUNT
 ,CONTAINS_PROGRAM
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RULE_GROUP_ID
 ,:new.SUBSTITUTE_ID
 ,:new.TARGET_ID
 ,:new.CREATE_DATE
 ,:new.CREATED_BY
 ,:new.COUNT
 ,:new.CONTAINS_PROGRAM
);
end;
/

create or replace trigger u_equivalency_rules
after update on equivalency_rules for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into equivalency_rules_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RULE_GROUP_ID
 ,SUBSTITUTE_ID
 ,TARGET_ID
 ,CREATE_DATE
 ,CREATED_BY
 ,COUNT
 ,CONTAINS_PROGRAM
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RULE_GROUP_ID
 ,:new.SUBSTITUTE_ID
 ,:new.TARGET_ID
 ,:new.CREATE_DATE
 ,:new.CREATED_BY
 ,:new.COUNT
 ,:new.CONTAINS_PROGRAM
);
end;
/

create or replace trigger d_equivalency_rules
after delete on equivalency_rules for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into equivalency_rules_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RULE_GROUP_ID
 ,SUBSTITUTE_ID
 ,TARGET_ID
 ,CREATE_DATE
 ,CREATED_BY
 ,COUNT
 ,CONTAINS_PROGRAM
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.RULE_GROUP_ID
 ,:old.SUBSTITUTE_ID
 ,:old.TARGET_ID
 ,:old.CREATE_DATE
 ,:old.CREATED_BY
 ,:old.COUNT
 ,:old.CONTAINS_PROGRAM
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-equivalency_rules', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1124, '8:63bde8c102a6a2e08c2167b786f5d38e', 'enableAuditTable auditTableName=equivalency_rules_aud, tableName=equivalency_rules', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-permissions::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_PERMISSIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_PERMISSIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_PERMISSIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_PERMISSIONS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_PERMISSIONS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_PERMISSIONS';
			END IF;
		END;
/

CREATE TABLE permissions_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, OBJECTID VARCHAR2(120 BYTE), OBJECTTYPE VARCHAR2(5 BYTE), IDENTITYID VARCHAR2(200 BYTE), PERMISSIONCODE NUMBER(*, 0), IDENTITYTYPE VARCHAR2(45 BYTE), OPERATOR VARCHAR2(3 BYTE), IS_PTS_OBJECTTYPE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_PERMISSIONS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_permissions_aud
 before insert on permissions_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into permissions_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,IDENTITYID
 ,PERMISSIONCODE
 ,IDENTITYTYPE
 ,OPERATOR
 ,IS_PTS_OBJECTTYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,OBJECTID
 ,OBJECTTYPE
 ,IDENTITYID
 ,PERMISSIONCODE
 ,IDENTITYTYPE
 ,OPERATOR
 ,IS_PTS_OBJECTTYPE
  from permissions
/

CREATE INDEX nuk_permissions_aud_1 ON permissions_aud(aud_userid)
/

CREATE INDEX nuk_permissions_aud_2 ON permissions_aud(aud_datetime)
/

create or replace trigger i_permissions
after insert on permissions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permissions_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,IDENTITYID
 ,PERMISSIONCODE
 ,IDENTITYTYPE
 ,OPERATOR
 ,IS_PTS_OBJECTTYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.OBJECTID
 ,:new.OBJECTTYPE
 ,:new.IDENTITYID
 ,:new.PERMISSIONCODE
 ,:new.IDENTITYTYPE
 ,:new.OPERATOR
 ,:new.IS_PTS_OBJECTTYPE
);
end;
/

create or replace trigger u_permissions
after update on permissions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permissions_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,IDENTITYID
 ,PERMISSIONCODE
 ,IDENTITYTYPE
 ,OPERATOR
 ,IS_PTS_OBJECTTYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.OBJECTID
 ,:new.OBJECTTYPE
 ,:new.IDENTITYID
 ,:new.PERMISSIONCODE
 ,:new.IDENTITYTYPE
 ,:new.OPERATOR
 ,:new.IS_PTS_OBJECTTYPE
);
end;
/

create or replace trigger d_permissions
after delete on permissions for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permissions_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,IDENTITYID
 ,PERMISSIONCODE
 ,IDENTITYTYPE
 ,OPERATOR
 ,IS_PTS_OBJECTTYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.OBJECTID
 ,:old.OBJECTTYPE
 ,:old.IDENTITYID
 ,:old.PERMISSIONCODE
 ,:old.IDENTITYTYPE
 ,:old.OPERATOR
 ,:old.IS_PTS_OBJECTTYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-permissions', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1125, '8:9686a149359f42f46420a21112a65faf', 'enableAuditTable auditTableName=permissions_aud, tableName=permissions', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-resource_string::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_RESOURCE_STRING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_RESOURCE_STRING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_RESOURCE_STRING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_RESOURCE_STRING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_RESOURCE_STRING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_RESOURCE_STRING';
			END IF;
		END;
/

CREATE TABLE resource_string_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), RESOURCE_KEY VARCHAR2(85 BYTE), BUNDLE_ID VARCHAR2(85 BYTE), VALUE_VARCHAR VARCHAR2(4000 BYTE), VALUE_NTEXT CLOB, REFERENCE_ID VARCHAR2(100 BYTE), FIELD VARCHAR2(100 BYTE), LUCENE_OBJECT_ID VARCHAR2(100 BYTE), LUCENE_SHOULD_USE_NTEXT CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_RESOURCE_STRING_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_resource_string_aud
 before insert on resource_string_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into resource_string_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RESOURCE_KEY
 ,BUNDLE_ID
 ,VALUE_VARCHAR
 ,VALUE_NTEXT
 ,REFERENCE_ID
 ,FIELD
 ,LUCENE_OBJECT_ID
 ,LUCENE_SHOULD_USE_NTEXT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,RESOURCE_KEY
 ,BUNDLE_ID
 ,VALUE_VARCHAR
 ,VALUE_NTEXT
 ,REFERENCE_ID
 ,FIELD
 ,LUCENE_OBJECT_ID
 ,LUCENE_SHOULD_USE_NTEXT
  from resource_string
/

CREATE INDEX nuk_resource_string_aud_1 ON resource_string_aud(aud_userid)
/

CREATE INDEX nuk_resource_string_aud_2 ON resource_string_aud(aud_datetime)
/

create or replace trigger i_resource_string
after insert on resource_string for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into resource_string_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RESOURCE_KEY
 ,BUNDLE_ID
 ,VALUE_VARCHAR
 ,VALUE_NTEXT
 ,REFERENCE_ID
 ,FIELD
 ,LUCENE_OBJECT_ID
 ,LUCENE_SHOULD_USE_NTEXT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RESOURCE_KEY
 ,:new.BUNDLE_ID
 ,:new.VALUE_VARCHAR
 ,:new.VALUE_NTEXT
 ,:new.REFERENCE_ID
 ,:new.FIELD
 ,:new.LUCENE_OBJECT_ID
 ,:new.LUCENE_SHOULD_USE_NTEXT
);
end;
/

create or replace trigger u_resource_string
after update on resource_string for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into resource_string_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RESOURCE_KEY
 ,BUNDLE_ID
 ,VALUE_VARCHAR
 ,VALUE_NTEXT
 ,REFERENCE_ID
 ,FIELD
 ,LUCENE_OBJECT_ID
 ,LUCENE_SHOULD_USE_NTEXT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.RESOURCE_KEY
 ,:new.BUNDLE_ID
 ,:new.VALUE_VARCHAR
 ,:new.VALUE_NTEXT
 ,:new.REFERENCE_ID
 ,:new.FIELD
 ,:new.LUCENE_OBJECT_ID
 ,:new.LUCENE_SHOULD_USE_NTEXT
);
end;
/

create or replace trigger d_resource_string
after delete on resource_string for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into resource_string_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,RESOURCE_KEY
 ,BUNDLE_ID
 ,VALUE_VARCHAR
 ,VALUE_NTEXT
 ,REFERENCE_ID
 ,FIELD
 ,LUCENE_OBJECT_ID
 ,LUCENE_SHOULD_USE_NTEXT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.RESOURCE_KEY
 ,:old.BUNDLE_ID
 ,:old.VALUE_VARCHAR
 ,:old.VALUE_NTEXT
 ,:old.REFERENCE_ID
 ,:old.FIELD
 ,:old.LUCENE_OBJECT_ID
 ,:old.LUCENE_SHOULD_USE_NTEXT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-resource_string', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1126, '8:28545eeeefebee446e583ee692975450', 'enableAuditTable auditTableName=resource_string_aud, tableName=resource_string', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-language_bundle::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_LANGUAGE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_LANGUAGE_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_LANGUAGE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_LANGUAGE_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_LANGUAGE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_LANGUAGE_BUNDLE';
			END IF;
		END;
/

CREATE TABLE language_bundle_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, BUNDLE_ID VARCHAR2(85 BYTE), OBJECT_ID VARCHAR2(85 BYTE), OBJECT_TYPE VARCHAR2(5 BYTE), LOCALE VARCHAR2(85 BYTE), ILANGID NUMBER(*, 0), IS_PRIMARY CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_LANGUAGE_BUNDLE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_language_bundle_aud
 before insert on language_bundle_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into language_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,OBJECT_ID
 ,OBJECT_TYPE
 ,LOCALE
 ,ILANGID
 ,IS_PRIMARY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,BUNDLE_ID
 ,OBJECT_ID
 ,OBJECT_TYPE
 ,LOCALE
 ,ILANGID
 ,IS_PRIMARY
  from language_bundle
/

CREATE INDEX nuk_language_bundle_aud_1 ON language_bundle_aud(aud_userid)
/

CREATE INDEX nuk_language_bundle_aud_2 ON language_bundle_aud(aud_datetime)
/

create or replace trigger i_language_bundle
after insert on language_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into language_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,OBJECT_ID
 ,OBJECT_TYPE
 ,LOCALE
 ,ILANGID
 ,IS_PRIMARY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.OBJECT_ID
 ,:new.OBJECT_TYPE
 ,:new.LOCALE
 ,:new.ILANGID
 ,:new.IS_PRIMARY
);
end;
/

create or replace trigger u_language_bundle
after update on language_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into language_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,OBJECT_ID
 ,OBJECT_TYPE
 ,LOCALE
 ,ILANGID
 ,IS_PRIMARY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.OBJECT_ID
 ,:new.OBJECT_TYPE
 ,:new.LOCALE
 ,:new.ILANGID
 ,:new.IS_PRIMARY
);
end;
/

create or replace trigger d_language_bundle
after delete on language_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into language_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,OBJECT_ID
 ,OBJECT_TYPE
 ,LOCALE
 ,ILANGID
 ,IS_PRIMARY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.BUNDLE_ID
 ,:old.OBJECT_ID
 ,:old.OBJECT_TYPE
 ,:old.LOCALE
 ,:old.ILANGID
 ,:old.IS_PRIMARY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-language_bundle', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1127, '8:bff3c3251b1c38372a8c6c77da19a9eb', 'enableAuditTable auditTableName=language_bundle_aud, tableName=language_bundle', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-course_bundle::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COURSE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COURSE_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COURSE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COURSE_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COURSE_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COURSE_BUNDLE';
			END IF;
		END;
/

CREATE TABLE course_bundle_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, BUNDLE_ID VARCHAR2(85 BYTE), COURSEID VARCHAR2(85 BYTE), EFFECTIVE_REVISION NUMBER(*, 0), APPROVED_REVISION NUMBER(*, 0), LAUNCHINTERFACE NUMBER(*, 0), ORGANIZATIONID VARCHAR2(15 BYTE), ITEMID VARCHAR2(15 BYTE), LAUNCHPAGE CLOB, LAUNCHPARMS VARCHAR2(255 BYTE), ACCUMULATETIME CHAR(1 BYTE), SKILLSOFT_COURSE_TYPE NUMBER(*, 0), BOOKMARK CHAR(1 BYTE), NAVIGATIONTREEVISIBLE VARCHAR2(15 BYTE), PREVIOUSNEXTBUTTONSVISIBLE CHAR(1 BYTE), LAUNCHED_WIN_WIDTH NUMBER(*, 0), LAUNCHED_WIN_HEIGHT NUMBER(*, 0), IECOMPATIBILITYMODE CHAR(1 BYTE), INSTANTACCESS CHAR(1 BYTE), SHOW_TOOLBARS CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COURSE_BUNDLE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_course_bundle_aud
 before insert on course_bundle_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into course_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,COURSEID
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,LAUNCHINTERFACE
 ,ORGANIZATIONID
 ,ITEMID
 ,LAUNCHPAGE
 ,LAUNCHPARMS
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,IECOMPATIBILITYMODE
 ,INSTANTACCESS
 ,SHOW_TOOLBARS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,BUNDLE_ID
 ,COURSEID
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,LAUNCHINTERFACE
 ,ORGANIZATIONID
 ,ITEMID
 ,LAUNCHPAGE
 ,LAUNCHPARMS
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,IECOMPATIBILITYMODE
 ,INSTANTACCESS
 ,SHOW_TOOLBARS
  from course_bundle
/

CREATE INDEX nuk_course_bundle_aud_1 ON course_bundle_aud(aud_userid)
/

CREATE INDEX nuk_course_bundle_aud_2 ON course_bundle_aud(aud_datetime)
/

create or replace trigger i_course_bundle
after insert on course_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,COURSEID
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,LAUNCHINTERFACE
 ,ORGANIZATIONID
 ,ITEMID
 ,LAUNCHPAGE
 ,LAUNCHPARMS
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,IECOMPATIBILITYMODE
 ,INSTANTACCESS
 ,SHOW_TOOLBARS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.COURSEID
 ,:new.EFFECTIVE_REVISION
 ,:new.APPROVED_REVISION
 ,:new.LAUNCHINTERFACE
 ,:new.ORGANIZATIONID
 ,:new.ITEMID
 ,:new.LAUNCHPAGE
 ,:new.LAUNCHPARMS
 ,:new.ACCUMULATETIME
 ,:new.SKILLSOFT_COURSE_TYPE
 ,:new.BOOKMARK
 ,:new.NAVIGATIONTREEVISIBLE
 ,:new.PREVIOUSNEXTBUTTONSVISIBLE
 ,:new.LAUNCHED_WIN_WIDTH
 ,:new.LAUNCHED_WIN_HEIGHT
 ,:new.IECOMPATIBILITYMODE
 ,:new.INSTANTACCESS
 ,:new.SHOW_TOOLBARS
);
end;
/

create or replace trigger u_course_bundle
after update on course_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,COURSEID
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,LAUNCHINTERFACE
 ,ORGANIZATIONID
 ,ITEMID
 ,LAUNCHPAGE
 ,LAUNCHPARMS
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,IECOMPATIBILITYMODE
 ,INSTANTACCESS
 ,SHOW_TOOLBARS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.COURSEID
 ,:new.EFFECTIVE_REVISION
 ,:new.APPROVED_REVISION
 ,:new.LAUNCHINTERFACE
 ,:new.ORGANIZATIONID
 ,:new.ITEMID
 ,:new.LAUNCHPAGE
 ,:new.LAUNCHPARMS
 ,:new.ACCUMULATETIME
 ,:new.SKILLSOFT_COURSE_TYPE
 ,:new.BOOKMARK
 ,:new.NAVIGATIONTREEVISIBLE
 ,:new.PREVIOUSNEXTBUTTONSVISIBLE
 ,:new.LAUNCHED_WIN_WIDTH
 ,:new.LAUNCHED_WIN_HEIGHT
 ,:new.IECOMPATIBILITYMODE
 ,:new.INSTANTACCESS
 ,:new.SHOW_TOOLBARS
);
end;
/

create or replace trigger d_course_bundle
after delete on course_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into course_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,COURSEID
 ,EFFECTIVE_REVISION
 ,APPROVED_REVISION
 ,LAUNCHINTERFACE
 ,ORGANIZATIONID
 ,ITEMID
 ,LAUNCHPAGE
 ,LAUNCHPARMS
 ,ACCUMULATETIME
 ,SKILLSOFT_COURSE_TYPE
 ,BOOKMARK
 ,NAVIGATIONTREEVISIBLE
 ,PREVIOUSNEXTBUTTONSVISIBLE
 ,LAUNCHED_WIN_WIDTH
 ,LAUNCHED_WIN_HEIGHT
 ,IECOMPATIBILITYMODE
 ,INSTANTACCESS
 ,SHOW_TOOLBARS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.BUNDLE_ID
 ,:old.COURSEID
 ,:old.EFFECTIVE_REVISION
 ,:old.APPROVED_REVISION
 ,:old.LAUNCHINTERFACE
 ,:old.ORGANIZATIONID
 ,:old.ITEMID
 ,:old.LAUNCHPAGE
 ,:old.LAUNCHPARMS
 ,:old.ACCUMULATETIME
 ,:old.SKILLSOFT_COURSE_TYPE
 ,:old.BOOKMARK
 ,:old.NAVIGATIONTREEVISIBLE
 ,:old.PREVIOUSNEXTBUTTONSVISIBLE
 ,:old.LAUNCHED_WIN_WIDTH
 ,:old.LAUNCHED_WIN_HEIGHT
 ,:old.IECOMPATIBILITYMODE
 ,:old.INSTANTACCESS
 ,:old.SHOW_TOOLBARS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-course_bundle', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1128, '8:5effb5fe1ffb206e32c871855ae7d658', 'enableAuditTable auditTableName=course_bundle_aud, tableName=course_bundle', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-cert_schedule::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERT_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERT_SCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERT_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERT_SCHEDULE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERT_SCHEDULE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERT_SCHEDULE';
			END IF;
		END;
/

CREATE TABLE cert_schedule_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, CERTID NUMBER(8, 0), AWARDDATE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERT_SCHEDULE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_cert_schedule_aud
 before insert on cert_schedule_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into cert_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,AWARDDATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,CERTID
 ,AWARDDATE
  from cert_schedule
/

CREATE INDEX nuk_cert_schedule_aud_1 ON cert_schedule_aud(aud_userid)
/

CREATE INDEX nuk_cert_schedule_aud_2 ON cert_schedule_aud(aud_datetime)
/

create or replace trigger i_cert_schedule
after insert on cert_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,AWARDDATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.AWARDDATE
);
end;
/

create or replace trigger u_cert_schedule
after update on cert_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,AWARDDATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.CERTID
 ,:new.AWARDDATE
);
end;
/

create or replace trigger d_cert_schedule
after delete on cert_schedule for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into cert_schedule_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,CERTID
 ,AWARDDATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.CERTID
 ,:old.AWARDDATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-cert_schedule', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1129, '8:e3fcc1d1d03ad53cea3e6ed3f6a58eb1', 'enableAuditTable auditTableName=cert_schedule_aud, tableName=cert_schedule', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers_pending::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS_PENDING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS_PENDING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS_PENDING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS_PENDING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS_PENDING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS_PENDING';
			END IF;
		END;
/

CREATE TABLE certusers_pending_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), USERID VARCHAR2(85 BYTE), CERTID NUMBER(8, 0), AWARDDATE date, AWARDEDBY VARCHAR2(85 BYTE), COMMENTS VARCHAR2(255 BYTE), CERTSTATUS CHAR(1 BYTE), TESTINSTANCEID VARCHAR2(15 BYTE), LEARNINGID VARCHAR2(85 BYTE), AWARDSTATUS CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERTUSERS_PENDING_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_pending_aud
 before insert on certusers_pending_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_pending_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USERID
 ,CERTID
 ,AWARDDATE
 ,AWARDEDBY
 ,COMMENTS
 ,CERTSTATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDSTATUS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,USERID
 ,CERTID
 ,AWARDDATE
 ,AWARDEDBY
 ,COMMENTS
 ,CERTSTATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDSTATUS
  from certusers_pending
/

CREATE INDEX nuk_certusers_pending_aud_1 ON certusers_pending_aud(aud_userid)
/

CREATE INDEX nuk_certusers_pending_aud_2 ON certusers_pending_aud(aud_datetime)
/

create or replace trigger i_certusers_pending
after insert on certusers_pending for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_pending_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USERID
 ,CERTID
 ,AWARDDATE
 ,AWARDEDBY
 ,COMMENTS
 ,CERTSTATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDSTATUS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USERID
 ,:new.CERTID
 ,:new.AWARDDATE
 ,:new.AWARDEDBY
 ,:new.COMMENTS
 ,:new.CERTSTATUS
 ,:new.TESTINSTANCEID
 ,:new.LEARNINGID
 ,:new.AWARDSTATUS
);
end;
/

create or replace trigger u_certusers_pending
after update on certusers_pending for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_pending_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USERID
 ,CERTID
 ,AWARDDATE
 ,AWARDEDBY
 ,COMMENTS
 ,CERTSTATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDSTATUS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USERID
 ,:new.CERTID
 ,:new.AWARDDATE
 ,:new.AWARDEDBY
 ,:new.COMMENTS
 ,:new.CERTSTATUS
 ,:new.TESTINSTANCEID
 ,:new.LEARNINGID
 ,:new.AWARDSTATUS
);
end;
/

create or replace trigger d_certusers_pending
after delete on certusers_pending for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_pending_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USERID
 ,CERTID
 ,AWARDDATE
 ,AWARDEDBY
 ,COMMENTS
 ,CERTSTATUS
 ,TESTINSTANCEID
 ,LEARNINGID
 ,AWARDSTATUS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.USERID
 ,:old.CERTID
 ,:old.AWARDDATE
 ,:old.AWARDEDBY
 ,:old.COMMENTS
 ,:old.CERTSTATUS
 ,:old.TESTINSTANCEID
 ,:old.LEARNINGID
 ,:old.AWARDSTATUS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers_pending', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1130, '8:513245ff3ac31c7b8947f29714fae704', 'enableAuditTable auditTableName=certusers_pending_aud, tableName=certusers_pending', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-transcript_stat_log::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TRANSCRIPT_STAT_LOG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TRANSCRIPT_STAT_LOG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TRANSCRIPT_STAT_LOG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TRANSCRIPT_STAT_LOG';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TRANSCRIPT_STAT_LOG';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TRANSCRIPT_STAT_LOG';
			END IF;
		END;
/

CREATE TABLE transcript_stat_log_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(15 BYTE), SEQ NUMBER(*, 0), LOGDATE date, FROMSTATUS NUMBER(*, 0), TOSTATUS NUMBER(*, 0), COMMENTS CLOB, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_TRANSCRIPT_STAT_LOG_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_transcript_stat_log_aud
 before insert on transcript_stat_log_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into transcript_stat_log_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,SEQ
 ,LOGDATE
 ,FROMSTATUS
 ,TOSTATUS
 ,COMMENTS
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPTID
 ,SEQ
 ,LOGDATE
 ,FROMSTATUS
 ,TOSTATUS
 ,COMMENTS
  from transcript_stat_log
/

CREATE INDEX nuk_transcript_stat_log_aud_1 ON transcript_stat_log_aud(aud_userid)
/

CREATE INDEX nuk_transcript_stat_log_aud_2 ON transcript_stat_log_aud(aud_datetime)
/

create or replace trigger i_transcript_stat_log
after insert on transcript_stat_log for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_stat_log_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,SEQ
 ,LOGDATE
 ,FROMSTATUS
 ,TOSTATUS
 ,COMMENTS
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.SEQ
 ,:new.LOGDATE
 ,:new.FROMSTATUS
 ,:new.TOSTATUS
 ,:new.COMMENTS
);
end;
/

create or replace trigger u_transcript_stat_log
after update on transcript_stat_log for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_stat_log_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,SEQ
 ,LOGDATE
 ,FROMSTATUS
 ,TOSTATUS
 ,COMMENTS
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.SEQ
 ,:new.LOGDATE
 ,:new.FROMSTATUS
 ,:new.TOSTATUS
 ,:new.COMMENTS
);
end;
/

create or replace trigger d_transcript_stat_log
after delete on transcript_stat_log for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into transcript_stat_log_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,SEQ
 ,LOGDATE
 ,FROMSTATUS
 ,TOSTATUS
 ,COMMENTS
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.SEQ
 ,:old.LOGDATE
 ,:old.FROMSTATUS
 ,:old.TOSTATUS
 ,:old.COMMENTS
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-transcript_stat_log', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1131, '8:b9986c87b89bff145896203eafba20d0', 'enableAuditTable auditTableName=transcript_stat_log_aud, tableName=transcript_stat_log', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-comp_approval_queue::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COMP_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COMP_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COMP_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COMP_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COMP_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COMP_APPROVAL_QUEUE';
			END IF;
		END;
/

CREATE TABLE comp_approval_queue_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COMPETENCY_ID VARCHAR2(15 BYTE), USER_ID VARCHAR2(85 BYTE), SEQ NUMBER(*, 0), APPROVER_ID VARCHAR2(85 BYTE), APPROVAL_DATE date, APPROVER_REMARKS CLOB, STATUS CHAR(1 BYTE), REQUESTER_ID VARCHAR2(85 BYTE), REQUEST_DATE date, REQUESTER_REMARKS CLOB, CURRENT_LEVEL_ID VARCHAR2(15 BYTE), TARGET_LEVEL_ID VARCHAR2(15 BYTE), TARGET_LEVEL_EXPIRE date, REQUEST_TYPE CHAR(1 BYTE), CURRENT_LEVEL_EXPIRE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COMP_APPROVAL_QUEUE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_comp_approval_queue_aud
 before insert on comp_approval_queue_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into comp_approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_ID
 ,USER_ID
 ,SEQ
 ,APPROVER_ID
 ,APPROVAL_DATE
 ,APPROVER_REMARKS
 ,STATUS
 ,REQUESTER_ID
 ,REQUEST_DATE
 ,REQUESTER_REMARKS
 ,CURRENT_LEVEL_ID
 ,TARGET_LEVEL_ID
 ,TARGET_LEVEL_EXPIRE
 ,REQUEST_TYPE
 ,CURRENT_LEVEL_EXPIRE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COMPETENCY_ID
 ,USER_ID
 ,SEQ
 ,APPROVER_ID
 ,APPROVAL_DATE
 ,APPROVER_REMARKS
 ,STATUS
 ,REQUESTER_ID
 ,REQUEST_DATE
 ,REQUESTER_REMARKS
 ,CURRENT_LEVEL_ID
 ,TARGET_LEVEL_ID
 ,TARGET_LEVEL_EXPIRE
 ,REQUEST_TYPE
 ,CURRENT_LEVEL_EXPIRE
  from comp_approval_queue
/

CREATE INDEX nuk_comp_approval_queue_aud_1 ON comp_approval_queue_aud(aud_userid)
/

CREATE INDEX nuk_comp_approval_queue_aud_2 ON comp_approval_queue_aud(aud_datetime)
/

create or replace trigger i_comp_approval_queue
after insert on comp_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_ID
 ,USER_ID
 ,SEQ
 ,APPROVER_ID
 ,APPROVAL_DATE
 ,APPROVER_REMARKS
 ,STATUS
 ,REQUESTER_ID
 ,REQUEST_DATE
 ,REQUESTER_REMARKS
 ,CURRENT_LEVEL_ID
 ,TARGET_LEVEL_ID
 ,TARGET_LEVEL_EXPIRE
 ,REQUEST_TYPE
 ,CURRENT_LEVEL_EXPIRE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COMPETENCY_ID
 ,:new.USER_ID
 ,:new.SEQ
 ,:new.APPROVER_ID
 ,:new.APPROVAL_DATE
 ,:new.APPROVER_REMARKS
 ,:new.STATUS
 ,:new.REQUESTER_ID
 ,:new.REQUEST_DATE
 ,:new.REQUESTER_REMARKS
 ,:new.CURRENT_LEVEL_ID
 ,:new.TARGET_LEVEL_ID
 ,:new.TARGET_LEVEL_EXPIRE
 ,:new.REQUEST_TYPE
 ,:new.CURRENT_LEVEL_EXPIRE
);
end;
/

create or replace trigger u_comp_approval_queue
after update on comp_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_ID
 ,USER_ID
 ,SEQ
 ,APPROVER_ID
 ,APPROVAL_DATE
 ,APPROVER_REMARKS
 ,STATUS
 ,REQUESTER_ID
 ,REQUEST_DATE
 ,REQUESTER_REMARKS
 ,CURRENT_LEVEL_ID
 ,TARGET_LEVEL_ID
 ,TARGET_LEVEL_EXPIRE
 ,REQUEST_TYPE
 ,CURRENT_LEVEL_EXPIRE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COMPETENCY_ID
 ,:new.USER_ID
 ,:new.SEQ
 ,:new.APPROVER_ID
 ,:new.APPROVAL_DATE
 ,:new.APPROVER_REMARKS
 ,:new.STATUS
 ,:new.REQUESTER_ID
 ,:new.REQUEST_DATE
 ,:new.REQUESTER_REMARKS
 ,:new.CURRENT_LEVEL_ID
 ,:new.TARGET_LEVEL_ID
 ,:new.TARGET_LEVEL_EXPIRE
 ,:new.REQUEST_TYPE
 ,:new.CURRENT_LEVEL_EXPIRE
);
end;
/

create or replace trigger d_comp_approval_queue
after delete on comp_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_approval_queue_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_ID
 ,USER_ID
 ,SEQ
 ,APPROVER_ID
 ,APPROVAL_DATE
 ,APPROVER_REMARKS
 ,STATUS
 ,REQUESTER_ID
 ,REQUEST_DATE
 ,REQUESTER_REMARKS
 ,CURRENT_LEVEL_ID
 ,TARGET_LEVEL_ID
 ,TARGET_LEVEL_EXPIRE
 ,REQUEST_TYPE
 ,CURRENT_LEVEL_EXPIRE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COMPETENCY_ID
 ,:old.USER_ID
 ,:old.SEQ
 ,:old.APPROVER_ID
 ,:old.APPROVAL_DATE
 ,:old.APPROVER_REMARKS
 ,:old.STATUS
 ,:old.REQUESTER_ID
 ,:old.REQUEST_DATE
 ,:old.REQUESTER_REMARKS
 ,:old.CURRENT_LEVEL_ID
 ,:old.TARGET_LEVEL_ID
 ,:old.TARGET_LEVEL_EXPIRE
 ,:old.REQUEST_TYPE
 ,:old.CURRENT_LEVEL_EXPIRE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-comp_approval_queue', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1132, '8:377a139d3608641bf24f89be83c3b69d', 'enableAuditTable auditTableName=comp_approval_queue_aud, tableName=comp_approval_queue', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-comp_level_validity::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_COMP_LEVEL_VALIDITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_COMP_LEVEL_VALIDITY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_COMP_LEVEL_VALIDITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_COMP_LEVEL_VALIDITY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_COMP_LEVEL_VALIDITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_COMP_LEVEL_VALIDITY';
			END IF;
		END;
/

CREATE TABLE comp_level_validity_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COMPETENCY_LEVEL_ID VARCHAR2(15 BYTE), ORGID VARCHAR2(15 BYTE), VALID_PERIOD NUMBER(*, 0), VALID_PERIOD_UNIT CHAR(1 BYTE), EXPIRE_EMAIL_PROFILE_ID VARCHAR2(15 BYTE), STICKY CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_COMP_LEVEL_VALIDITY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_comp_level_validity_aud
 before insert on comp_level_validity_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into comp_level_validity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_LEVEL_ID
 ,ORGID
 ,VALID_PERIOD
 ,VALID_PERIOD_UNIT
 ,EXPIRE_EMAIL_PROFILE_ID
 ,STICKY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COMPETENCY_LEVEL_ID
 ,ORGID
 ,VALID_PERIOD
 ,VALID_PERIOD_UNIT
 ,EXPIRE_EMAIL_PROFILE_ID
 ,STICKY
  from comp_level_validity
/

CREATE INDEX nuk_comp_level_validity_aud_1 ON comp_level_validity_aud(aud_userid)
/

CREATE INDEX nuk_comp_level_validity_aud_2 ON comp_level_validity_aud(aud_datetime)
/

create or replace trigger i_comp_level_validity
after insert on comp_level_validity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_level_validity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_LEVEL_ID
 ,ORGID
 ,VALID_PERIOD
 ,VALID_PERIOD_UNIT
 ,EXPIRE_EMAIL_PROFILE_ID
 ,STICKY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COMPETENCY_LEVEL_ID
 ,:new.ORGID
 ,:new.VALID_PERIOD
 ,:new.VALID_PERIOD_UNIT
 ,:new.EXPIRE_EMAIL_PROFILE_ID
 ,:new.STICKY
);
end;
/

create or replace trigger u_comp_level_validity
after update on comp_level_validity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_level_validity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_LEVEL_ID
 ,ORGID
 ,VALID_PERIOD
 ,VALID_PERIOD_UNIT
 ,EXPIRE_EMAIL_PROFILE_ID
 ,STICKY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COMPETENCY_LEVEL_ID
 ,:new.ORGID
 ,:new.VALID_PERIOD
 ,:new.VALID_PERIOD_UNIT
 ,:new.EXPIRE_EMAIL_PROFILE_ID
 ,:new.STICKY
);
end;
/

create or replace trigger d_comp_level_validity
after delete on comp_level_validity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into comp_level_validity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COMPETENCY_LEVEL_ID
 ,ORGID
 ,VALID_PERIOD
 ,VALID_PERIOD_UNIT
 ,EXPIRE_EMAIL_PROFILE_ID
 ,STICKY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COMPETENCY_LEVEL_ID
 ,:old.ORGID
 ,:old.VALID_PERIOD
 ,:old.VALID_PERIOD_UNIT
 ,:old.EXPIRE_EMAIL_PROFILE_ID
 ,:old.STICKY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-comp_level_validity', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1133, '8:64be3adc7ab06b2e44877447d62148c0', 'enableAuditTable auditTableName=comp_level_validity_aud, tableName=comp_level_validity', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-mastersection_attr::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_MASTERSECTION_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_MASTERSECTION_ATTR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_MASTERSECTION_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_MASTERSECTION_ATTR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_MASTERSECTION_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_MASTERSECTION_ATTR';
			END IF;
		END;
/

CREATE TABLE mastersection_attr_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), SECTION_ID VARCHAR2(15 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_MASTERSECTION_ATTR_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_mastersection_attr_aud
 before insert on mastersection_attr_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into mastersection_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,SECTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,SECTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
  from mastersection_attr
/

CREATE INDEX nuk_mastersection_attr_aud_1 ON mastersection_attr_aud(aud_userid)
/

CREATE INDEX nuk_mastersection_attr_aud_2 ON mastersection_attr_aud(aud_datetime)
/

create or replace trigger i_mastersection_attr
after insert on mastersection_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,SECTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.SECTION_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
);
end;
/

create or replace trigger u_mastersection_attr
after update on mastersection_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,SECTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.SECTION_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
);
end;
/

create or replace trigger d_mastersection_attr
after delete on mastersection_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into mastersection_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,SECTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.SECTION_ID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-mastersection_attr', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1134, '8:5a2c0b9e166f5d013ddf8ed73887fa39', 'enableAuditTable auditTableName=mastersection_attr_aud, tableName=mastersection_attr', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_attribute::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_ATTRIBUTE';
			END IF;
		END;
/

CREATE TABLE question_attribute_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), QUESTION_ID VARCHAR2(85 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_ATTRIBUTE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_attribute_aud
 before insert on question_attribute_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,QUESTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
  from question_attribute
/

CREATE INDEX nuk_question_attribute_aud_1 ON question_attribute_aud(aud_userid)
/

CREATE INDEX nuk_question_attribute_aud_2 ON question_attribute_aud(aud_datetime)
/

create or replace trigger i_question_attribute
after insert on question_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.QUESTION_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
);
end;
/

create or replace trigger u_question_attribute
after update on question_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.QUESTION_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
);
end;
/

create or replace trigger d_question_attribute
after delete on question_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,QUESTION_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.QUESTION_ID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_attribute', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1135, '8:b8108ce555be27952e5df18eb7033793', 'enableAuditTable auditTableName=question_attribute_aud, tableName=question_attribute', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-question_bundle::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_QUESTION_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_QUESTION_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_QUESTION_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_QUESTION_BUNDLE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_QUESTION_BUNDLE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_QUESTION_BUNDLE';
			END IF;
		END;
/

CREATE TABLE question_bundle_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, BUNDLE_ID VARCHAR2(85 BYTE), QUESTIONID VARCHAR2(85 BYTE), LATEST_VERSION_BUNDLE_ID VARCHAR2(85 BYTE), VERSION NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_QUESTION_BUNDLE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_question_bundle_aud
 before insert on question_bundle_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into question_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,QUESTIONID
 ,LATEST_VERSION_BUNDLE_ID
 ,VERSION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,BUNDLE_ID
 ,QUESTIONID
 ,LATEST_VERSION_BUNDLE_ID
 ,VERSION
  from question_bundle
/

CREATE INDEX nuk_question_bundle_aud_1 ON question_bundle_aud(aud_userid)
/

CREATE INDEX nuk_question_bundle_aud_2 ON question_bundle_aud(aud_datetime)
/

create or replace trigger i_question_bundle
after insert on question_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,QUESTIONID
 ,LATEST_VERSION_BUNDLE_ID
 ,VERSION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.QUESTIONID
 ,:new.LATEST_VERSION_BUNDLE_ID
 ,:new.VERSION
);
end;
/

create or replace trigger u_question_bundle
after update on question_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,QUESTIONID
 ,LATEST_VERSION_BUNDLE_ID
 ,VERSION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.BUNDLE_ID
 ,:new.QUESTIONID
 ,:new.LATEST_VERSION_BUNDLE_ID
 ,:new.VERSION
);
end;
/

create or replace trigger d_question_bundle
after delete on question_bundle for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into question_bundle_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,BUNDLE_ID
 ,QUESTIONID
 ,LATEST_VERSION_BUNDLE_ID
 ,VERSION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.BUNDLE_ID
 ,:old.QUESTIONID
 ,:old.LATEST_VERSION_BUNDLE_ID
 ,:old.VERSION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-question_bundle', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1136, '8:624f1e57570805433fe812a16ecb3aee', 'enableAuditTable auditTableName=question_bundle_aud, tableName=question_bundle', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers_course_objectives::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS_COURSE_OBJECTIVES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS_COURSE_OBJECTIVES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS_COURSE_OBJECTIVES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS_COURSE_OBJECTIVES';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS_COURSE_OBJECTIVES';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS_COURSE_OBJECTIVES';
			END IF;
		END;
/

CREATE TABLE certusers_course_obj_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), CERTUSERS_AWARDID VARCHAR2(85 BYTE), OBJECTIVE_DESCRIPTION VARCHAR2(4000 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CERTUSERS_COURSE_OBJ_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_course_obj_aud
 before insert on certusers_course_obj_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_course_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,OBJECTIVE_DESCRIPTION
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,CERTUSERS_AWARDID
 ,OBJECTIVE_DESCRIPTION
  from certusers_course_objectives
/

CREATE INDEX nuk_certusers_course_obj_aud_1 ON certusers_course_obj_aud(aud_userid)
/

CREATE INDEX nuk_certusers_course_obj_aud_2 ON certusers_course_obj_aud(aud_datetime)
/

create or replace trigger i_certusers_course_objectives
after insert on certusers_course_objectives for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_course_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,OBJECTIVE_DESCRIPTION
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.OBJECTIVE_DESCRIPTION
);
end;
/

create or replace trigger u_certusers_course_objectives
after update on certusers_course_objectives for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_course_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,OBJECTIVE_DESCRIPTION
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.OBJECTIVE_DESCRIPTION
);
end;
/

create or replace trigger d_certusers_course_objectives
after delete on certusers_course_objectives for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_course_obj_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,OBJECTIVE_DESCRIPTION
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.CERTUSERS_AWARDID
 ,:old.OBJECTIVE_DESCRIPTION
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers_course_objectives', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1137, '8:a24764e6cb57f4620e9471acd14b063d', 'enableAuditTable auditTableName=certusers_course_obj_aud, tableName=certusers_course_objectives', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers_attribute::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS_ATTRIBUTE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS_ATTRIBUTE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS_ATTRIBUTE';
			END IF;
		END;
/

CREATE TABLE certusers_attribute_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), CERTUSERS_AWARDID VARCHAR2(85 BYTE), ATTRIBUTE_TYPE CHAR(2 BYTE), ATTRIBUTE_NO NUMBER(*, 0), ATTRIBUTE_CODE VARCHAR2(2000 BYTE), ATTRIBUTE_VALUE VARCHAR2(2000 BYTE), ATTRIBUTE_ID NVARCHAR2(15), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CERTUSERS_ATTRIBUTE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_attribute_aud
 before insert on certusers_attribute_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,ATTRIBUTE_TYPE
 ,ATTRIBUTE_NO
 ,ATTRIBUTE_CODE
 ,ATTRIBUTE_VALUE
 ,ATTRIBUTE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,CERTUSERS_AWARDID
 ,ATTRIBUTE_TYPE
 ,ATTRIBUTE_NO
 ,ATTRIBUTE_CODE
 ,ATTRIBUTE_VALUE
 ,ATTRIBUTE_ID
  from certusers_attribute
/

CREATE INDEX nuk_certusers_attribute_aud_1 ON certusers_attribute_aud(aud_userid)
/

CREATE INDEX nuk_certusers_attribute_aud_2 ON certusers_attribute_aud(aud_datetime)
/

create or replace trigger i_certusers_attribute
after insert on certusers_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,ATTRIBUTE_TYPE
 ,ATTRIBUTE_NO
 ,ATTRIBUTE_CODE
 ,ATTRIBUTE_VALUE
 ,ATTRIBUTE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.ATTRIBUTE_TYPE
 ,:new.ATTRIBUTE_NO
 ,:new.ATTRIBUTE_CODE
 ,:new.ATTRIBUTE_VALUE
 ,:new.ATTRIBUTE_ID
);
end;
/

create or replace trigger u_certusers_attribute
after update on certusers_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,ATTRIBUTE_TYPE
 ,ATTRIBUTE_NO
 ,ATTRIBUTE_CODE
 ,ATTRIBUTE_VALUE
 ,ATTRIBUTE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.ATTRIBUTE_TYPE
 ,:new.ATTRIBUTE_NO
 ,:new.ATTRIBUTE_CODE
 ,:new.ATTRIBUTE_VALUE
 ,:new.ATTRIBUTE_ID
);
end;
/

create or replace trigger d_certusers_attribute
after delete on certusers_attribute for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_attribute_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,ATTRIBUTE_TYPE
 ,ATTRIBUTE_NO
 ,ATTRIBUTE_CODE
 ,ATTRIBUTE_VALUE
 ,ATTRIBUTE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.CERTUSERS_AWARDID
 ,:old.ATTRIBUTE_TYPE
 ,:old.ATTRIBUTE_NO
 ,:old.ATTRIBUTE_CODE
 ,:old.ATTRIBUTE_VALUE
 ,:old.ATTRIBUTE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers_attribute', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1138, '8:09dac24fb756109fef6a9fc457592da4', 'enableAuditTable auditTableName=certusers_attribute_aud, tableName=certusers_attribute', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers_instructor::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS_INSTRUCTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS_INSTRUCTOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS_INSTRUCTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS_INSTRUCTOR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS_INSTRUCTOR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS_INSTRUCTOR';
			END IF;
		END;
/

CREATE TABLE certusers_instructor_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), CERTUSERS_AWARDID VARCHAR2(85 BYTE), INSTRUCTOR_GIVENNAME VARCHAR2(85 BYTE), INSTRUCTOR_FAMILYNAME VARCHAR2(85 BYTE), INSTRUCTOR_JOBTITLE VARCHAR2(85 BYTE), INSTRUCTOR_DEPARTMENT VARCHAR2(85 BYTE), INSTRUCTOR_DA_GIVENNAME VARCHAR2(85 BYTE), INSTRUCTOR_DA_FAMILYNAME VARCHAR2(85 BYTE), INSTRUCTOR_DA_JOBTITLE VARCHAR2(85 BYTE), INSTRUCTOR_DA_DEPARTMENT VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_CERTUSERS_INSTRUCTOR_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_instructor_aud
 before insert on certusers_instructor_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_instructor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,INSTRUCTOR_GIVENNAME
 ,INSTRUCTOR_FAMILYNAME
 ,INSTRUCTOR_JOBTITLE
 ,INSTRUCTOR_DEPARTMENT
 ,INSTRUCTOR_DA_GIVENNAME
 ,INSTRUCTOR_DA_FAMILYNAME
 ,INSTRUCTOR_DA_JOBTITLE
 ,INSTRUCTOR_DA_DEPARTMENT
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,CERTUSERS_AWARDID
 ,INSTRUCTOR_GIVENNAME
 ,INSTRUCTOR_FAMILYNAME
 ,INSTRUCTOR_JOBTITLE
 ,INSTRUCTOR_DEPARTMENT
 ,INSTRUCTOR_DA_GIVENNAME
 ,INSTRUCTOR_DA_FAMILYNAME
 ,INSTRUCTOR_DA_JOBTITLE
 ,INSTRUCTOR_DA_DEPARTMENT
  from certusers_instructor
/

CREATE INDEX nuk_certusers_instructor_aud_1 ON certusers_instructor_aud(aud_userid)
/

CREATE INDEX nuk_certusers_instructor_aud_2 ON certusers_instructor_aud(aud_datetime)
/

create or replace trigger i_certusers_instructor
after insert on certusers_instructor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_instructor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,INSTRUCTOR_GIVENNAME
 ,INSTRUCTOR_FAMILYNAME
 ,INSTRUCTOR_JOBTITLE
 ,INSTRUCTOR_DEPARTMENT
 ,INSTRUCTOR_DA_GIVENNAME
 ,INSTRUCTOR_DA_FAMILYNAME
 ,INSTRUCTOR_DA_JOBTITLE
 ,INSTRUCTOR_DA_DEPARTMENT
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.INSTRUCTOR_GIVENNAME
 ,:new.INSTRUCTOR_FAMILYNAME
 ,:new.INSTRUCTOR_JOBTITLE
 ,:new.INSTRUCTOR_DEPARTMENT
 ,:new.INSTRUCTOR_DA_GIVENNAME
 ,:new.INSTRUCTOR_DA_FAMILYNAME
 ,:new.INSTRUCTOR_DA_JOBTITLE
 ,:new.INSTRUCTOR_DA_DEPARTMENT
);
end;
/

create or replace trigger u_certusers_instructor
after update on certusers_instructor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_instructor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,INSTRUCTOR_GIVENNAME
 ,INSTRUCTOR_FAMILYNAME
 ,INSTRUCTOR_JOBTITLE
 ,INSTRUCTOR_DEPARTMENT
 ,INSTRUCTOR_DA_GIVENNAME
 ,INSTRUCTOR_DA_FAMILYNAME
 ,INSTRUCTOR_DA_JOBTITLE
 ,INSTRUCTOR_DA_DEPARTMENT
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.CERTUSERS_AWARDID
 ,:new.INSTRUCTOR_GIVENNAME
 ,:new.INSTRUCTOR_FAMILYNAME
 ,:new.INSTRUCTOR_JOBTITLE
 ,:new.INSTRUCTOR_DEPARTMENT
 ,:new.INSTRUCTOR_DA_GIVENNAME
 ,:new.INSTRUCTOR_DA_FAMILYNAME
 ,:new.INSTRUCTOR_DA_JOBTITLE
 ,:new.INSTRUCTOR_DA_DEPARTMENT
);
end;
/

create or replace trigger d_certusers_instructor
after delete on certusers_instructor for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_instructor_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,CERTUSERS_AWARDID
 ,INSTRUCTOR_GIVENNAME
 ,INSTRUCTOR_FAMILYNAME
 ,INSTRUCTOR_JOBTITLE
 ,INSTRUCTOR_DEPARTMENT
 ,INSTRUCTOR_DA_GIVENNAME
 ,INSTRUCTOR_DA_FAMILYNAME
 ,INSTRUCTOR_DA_JOBTITLE
 ,INSTRUCTOR_DA_DEPARTMENT
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.CERTUSERS_AWARDID
 ,:old.INSTRUCTOR_GIVENNAME
 ,:old.INSTRUCTOR_FAMILYNAME
 ,:old.INSTRUCTOR_JOBTITLE
 ,:old.INSTRUCTOR_DEPARTMENT
 ,:old.INSTRUCTOR_DA_GIVENNAME
 ,:old.INSTRUCTOR_DA_FAMILYNAME
 ,:old.INSTRUCTOR_DA_JOBTITLE
 ,:old.INSTRUCTOR_DA_DEPARTMENT
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers_instructor', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1139, '8:fa02c18ef44ea07f9b0ce980c3dddf5d', 'enableAuditTable auditTableName=certusers_instructor_aud, tableName=certusers_instructor', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-submod_tran_deadline::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SUBMOD_TRAN_DEADLINE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SUBMOD_TRAN_DEADLINE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SUBMOD_TRAN_DEADLINE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SUBMOD_TRAN_DEADLINE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SUBMOD_TRAN_DEADLINE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SUBMOD_TRAN_DEADLINE';
			END IF;
		END;
/

CREATE TABLE submod_tran_deadline_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), MASTER_TRANSCRIPTID VARCHAR2(15 BYTE), PROGRAM_ID VARCHAR2(85 BYTE), PROGRAM_SESSION_ID VARCHAR2(15 BYTE), SUBMOD_COMPLETION_DEADLINE date, last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_SUBMOD_TRAN_DEADLINE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_submod_tran_deadline_aud
 before insert on submod_tran_deadline_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into submod_tran_deadline_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,MASTER_TRANSCRIPTID
 ,PROGRAM_ID
 ,PROGRAM_SESSION_ID
 ,SUBMOD_COMPLETION_DEADLINE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,MASTER_TRANSCRIPTID
 ,PROGRAM_ID
 ,PROGRAM_SESSION_ID
 ,SUBMOD_COMPLETION_DEADLINE
  from submod_tran_deadline
/

CREATE INDEX nuk_submod_tran_deadline_aud_1 ON submod_tran_deadline_aud(aud_userid)
/

CREATE INDEX nuk_submod_tran_deadline_aud_2 ON submod_tran_deadline_aud(aud_datetime)
/

create or replace trigger i_submod_tran_deadline
after insert on submod_tran_deadline for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_deadline_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,MASTER_TRANSCRIPTID
 ,PROGRAM_ID
 ,PROGRAM_SESSION_ID
 ,SUBMOD_COMPLETION_DEADLINE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.MASTER_TRANSCRIPTID
 ,:new.PROGRAM_ID
 ,:new.PROGRAM_SESSION_ID
 ,:new.SUBMOD_COMPLETION_DEADLINE
);
end;
/

create or replace trigger u_submod_tran_deadline
after update on submod_tran_deadline for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_deadline_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,MASTER_TRANSCRIPTID
 ,PROGRAM_ID
 ,PROGRAM_SESSION_ID
 ,SUBMOD_COMPLETION_DEADLINE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.MASTER_TRANSCRIPTID
 ,:new.PROGRAM_ID
 ,:new.PROGRAM_SESSION_ID
 ,:new.SUBMOD_COMPLETION_DEADLINE
);
end;
/

create or replace trigger d_submod_tran_deadline
after delete on submod_tran_deadline for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into submod_tran_deadline_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,MASTER_TRANSCRIPTID
 ,PROGRAM_ID
 ,PROGRAM_SESSION_ID
 ,SUBMOD_COMPLETION_DEADLINE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.MASTER_TRANSCRIPTID
 ,:old.PROGRAM_ID
 ,:old.PROGRAM_SESSION_ID
 ,:old.SUBMOD_COMPLETION_DEADLINE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-submod_tran_deadline', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1140, '8:9a677446059a7fde87ca793100f0170b', 'enableAuditTable auditTableName=submod_tran_deadline_aud, tableName=submod_tran_deadline', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-permission_template::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_PERMISSION_TEMPLATE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_PERMISSION_TEMPLATE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_PERMISSION_TEMPLATE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_PERMISSION_TEMPLATE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_PERMISSION_TEMPLATE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_PERMISSION_TEMPLATE';
			END IF;
		END;
/

CREATE TABLE permission_template_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), TEMPLATE_CODE VARCHAR2(85 BYTE), TEMPLATE_NAME VARCHAR2(255 BYTE), IS_AUTO_GENERATED CHAR(1 BYTE), CRITERIA_HASH NUMBER(*, 0), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_PERMISSION_TEMPLATE_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_permission_template_aud
 before insert on permission_template_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into permission_template_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TEMPLATE_CODE
 ,TEMPLATE_NAME
 ,IS_AUTO_GENERATED
 ,CRITERIA_HASH
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,TEMPLATE_CODE
 ,TEMPLATE_NAME
 ,IS_AUTO_GENERATED
 ,CRITERIA_HASH
  from permission_template
/

CREATE INDEX nuk_permission_template_aud_1 ON permission_template_aud(aud_userid)
/

CREATE INDEX nuk_permission_template_aud_2 ON permission_template_aud(aud_datetime)
/

create or replace trigger i_permission_template
after insert on permission_template for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_template_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TEMPLATE_CODE
 ,TEMPLATE_NAME
 ,IS_AUTO_GENERATED
 ,CRITERIA_HASH
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TEMPLATE_CODE
 ,:new.TEMPLATE_NAME
 ,:new.IS_AUTO_GENERATED
 ,:new.CRITERIA_HASH
);
end;
/

create or replace trigger u_permission_template
after update on permission_template for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_template_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TEMPLATE_CODE
 ,TEMPLATE_NAME
 ,IS_AUTO_GENERATED
 ,CRITERIA_HASH
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.TEMPLATE_CODE
 ,:new.TEMPLATE_NAME
 ,:new.IS_AUTO_GENERATED
 ,:new.CRITERIA_HASH
);
end;
/

create or replace trigger d_permission_template
after delete on permission_template for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_template_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,TEMPLATE_CODE
 ,TEMPLATE_NAME
 ,IS_AUTO_GENERATED
 ,CRITERIA_HASH
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.TEMPLATE_CODE
 ,:old.TEMPLATE_NAME
 ,:old.IS_AUTO_GENERATED
 ,:old.CRITERIA_HASH
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-permission_template', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1141, '8:86371df25ad5779923d8cccba87211a3', 'enableAuditTable auditTableName=permission_template_aud, tableName=permission_template', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-permission_mapping::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_PERMISSION_MAPPING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_PERMISSION_MAPPING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_PERMISSION_MAPPING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_PERMISSION_MAPPING';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_PERMISSION_MAPPING';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_PERMISSION_MAPPING';
			END IF;
		END;
/

CREATE TABLE permission_mapping_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, OBJECTID VARCHAR2(120 BYTE), OBJECTTYPE VARCHAR2(5 BYTE), PERMISSIONCODE NUMBER(*, 0), RESOLVED_OBJECTID VARCHAR2(120 BYTE), IS_PTS_OBJECTTYPE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_PERMISSION_MAPPING_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_permission_mapping_aud
 before insert on permission_mapping_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into permission_mapping_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,PERMISSIONCODE
 ,RESOLVED_OBJECTID
 ,IS_PTS_OBJECTTYPE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,OBJECTID
 ,OBJECTTYPE
 ,PERMISSIONCODE
 ,RESOLVED_OBJECTID
 ,IS_PTS_OBJECTTYPE
  from permission_mapping
/

CREATE INDEX nuk_permission_mapping_aud_1 ON permission_mapping_aud(aud_userid)
/

CREATE INDEX nuk_permission_mapping_aud_2 ON permission_mapping_aud(aud_datetime)
/

create or replace trigger i_permission_mapping
after insert on permission_mapping for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_mapping_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,PERMISSIONCODE
 ,RESOLVED_OBJECTID
 ,IS_PTS_OBJECTTYPE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.OBJECTID
 ,:new.OBJECTTYPE
 ,:new.PERMISSIONCODE
 ,:new.RESOLVED_OBJECTID
 ,:new.IS_PTS_OBJECTTYPE
);
end;
/

create or replace trigger u_permission_mapping
after update on permission_mapping for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_mapping_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,PERMISSIONCODE
 ,RESOLVED_OBJECTID
 ,IS_PTS_OBJECTTYPE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.OBJECTID
 ,:new.OBJECTTYPE
 ,:new.PERMISSIONCODE
 ,:new.RESOLVED_OBJECTID
 ,:new.IS_PTS_OBJECTTYPE
);
end;
/

create or replace trigger d_permission_mapping
after delete on permission_mapping for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into permission_mapping_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,OBJECTID
 ,OBJECTTYPE
 ,PERMISSIONCODE
 ,RESOLVED_OBJECTID
 ,IS_PTS_OBJECTTYPE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.OBJECTID
 ,:old.OBJECTTYPE
 ,:old.PERMISSIONCODE
 ,:old.RESOLVED_OBJECTID
 ,:old.IS_PTS_OBJECTTYPE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-permission_mapping', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1142, '8:6a8bddc440c211bd1840319344a50c09', 'enableAuditTable auditTableName=permission_mapping_aud, tableName=permission_mapping', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-autoassign_org_attr::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_AUTOASSIGN_ORG_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_AUTOASSIGN_ORG_ATTR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_AUTOASSIGN_ORG_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_AUTOASSIGN_ORG_ATTR';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_AUTOASSIGN_ORG_ATTR';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_AUTOASSIGN_ORG_ATTR';
			END IF;
		END;
/

CREATE TABLE autoassign_org_attr_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ASSIGN_OBJECT_ID VARCHAR2(200 BYTE), LEARNING_ID VARCHAR2(85 BYTE), ATTRIBUTE_ID VARCHAR2(15 BYTE), ATTRIBUTE_VALUE_DATA VARCHAR2(2000 BYTE), AUTOASSIGN_SOURCE CHAR(1 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_AUTOASSIGN_ORG_ATTR_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_autoassign_org_attr_aud
 before insert on autoassign_org_attr_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into autoassign_org_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ASSIGN_OBJECT_ID
 ,LEARNING_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,AUTOASSIGN_SOURCE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ASSIGN_OBJECT_ID
 ,LEARNING_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,AUTOASSIGN_SOURCE
  from autoassign_org_attr
/

CREATE INDEX nuk_autoassign_org_attr_aud_1 ON autoassign_org_attr_aud(aud_userid)
/

CREATE INDEX nuk_autoassign_org_attr_aud_2 ON autoassign_org_attr_aud(aud_datetime)
/

create or replace trigger i_autoassign_org_attr
after insert on autoassign_org_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoassign_org_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ASSIGN_OBJECT_ID
 ,LEARNING_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,AUTOASSIGN_SOURCE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ASSIGN_OBJECT_ID
 ,:new.LEARNING_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.AUTOASSIGN_SOURCE
);
end;
/

create or replace trigger u_autoassign_org_attr
after update on autoassign_org_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoassign_org_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ASSIGN_OBJECT_ID
 ,LEARNING_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,AUTOASSIGN_SOURCE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ASSIGN_OBJECT_ID
 ,:new.LEARNING_ID
 ,:new.ATTRIBUTE_ID
 ,:new.ATTRIBUTE_VALUE_DATA
 ,:new.AUTOASSIGN_SOURCE
);
end;
/

create or replace trigger d_autoassign_org_attr
after delete on autoassign_org_attr for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into autoassign_org_attr_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ASSIGN_OBJECT_ID
 ,LEARNING_ID
 ,ATTRIBUTE_ID
 ,ATTRIBUTE_VALUE_DATA
 ,AUTOASSIGN_SOURCE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ASSIGN_OBJECT_ID
 ,:old.LEARNING_ID
 ,:old.ATTRIBUTE_ID
 ,:old.ATTRIBUTE_VALUE_DATA
 ,:old.AUTOASSIGN_SOURCE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-autoassign_org_attr', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1143, '8:bf26394536cc49e6db70ba284e703dac', 'enableAuditTable auditTableName=autoassign_org_attr_aud, tableName=autoassign_org_attr', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdrawal_enrollment_policy::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAWAL_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAWAL_ENROLLMENT_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAWAL_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAWAL_ENROLLMENT_POLICY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAWAL_ENROLLMENT_POLICY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAWAL_ENROLLMENT_POLICY';
			END IF;
		END;
/

CREATE TABLE withdrawal_en_policy_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, POLICY_ID VARCHAR2(15 BYTE), ENABLE_WITHDRAWAL CHAR(1 BYTE), ALLOW_REQUEST_CANCEL CHAR(1 BYTE), APPROVERID VARCHAR2(85 BYTE), REGCONTROL NUMBER(*, 0), EMAIL_PROFILE_ID VARCHAR2(15 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_WITHDRAWAL_EN_POLICY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_withdrawal_en_policy_aud
 before insert on withdrawal_en_policy_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into withdrawal_en_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,ENABLE_WITHDRAWAL
 ,ALLOW_REQUEST_CANCEL
 ,APPROVERID
 ,REGCONTROL
 ,EMAIL_PROFILE_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,POLICY_ID
 ,ENABLE_WITHDRAWAL
 ,ALLOW_REQUEST_CANCEL
 ,APPROVERID
 ,REGCONTROL
 ,EMAIL_PROFILE_ID
  from withdrawal_enrollment_policy
/

CREATE INDEX nuk_withdrawal_en_policy_aud_1 ON withdrawal_en_policy_aud(aud_userid)
/

CREATE INDEX nuk_withdrawal_en_policy_aud_2 ON withdrawal_en_policy_aud(aud_datetime)
/

create or replace trigger i_withdrawal_enrollment_policy
after insert on withdrawal_enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_en_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,ENABLE_WITHDRAWAL
 ,ALLOW_REQUEST_CANCEL
 ,APPROVERID
 ,REGCONTROL
 ,EMAIL_PROFILE_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.ENABLE_WITHDRAWAL
 ,:new.ALLOW_REQUEST_CANCEL
 ,:new.APPROVERID
 ,:new.REGCONTROL
 ,:new.EMAIL_PROFILE_ID
);
end;
/

create or replace trigger u_withdrawal_enrollment_policy
after update on withdrawal_enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_en_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,ENABLE_WITHDRAWAL
 ,ALLOW_REQUEST_CANCEL
 ,APPROVERID
 ,REGCONTROL
 ,EMAIL_PROFILE_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.POLICY_ID
 ,:new.ENABLE_WITHDRAWAL
 ,:new.ALLOW_REQUEST_CANCEL
 ,:new.APPROVERID
 ,:new.REGCONTROL
 ,:new.EMAIL_PROFILE_ID
);
end;
/

create or replace trigger d_withdrawal_enrollment_policy
after delete on withdrawal_enrollment_policy for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_en_policy_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,POLICY_ID
 ,ENABLE_WITHDRAWAL
 ,ALLOW_REQUEST_CANCEL
 ,APPROVERID
 ,REGCONTROL
 ,EMAIL_PROFILE_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.POLICY_ID
 ,:old.ENABLE_WITHDRAWAL
 ,:old.ALLOW_REQUEST_CANCEL
 ,:old.APPROVERID
 ,:old.REGCONTROL
 ,:old.EMAIL_PROFILE_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdrawal_enrollment_policy', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1144, '8:459e967be38a9288919c58eec3bc8b60', 'enableAuditTable auditTableName=withdrawal_en_policy_aud, tableName=withdrawal_enrollment_policy', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-withdrawal_approval_queue::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_WITHDRAWAL_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_WITHDRAWAL_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_WITHDRAWAL_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_WITHDRAWAL_APPROVAL_QUEUE';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_WITHDRAWAL_APPROVAL_QUEUE';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_WITHDRAWAL_APPROVAL_QUEUE';
			END IF;
		END;
/

CREATE TABLE withdrawal_app_q_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, TRANSCRIPTID VARCHAR2(15 BYTE), POLICY_ID VARCHAR2(15 BYTE), REQUEST_DATE date, REASON VARCHAR2(1000 BYTE), STATUS CHAR(1 BYTE), APPROVER_ID VARCHAR2(85 BYTE), APPROVER_REMARKS NVARCHAR2(255), APPROVAL_DATE date, last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_WITHDRAWAL_APP_Q_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_withdrawal_app_q_aud
 before insert on withdrawal_app_q_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into withdrawal_app_q_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,POLICY_ID
 ,REQUEST_DATE
 ,REASON
 ,STATUS
 ,APPROVER_ID
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,TRANSCRIPTID
 ,POLICY_ID
 ,REQUEST_DATE
 ,REASON
 ,STATUS
 ,APPROVER_ID
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
  from withdrawal_approval_queue
/

CREATE INDEX nuk_withdrawal_app_q_aud_1 ON withdrawal_app_q_aud(aud_userid)
/

CREATE INDEX nuk_withdrawal_app_q_aud_2 ON withdrawal_app_q_aud(aud_datetime)
/

create or replace trigger i_withdrawal_approval_queue
after insert on withdrawal_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_app_q_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,POLICY_ID
 ,REQUEST_DATE
 ,REASON
 ,STATUS
 ,APPROVER_ID
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.POLICY_ID
 ,:new.REQUEST_DATE
 ,:new.REASON
 ,:new.STATUS
 ,:new.APPROVER_ID
 ,:new.APPROVER_REMARKS
 ,:new.APPROVAL_DATE
);
end;
/

create or replace trigger u_withdrawal_approval_queue
after update on withdrawal_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_app_q_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,POLICY_ID
 ,REQUEST_DATE
 ,REASON
 ,STATUS
 ,APPROVER_ID
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.TRANSCRIPTID
 ,:new.POLICY_ID
 ,:new.REQUEST_DATE
 ,:new.REASON
 ,:new.STATUS
 ,:new.APPROVER_ID
 ,:new.APPROVER_REMARKS
 ,:new.APPROVAL_DATE
);
end;
/

create or replace trigger d_withdrawal_approval_queue
after delete on withdrawal_approval_queue for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into withdrawal_app_q_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,TRANSCRIPTID
 ,POLICY_ID
 ,REQUEST_DATE
 ,REASON
 ,STATUS
 ,APPROVER_ID
 ,APPROVER_REMARKS
 ,APPROVAL_DATE
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.TRANSCRIPTID
 ,:old.POLICY_ID
 ,:old.REQUEST_DATE
 ,:old.REASON
 ,:old.STATUS
 ,:old.APPROVER_ID
 ,:old.APPROVER_REMARKS
 ,:old.APPROVAL_DATE
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-withdrawal_approval_queue', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1145, '8:a856d35740a5bd6484e2f9cc59f9d88b', 'enableAuditTable auditTableName=withdrawal_app_q_aud, tableName=withdrawal_approval_queue', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-tincan_lo_activity::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_TINCAN_LO_ACTIVITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_TINCAN_LO_ACTIVITY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_TINCAN_LO_ACTIVITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_TINCAN_LO_ACTIVITY';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_TINCAN_LO_ACTIVITY';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_TINCAN_LO_ACTIVITY';
			END IF;
		END;
/

CREATE TABLE tincan_lo_activity_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), LEARNING_ID VARCHAR2(85 BYTE), SESSION_ID VARCHAR2(15 BYTE), TINCAN_ACTIVITY_ID VARCHAR2(2000 BYTE), ORDER_NUMBER NUMBER(*, 0), TINCAN_ACTIVITY_ID_HASH_SHA256 CHAR(64 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_TINCAN_LO_ACTIVITY_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_tincan_lo_activity_aud
 before insert on tincan_lo_activity_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into tincan_lo_activity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNING_ID
 ,SESSION_ID
 ,TINCAN_ACTIVITY_ID
 ,ORDER_NUMBER
 ,TINCAN_ACTIVITY_ID_HASH_SHA256
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,LEARNING_ID
 ,SESSION_ID
 ,TINCAN_ACTIVITY_ID
 ,ORDER_NUMBER
 ,TINCAN_ACTIVITY_ID_HASH_SHA256
  from tincan_lo_activity
/

CREATE INDEX nuk_tincan_lo_activity_aud_1 ON tincan_lo_activity_aud(aud_userid)
/

CREATE INDEX nuk_tincan_lo_activity_aud_2 ON tincan_lo_activity_aud(aud_datetime)
/

create or replace trigger i_tincan_lo_activity
after insert on tincan_lo_activity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tincan_lo_activity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNING_ID
 ,SESSION_ID
 ,TINCAN_ACTIVITY_ID
 ,ORDER_NUMBER
 ,TINCAN_ACTIVITY_ID_HASH_SHA256
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNING_ID
 ,:new.SESSION_ID
 ,:new.TINCAN_ACTIVITY_ID
 ,:new.ORDER_NUMBER
 ,:new.TINCAN_ACTIVITY_ID_HASH_SHA256
);
end;
/

create or replace trigger u_tincan_lo_activity
after update on tincan_lo_activity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tincan_lo_activity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNING_ID
 ,SESSION_ID
 ,TINCAN_ACTIVITY_ID
 ,ORDER_NUMBER
 ,TINCAN_ACTIVITY_ID_HASH_SHA256
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.LEARNING_ID
 ,:new.SESSION_ID
 ,:new.TINCAN_ACTIVITY_ID
 ,:new.ORDER_NUMBER
 ,:new.TINCAN_ACTIVITY_ID_HASH_SHA256
);
end;
/

create or replace trigger d_tincan_lo_activity
after delete on tincan_lo_activity for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into tincan_lo_activity_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,LEARNING_ID
 ,SESSION_ID
 ,TINCAN_ACTIVITY_ID
 ,ORDER_NUMBER
 ,TINCAN_ACTIVITY_ID_HASH_SHA256
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.LEARNING_ID
 ,:old.SESSION_ID
 ,:old.TINCAN_ACTIVITY_ID
 ,:old.ORDER_NUMBER
 ,:old.TINCAN_ACTIVITY_ID_HASH_SHA256
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-tincan_lo_activity', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1146, '8:570ccb0c336d6f641fa2ae6f39b0a65f', 'enableAuditTable auditTableName=tincan_lo_activity_aud, tableName=tincan_lo_activity', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-certusers_selfaward::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_CERTUSERS_SELFAWARD';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_CERTUSERS_SELFAWARD';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_CERTUSERS_SELFAWARD';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_CERTUSERS_SELFAWARD';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_CERTUSERS_SELFAWARD';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_CERTUSERS_SELFAWARD';
			END IF;
		END;
/

CREATE TABLE certusers_selfaward_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), USER_ID VARCHAR2(85 BYTE), CERT_ID NUMBER(8, 0), STATUS CHAR(1 BYTE), COMMENTS VARCHAR2(255 BYTE), DATE_ACHIEVED date, EXPIRE_DATE date, CERT_CODE VARCHAR2(85 BYTE), CERT_TITLE VARCHAR2(4000 BYTE), APPROVER_NAME VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500 BYTE), last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(250 BYTE), CONSTRAINT PK_CERTUSERS_SELFAWARD_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_certusers_selfaward_aud
 before insert on certusers_selfaward_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into certusers_selfaward_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,CERT_ID
 ,STATUS
 ,COMMENTS
 ,DATE_ACHIEVED
 ,EXPIRE_DATE
 ,CERT_CODE
 ,CERT_TITLE
 ,APPROVER_NAME
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,USER_ID
 ,CERT_ID
 ,STATUS
 ,COMMENTS
 ,DATE_ACHIEVED
 ,EXPIRE_DATE
 ,CERT_CODE
 ,CERT_TITLE
 ,APPROVER_NAME
  from certusers_selfaward
/

CREATE INDEX nuk_certusers_selfaward_aud_1 ON certusers_selfaward_aud(aud_userid)
/

CREATE INDEX nuk_certusers_selfaward_aud_2 ON certusers_selfaward_aud(aud_datetime)
/

create or replace trigger i_certusers_selfaward
after insert on certusers_selfaward for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_selfaward_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,CERT_ID
 ,STATUS
 ,COMMENTS
 ,DATE_ACHIEVED
 ,EXPIRE_DATE
 ,CERT_CODE
 ,CERT_TITLE
 ,APPROVER_NAME
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USER_ID
 ,:new.CERT_ID
 ,:new.STATUS
 ,:new.COMMENTS
 ,:new.DATE_ACHIEVED
 ,:new.EXPIRE_DATE
 ,:new.CERT_CODE
 ,:new.CERT_TITLE
 ,:new.APPROVER_NAME
);
end;
/

create or replace trigger u_certusers_selfaward
after update on certusers_selfaward for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_selfaward_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,CERT_ID
 ,STATUS
 ,COMMENTS
 ,DATE_ACHIEVED
 ,EXPIRE_DATE
 ,CERT_CODE
 ,CERT_TITLE
 ,APPROVER_NAME
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.USER_ID
 ,:new.CERT_ID
 ,:new.STATUS
 ,:new.COMMENTS
 ,:new.DATE_ACHIEVED
 ,:new.EXPIRE_DATE
 ,:new.CERT_CODE
 ,:new.CERT_TITLE
 ,:new.APPROVER_NAME
);
end;
/

create or replace trigger d_certusers_selfaward
after delete on certusers_selfaward for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into certusers_selfaward_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,USER_ID
 ,CERT_ID
 ,STATUS
 ,COMMENTS
 ,DATE_ACHIEVED
 ,EXPIRE_DATE
 ,CERT_CODE
 ,CERT_TITLE
 ,APPROVER_NAME
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.USER_ID
 ,:old.CERT_ID
 ,:old.STATUS
 ,:old.COMMENTS
 ,:old.DATE_ACHIEVED
 ,:old.EXPIRE_DATE
 ,:old.CERT_CODE
 ,:old.CERT_TITLE
 ,:old.APPROVER_NAME
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-certusers_selfaward', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1147, '8:9db66b8b9e2b8724948542c97393907c', 'enableAuditTable auditTableName=certusers_selfaward_aud, tableName=certusers_selfaward', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-selfaward_attach::dennis.cheung
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_SELFAWARD_ATTACH';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_SELFAWARD_ATTACH';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_SELFAWARD_ATTACH';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_SELFAWARD_ATTACH';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_SELFAWARD_ATTACH';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_SELFAWARD_ATTACH';
			END IF;
		END;
/

CREATE TABLE selfaward_attach_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, ID VARCHAR2(85 BYTE), FILE_NAME VARCHAR2(255 BYTE), DISPLAY_NAME VARCHAR2(255 BYTE), PATH VARCHAR2(300 BYTE), URL_PATH VARCHAR2(255 BYTE), UPLOAD_DATE date, UPLOADED_BY VARCHAR2(85 BYTE), last_updated date, update_meaning_text VARCHAR2(500), last_updater_uid VARCHAR2(85), updater_legal_name VARCHAR2(250), CONSTRAINT PK_SELFAWARD_ATTACH_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_selfaward_attach_aud
 before insert on selfaward_attach_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into selfaward_attach_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,FILE_NAME
 ,DISPLAY_NAME
 ,PATH
 ,URL_PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,ID
 ,FILE_NAME
 ,DISPLAY_NAME
 ,PATH
 ,URL_PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
  from selfaward_attach
/

CREATE INDEX nuk_selfaward_attach_aud_1 ON selfaward_attach_aud(aud_userid)
/

CREATE INDEX nuk_selfaward_attach_aud_2 ON selfaward_attach_aud(aud_datetime)
/

create or replace trigger i_selfaward_attach
after insert on selfaward_attach for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into selfaward_attach_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,FILE_NAME
 ,DISPLAY_NAME
 ,PATH
 ,URL_PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.FILE_NAME
 ,:new.DISPLAY_NAME
 ,:new.PATH
 ,:new.URL_PATH
 ,:new.UPLOAD_DATE
 ,:new.UPLOADED_BY
);
end;
/

create or replace trigger u_selfaward_attach
after update on selfaward_attach for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into selfaward_attach_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,FILE_NAME
 ,DISPLAY_NAME
 ,PATH
 ,URL_PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.ID
 ,:new.FILE_NAME
 ,:new.DISPLAY_NAME
 ,:new.PATH
 ,:new.URL_PATH
 ,:new.UPLOAD_DATE
 ,:new.UPLOADED_BY
);
end;
/

create or replace trigger d_selfaward_attach
after delete on selfaward_attach for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into selfaward_attach_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,ID
 ,FILE_NAME
 ,DISPLAY_NAME
 ,PATH
 ,URL_PATH
 ,UPLOAD_DATE
 ,UPLOADED_BY
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.ID
 ,:old.FILE_NAME
 ,:old.DISPLAY_NAME
 ,:old.PATH
 ,:old.URL_PATH
 ,:old.UPLOAD_DATE
 ,:old.UPLOADED_BY
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-selfaward_attach', 'dennis.cheung', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1148, '8:21b76ffa33c5bf4aec8d114ff554b8fe', 'enableAuditTable auditTableName=selfaward_attach_aud, tableName=selfaward_attach', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_vitero::nelson.yip
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_VITERO';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_VITERO';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_VITERO';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_VITERO';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_VITERO';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_VITERO';
			END IF;
		END;
/

CREATE TABLE vc_launcher_vitero_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), ACCOUNT_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text CLOB, last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(1000 BYTE), CONSTRAINT PK_VC_LAUNCHER_VITERO_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_vitero_aud
 before insert on vc_launcher_vitero_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_vitero_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,ACCOUNT_ID
  from vc_launcher_vitero
/

CREATE INDEX nuk_vc_launcher_vitero_aud_1 ON vc_launcher_vitero_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_vitero_aud_2 ON vc_launcher_vitero_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_vitero
after insert on vc_launcher_vitero for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_vitero_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.ACCOUNT_ID
);
end;
/

create or replace trigger u_vc_launcher_vitero
after update on vc_launcher_vitero for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_vitero_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.ACCOUNT_ID
);
end;
/

create or replace trigger d_vc_launcher_vitero
after delete on vc_launcher_vitero for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_vitero_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.ACCOUNT_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_vitero', 'nelson.yip', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1149, '8:674f459b46c98b0b2975cecb4d428f83', 'enableAuditTable auditTableName=vc_launcher_vitero_aud, tableName=vc_launcher_vitero', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::enforceAuditTables-vc_launcher_ms_teams::paul.strugnell
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'I_VC_LAUNCHER_MS_TEAMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER I_VC_LAUNCHER_MS_TEAMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'U_VC_LAUNCHER_MS_TEAMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER U_VC_LAUNCHER_MS_TEAMS';
			END IF;
		END;
/

DECLARE X NUMBER;
	BEGIN
		SELECT COUNT(*) INTO X from USER_TRIGGERS WHERE TRIGGER_NAME = 'D_VC_LAUNCHER_MS_TEAMS';
			IF X = 1 THEN
				EXECUTE IMMEDIATE 'DROP TRIGGER D_VC_LAUNCHER_MS_TEAMS';
			END IF;
		END;
/

CREATE TABLE vc_launcher_ms_teams_aud (aud_id NUMBER NOT NULL, aud_action CHAR(1), aud_userid VARCHAR2(85), aud_datetime date DEFAULT CURRENT_TIMESTAMP NOT NULL, COURSE_ID VARCHAR2(85 BYTE), ACCOUNT_ID VARCHAR2(85 BYTE), last_updated date, update_meaning_text CLOB, last_updater_uid VARCHAR2(85 BYTE), updater_legal_name VARCHAR2(1000 BYTE), CONSTRAINT PK_VC_LAUNCHER_MS_TEAMS_AUD PRIMARY KEY (aud_id))
/

create or replace trigger ti_vc_launcher_ms_teams_aud
 before insert on vc_launcher_ms_teams_aud
 for each row begin select audit_id_seq.nextval into :new.aud_id
 from dual;
 end;
/

insert into vc_launcher_ms_teams_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) select 'U', null
, null
, SYSTIMESTAMP, null
, null
 ,COURSE_ID
 ,ACCOUNT_ID
  from vc_launcher_ms_teams
/

CREATE INDEX nuk_vc_launcher_ms_teams_aud_1 ON vc_launcher_ms_teams_aud(aud_userid)
/

CREATE INDEX nuk_vc_launcher_ms_teams_aud_2 ON vc_launcher_ms_teams_aud(aud_datetime)
/

create or replace trigger i_vc_launcher_ms_teams
after insert on vc_launcher_ms_teams for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_ms_teams_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('I', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.ACCOUNT_ID
);
end;
/

create or replace trigger u_vc_launcher_ms_teams
after update on vc_launcher_ms_teams for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_ms_teams_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('U', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:new.COURSE_ID
 ,:new.ACCOUNT_ID
);
end;
/

create or replace trigger d_vc_launcher_ms_teams
after delete on vc_launcher_ms_teams for each row
declare
    sess_userid varchar2(85);
    update_meaning varchar2(500);
    updater_legal_name varchar2(250);
begin
    begin
        select userid, update_meaning_text, updater_legal_name into sess_userid, update_meaning, updater_legal_name
        from e_signature_context where spid = sys_context('userenv', 'SESSIONID');
    exception
        when no_data_found then
            null;
    end;
insert into vc_launcher_ms_teams_aud (
  aud_action
 ,aud_userid
 ,update_meaning_text
 ,last_updated
 ,updater_legal_name
 ,last_updater_uid
 ,COURSE_ID
 ,ACCOUNT_ID
) values ('D', sess_userid, update_meaning, sysdate, updater_legal_name, sess_userid
 ,:old.COURSE_ID
 ,:old.ACCOUNT_ID
);
end;
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('enforceAuditTables-vc_launcher_ms_teams', 'paul.strugnell', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1150, '8:950124527d548cc74cb0b60b0b1d5811', 'enableAuditTable auditTableName=vc_launcher_ms_teams_aud, tableName=vc_launcher_ms_teams', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::20180312-kk-1::Krupa.Kamat
-- GDPR Story Audit Tables
CREATE INDEX NUK_ADESAUD_LSTUPDUID ON AICC_des_aud(last_updater_uid)
/

CREATE INDEX NUK_ALAUOPTA_LUPID ON AICC_launch_options_aud(last_updater_uid)
/

CREATE INDEX NUK_ANSDROPA_TID ON answer_drag_and_drop_aud(test_instance_id)
/

CREATE INDEX NUK_ANSDROPAUD_LUPID ON answer_drag_and_drop_aud(last_updater_uid)
/

CREATE INDEX NUK_ANSHSTA_TID ON answer_hotspot_aud(test_instance_id)
/

CREATE INDEX NUK_ANSHSTA_LUPID ON answer_hotspot_aud(last_updater_uid)
/

CREATE INDEX NUK_APPRQUEA_TID ON approval_queue_aud(transcriptid)
/

CREATE INDEX NUK_APPQUEA_LUPID ON approval_queue_aud(last_updater_uid)
/

CREATE INDEX NUK_APPQUEA_TID ON approval_queue_step_aud(transcriptid)
/

CREATE INDEX NUK_AUDA_LUPID ON audience_aud(last_updater_uid)
/

CREATE INDEX NUK_AENROLLA_LUPID ON autoenroll_aud(last_updater_uid)
/

CREATE INDEX NUK_CERTRENA_LUPID ON cert_renewal_aud(last_updater_uid)
/

CREATE INDEX NUK_CERTSA_LUPID ON cert_schedule_aud(last_updater_uid)
/

CREATE INDEX NUK_CERTA_LUPID ON certifications_aud(last_updater_uid)
/

CREATE INDEX NUK_CUSEA_LUPID ON certusers_aud(last_updater_uid)
/

CREATE INDEX NUK_CUSERSA_ABY ON certusers_aud(awardedby)
/

CREATE INDEX NUK_CUATTRA_AID ON certusers_attribute_aud(certusers_awardid)
/

CREATE INDEX NUK_CUINSTUD_AID ON certusers_instructor_aud(certusers_awardid)
/

CREATE INDEX NUK_CUSERPENDA_LUPID ON certusers_pending_aud(last_updater_uid)
/

CREATE INDEX NUK_CUPENDA_UID ON certusers_pending_aud(userid)
/

CREATE INDEX NUK_CITEMA_LUPID ON checklist_item_aud(last_updater_uid)
/

CREATE INDEX NUK_CAPPRQUEA_USERID ON comp_approval_queue_aud(user_id)
/

CREATE INDEX NUK_CAPPQUEA_LUPID ON comp_approval_queue_aud(last_updater_uid)
/

CREATE INDEX NUK_CLEVA_LUPID ON comp_level_validity_aud(last_updater_uid)
/

CREATE INDEX NUK_COMLEVA_LUPID ON competency_level_aud(last_updater_uid)
/

CREATE INDEX NUK_CLISTA_LUPID ON contactList_aud(last_updater_uid)
/

CREATE INDEX NUK_CLISTA_USERID ON contactList_aud(userid)
/

CREATE INDEX NUK_CONITEM_LUPID ON ContentItem_aud(last_updater_uid)
/

CREATE INDEX NUK_CITEMA_ITID ON ContentItem_aud(itemID)
/

CREATE INDEX NUK_COOBJEA_LUPID ON ContentObject_aud(last_updater_uid)
/

CREATE INDEX NUK_COBJEA_OID ON ContentObject_aud(ownerID)
/

CREATE INDEX NUK_CONORGAA_LUPID ON ContentOrganization_aud(last_updater_uid)
/

CREATE INDEX NUK_CORGAA_OWNERID ON ContentOrganization_aud(ownerID)
/

CREATE INDEX NUK_CONPA_LUPID ON ContentPackage_aud(last_updater_uid)
/

CREATE INDEX NUK_CONPAA_OID ON ContentPackage_aud(ownerID)
/

CREATE INDEX NUK_COUA_LUPID ON course_aud(last_updater_uid)
/

CREATE INDEX NUK_COUA_ITEMID ON course_aud(itemID)
/

CREATE INDEX NUK_COUBUNA_LUPID ON course_bundle_aud(last_updater_uid)
/

CREATE INDEX NUK_COUCOMPA_LUPID ON course_competency_aud(last_updater_uid)
/

CREATE INDEX NUK_COUREVA_LUPID ON course_revision_aud(last_updater_uid)
/

CREATE INDEX NUK_COUSCA_LUPID ON course_session_cost_aud(last_updater_uid)
/

CREATE INDEX NUK_COUACCA_LUPID ON courseAccessLevel_aud(last_updater_uid)
/

CREATE INDEX NUK_COUDOWNA_LUPID ON courseDownloads_aud(last_updater_uid)
/

CREATE INDEX NUK_CRTEA_LUPID ON coursetest_aud(last_updater_uid)
/

CREATE INDEX NUK_CSCHA_LUPID ON cschedule_aud(last_updater_uid)
/

CREATE INDEX NUK_CSCHEA_AID1 ON cschedule_aud(approverid1)
/

CREATE INDEX NUK_CSCHEA_AID2 ON cschedule_aud(approverid2)
/

CREATE INDEX NUK_CURRCOUA_LUPID ON currcourses_aud(last_updater_uid)
/

CREATE INDEX NUK_CURRIA_LUPID ON curriculum_aud(last_updater_uid)
/

CREATE INDEX NUK_CURRIA_AID1 ON curriculum_aud(approverid1)
/

CREATE INDEX NUK_CURRIA_AID2 ON curriculum_aud(approverid2)
/

CREATE INDEX NUK_CUSCOURPOLA_LUPID ON custom_course_policy_aud(last_updater_uid)
/

CREATE INDEX NUK_DRAG_LUPID ON draggable_aud(last_updater_uid)
/

CREATE INDEX NUK_EPOLA_LUPID ON enrollment_policy_aud(last_updater_uid)
/

CREATE INDEX NUK_EQURULA_LUPID ON equivalency_rules_aud(last_updater_uid)
/

CREATE INDEX NUK_EQURULA_CRBY ON equivalency_rules_aud(created_by)
/

CREATE INDEX NUK_EVALA_LUPID ON evaluation_aud(last_updater_uid)
/

CREATE INDEX NUK_EVALA_UID ON evaluation_aud(userid)
/

CREATE INDEX NUK_EXAPPA_LUPID ON ex_q_approval_aud(last_updater_uid)
/

CREATE INDEX NUK_EXAPPA_USERID ON ex_q_approval_aud(user_id)
/

CREATE INDEX NUK_ECOMA_LUPID ON exam_comment_aud(last_updater_uid)
/

CREATE INDEX NUK_EWORKA_LUPID ON exam_workflow_aud(last_updater_uid)
/

CREATE INDEX NUK_EXWORKSA_LUPID ON exam_workflow_step_aud(last_updater_uid)
/

CREATE INDEX NUK_EXTTRAA_LUPID ON external_training_aud(last_updater_uid)
/

CREATE INDEX NUK_EXTRAA_USERID ON external_training_aud(userid)
/

CREATE INDEX NUK_HOMEA_LUPID ON homework_file_aud(last_updater_uid)
/

CREATE INDEX NUK_HOMEWA_OID ON homework_file_aud(ownerid)
/

CREATE INDEX NUK_EXTTRAINA_TID ON homework_file_aud(to_userid)
/

CREATE INDEX NUK_HSTA_LUPID ON hotspot_aud(last_updater_uid)
/

CREATE INDEX NUK_ICOMA_LUPID ON iComment_aud(last_updater_uid)
/

CREATE INDEX NUK_ICOMA_UID ON iComment_aud(userid)
/

CREATE INDEX NUK_ICOMA_TID ON iComment_aud(transcriptid)
/

CREATE INDEX NUK_JPROFA_LUPID ON job_profile_aud(last_updater_uid)
/

CREATE INDEX NUK_JPROA_CUID ON job_profile_aud(creator_uid)
/

CREATE INDEX NUK_JPROFA_OID ON job_profile_aud(owner_id)
/

CREATE INDEX NUK_LABUNA_LUPID ON language_bundle_aud(last_updater_uid)
/

CREATE INDEX NUK_LRNOBJA_LUPID ON learningObject_aud(last_updater_uid)
/

CREATE INDEX NUK_LRNOBJA_CUID ON learningObject_aud(creator_uid)
/

CREATE INDEX NUK_LOATTRIA_LUPID ON lo_attribute_aud(last_updater_uid)
/

CREATE INDEX NUK_LOPTPAYA_LUPID ON lo_opt_pay_items_aud(last_updater_uid)
/

CREATE INDEX NUK_LOCOSTSA_LUPID ON locosts_aud(last_updater_uid)
/

CREATE INDEX NUK_MQUESA_LUPID ON masterquestion_aud(last_updater_uid)
/

CREATE INDEX NUK_MSECA_LUPID ON mastersection_aud(last_updater_uid)
/

CREATE INDEX NUK_MSECATTA_LUPID ON mastersection_attr_aud(last_updater_uid)
/

CREATE INDEX NUK_MTESTA_LUPID ON mastertest_aud(last_updater_uid)
/

CREATE INDEX NUK_MTESTA_OWN ON mastertest_aud(owner)
/

CREATE INDEX NUK_MTESTA_CUID ON mastertest_aud(creator_uid)
/

CREATE INDEX NUK_MPRINT_LUPID ON mastertest_print_aud(last_updater_uid)
/

CREATE INDEX NUK_NETAAUD_LUPID ON netassessor_launcher_aud(last_updater_uid)
/

CREATE INDEX NUK_OBJTOPA_LUPID ON objectives_topics_aud(last_updater_uid)
/

CREATE INDEX NUK_OTOBJA_LUPID ON otherObjects_aud(last_updater_uid)
/

CREATE INDEX NUK_PAYA_LUPID ON payment_aud(last_updater_uid)
/

CREATE INDEX NUK_PAYA_UID ON payment_aud(pay_user_id)
/

CREATE INDEX NUK_PAYA_REVBY ON payment_aud(reviewed_by)
/

CREATE INDEX NUK_PERA_LUPID ON permissions_aud(last_updater_uid)
/

CREATE INDEX NUK_PERA_IID ON permissions_aud(identityid)
/

CREATE INDEX NUK_PREREQA_LUPID ON prereq_aud(last_updater_uid)
/

CREATE INDEX NUK_QATTRA_LUPID ON qattributes_aud(last_updater_uid)
/

CREATE INDEX NUK_QUESTA_LUPID ON question_aud(last_updater_uid)
/

CREATE INDEX NUK_QUESTA_OR ON question_aud(owner)
/

CREATE INDEX NUK_QUESTA_WR ON question_aud(writer)
/

CREATE INDEX NUK_QUESA_CUID ON question_aud(creator_uid)
/

CREATE INDEX NUK_QUEATTA_LUPID ON question_attribute_aud(last_updater_uid)
/

CREATE INDEX NUK_QUESBUNA_LUPID ON question_bundle_aud(last_updater_uid)
/

CREATE INDEX NUK_QUESCHA_LUPID ON question_choices_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST1A_LUPID ON question_type1_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST2A_LUPID ON question_type2_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST3A_LUPID ON question_type3_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST4A_LUPID ON question_type4_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST5A_LUPID ON question_type5_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST6A_LUPID ON question_type6_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST7A_LUPID ON question_type7_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST8A_LUPID ON question_type8_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST8IA_LUPID ON question_type8_item_aud(last_updater_uid)
/

CREATE INDEX NUK_QUEST9A_LUPID ON question_type9_aud(last_updater_uid)
/

CREATE INDEX NUK_RANDSA_LUPID ON randsection_aud(last_updater_uid)
/

CREATE INDEX NUK_REGEVA_LUPID ON registeredevents_aud(last_updater_uid)
/

CREATE INDEX NUK_REGA_LUPID ON registration_aud(last_updater_uid)
/

CREATE INDEX NUK_REGA_LTRANID ON registration_aud(transcriptid)
/

CREATE INDEX NUK_RESSTRA_LUPID ON resource_string_aud(last_updater_uid)
/

CREATE INDEX NUK_ROLUPCONA_LUPID ON RollupCondition_aud(last_updater_uid)
/

CREATE INDEX NUK_ROLLUPA_LUPID ON RollupRule_aud(last_updater_uid)
/

CREATE INDEX NUK_SAFLAUNA_LUPID ON safari_launcher_aud(last_updater_uid)
/

CREATE INDEX NUK_SEQOBJMA_LUPID ON SeqObjectiveMap_aud(last_updater_uid)
/

CREATE INDEX NUK_SEQRUCONA_LUPID ON SeqRuleCondition_aud(last_updater_uid)
/

CREATE INDEX NUK_SEQOBJA_LUPID ON SequenceObjective_aud(last_updater_uid)
/

CREATE INDEX NUK_SEQRUA_LUPID ON SequenceRule_aud(last_updater_uid)
/

CREATE INDEX NUK_SEQA_LUPID ON Sequencing_aud(last_updater_uid)
/

CREATE INDEX NUK_SESATRA_LUPID ON session_attribute_aud(last_updater_uid)
/

CREATE INDEX NUK_SECOA_LUPID ON session_cost_aud(last_updater_uid)
/

CREATE INDEX NUK_SESDETA_LUPID ON sessiondetail_aud(last_updater_uid)
/

CREATE INDEX NUK_SESDETA_AID1 ON sessiondetail_aud(approverid1)
/

CREATE INDEX NUK_SESDETA_AID2 ON sessiondetail_aud(approverid2)
/

CREATE INDEX NUK_SUBTRADA_TID ON submod_tran_deadline_aud(master_transcriptid)
/

CREATE INDEX NUK_SUBTRATA_LID ON submod_tran_subt_aud(learner_id)
/

CREATE INDEX NUK_SUBTRATA_SID ON submod_tran_subt_aud(substitute_tran_id)
/

CREATE INDEX NUK_TKSIGNCA_LUPID ON task_signoff_config_aud(last_updater_uid)
/

CREATE INDEX NUK_TKSIGNA_LUPID ON task_signoff_users_aud(last_updater_uid)
/

CREATE INDEX NUK_TKSIGNA_SID ON task_signoff_users_aud(signoff_user_id)
/

CREATE INDEX NUK_TKSIGNA_DELTO ON task_signoff_users_aud(delegated_to)
/

CREATE INDEX NUK_TESTINSA_LUPID ON testinstance_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUEA_LUPID ON testquestion_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUEA_INID ON testquestion_aud(instanceid)
/

CREATE INDEX NUK_TQUE3A_LUPID ON testquestion3_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUE3A_INSTID ON testquestion3_aud(instanceid)
/

CREATE INDEX NUK_TQUE4A_INID ON testquestion4_aud(instanceid)
/

CREATE INDEX NUK_TQUE5A_LUPID ON testquestion5_aud(last_updater_uid)
/

CREATE INDEX NUK_TE5A_INID ON testquestion5_aud(instanceid)
/

CREATE INDEX NUK_TQUE6A_LUPID ON testquestion6_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUE6A_INID ON testquestion6_aud(instanceid)
/

CREATE INDEX NUK_TQUE8A_LSTID ON testquestion8_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUE8AUD_INID ON testquestion8_aud(instanceid)
/

CREATE INDEX NUK_TQUE9A_LUPID ON testquestion9_aud(last_updater_uid)
/

CREATE INDEX NUK_TQUE9A_INID ON testquestion9_aud(instanceid)
/

CREATE INDEX NUK_TSECA_LUPID ON testsection_aud(last_updater_uid)
/

CREATE INDEX NUK_TSEC_INID ON testsection_aud(instanceid)
/

CREATE INDEX NUK_TRANSA_LUPID ON transcript_aud(last_updater_uid)
/

CREATE INDEX NUK_TRANSA_UID ON transcript_aud(userid)
/

CREATE INDEX NUK_TRANSA_CUID ON transcript_aud(creator_uid)
/

CREATE INDEX NUK_TATA_LUPID ON transcript_attribute_aud(last_updater_uid)
/

CREATE INDEX NUK_TSTATA_LUPID ON transcript_stat_log_aud(last_updater_uid)
/

CREATE INDEX NUK_TSLOGA_TID ON transcript_stat_log_aud(transcriptid)
/

CREATE INDEX NUK_TSUBA_LUPID ON transcript_substatus_aud(last_updater_uid)
/

CREATE INDEX NUK_TUTORA_LUPID ON tutor_aud(last_updater_uid)
/

CREATE INDEX NUK_TUTORA_UID ON tutor_aud(userid)
/

CREATE INDEX NUK_UCOMPA_LUPID ON user_competency_aud(last_updater_uid)
/

CREATE INDEX NUK_UCOMPEA_UID ON user_competency_aud(user_id)
/

CREATE INDEX NUK_UCOMA_ABY ON user_competency_aud(assigned_by)
/

CREATE INDEX NUK_UJPROFA_LUPID ON user_job_profile_aud(last_updater_uid)
/

CREATE INDEX NUK_UJPROA_UID ON user_job_profile_aud(user_id)
/

CREATE INDEX NUK_UJPROFA_ABY ON user_job_profile_aud(assigned_by)
/

CREATE INDEX NUK_UOPPAYA_LUPID ON user_opt_pay_items_aud(last_updater_uid)
/

CREATE INDEX NUK_UOPTPAYA_UID ON user_opt_pay_items_aud(userid)
/

CREATE INDEX NUK_UOPTPAYA_TID ON user_opt_pay_items_aud(transcriptid)
/

CREATE INDEX NUK_VCLAUGEN_LUPID ON vc_launcher_generic_aud(last_updater_uid)
/

CREATE INDEX NUK_VCLAUNA_LUPID ON vc_launcher_gtt_aud(last_updater_uid)
/

CREATE INDEX NUK_VCLAUSEA_LUPID ON vc_launcher_session_aud(last_updater_uid)
/

CREATE INDEX NUK_VCLAUWA_LUPID ON vc_launcher_webex_aud(last_updater_uid)
/

CREATE INDEX NUK_WITHDEDA_LUPID ON withdraw_deduction_aud(last_updater_uid)
/

CREATE INDEX NUK_WITHRAA_LUPID ON withdraw_reason_aud(last_updater_uid)
/

CREATE INDEX NUK_WITHREAA_UID ON withdraw_reason_aud(user_id)
/

CREATE INDEX NUK_WITHREAA_TID ON withdraw_reason_aud(transcript_id)
/

CREATE INDEX NUK_WITHSA_LUPID ON withdrawnStudents_aud(last_updater_uid)
/

CREATE INDEX NUK_WITHSA_UID ON withdrawnStudents_aud(userid)
/

CREATE INDEX NUK_WITHSA_TID ON withdrawnStudents_aud(transcriptid)
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20180312-kk-1', 'Krupa.Kamat', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1151, '8:b81246817433ab1e4be05c1bf15a2f40', 'createIndex indexName=NUK_ADESAUD_LSTUPDUID, tableName=AICC_des_aud; createIndex indexName=NUK_ALAUOPTA_LUPID, tableName=AICC_launch_options_aud; createIndex indexName=NUK_ANSDROPA_TID, tableName=answer_drag_and_drop_aud; createIndex indexName=NUK...', 'GDPR Story Audit Tables', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::20180526-ny-1::nelson.yip
CREATE INDEX NUK_VCLAUVITAUD_LUPDID ON vc_launcher_vitero_aud(last_updater_uid)
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20180526-ny-1', 'nelson.yip', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1152, '8:501bd2748d37b1585d9da533f2c4d478', 'createIndex indexName=NUK_VCLAUVITAUD_LUPDID, tableName=vc_launcher_vitero_aud', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Changeset nschema/audit-table-enable.xml::20200309-ps-1::paul.strugnell
CREATE INDEX NUK_VCLAUMSTAUD_LUPDID ON vc_launcher_ms_teams_aud(last_updater_uid)
/

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('20200309-ps-1', 'paul.strugnell', 'nschema/audit-table-enable.xml', SYSTIMESTAMP, 1153, '8:0a1a69bca0a8f34b4fdf54a7ecd0e18a', 'createIndex indexName=NUK_VCLAUMSTAUD_LUPDID, tableName=vc_launcher_ms_teams_aud', '', 'EXECUTED', 'audit', NULL, '4.7.0', '8028363114')
/

-- Release Database Lock
UPDATE DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1
/

